# @flipdish/api-client-javascript

Flipdish - JavaScript client for @flipdish/api-client-javascript
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/), please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install @flipdish/api-client-javascript --save
```

Finally, you need to build the module:

```shell
npm run build
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

To use the link you just defined in your project, switch to the directory you want to use your @flipdish/api-client-javascript from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

Finally, you need to build the module:

```shell
npm run build
```

#### git

If the library is hosted at a git repository, e.g.https://github.com/flipdishbytes/api-client-javascript
then install it via:

```shell
    npm install flipdishbytes/api-client-javascript --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var Flipdish = require('@flipdish/api-client-javascript');

var defaultClient = Flipdish.ApiClient.instance;
// Configure OAuth2 access token for authorization: oauth2
var oauth2 = defaultClient.authentications['oauth2'];
oauth2.accessToken = "YOUR ACCESS TOKEN"

var api = new Flipdish.AccountsApi()
var signupStepAction = "signupStepAction_example"; // {String} 
var answerId = 56; // {Number} 
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.answerSignUpQuestion(signupStepAction, answerId, callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://api.flipdish.co*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Flipdish.AccountsApi* | [**answerSignUpQuestion**](docs/AccountsApi.md#answerSignUpQuestion) | **POST** /api/v1.0/accounts/signupstep/{signupStepAction}/answer | 
*Flipdish.AccountsApi* | [**changePassword**](docs/AccountsApi.md#changePassword) | **PUT** /api/v1.0/accounts/password | 
*Flipdish.AccountsApi* | [**changePasswordWithPin**](docs/AccountsApi.md#changePasswordWithPin) | **PUT** /api/v1.0/accounts/password/pin | 
*Flipdish.AccountsApi* | [**createAccount**](docs/AccountsApi.md#createAccount) | **POST** /api/v1.0/accounts | 
*Flipdish.AccountsApi* | [**createBasicAccount**](docs/AccountsApi.md#createBasicAccount) | **POST** /api/v1.0/accounts/basic-account | 
*Flipdish.AccountsApi* | [**getAccountDetails**](docs/AccountsApi.md#getAccountDetails) | **GET** /api/v1.0/accounts | 
*Flipdish.AccountsApi* | [**getLocalisedTimeZones**](docs/AccountsApi.md#getLocalisedTimeZones) | **GET** /api/v1.0/accounts/timezones | 
*Flipdish.AccountsApi* | [**login**](docs/AccountsApi.md#login) | **POST** /api/v1.0/accounts/login | 
*Flipdish.AccountsApi* | [**loginSso**](docs/AccountsApi.md#loginSso) | **POST** /api/v1.0/accounts/login/sso | 
*Flipdish.AccountsApi* | [**loginWithPin**](docs/AccountsApi.md#loginWithPin) | **POST** /api/v1.0/accounts/login/pin | 
*Flipdish.AccountsApi* | [**logout**](docs/AccountsApi.md#logout) | **POST** /api/v1.0/accounts/logout | 
*Flipdish.AccountsApi* | [**passwordResetWithToken**](docs/AccountsApi.md#passwordResetWithToken) | **POST** /api/v1.0/accounts/password | 
*Flipdish.AccountsApi* | [**recaptchaValidate**](docs/AccountsApi.md#recaptchaValidate) | **POST** /api/v1.0/accounts/recaptcha | 
*Flipdish.AccountsApi* | [**requestLoginPin**](docs/AccountsApi.md#requestLoginPin) | **POST** /api/v1.0/accounts/pin | 
*Flipdish.AccountsApi* | [**requestPasswordReset**](docs/AccountsApi.md#requestPasswordReset) | **POST** /api/v1.0/accounts/passwordreset | 
*Flipdish.AccountsApi* | [**sendPinForPasswordReset**](docs/AccountsApi.md#sendPinForPasswordReset) | **POST** /api/v1.0/accounts/password/resetpin | 
*Flipdish.AccountsApi* | [**skipSignupStep**](docs/AccountsApi.md#skipSignupStep) | **POST** /api/v1.0/accounts/signupstep/{signupStepAction}/skip | 
*Flipdish.AccountsApi* | [**updateAccount**](docs/AccountsApi.md#updateAccount) | **PUT** /api/v1.0/accounts | 
*Flipdish.AddressApi* | [**addressTemplates**](docs/AddressApi.md#addressTemplates) | **POST** /api/v1.0/address/templates | 
*Flipdish.AddressApi* | [**formByApp**](docs/AddressApi.md#formByApp) | **GET** /api/v1.0/app/{appId}/address/form | 
*Flipdish.AddressApi* | [**formByCountry**](docs/AddressApi.md#formByCountry) | **GET** /api/v1.0/address/country/{countryCode}/form | 
*Flipdish.AddressApi* | [**formatGoogleAddress**](docs/AddressApi.md#formatGoogleAddress) | **POST** /api/v1.0/address/google | 
*Flipdish.AddressApi* | [**getCountries**](docs/AddressApi.md#getCountries) | **GET** /api/v1.0/address/countries | 
*Flipdish.ApmApi* | [**getApmStatus**](docs/ApmApi.md#getApmStatus) | **GET** /api/v1.0/{appId}/apm/status | 
*Flipdish.ApmApi* | [**getBasicStatistics**](docs/ApmApi.md#getBasicStatistics) | **GET** /api/v1.0/{appId}/apm/statistics | 
*Flipdish.ApmApi* | [**getCalendarWeekStatistics**](docs/ApmApi.md#getCalendarWeekStatistics) | **GET** /api/v1.0/{appId}/apm/statistics/calendar | 
*Flipdish.ApmApi* | [**getCallsStatistics**](docs/ApmApi.md#getCallsStatistics) | **GET** /api/v1.0/{appId}/apm/statistics/calls/{aggregateDataBy} | 
*Flipdish.ApmApi* | [**getOrderStatistics**](docs/ApmApi.md#getOrderStatistics) | **GET** /api/v1.0/{appId}/apm/statistics/orders/{aggregateDataBy} | 
*Flipdish.ApmApi* | [**getPaginatedCallList**](docs/ApmApi.md#getPaginatedCallList) | **GET** /api/v1.0/{appId}/apm/calls | 
*Flipdish.AppStoreApi* | [**getAppStoreApp**](docs/AppStoreApi.md#getAppStoreApp) | **GET** /api/v1.0/appstore/apps/{appStoreAppId} | 
*Flipdish.AppStoreApi* | [**getAppStoreApps**](docs/AppStoreApi.md#getAppStoreApps) | **GET** /api/v1.0/appstore/apps | 
*Flipdish.AppStoreConfigurationsApi* | [**appStoreConfigurationsAppStoreHandleOauthResponseCode**](docs/AppStoreConfigurationsApi.md#appStoreConfigurationsAppStoreHandleOauthResponseCode) | **GET** /api/v1.0/appstore/oauthresponse/{appStoreAppId}/responsecode | 
*Flipdish.AppStoreConfigurationsApi* | [**createAppStoreConfig**](docs/AppStoreConfigurationsApi.md#createAppStoreConfig) | **POST** /api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config | 
*Flipdish.AppStoreConfigurationsApi* | [**deleteAppStoreConfig**](docs/AppStoreConfigurationsApi.md#deleteAppStoreConfig) | **DELETE** /api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId} | 
*Flipdish.AppStoreConfigurationsApi* | [**executeConfigurationAction**](docs/AppStoreConfigurationsApi.md#executeConfigurationAction) | **POST** /api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId}/action | 
*Flipdish.AppStoreConfigurationsApi* | [**getAppStoreConfig**](docs/AppStoreConfigurationsApi.md#getAppStoreConfig) | **GET** /api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId} | 
*Flipdish.AppStoreConfigurationsApi* | [**getConfiguredAppSingleApp**](docs/AppStoreConfigurationsApi.md#getConfiguredAppSingleApp) | **GET** /api/v1.0/{appId}/appstore/apps/{appStoreAppId} | 
*Flipdish.AppStoreConfigurationsApi* | [**getConfiguredApps**](docs/AppStoreConfigurationsApi.md#getConfiguredApps) | **GET** /api/v1.0/{appId}/appstore/apps | 
*Flipdish.AppStoreConfigurationsApi* | [**updateAppStoreConfig**](docs/AppStoreConfigurationsApi.md#updateAppStoreConfig) | **PUT** /api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId} | 
*Flipdish.AppStoreConfigurationsApi* | [**updateAppStoreConfigSettingValues**](docs/AppStoreConfigurationsApi.md#updateAppStoreConfigSettingValues) | **POST** /api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId}/updatesettings | 
*Flipdish.AppStoreDeveloperApi* | [**appVerificationUpdate**](docs/AppStoreDeveloperApi.md#appVerificationUpdate) | **PUT** /api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/verification | 
*Flipdish.AppStoreDeveloperApi* | [**createAppStoreApp**](docs/AppStoreDeveloperApi.md#createAppStoreApp) | **POST** /api/v1.0/oauthclients/{oauthAppId}/appstore/apps | 
*Flipdish.AppStoreDeveloperApi* | [**deleteAppStoreApp**](docs/AppStoreDeveloperApi.md#deleteAppStoreApp) | **DELETE** /api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId} | 
*Flipdish.AppStoreDeveloperApi* | [**getAppExternalProduct**](docs/AppStoreDeveloperApi.md#getAppExternalProduct) | **GET** /api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/external_product | 
*Flipdish.AppStoreDeveloperApi* | [**getExternalFunctionSigningKey**](docs/AppStoreDeveloperApi.md#getExternalFunctionSigningKey) | **GET** /api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/external_function_signing_key | 
*Flipdish.AppStoreDeveloperApi* | [**updateAppStoreApp**](docs/AppStoreDeveloperApi.md#updateAppStoreApp) | **PUT** /api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId} | 
*Flipdish.AppStoreDeveloperApi* | [**updateExternalProduct**](docs/AppStoreDeveloperApi.md#updateExternalProduct) | **PUT** /api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/external_product | 
*Flipdish.AppStoreDeveloperApi* | [**uploadAppStoreAppLogo**](docs/AppStoreDeveloperApi.md#uploadAppStoreAppLogo) | **POST** /api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/logo | 
*Flipdish.AppStoreEntitlementsApi* | [**getAppStoreAppEntitlements**](docs/AppStoreEntitlementsApi.md#getAppStoreAppEntitlements) | **GET** /api/v1.0/{appId}/appstore/apps/{appStoreAppId}/entitlements | 
*Flipdish.AppsApi* | [**appsSetPropertyId**](docs/AppsApi.md#appsSetPropertyId) | **POST** /api/v1.0/apps/{appId}/orgId/{orgId} | 
*Flipdish.AppsApi* | [**createApp**](docs/AppsApi.md#createApp) | **POST** /api/v1.0/apps | 
*Flipdish.AppsApi* | [**getApp**](docs/AppsApi.md#getApp) | **GET** /api/v1.0/apps/{appId} | 
*Flipdish.AppsApi* | [**getAppHostnameStatus**](docs/AppsApi.md#getAppHostnameStatus) | **GET** /api/v1.0/apps/{appId}/hostnamestatus | 
*Flipdish.AppsApi* | [**getAppName**](docs/AppsApi.md#getAppName) | **GET** /api/v1.0/apps/{appId}/name | 
*Flipdish.AppsApi* | [**getApps**](docs/AppsApi.md#getApps) | **GET** /api/v1.0/apps | 
*Flipdish.AppsApi* | [**getCompliance**](docs/AppsApi.md#getCompliance) | **GET** /api/v1.0/apps/{appId}/compliance | 
*Flipdish.AppsApi* | [**getPanaceaVanityUrl**](docs/AppsApi.md#getPanaceaVanityUrl) | **GET** /api/v1.0/apps/{appId}/panacea/url | 
*Flipdish.AppsApi* | [**getSupportedCountries**](docs/AppsApi.md#getSupportedCountries) | **GET** /api/v1.0/apps/supportedcountries | 
*Flipdish.AppsApi* | [**isPanaceaVanityUrlAvailable**](docs/AppsApi.md#isPanaceaVanityUrlAvailable) | **GET** /api/v1.0/apps/{appId}/panacea/url/available | 
*Flipdish.AppsApi* | [**lookupByWhitelabelId**](docs/AppsApi.md#lookupByWhitelabelId) | **GET** /api/v1.0/apps/{whitelabelId}/lookup | 
*Flipdish.AppsApi* | [**setAppConfig**](docs/AppsApi.md#setAppConfig) | **POST** /api/v1.0/apps/{appId}/config | 
*Flipdish.AppsApi* | [**setAppHostname**](docs/AppsApi.md#setAppHostname) | **POST** /api/v1.0/apps/{appId}/hostname | 
*Flipdish.AppsApi* | [**setAppLanguages**](docs/AppsApi.md#setAppLanguages) | **POST** /api/v1.0/apps/{appId}/config/languages | 
*Flipdish.AppsApi* | [**setAppStoreName**](docs/AppsApi.md#setAppStoreName) | **POST** /api/v1.0/apps/{appId}/appstorename | 
*Flipdish.AppsApi* | [**setCompliance**](docs/AppsApi.md#setCompliance) | **POST** /api/v1.0/apps/{appId}/compliance | 
*Flipdish.AppsApi* | [**setPanaceaVanityUrl**](docs/AppsApi.md#setPanaceaVanityUrl) | **POST** /api/v1.0/apps/{appId}/panacea/url | 
*Flipdish.AppsApi* | [**toggleNextGenWeb**](docs/AppsApi.md#toggleNextGenWeb) | **POST** /api/v1.0/apps/{appId}/nextgenweb | 
*Flipdish.AppsApi* | [**uploadAppLogo**](docs/AppsApi.md#uploadAppLogo) | **POST** /api/v1.0/apps/{appId}/logo | 
*Flipdish.AuditLogsApi* | [**addOrderAuditLog**](docs/AuditLogsApi.md#addOrderAuditLog) | **POST** /api/v1.0/auditlogs/orders/{orderId} | 
*Flipdish.AuditLogsApi* | [**addStoreAuditLogEvent**](docs/AuditLogsApi.md#addStoreAuditLogEvent) | **POST** /api/v1.0/auditlogs/stores/{storeId} | 
*Flipdish.AuthorizationTokensApi* | [**getAuthorizationTokens**](docs/AuthorizationTokensApi.md#getAuthorizationTokens) | **GET** /api/v1.0/{appId}/authorizationtokens/{oauthAppId} | 
*Flipdish.AuthorizationTokensApi* | [**revokeToken**](docs/AuthorizationTokensApi.md#revokeToken) | **DELETE** /api/v1.0/{appId}/authorizationtokens/{key} | 
*Flipdish.BankAccountApi* | [**attachBankAccountToStore**](docs/BankAccountApi.md#attachBankAccountToStore) | **POST** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/store/{storeId} | 
*Flipdish.BankAccountApi* | [**createBankAccount**](docs/BankAccountApi.md#createBankAccount) | **POST** /api/v1.0/{appId}/bankaccounts | 
*Flipdish.BankAccountApi* | [**deleteBankAccount**](docs/BankAccountApi.md#deleteBankAccount) | **DELETE** /api/v1.0/{appId}/bankaccounts/{bankAccountId} | 
*Flipdish.BankAccountApi* | [**getBankAccountById**](docs/BankAccountApi.md#getBankAccountById) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId} | 
*Flipdish.BankAccountApi* | [**getBankAccounts**](docs/BankAccountApi.md#getBankAccounts) | **GET** /api/v1.0/{appId}/bankaccounts | 
*Flipdish.BankAccountApi* | [**getCountriesWithFieldDefinitions**](docs/BankAccountApi.md#getCountriesWithFieldDefinitions) | **GET** /api/v1.0/{appId}/bankaccounts/countries-field-definitions | 
*Flipdish.BankAccountApi* | [**getFieldDefinitions**](docs/BankAccountApi.md#getFieldDefinitions) | **GET** /api/v1.0/{appId}/bankaccounts/field-definitions | 
*Flipdish.BankAccountApi* | [**updateBankAccount**](docs/BankAccountApi.md#updateBankAccount) | **POST** /api/v1.0/{appId}/bankaccounts/{bankAccountId} | 
*Flipdish.BankAccountApi* | [**updateBankAccountState**](docs/BankAccountApi.md#updateBankAccountState) | **POST** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/state/{state} | 
*Flipdish.CampaignsApi* | [**createLoyaltyCampaign**](docs/CampaignsApi.md#createLoyaltyCampaign) | **POST** /api/v1.0/{appId}/campaigns/loyalty | 
*Flipdish.CampaignsApi* | [**createRetentionCampaign**](docs/CampaignsApi.md#createRetentionCampaign) | **POST** /api/v1.0/{appId}/campaigns/retention | 
*Flipdish.CampaignsApi* | [**getLoyaltyCampaignsForApp**](docs/CampaignsApi.md#getLoyaltyCampaignsForApp) | **GET** /api/v1.0/{appId}/campaigns/loyalty | 
*Flipdish.CampaignsApi* | [**getLoyaltyCampaignsForStore**](docs/CampaignsApi.md#getLoyaltyCampaignsForStore) | **GET** /api/v1.0/{appId}/campaigns/loyalty/{storeId} | 
*Flipdish.CampaignsApi* | [**getRetentionCampaignsForApp**](docs/CampaignsApi.md#getRetentionCampaignsForApp) | **GET** /api/v1.0/{appId}/campaigns/retention | 
*Flipdish.CampaignsApi* | [**getRetentionCampaignsForStore**](docs/CampaignsApi.md#getRetentionCampaignsForStore) | **GET** /api/v1.0/{appId}/campaigns/retention/{storeId} | 
*Flipdish.CampaignsApi* | [**getStoreList**](docs/CampaignsApi.md#getStoreList) | **GET** /api/v1.0/{appId}/campaigns/stores | 
*Flipdish.CampaignsApi* | [**removeCampaign**](docs/CampaignsApi.md#removeCampaign) | **DELETE** /api/v1.0/{appId}/campaigns/{campaignId} | 
*Flipdish.CampaignsApi* | [**updateLoyaltyCampaign**](docs/CampaignsApi.md#updateLoyaltyCampaign) | **POST** /api/v1.0/{appId}/campaigns/loyalty/{campaignId} | 
*Flipdish.CampaignsApi* | [**updateRetentionCampaign**](docs/CampaignsApi.md#updateRetentionCampaign) | **POST** /api/v1.0/{appId}/campaigns/retention/{campaignId} | 
*Flipdish.CardReadersApi* | [**cancelCurrentlyInitiatedBluetoothDeviceUpdate**](docs/CardReadersApi.md#cancelCurrentlyInitiatedBluetoothDeviceUpdate) | **POST** /api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/{terminalType}/cancelUpdate | 
*Flipdish.CardReadersApi* | [**cancelReaderAction**](docs/CardReadersApi.md#cancelReaderAction) | **POST** /api/v1.0/{appId}/payments/terminals/stripe/{readerId}/cancel_action | 
*Flipdish.CardReadersApi* | [**cardReadersGetReader**](docs/CardReadersApi.md#cardReadersGetReader) | **GET** /api/v1.0/{appId}/payments/terminals/stripe/{readerId} | 
*Flipdish.CardReadersApi* | [**generateStripeTerminalLocation**](docs/CardReadersApi.md#generateStripeTerminalLocation) | **POST** /api/v1.0/{appId}/stripeterminal/location | 
*Flipdish.CardReadersApi* | [**getBluetoothTerminalStatus**](docs/CardReadersApi.md#getBluetoothTerminalStatus) | **GET** /api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/status | 
*Flipdish.CardReadersApi* | [**getStripeConnectionToken**](docs/CardReadersApi.md#getStripeConnectionToken) | **GET** /api/v1.0/{appId}/stripeterminal/connectiontoken | 
*Flipdish.CardReadersApi* | [**initiateBluetoothTerminalDeviceUpdateCheck**](docs/CardReadersApi.md#initiateBluetoothTerminalDeviceUpdateCheck) | **POST** /api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/{terminalType}/checkForUpdate | 
*Flipdish.CardReadersApi* | [**initiateKioskBluetoothPairingMode**](docs/CardReadersApi.md#initiateKioskBluetoothPairingMode) | **POST** /api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/{terminalType}/pair | 
*Flipdish.CardReadersApi* | [**initiateKioskBluetoothUpdateInstall**](docs/CardReadersApi.md#initiateKioskBluetoothUpdateInstall) | **POST** /api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/{terminalType}/installUpdate | 
*Flipdish.CardReadersApi* | [**initiateReaderProcessPaymentIntent**](docs/CardReadersApi.md#initiateReaderProcessPaymentIntent) | **POST** /api/v1.0/{appId}/payments/terminals/stripe/{readerId}/processPaymentIntent | 
*Flipdish.CardReadersApi* | [**registerStripeTerminal**](docs/CardReadersApi.md#registerStripeTerminal) | **POST** /api/v1.0/{appId}/payments/terminals/stripe/register | 
*Flipdish.CardReadersApi* | [**unRegisterTerminal**](docs/CardReadersApi.md#unRegisterTerminal) | **DELETE** /api/v1.0/{appId}/payments/terminals/stripe/unregister | 
*Flipdish.CardReadersApi* | [**unpairCurrentlyPairedBluetoothDevice**](docs/CardReadersApi.md#unpairCurrentlyPairedBluetoothDevice) | **DELETE** /api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/unpair | 
*Flipdish.CatalogChangesApi* | [**getPendingMenuChanges**](docs/CatalogChangesApi.md#getPendingMenuChanges) | **GET** /api/v1.0/{appId}/menus/catalog-changes | Get menu pending changes from Catalog groups and items
*Flipdish.CatalogChangesApi* | [**getPendingMenuChangesSummaries**](docs/CatalogChangesApi.md#getPendingMenuChangesSummaries) | **GET** /api/v1.0/{appId}/menus/catalog-changes/summaries | Get menu pending changes summaries by appId
*Flipdish.CatalogChangesApi* | [**publishPendingMenuChanges**](docs/CatalogChangesApi.md#publishPendingMenuChanges) | **POST** /api/v1.0/{appId}/menus/catalog-changes/publish | Update menus with the pending changes from Catalog groups and items
*Flipdish.CatalogGroupsApi* | [**archiveGroup**](docs/CatalogGroupsApi.md#archiveGroup) | **POST** /api/v1.0/{appId}/catalog/groups/{catalogItemId}/archive | Archive Catalog Group
*Flipdish.CatalogGroupsApi* | [**createGroup**](docs/CatalogGroupsApi.md#createGroup) | **POST** /api/v1.0/{appId}/catalog/groups | Create a Catalog Group
*Flipdish.CatalogGroupsApi* | [**duplicateGroup**](docs/CatalogGroupsApi.md#duplicateGroup) | **POST** /api/v1.0/{appId}/catalog/groups/{catalogItemId}/duplicate | Duplicate Catalog Group
*Flipdish.CatalogGroupsApi* | [**getGroupById**](docs/CatalogGroupsApi.md#getGroupById) | **GET** /api/v1.0/{appId}/catalog/groups/{catalogItemId} | Get group by Id
*Flipdish.CatalogGroupsApi* | [**getGroups**](docs/CatalogGroupsApi.md#getGroups) | **GET** /api/v1.0/{appId}/catalog/groups | Get paginated groups by app name id filtered by types
*Flipdish.CatalogGroupsApi* | [**updateGroup**](docs/CatalogGroupsApi.md#updateGroup) | **POST** /api/v1.0/{appId}/catalog/groups/{catalogItemId} | Update Catalog Group
*Flipdish.CatalogImagesApi* | [**uploadCatalogImage**](docs/CatalogImagesApi.md#uploadCatalogImage) | **POST** /api/v1.0/{appId}/catalog/images | Upload a Catalog Image
*Flipdish.CatalogItemsApi* | [**archiveCatalogItem**](docs/CatalogItemsApi.md#archiveCatalogItem) | **POST** /api/v1.0/{appId}/catalog/items/{catalogItemId}/archive | Archive Catalog Item
*Flipdish.CatalogItemsApi* | [**createCatalogItem**](docs/CatalogItemsApi.md#createCatalogItem) | **POST** /api/v1.0/{appId}/catalog/items | Create a Catalog Item
*Flipdish.CatalogItemsApi* | [**duplicateCatalogItem**](docs/CatalogItemsApi.md#duplicateCatalogItem) | **POST** /api/v1.0/{appId}/catalog/items/{catalogItemId}/duplicate | Duplicate Catalog Item
*Flipdish.CatalogItemsApi* | [**getCatalogItemById**](docs/CatalogItemsApi.md#getCatalogItemById) | **GET** /api/v1.0/{appId}/catalog/items/{catalogItemId} | Get item by Id
*Flipdish.CatalogItemsApi* | [**getItems**](docs/CatalogItemsApi.md#getItems) | **GET** /api/v1.0/{appId}/catalog/items | Get paginated items by app name id filtered by types
*Flipdish.CatalogItemsApi* | [**updateCatalogItem**](docs/CatalogItemsApi.md#updateCatalogItem) | **POST** /api/v1.0/{appId}/catalog/items/{catalogItemId} | Update Catalog Item
*Flipdish.CatalogProductsApi* | [**archiveProduct**](docs/CatalogProductsApi.md#archiveProduct) | **POST** /api/v1.0/{appId}/catalog/products/{catalogItemId}/archive | Archive Product
*Flipdish.CatalogProductsApi* | [**createProduct**](docs/CatalogProductsApi.md#createProduct) | **POST** /api/v1.0/{appId}/catalog/products | Create a Product
*Flipdish.CatalogProductsApi* | [**duplicateProduct**](docs/CatalogProductsApi.md#duplicateProduct) | **POST** /api/v1.0/{appId}/catalog/products/{catalogItemId}/duplicate | Duplicate Product
*Flipdish.CatalogProductsApi* | [**getProductById**](docs/CatalogProductsApi.md#getProductById) | **GET** /api/v1.0/{appId}/catalog/products/{catalogItemId} | Get Product by Id
*Flipdish.CatalogProductsApi* | [**getProducts**](docs/CatalogProductsApi.md#getProducts) | **GET** /api/v1.0/{appId}/catalog/products | Get paginated products by app name id filtered by types
*Flipdish.CatalogProductsApi* | [**updateProduct**](docs/CatalogProductsApi.md#updateProduct) | **POST** /api/v1.0/{appId}/catalog/products/{catalogItemId} | Update Product
*Flipdish.ChannelsApi* | [**assignAppIdToSalesChannel**](docs/ChannelsApi.md#assignAppIdToSalesChannel) | **POST** /api/v1.0/{appId}/channels/{channelId}/assign-appId | 
*Flipdish.ChannelsApi* | [**assignStoreToChannel**](docs/ChannelsApi.md#assignStoreToChannel) | **POST** /api/v1.0/{appId}/channels/assign-store | 
*Flipdish.ChannelsApi* | [**attachStoreToSalesChannel**](docs/ChannelsApi.md#attachStoreToSalesChannel) | **POST** /api/v1.0/{appId}/channels/{channelId}/stores/{storeId} | 
*Flipdish.ChannelsApi* | [**detachAllStoresFromSalesChannel**](docs/ChannelsApi.md#detachAllStoresFromSalesChannel) | **DELETE** /api/v1.0/{appId}/channels/{channelId}/stores | 
*Flipdish.ChannelsApi* | [**detachStoreFromSalesChannel**](docs/ChannelsApi.md#detachStoreFromSalesChannel) | **DELETE** /api/v1.0/{appId}/channels/{channelId}/stores/{storeId} | 
*Flipdish.ChannelsApi* | [**getAssignedChannels**](docs/ChannelsApi.md#getAssignedChannels) | **GET** /api/v1.0/{appId}/channels/assigned-channels | 
*Flipdish.ChannelsApi* | [**getAvailableChannels**](docs/ChannelsApi.md#getAvailableChannels) | **GET** /api/v1.0/{appId}/channels/available-channels | 
*Flipdish.ChannelsApi* | [**getChannel**](docs/ChannelsApi.md#getChannel) | **GET** /api/v1.0/{appId}/channels/{id} | 
*Flipdish.ChannelsApi* | [**getChannels**](docs/ChannelsApi.md#getChannels) | **GET** /api/v1.0/{appId}/channels | 
*Flipdish.ChannelsApi* | [**getStoresAssignedToChannel**](docs/ChannelsApi.md#getStoresAssignedToChannel) | **GET** /api/v1.0/{appId}/channels/{channelId}/assigned-stores | 
*Flipdish.ChannelsApi* | [**getStoresBySalesChannel**](docs/ChannelsApi.md#getStoresBySalesChannel) | **GET** /api/v1.0/{appId}/channels/{channelId}/stores | 
*Flipdish.ChannelsApi* | [**unassignStoreFromChannel**](docs/ChannelsApi.md#unassignStoreFromChannel) | **DELETE** /api/v1.0/{appId}/channels/unassign-store | 
*Flipdish.ChannelsStoreMappingApi* | [**channelsGetStoreChannelStoreMapping**](docs/ChannelsStoreMappingApi.md#channelsGetStoreChannelStoreMapping) | **GET** /api/v1.0/{appId}/channels/storemappings | 
*Flipdish.ChannelsStoreMappingApi* | [**channelsSetStoreChannelStoreMapping**](docs/ChannelsStoreMappingApi.md#channelsSetStoreChannelStoreMapping) | **POST** /api/v1.0/{appId}/channels/storemappings | 
*Flipdish.ClientsApi* | [**getClient**](docs/ClientsApi.md#getClient) | **GET** /api/v1.0/clients/{clientId} | 
*Flipdish.ClientsApi* | [**setSalesForceContactId**](docs/ClientsApi.md#setSalesForceContactId) | **POST** /api/v1.0/clients/{clientId}/salesforcecontactid | 
*Flipdish.ClientsApi* | [**setStripeCustomerId**](docs/ClientsApi.md#setStripeCustomerId) | **POST** /api/v1.0/clients/{clientId}/stripecustomerid | 
*Flipdish.ContentSecurityPolicyApi* | [**contentSecurityPolicyReport**](docs/ContentSecurityPolicyApi.md#contentSecurityPolicyReport) | **POST** /api/v1.0/csp/report | 
*Flipdish.CrossSellApi* | [**getCrossSellMenuItems**](docs/CrossSellApi.md#getCrossSellMenuItems) | **GET** /api/v1.0/{appId}/crossSell/menuItems | 
*Flipdish.CustomersApi* | [**createCustomer**](docs/CustomersApi.md#createCustomer) | **POST** /api/v1.0/{appId}/customers | 
*Flipdish.CustomersApi* | [**getCustomerById**](docs/CustomersApi.md#getCustomerById) | **GET** /api/v1.0/{appId}/customers/{customerId} | 
*Flipdish.CustomersApi* | [**updateCustomerById**](docs/CustomersApi.md#updateCustomerById) | **POST** /api/v1.0/{appId}/customers/{customerId} | 
*Flipdish.DeliveryZoneApi* | [**addDeliveryZone**](docs/DeliveryZoneApi.md#addDeliveryZone) | **POST** /api/v1.0/stores/{storeId}/deliveryzones | 
*Flipdish.DeliveryZoneApi* | [**getDeliveryZones**](docs/DeliveryZoneApi.md#getDeliveryZones) | **GET** /api/v1.0/stores/{storeId}/deliveryzones | 
*Flipdish.DeliveryZoneApi* | [**removeDeliveryZone**](docs/DeliveryZoneApi.md#removeDeliveryZone) | **DELETE** /api/v1.0/stores/{storeId}/deliveryzones/{deliveryZoneId} | 
*Flipdish.DeliveryZoneApi* | [**updateDeliveryZone**](docs/DeliveryZoneApi.md#updateDeliveryZone) | **POST** /api/v1.0/stores/{storeId}/deliveryzones/{deliveryZoneId} | 
*Flipdish.DeviceApi* | [**assignDevice**](docs/DeviceApi.md#assignDevice) | **POST** /api/v1.0/{appId}/devices/assign | 
*Flipdish.DeviceApi* | [**enrollDevice**](docs/DeviceApi.md#enrollDevice) | **POST** /api/v1.0/{appId}/devices/enroll | 
*Flipdish.DeviceApi* | [**getDeviceDetails**](docs/DeviceApi.md#getDeviceDetails) | **GET** /api/v1.0/{appId}/devices/device/{deviceModel}/{deviceId} | 
*Flipdish.DeviceApi* | [**searchDevices**](docs/DeviceApi.md#searchDevices) | **GET** /api/v1.0/{appId}/devices/search | 
*Flipdish.DriversApi* | [**driversAddDriverNotificationToken**](docs/DriversApi.md#driversAddDriverNotificationToken) | **POST** /api/v1.0/drivers/token | 
*Flipdish.DriversApi* | [**driversDeleteDriverProfileImage**](docs/DriversApi.md#driversDeleteDriverProfileImage) | **DELETE** /api/v1.0/drivers/profile/image | 
*Flipdish.DriversApi* | [**driversDriverLogin**](docs/DriversApi.md#driversDriverLogin) | **POST** /api/v1.0/drivers/login | 
*Flipdish.DriversApi* | [**driversDriverRequestLoginCodeSms**](docs/DriversApi.md#driversDriverRequestLoginCodeSms) | **POST** /api/v1.0/drivers/pin | 
*Flipdish.DriversApi* | [**driversGetDriverProfile**](docs/DriversApi.md#driversGetDriverProfile) | **GET** /api/v1.0/drivers/profile | 
*Flipdish.DriversApi* | [**driversGetStoresForDriver**](docs/DriversApi.md#driversGetStoresForDriver) | **GET** /api/v1.0/drivers/assignedstores | 
*Flipdish.DriversApi* | [**driversRemoveDriverNotificationToken**](docs/DriversApi.md#driversRemoveDriverNotificationToken) | **DELETE** /api/v1.0/drivers/token | 
*Flipdish.DriversApi* | [**driversSetDriverPresenceForStore**](docs/DriversApi.md#driversSetDriverPresenceForStore) | **POST** /api/v1.0/drivers/stores/{storeId}/presence/{presence} | 
*Flipdish.DriversApi* | [**driversSetDriverProfileImage**](docs/DriversApi.md#driversSetDriverProfileImage) | **POST** /api/v1.0/drivers/profile/image | 
*Flipdish.DriversApi* | [**driversUpdateDeliveryTrackingStatus**](docs/DriversApi.md#driversUpdateDeliveryTrackingStatus) | **POST** /api/v1.0/orders/{orderId}/tracking/{deliveryTrackingStatus} | 
*Flipdish.DriversApi* | [**driversUpdateDriverProfile**](docs/DriversApi.md#driversUpdateDriverProfile) | **POST** /api/v1.0/drivers/profile | 
*Flipdish.EventsApi* | [**getCustomerEvents**](docs/EventsApi.md#getCustomerEvents) | **GET** /api/v1.0/{appId}/events/customer/{customerId} | 
*Flipdish.EventsApi* | [**getEvents**](docs/EventsApi.md#getEvents) | **GET** /api/v1.0/{appId}/events | 
*Flipdish.EventsApi* | [**getEventsById**](docs/EventsApi.md#getEventsById) | **GET** /api/v1.0/{appId}/events/{eventId} | 
*Flipdish.EventsApi* | [**getMenuEvents**](docs/EventsApi.md#getMenuEvents) | **GET** /api/v1.0/{appId}/events/menu/{menuId} | 
*Flipdish.EventsApi* | [**getOrderEvents**](docs/EventsApi.md#getOrderEvents) | **GET** /api/v1.0/{appId}/events/order/{orderId} | 
*Flipdish.EventsApi* | [**getOrderEventsByCustomer**](docs/EventsApi.md#getOrderEventsByCustomer) | **GET** /api/v1.0/{appId}/events/order | 
*Flipdish.EventsApi* | [**getStoreEvents**](docs/EventsApi.md#getStoreEvents) | **GET** /api/v1.0/{appId}/events/store/{storeId} | 
*Flipdish.EventsApi* | [**getUserEvents**](docs/EventsApi.md#getUserEvents) | **GET** /api/v1.0/{appId}/events/user/{userId} | 
*Flipdish.EventsApi* | [**getWhiteLabelEvents**](docs/EventsApi.md#getWhiteLabelEvents) | **GET** /api/v1.0/{appId}/events/whitelabel/{whitelabelId} | 
*Flipdish.FeaturesApi* | [**disableFeatures**](docs/FeaturesApi.md#disableFeatures) | **POST** /api/v1.0/{appId}/features/disable | 
*Flipdish.FeaturesApi* | [**enableFeatures**](docs/FeaturesApi.md#enableFeatures) | **POST** /api/v1.0/{appId}/features/enable | 
*Flipdish.FilesApi* | [**downloadFile**](docs/FilesApi.md#downloadFile) | **GET** /api/v1.0/{appId}/files/download/{fileId} | 
*Flipdish.FirebaseAppsApi* | [**firebaseAppsAddFirebaseApp**](docs/FirebaseAppsApi.md#firebaseAppsAddFirebaseApp) | **POST** /api/v1.0/FirebaseApp | 
*Flipdish.FirebaseAppsApi* | [**firebaseAppsDeleteFirebaseApp**](docs/FirebaseAppsApi.md#firebaseAppsDeleteFirebaseApp) | **DELETE** /api/v1.0/FirebaseApp/{whiteLabelId} | 
*Flipdish.FirebaseAppsApi* | [**firebaseAppsGetFirebaseApp**](docs/FirebaseAppsApi.md#firebaseAppsGetFirebaseApp) | **GET** /api/v1.0/FirebaseApp/{whitelabelId} | 
*Flipdish.FpmApi* | [**createFpmForStore**](docs/FpmApi.md#createFpmForStore) | **POST** /api/v1.0/{storeId}/fpm | 
*Flipdish.FpmApi* | [**editFpmForStore**](docs/FpmApi.md#editFpmForStore) | **POST** /api/v1.0/{storeId}/fpm/edit | 
*Flipdish.FpmApi* | [**getFpmForStore**](docs/FpmApi.md#getFpmForStore) | **GET** /api/v1.0/{storeId}/fpm | 
*Flipdish.FulfillmentStateConfigurationApi* | [**createFulfillmentStatesConfig**](docs/FulfillmentStateConfigurationApi.md#createFulfillmentStatesConfig) | **POST** /api/v1.0/{appId}/fulfillment/configuration/states | 
*Flipdish.FulfillmentStateConfigurationApi* | [**deleteFulfillmentStatesConfig**](docs/FulfillmentStateConfigurationApi.md#deleteFulfillmentStatesConfig) | **DELETE** /api/v1.0/{appId}/fulfillment/configuration/states/{configId} | 
*Flipdish.FulfillmentStateConfigurationApi* | [**getFulfillmentStatesConfiguration**](docs/FulfillmentStateConfigurationApi.md#getFulfillmentStatesConfiguration) | **GET** /api/v1.0/{appId}/fulfillment/configuration/states/{configId} | 
*Flipdish.FulfillmentStateConfigurationApi* | [**getFulfillmentStatesConfigurationTemplate**](docs/FulfillmentStateConfigurationApi.md#getFulfillmentStatesConfigurationTemplate) | **GET** /api/v1.0/{appId}/fulfillment/configuration/states_template | 
*Flipdish.FulfillmentStateConfigurationApi* | [**searchFulfillmentStatesConfigurations**](docs/FulfillmentStateConfigurationApi.md#searchFulfillmentStatesConfigurations) | **GET** /api/v1.0/{appId}/fulfillment/configuration/states | 
*Flipdish.FulfillmentStateConfigurationApi* | [**updateFulfillmentStatesConfig**](docs/FulfillmentStateConfigurationApi.md#updateFulfillmentStatesConfig) | **POST** /api/v1.0/{appId}/fulfillment/configuration/states/{configId} | 
*Flipdish.HeartbeatApi* | [**headHostname**](docs/HeartbeatApi.md#headHostname) | **HEAD** /api/v1.0/heartbeat/Hostname | 
*Flipdish.HeartbeatApi* | [**headPing**](docs/HeartbeatApi.md#headPing) | **HEAD** /api/v1.0/heartbeat | 
*Flipdish.HeartbeatApi* | [**hostname**](docs/HeartbeatApi.md#hostname) | **GET** /api/v1.0/heartbeat/Hostname | 
*Flipdish.HeartbeatApi* | [**ping**](docs/HeartbeatApi.md#ping) | **GET** /api/v1.0/heartbeat | 
*Flipdish.HomeApi* | [**completeHomeAction**](docs/HomeApi.md#completeHomeAction) | **POST** /api/v1.0/{appId}/home/{homeActionId} | 
*Flipdish.HomeApi* | [**getHomeActions**](docs/HomeApi.md#getHomeActions) | **GET** /api/v1.0/{appId}/home | 
*Flipdish.HomeApi* | [**getHomeStatistics**](docs/HomeApi.md#getHomeStatistics) | **GET** /api/v1.0/{appId}/home/stats | 
*Flipdish.HomeApi* | [**getOktaPortalFeatureFlag**](docs/HomeApi.md#getOktaPortalFeatureFlag) | **GET** /api/v1.0/home/okta-portal | 
*Flipdish.HydraApi* | [**assignEmv**](docs/HydraApi.md#assignEmv) | **POST** /api/v1.0/{appId}/hydra/emvterminal/assign/{hydraConfigId}/{emvTerminalId} | 
*Flipdish.HydraApi* | [**attachStoreToKiosk**](docs/HydraApi.md#attachStoreToKiosk) | **POST** /api/v1.0/{appId}/AttachStoreToKiosk/{deviceId}/store/{storeId} | 
*Flipdish.HydraApi* | [**attachStoreToTerminal**](docs/HydraApi.md#attachStoreToTerminal) | **POST** /api/v1.0/{appId}/hydra/{deviceId}/attach/{storeId} | 
*Flipdish.HydraApi* | [**cancelEmvPayment**](docs/HydraApi.md#cancelEmvPayment) | **POST** /api/v1.0/{appId}/hydra/cancelemvpayment/{orderId} | 
*Flipdish.HydraApi* | [**detachStoreFromTerminal**](docs/HydraApi.md#detachStoreFromTerminal) | **POST** /api/v1.0/{appId}/hydra/{deviceId}/detach/{storeId} | 
*Flipdish.HydraApi* | [**getAblyToken**](docs/HydraApi.md#getAblyToken) | **GET** /api/v1.0/hydra/ably_token | 
*Flipdish.HydraApi* | [**getAttachedDevice**](docs/HydraApi.md#getAttachedDevice) | **GET** /api/v1.0/{appId}/hydra/{deviceType}/{deviceId} | 
*Flipdish.HydraApi* | [**getAttachedDevices**](docs/HydraApi.md#getAttachedDevices) | **GET** /api/v1.0/{appId}/hydra/{deviceType}/list | 
*Flipdish.HydraApi* | [**getEMVTerminalDetails**](docs/HydraApi.md#getEMVTerminalDetails) | **GET** /api/v1.0/{appId}/hydra/emvterminal | 
*Flipdish.HydraApi* | [**getEmvOrderState**](docs/HydraApi.md#getEmvOrderState) | **GET** /api/v1.0/{appId}/hydra/emvorderstate/{orderId} | 
*Flipdish.HydraApi* | [**getKioskCashPaymentSettings**](docs/HydraApi.md#getKioskCashPaymentSettings) | **GET** /api/v1.0/{appId}/kioskcashsettings/{deviceId} | 
*Flipdish.HydraApi* | [**getKioskSettings**](docs/HydraApi.md#getKioskSettings) | **GET** /api/v1.0/{appId}/kiosksettings/{deviceId} | 
*Flipdish.HydraApi* | [**getRegistration**](docs/HydraApi.md#getRegistration) | **GET** /api/v1.0/hydra/registration | 
*Flipdish.HydraApi* | [**getSettings**](docs/HydraApi.md#getSettings) | **GET** /api/v1.0/hydra/settings | 
*Flipdish.HydraApi* | [**hydraCreateEmv**](docs/HydraApi.md#hydraCreateEmv) | **POST** /api/v1.0/{appId}/emvterminals | 
*Flipdish.HydraApi* | [**hydraDeleteEmv**](docs/HydraApi.md#hydraDeleteEmv) | **DELETE** /api/v1.0/{appId}/emvterminals/{id} | 
*Flipdish.HydraApi* | [**hydraDetachStoreFromKiosk**](docs/HydraApi.md#hydraDetachStoreFromKiosk) | **DELETE** /api/v1.0/{appId}/DetachStoreFromKiosk/{deviceId}/store/{storeId} | 
*Flipdish.HydraApi* | [**hydraGetEmvsForAppId**](docs/HydraApi.md#hydraGetEmvsForAppId) | **GET** /api/v1.0/{appId}/emvterminals | 
*Flipdish.HydraApi* | [**loginWithDeviceId**](docs/HydraApi.md#loginWithDeviceId) | **POST** /api/v1.0/hydra/{deviceId}/login | 
*Flipdish.HydraApi* | [**register**](docs/HydraApi.md#register) | **POST** /api/v1.0/{appId}/hydra/registration | 
*Flipdish.HydraApi* | [**unAssign**](docs/HydraApi.md#unAssign) | **DELETE** /api/v1.0/{appId}/hydra/{deviceId}/registration | 
*Flipdish.HydraApi* | [**unassignEmv**](docs/HydraApi.md#unassignEmv) | **POST** /api/v1.0/{appId}/hydra/emvterminal/unassign/{hydraConfigId} | 
*Flipdish.HydraApi* | [**updateKioskCashVisibilitySettings**](docs/HydraApi.md#updateKioskCashVisibilitySettings) | **POST** /api/v1.0/{appId}/kioskupdatecashsettings | 
*Flipdish.HydraApi* | [**updateKioskSettings**](docs/HydraApi.md#updateKioskSettings) | **POST** /api/v1.0/{appId}/kiosksettings/{deviceId} | 
*Flipdish.IntercomApi* | [**userHash**](docs/IntercomApi.md#userHash) | **GET** /api/v1.0/intercom/userHash | 
*Flipdish.InvoicesApi* | [**getInvoices**](docs/InvoicesApi.md#getInvoices) | **GET** /api/v1.0/{appId}/invoices | 
*Flipdish.InvoicesApi* | [**invoicePdf**](docs/InvoicesApi.md#invoicePdf) | **GET** /api/v1.0/{appId}/invoices/InvoicePdf | 
*Flipdish.InvoicesApi* | [**listInvoices**](docs/InvoicesApi.md#listInvoices) | **GET** /api/v1.0/{appId}/invoices/ListInvoices | 
*Flipdish.InvoicesApi* | [**listSubscriptionInvoices**](docs/InvoicesApi.md#listSubscriptionInvoices) | **GET** /api/v1.0/{appId}/invoices/ListSubscriptionInvoices | 
*Flipdish.KioskEntitlementsApi* | [**queryKioskEntitlementsByOrgId**](docs/KioskEntitlementsApi.md#queryKioskEntitlementsByOrgId) | **GET** /api/v1.0/orgs/{orgId}/kiosk/entitlements | 
*Flipdish.KioskIotApi* | [**getKioskIotConnection**](docs/KioskIotApi.md#getKioskIotConnection) | **POST** /api/v1.0/kioskiot/connect | 
*Flipdish.KioskIotApi* | [**queryTelemetrySeries**](docs/KioskIotApi.md#queryTelemetrySeries) | **POST** /api/v1.0/{appId}/kioskiot/timeseries/query | 
*Flipdish.LightspeedApi* | [**lightspeedGenerateMenu**](docs/LightspeedApi.md#lightspeedGenerateMenu) | **POST** /api/v1.0/lightspeed/{storeId}/menu/generate | 
*Flipdish.LightspeedApi* | [**lightspeedGetStoreSettings**](docs/LightspeedApi.md#lightspeedGetStoreSettings) | **GET** /api/v1.0/lightspeed/{storeId}/settings | 
*Flipdish.LightspeedApi* | [**lightspeedSaveStoreSettings**](docs/LightspeedApi.md#lightspeedSaveStoreSettings) | **POST** /api/v1.0/lightspeed/{storeId}/settings | 
*Flipdish.LocationApi* | [**createLocation**](docs/LocationApi.md#createLocation) | **POST** /api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location | 
*Flipdish.LocationApi* | [**deleteLocation**](docs/LocationApi.md#deleteLocation) | **DELETE** /api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location/{locationId}/delete | 
*Flipdish.LocationApi* | [**mapLocationToExternalId**](docs/LocationApi.md#mapLocationToExternalId) | **POST** /api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location/{locationId}/map-external | 
*Flipdish.LocationApi* | [**moveLocation**](docs/LocationApi.md#moveLocation) | **POST** /api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location/{locationId}/move | 
*Flipdish.LocationApi* | [**updateLocation**](docs/LocationApi.md#updateLocation) | **POST** /api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location/{locationId}/update | 
*Flipdish.LocationAreasApi* | [**createLocationArea**](docs/LocationAreasApi.md#createLocationArea) | **POST** /api/v1.0/{appId}/stores/{storeId}/location-areas | 
*Flipdish.LocationAreasApi* | [**getLocationArea**](docs/LocationAreasApi.md#getLocationArea) | **GET** /api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId} | 
*Flipdish.LocationAreasApi* | [**getLocationAreasForStore**](docs/LocationAreasApi.md#getLocationAreasForStore) | **GET** /api/v1.0/{appId}/stores/{storeId}/location-areas | 
*Flipdish.LocationAreasApi* | [**updateLocationArea**](docs/LocationAreasApi.md#updateLocationArea) | **POST** /api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/update | 
*Flipdish.LookerDashboardApi* | [**lookerDashboardGetAll**](docs/LookerDashboardApi.md#lookerDashboardGetAll) | **GET** /api/v1.0/{appId}/looker/dashboards | 
*Flipdish.LookerSingleSignOnApi* | [**getSSOEndpoint**](docs/LookerSingleSignOnApi.md#getSSOEndpoint) | **GET** /api/v1.0/{appId}/looker/sso | 
*Flipdish.MenuOptionSetItemsApi* | [**addMenuItemOptionSetItem**](docs/MenuOptionSetItemsApi.md#addMenuItemOptionSetItem) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/optionsetitems | Create menu item option set item
*Flipdish.MenuOptionSetItemsApi* | [**deleteOptionSetItemImage**](docs/MenuOptionSetItemsApi.md#deleteOptionSetItemImage) | **DELETE** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/optionsetitems/{menuItemOptionSetItemId}/image | Delete menu item option set item image
*Flipdish.MenuOptionSetItemsApi* | [**getMenuItemOptionSetItemById**](docs/MenuOptionSetItemsApi.md#getMenuItemOptionSetItemById) | **GET** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/optionsetitems/{menuItemOptionSetItemId} | Get menu item option set item by identifier
*Flipdish.MenuOptionSetItemsApi* | [**getMenuItemOptionSetItems**](docs/MenuOptionSetItemsApi.md#getMenuItemOptionSetItems) | **GET** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/optionsetitems | Get menu item option set items
*Flipdish.MenuOptionSetItemsApi* | [**removeMenuItemOptionSetItem**](docs/MenuOptionSetItemsApi.md#removeMenuItemOptionSetItem) | **DELETE** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/optionsetitems/{menuItemOptionSetItemId} | Delete menu item option set item
*Flipdish.MenuOptionSetItemsApi* | [**setOptionSetItemTax**](docs/MenuOptionSetItemsApi.md#setOptionSetItemTax) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/optionsetitems/{menuItemOptionSetItemId}/taxrate/{taxRateId} | Set Tax Rate on OptionSetItem
*Flipdish.MenuOptionSetItemsApi* | [**updateMenuItemOptionSetItem**](docs/MenuOptionSetItemsApi.md#updateMenuItemOptionSetItem) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/optionsetitems/{menuItemOptionSetItemId} | Update menu item option set item
*Flipdish.MenuOptionSetItemsApi* | [**uploadOptionSetItemImage**](docs/MenuOptionSetItemsApi.md#uploadOptionSetItemImage) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/optionsetitems/{menuItemOptionSetItemId}/image | Upload menu item option set item image
*Flipdish.MenuOptionSetsApi* | [**createMenuItemOptionSet**](docs/MenuOptionSetsApi.md#createMenuItemOptionSet) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets | Create menu item option set
*Flipdish.MenuOptionSetsApi* | [**deleteMenuItemOptionSet**](docs/MenuOptionSetsApi.md#deleteMenuItemOptionSet) | **DELETE** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId} | Delete menu item option set
*Flipdish.MenuOptionSetsApi* | [**deleteOptionSetImage**](docs/MenuOptionSetsApi.md#deleteOptionSetImage) | **DELETE** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/image | Delete option set image
*Flipdish.MenuOptionSetsApi* | [**getMenuItemOptionSetById**](docs/MenuOptionSetsApi.md#getMenuItemOptionSetById) | **GET** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId} | Get menu item option set by identifier
*Flipdish.MenuOptionSetsApi* | [**getMenuItemOptionSets**](docs/MenuOptionSetsApi.md#getMenuItemOptionSets) | **GET** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets | Get menu item option sets
*Flipdish.MenuOptionSetsApi* | [**updateMenuItemOptionSet**](docs/MenuOptionSetsApi.md#updateMenuItemOptionSet) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId} | Update menu item option set
*Flipdish.MenuOptionSetsApi* | [**uploadOptionSetImage**](docs/MenuOptionSetsApi.md#uploadOptionSetImage) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/optionsets/{optionSetId}/image | Upload menu item option set image
*Flipdish.MenuSectionItemsApi* | [**cloneMenuSectionItem**](docs/MenuSectionItemsApi.md#cloneMenuSectionItem) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/clone | Clone menu section item
*Flipdish.MenuSectionItemsApi* | [**createMenuSectionItem**](docs/MenuSectionItemsApi.md#createMenuSectionItem) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems | Create menu section item
*Flipdish.MenuSectionItemsApi* | [**createMenuSectionItemFromCatalogItems**](docs/MenuSectionItemsApi.md#createMenuSectionItemFromCatalogItems) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/add-catalogitems | Create menu section items from a list of Catalog Items
*Flipdish.MenuSectionItemsApi* | [**deleteMenuSectionItem**](docs/MenuSectionItemsApi.md#deleteMenuSectionItem) | **DELETE** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId} | Delete menu section item
*Flipdish.MenuSectionItemsApi* | [**deleteMenuSectionItemImage**](docs/MenuSectionItemsApi.md#deleteMenuSectionItemImage) | **DELETE** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/image | Delete menu section item image
*Flipdish.MenuSectionItemsApi* | [**getMenuItemById**](docs/MenuSectionItemsApi.md#getMenuItemById) | **GET** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId} | Get menu item by identifier
*Flipdish.MenuSectionItemsApi* | [**getMenuItems**](docs/MenuSectionItemsApi.md#getMenuItems) | **GET** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems | Get menu items
*Flipdish.MenuSectionItemsApi* | [**moveMenuItem**](docs/MenuSectionItemsApi.md#moveMenuItem) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/setorder/{destinationDisplayOrder} | Move an Item within a menu
*Flipdish.MenuSectionItemsApi* | [**setSectionItemTax**](docs/MenuSectionItemsApi.md#setSectionItemTax) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/taxrate/{taxRateId} | Set tax rate for menu item
*Flipdish.MenuSectionItemsApi* | [**updateMenuSectionItem**](docs/MenuSectionItemsApi.md#updateMenuSectionItem) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId} | Update menu section item
*Flipdish.MenuSectionItemsApi* | [**uploadMenuSectionItemImage**](docs/MenuSectionItemsApi.md#uploadMenuSectionItemImage) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/image | Upload menu section item image
*Flipdish.MenuSectionsApi* | [**cloneMenuSection**](docs/MenuSectionsApi.md#cloneMenuSection) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/clone | Clone menu section
*Flipdish.MenuSectionsApi* | [**createMenuAvailabilityForDay**](docs/MenuSectionsApi.md#createMenuAvailabilityForDay) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/availability/times/{dayOfWeek} | Set/update menu section availability hours.
*Flipdish.MenuSectionsApi* | [**createMenuSection**](docs/MenuSectionsApi.md#createMenuSection) | **POST** /api/v1.0/menus/{menuId}/sections | Create menu section
*Flipdish.MenuSectionsApi* | [**createMenuSectionAvailability**](docs/MenuSectionsApi.md#createMenuSectionAvailability) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/availability | Create menu availability type
*Flipdish.MenuSectionsApi* | [**deleteMenuSection**](docs/MenuSectionsApi.md#deleteMenuSection) | **DELETE** /api/v1.0/menus/{menuId}/sections/{menuSectionId} | Delete menu section
*Flipdish.MenuSectionsApi* | [**deleteMenuSectionImage**](docs/MenuSectionsApi.md#deleteMenuSectionImage) | **DELETE** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/image | Delete menu section image
*Flipdish.MenuSectionsApi* | [**getMenuSectionById**](docs/MenuSectionsApi.md#getMenuSectionById) | **GET** /api/v1.0/menus/{menuId}/sections/{menuSectionId} | Get menu section by identifier
*Flipdish.MenuSectionsApi* | [**getMenuSections**](docs/MenuSectionsApi.md#getMenuSections) | **GET** /api/v1.0/menus/{menuId}/sections | Get menu sections
*Flipdish.MenuSectionsApi* | [**menuSectionsSetItemDisplayOrders**](docs/MenuSectionsApi.md#menuSectionsSetItemDisplayOrders) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitemdisplayorders | Re-arrange Items within a Section
*Flipdish.MenuSectionsApi* | [**updateMenuSection**](docs/MenuSectionsApi.md#updateMenuSection) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId} | Update menu section
*Flipdish.MenuSectionsApi* | [**uploadMenuSectionImage**](docs/MenuSectionsApi.md#uploadMenuSectionImage) | **POST** /api/v1.0/menus/{menuId}/sections/{menuSectionId}/image | Upload menu section image
*Flipdish.MenuZonesApi* | [**addMenuZone**](docs/MenuZonesApi.md#addMenuZone) | **POST** /api/v1.0/menus/{menuId}/zones | Adds a new menu zone to a menu.
*Flipdish.MenuZonesApi* | [**deleteMenuZone**](docs/MenuZonesApi.md#deleteMenuZone) | **DELETE** /api/v1.0/menus/{menuId}/zones/{menuZoneId} | Deletes a menu zone.
*Flipdish.MenuZonesApi* | [**deleteMenuZoneImage**](docs/MenuZonesApi.md#deleteMenuZoneImage) | **DELETE** /api/v1.0/menus/{menuId}/zones/{menuZoneId}/image | Deletes a menu zone image.
*Flipdish.MenuZonesApi* | [**flipMenuZones**](docs/MenuZonesApi.md#flipMenuZones) | **PUT** /api/v1.0/menus/{menuId}/zones/{menuZoneId}/flip/{menuZoneI2} | Flips the order of two menu zones.
*Flipdish.MenuZonesApi* | [**getMenuZone**](docs/MenuZonesApi.md#getMenuZone) | **GET** /api/v1.0/menus/{menuId}/zones/{menuZoneId} | Gets a specific menu zone for a given zone id
*Flipdish.MenuZonesApi* | [**getMenuZonesForMenuId**](docs/MenuZonesApi.md#getMenuZonesForMenuId) | **GET** /api/v1.0/menus/{menuId}/zones | Gets all the menu zones for a menu
*Flipdish.MenuZonesApi* | [**setMenuSectionMenuZone**](docs/MenuZonesApi.md#setMenuSectionMenuZone) | **PUT** /api/v1.0/menus/{menuId}/zones/{menuZoneId}/section/{menuSectionId} | Sets a zone to a menu section.
*Flipdish.MenuZonesApi* | [**setMenuZoneDescription**](docs/MenuZonesApi.md#setMenuZoneDescription) | **PUT** /api/v1.0/menus/{menuId}/zones/{menuZoneId}/description | Sets the description of a menu zone.
*Flipdish.MenuZonesApi* | [**setMenuZoneName**](docs/MenuZonesApi.md#setMenuZoneName) | **PUT** /api/v1.0/menus/{menuId}/zones/{menuZoneId}/name/{menuZoneName} | Sets the name of a menu zone.
*Flipdish.MenuZonesApi* | [**updateMenuZone**](docs/MenuZonesApi.md#updateMenuZone) | **PUT** /api/v1.0/menus/{menuId}/zones/{menuZoneId} | Updates a menu zone.
*Flipdish.MenuZonesApi* | [**uploadMenuZoneImage**](docs/MenuZonesApi.md#uploadMenuZoneImage) | **POST** /api/v1.0/menus/{menuId}/zones/{menuZoneId}/image | Uploads an image for a menu zone.
*Flipdish.MenusApi* | [**createDraftMenuFromExistingMenu**](docs/MenusApi.md#createDraftMenuFromExistingMenu) | **POST** /api/v1.0/menus/{menuId}/clone/{newName} | Clone a menu, (without attaching stores)
*Flipdish.MenusApi* | [**createNewMenuAsync**](docs/MenusApi.md#createNewMenuAsync) | **POST** /api/v1.0/{appId}/menus/async | Create a new menu asynchronously
*Flipdish.MenusApi* | [**createNewMenuForApp**](docs/MenusApi.md#createNewMenuForApp) | **POST** /api/v1.0/{appId}/menus | Create a new menu
*Flipdish.MenusApi* | [**deleteMenu**](docs/MenusApi.md#deleteMenu) | **DELETE** /api/v1.0/menus/{menuId} | Mark a Menu as Deleted
*Flipdish.MenusApi* | [**deleteMenuImage**](docs/MenusApi.md#deleteMenuImage) | **DELETE** /api/v1.0/menus/{menuId}/image | Delete menu image
*Flipdish.MenusApi* | [**deleteMenuItemMetadata**](docs/MenusApi.md#deleteMenuItemMetadata) | **DELETE** /api/v1.0/menus/{menuId}/menuitem/{menuItemId}/metadata/{key}/store/{storeId} | Delete menu item metadata
*Flipdish.MenusApi* | [**getAllMenuMetadataByMenuIdAndStoreId**](docs/MenusApi.md#getAllMenuMetadataByMenuIdAndStoreId) | **GET** /api/v1.0/menus/{menuId}/metadata/store/{storeId} | Get all menu metadata by menu ID and store ID
*Flipdish.MenusApi* | [**getMenuById**](docs/MenusApi.md#getMenuById) | **GET** /api/v1.0/menus/{menuId} | Get menu by identifier
*Flipdish.MenusApi* | [**getMenuItemMetadata**](docs/MenusApi.md#getMenuItemMetadata) | **GET** /api/v1.0/menus/{menuId}/menuitem/{menuItemId}/metadata/store/{storeId} | Get menu item metadata
*Flipdish.MenusApi* | [**getMenuItemMetadataByKey**](docs/MenusApi.md#getMenuItemMetadataByKey) | **GET** /api/v1.0/menus/{menuId}/menuitem/{menuItemId}/metadata/{key}/store/{storeId} | Get menu item metadata by key
*Flipdish.MenusApi* | [**getMenuItemOptionSetItemMetadata**](docs/MenusApi.md#getMenuItemOptionSetItemMetadata) | **GET** /api/v1.0/menus/{menuId}/optionsetitem/{optionSetItemId}/metadata/store/{storeId} | Get menu item option set item metadata by key
*Flipdish.MenusApi* | [**getMenuName**](docs/MenusApi.md#getMenuName) | **GET** /api/v1.0/menus/{menuId}/name | Get Menus Name
*Flipdish.MenusApi* | [**getMenuStoreNames**](docs/MenusApi.md#getMenuStoreNames) | **GET** /api/v1.0/menus/{menuId}/stores | Get menus store names
*Flipdish.MenusApi* | [**getMenuTaxDetails**](docs/MenusApi.md#getMenuTaxDetails) | **GET** /api/v1.0/menus/{menuId}/tax | Get menus tax details
*Flipdish.MenusApi* | [**getMenusByAppId**](docs/MenusApi.md#getMenusByAppId) | **GET** /api/v1.0/{appId}/menus | Get menus by appId
*Flipdish.MenusApi* | [**getMenusCheckpoints**](docs/MenusApi.md#getMenusCheckpoints) | **GET** /api/v1.0/menus/{menuId}/checkpoints | Get a Menus Checkpoints
*Flipdish.MenusApi* | [**menusDeleteTaxRate**](docs/MenusApi.md#menusDeleteTaxRate) | **DELETE** /api/v1.0/menus/{menuId}/tax/{taxId} | Remove a Menus Tax Rate, can only remove a tax rate that does not have items/optionSetItems attached
*Flipdish.MenusApi* | [**menusGetMenuBulkShowHide**](docs/MenusApi.md#menusGetMenuBulkShowHide) | **GET** /api/v1.0/menus/{menuId}/bulkshowhide/list | Get bulk show/hide menu items and option set items
*Flipdish.MenusApi* | [**menusSetDisplayOnMenuTax**](docs/MenusApi.md#menusSetDisplayOnMenuTax) | **POST** /api/v1.0/menus/{menuId}/tax/show/{show} | Set if tax shows for a Menu
*Flipdish.MenusApi* | [**menusSetItemDisplayOrders**](docs/MenusApi.md#menusSetItemDisplayOrders) | **POST** /api/v1.0/menus/{menuId}/sectiondisplayorders | Re-arrange Sections within a Menu
*Flipdish.MenusApi* | [**menusShowHideBulkItems**](docs/MenusApi.md#menusShowHideBulkItems) | **POST** /api/v1.0/menus/{menuId}/bulkshowhide | Bulk show/hide menu items or option set items
*Flipdish.MenusApi* | [**menusUpdateTaxType**](docs/MenusApi.md#menusUpdateTaxType) | **POST** /api/v1.0/menus/{menuId}/tax/type/{type} | Set the type of Tax on a Menu
*Flipdish.MenusApi* | [**menusUpsertTaxRate**](docs/MenusApi.md#menusUpsertTaxRate) | **POST** /api/v1.0/menus/{menuId}/taxrate | Add/Update a Tax Rate
*Flipdish.MenusApi* | [**restoreAMenuCheckpoint**](docs/MenusApi.md#restoreAMenuCheckpoint) | **POST** /api/v1.0/menus/{menuId}/checkpoints/{checkpointId}/restore | Restore a Menu to a checkpoint
*Flipdish.MenusApi* | [**setMenuItemMetadata**](docs/MenusApi.md#setMenuItemMetadata) | **PUT** /api/v1.0/menus/{menuId}/menuitem/{menuItemId}/metadata/store/{storeId} | Update menu item metadata
*Flipdish.MenusApi* | [**setMenuItemOptionSetItemMetadata**](docs/MenusApi.md#setMenuItemOptionSetItemMetadata) | **PUT** /api/v1.0/menus/{menuId}/optionsetitem/{optionSetItemId}/metadata/store/{storeId} | Update menu item option set item metadata
*Flipdish.MenusApi* | [**setMenuLock**](docs/MenusApi.md#setMenuLock) | **POST** /api/v1.0/menus/{menuId}/lock | Lock/Unlock a Menu for Editing
*Flipdish.MenusApi* | [**setMenuName**](docs/MenusApi.md#setMenuName) | **POST** /api/v1.0/menus/{menuId}/name | Set Menus Name
*Flipdish.MenusApi* | [**updateMenu**](docs/MenusApi.md#updateMenu) | **POST** /api/v1.0/menus/{menuId} | Update menu
*Flipdish.MenusApi* | [**uploadMenuImage**](docs/MenusApi.md#uploadMenuImage) | **POST** /api/v1.0/menus/{menuId}/image | Upload menu image
*Flipdish.MenusApi* | [**uploadNewMenuForApp**](docs/MenusApi.md#uploadNewMenuForApp) | **POST** /api/v1.0/{appId}/menus/xlsx | Create a new menu from xlsx file.
*Flipdish.MenusNutritionInfoApi* | [**addOrUpdateMenuItemNutritionInfo**](docs/MenusNutritionInfoApi.md#addOrUpdateMenuItemNutritionInfo) | **POST** /api/v1.0/menus/{menuId}/menuItem/{publicId}/nutrition | Add or update menuitem nutrition info by menu item&#39;s publicId
*Flipdish.MenusNutritionInfoApi* | [**addOrUpdateMenuItemOptionSetItemNutritionInfo**](docs/MenusNutritionInfoApi.md#addOrUpdateMenuItemOptionSetItemNutritionInfo) | **POST** /api/v1.0/menus/{menuId}/menuItemOption/{publicId}/nutrition | Add or update menuitem optionsetitem nutrition info its publicId
*Flipdish.MenusNutritionInfoApi* | [**addOrUpdateMenuNutritionInfoByMenuId**](docs/MenusNutritionInfoApi.md#addOrUpdateMenuNutritionInfoByMenuId) | **POST** /api/v1.0/menus/{menuId}/nutrition | Add or update menu nutrition by identifier
*Flipdish.MenusNutritionInfoApi* | [**deleteMenuNutritionInfoByMenuId**](docs/MenusNutritionInfoApi.md#deleteMenuNutritionInfoByMenuId) | **DELETE** /api/v1.0/menus/{menuId}/nutrition | Delete menu nutrition information by menuId
*Flipdish.MenusNutritionInfoApi* | [**getAllergens**](docs/MenusNutritionInfoApi.md#getAllergens) | **GET** /api/v1.0/{appId}/menus/nutrition/allergens | Get allergens
*Flipdish.MenusNutritionInfoApi* | [**getMenuNutritionInfoByMenuId**](docs/MenusNutritionInfoApi.md#getMenuNutritionInfoByMenuId) | **GET** /api/v1.0/menus/{menuId}/nutrition | Get menu nutrition by menuId
*Flipdish.MenusNutritionInfoV2Api* | [**addOrUpdateMenuItemNutritionInfoV2**](docs/MenusNutritionInfoV2Api.md#addOrUpdateMenuItemNutritionInfoV2) | **POST** /api/v1.0/{appId}/menus/{menuId}/menuItem/{publicId}/nutritionv2 | Add or update menuitem nutrition info by menu item&#39;s publicId
*Flipdish.MenusNutritionInfoV2Api* | [**addOrUpdateMenuItemOptionSetItemNutritionInfoV2**](docs/MenusNutritionInfoV2Api.md#addOrUpdateMenuItemOptionSetItemNutritionInfoV2) | **POST** /api/v1.0/{appId}/menus/{menuId}/menuItemOption/{publicId}/nutritionv2 | Add or update menuitem option set item&#39;s nutrition info by its publicId
*Flipdish.MenusNutritionInfoV2Api* | [**getAllergensV2**](docs/MenusNutritionInfoV2Api.md#getAllergensV2) | **GET** /api/v1.0/{appId}/menus/nutritionv2/allergens | Get allergens
*Flipdish.MenusNutritionInfoV2Api* | [**getMenuNutritionInfoV2ByMenuId**](docs/MenusNutritionInfoV2Api.md#getMenuNutritionInfoV2ByMenuId) | **GET** /api/v1.0/{appId}/menus/{menuId}/nutritionv2 | Get menu nutrition by menuId
*Flipdish.MetafieldDefinitionsApi* | [**createMetafieldDefinition**](docs/MetafieldDefinitionsApi.md#createMetafieldDefinition) | **POST** /api/v1.0/{appId}/metafields/definitions/{ownerEntity} | 
*Flipdish.MetafieldDefinitionsApi* | [**getMetafieldDefinitionByKey**](docs/MetafieldDefinitionsApi.md#getMetafieldDefinitionByKey) | **GET** /api/v1.0/{appId}/metafields/definitions/{ownerEntity}/{key} | 
*Flipdish.MetafieldDefinitionsApi* | [**getMetafieldDefinitions**](docs/MetafieldDefinitionsApi.md#getMetafieldDefinitions) | **GET** /api/v1.0/{appId}/metafields/definitions/{ownerEntity} | 
*Flipdish.MetafieldDefinitionsApi* | [**getOwnerEntityConfigurations**](docs/MetafieldDefinitionsApi.md#getOwnerEntityConfigurations) | **GET** /api/v1.0/{appId}/metafields/definitions | 
*Flipdish.MetafieldDefinitionsApi* | [**getOwnerEntityRecommendations**](docs/MetafieldDefinitionsApi.md#getOwnerEntityRecommendations) | **GET** /api/v1.0/{appId}/metafields/definitions/recommendations/{ownerEntity} | 
*Flipdish.MetafieldDefinitionsApi* | [**updateMetafieldDefinition**](docs/MetafieldDefinitionsApi.md#updateMetafieldDefinition) | **POST** /api/v1.0/{appId}/metafields/definitions/{ownerEntity}/{key} | 
*Flipdish.MobileAppsApi* | [**getAppConfigSalesChannel**](docs/MobileAppsApi.md#getAppConfigSalesChannel) | **GET** /api/v1.0/mobileapps/{appId}/saleschannel/details | 
*Flipdish.MobileAppsApi* | [**getStatistics**](docs/MobileAppsApi.md#getStatistics) | **GET** /api/v1.0/mobileapps/{appId}/statistics | 
*Flipdish.MobileAppsApi* | [**getSubmissionDetails**](docs/MobileAppsApi.md#getSubmissionDetails) | **GET** /api/v1.0/mobileapps/{appId}/submission/details | 
*Flipdish.MobileAppsApi* | [**getSubmissionStatus**](docs/MobileAppsApi.md#getSubmissionStatus) | **GET** /api/v1.0/mobileapps/{appId}/submission/{submissionId}/status | 
*Flipdish.MobileAppsApi* | [**publish**](docs/MobileAppsApi.md#publish) | **POST** /api/v1.0/mobileapps/{appId}/submission/{submissionId}/publish | 
*Flipdish.MobileAppsApi* | [**resubmission**](docs/MobileAppsApi.md#resubmission) | **POST** /api/v1.0/mobileapps/{appId}/resubmission | 
*Flipdish.MobileAppsApi* | [**submission**](docs/MobileAppsApi.md#submission) | **POST** /api/v1.0/mobileapps/{appId}/submission | 
*Flipdish.MobileAppsApi* | [**unpublish**](docs/MobileAppsApi.md#unpublish) | **POST** /api/v1.0/mobileapps/{appId}/submission/{submissionId}/unpublish | 
*Flipdish.MobileAppsApi* | [**updateAppConfigSalesChannel**](docs/MobileAppsApi.md#updateAppConfigSalesChannel) | **POST** /api/v1.0/mobileapps/{appId}/saleschannel | 
*Flipdish.MobileAppsApi* | [**updateSubmissionStatus**](docs/MobileAppsApi.md#updateSubmissionStatus) | **POST** /api/v1.0/mobileapps/{appId}/submission/{submissionId}/status | 
*Flipdish.MobileAppsApi* | [**uploadImage**](docs/MobileAppsApi.md#uploadImage) | **POST** /api/v1.0/mobileapps/{appId}/submission/image | 
*Flipdish.OAuthClientsApi* | [**addRedirectUri**](docs/OAuthClientsApi.md#addRedirectUri) | **POST** /api/v1.0/{appId}/oauthclients/{oauthAppId}/redirecturis | 
*Flipdish.OAuthClientsApi* | [**createOAuthApp**](docs/OAuthClientsApi.md#createOAuthApp) | **POST** /api/v1.0/{appId}/oauthclients | 
*Flipdish.OAuthClientsApi* | [**deleteOAuthApp**](docs/OAuthClientsApi.md#deleteOAuthApp) | **DELETE** /api/v1.0/{appId}/oauthclients/{oauthAppId} | 
*Flipdish.OAuthClientsApi* | [**getOAuthApps**](docs/OAuthClientsApi.md#getOAuthApps) | **GET** /api/v1.0/{appId}/oauthclients | 
*Flipdish.OAuthClientsApi* | [**getOAuthClientByClientId**](docs/OAuthClientsApi.md#getOAuthClientByClientId) | **GET** /api/v1.0/{appId}/oauthclients/{oauthAppId} | 
*Flipdish.OAuthClientsApi* | [**getOAuthClientSecret**](docs/OAuthClientsApi.md#getOAuthClientSecret) | **GET** /api/v1.0/{appId}/oauthclients/{oauthAppId}/secret | 
*Flipdish.OAuthClientsApi* | [**getOauthAccessToken**](docs/OAuthClientsApi.md#getOauthAccessToken) | **GET** /api/v1.0/{appId}/oauthclients/{oauthAppId}/accesstoken | 
*Flipdish.OAuthClientsApi* | [**getRedirectUris**](docs/OAuthClientsApi.md#getRedirectUris) | **GET** /api/v1.0/{appId}/oauthclients/{oauthAppId}/redirecturis | 
*Flipdish.OAuthClientsApi* | [**oAuthClientsGetApplications**](docs/OAuthClientsApi.md#oAuthClientsGetApplications) | **GET** /api/v1.0/{appId}/oauthclients/appnames | 
*Flipdish.OAuthClientsApi* | [**removeRedirectUri**](docs/OAuthClientsApi.md#removeRedirectUri) | **DELETE** /api/v1.0/{appId}/oauthclients/{oauthAppId}/redirecturis/{uriId} | 
*Flipdish.OAuthClientsApi* | [**updateOAuthApp**](docs/OAuthClientsApi.md#updateOAuthApp) | **POST** /api/v1.0/{appId}/oauthclients/{oauthAppId} | 
*Flipdish.OnboardingApi* | [**onboardingGetOnboardingConfig**](docs/OnboardingApi.md#onboardingGetOnboardingConfig) | **GET** /api/v1.0/clients/{appId}/onboarding/config | 
*Flipdish.OnboardingApi* | [**onboardingGetOnboardingConfigs**](docs/OnboardingApi.md#onboardingGetOnboardingConfigs) | **GET** /api/v1.0/clients/{appId}/onboarding/configs | 
*Flipdish.OnboardingApi* | [**onboardingGetOnboardingItems**](docs/OnboardingApi.md#onboardingGetOnboardingItems) | **GET** /api/v1.0/clients/{appId}/onboarding/stores/{storeId} | 
*Flipdish.OnboardingApi* | [**onboardingGetOnboardingItemsV2**](docs/OnboardingApi.md#onboardingGetOnboardingItemsV2) | **GET** /api/v1.0/clients/{appId}/onboarding/stores | 
*Flipdish.OnboardingApi* | [**onboardingUpdateOnboardingConfig**](docs/OnboardingApi.md#onboardingUpdateOnboardingConfig) | **POST** /api/v1.0/clients/{appId}/onboarding/config | 
*Flipdish.OnboardingApi* | [**onboardingUpdateOnboardingConfigById**](docs/OnboardingApi.md#onboardingUpdateOnboardingConfigById) | **POST** /api/v1.0/clients/{appId}/onboarding/config/{configId} | 
*Flipdish.OnboardingApi* | [**onboardingUpdateOnboardingItem**](docs/OnboardingApi.md#onboardingUpdateOnboardingItem) | **POST** /api/v1.0/clients/{appId}/onboarding/stores/{storeId}/items/{onboardingItemId} | 
*Flipdish.OnboardingApi* | [**onboardingUpdateOnboardingItemV2**](docs/OnboardingApi.md#onboardingUpdateOnboardingItemV2) | **POST** /api/v1.0/clients/{appId}/onboarding/stores/items/{onboardingItemId} | 
*Flipdish.OrderBatchesApi* | [**getAllOrderBatches**](docs/OrderBatchesApi.md#getAllOrderBatches) | **GET** /api/v1.0/{appId}/order-batches | 
*Flipdish.OrderBatchesApi* | [**getOrderBatch**](docs/OrderBatchesApi.md#getOrderBatch) | **GET** /api/v1.0/{appId}/order-batches/{orderBatchId} | 
*Flipdish.OrderBatchingConfigurationApi* | [**get**](docs/OrderBatchingConfigurationApi.md#get) | **GET** /api/v1.0/stores/{storeId}/order-batching-configuration | 
*Flipdish.OrderBatchingConfigurationApi* | [**post**](docs/OrderBatchingConfigurationApi.md#post) | **POST** /api/v1.0/stores/{storeId}/order-batching-configuration | 
*Flipdish.OrderIngestApi* | [**orderIngestSubmitNewOrder**](docs/OrderIngestApi.md#orderIngestSubmitNewOrder) | **POST** /api/v1.0/{appNameId}/order-ingest/submit | 
*Flipdish.OrdersApi* | [**acceptOrder**](docs/OrdersApi.md#acceptOrder) | **POST** /api/v1.0/orders/{id}/accept | 
*Flipdish.OrdersApi* | [**dispatchOrder**](docs/OrdersApi.md#dispatchOrder) | **POST** /api/v1.0/orders/{id}/dispatch | 
*Flipdish.OrdersApi* | [**getDeliveryInformation**](docs/OrdersApi.md#getDeliveryInformation) | **GET** /api/v1.0/orders/{orderId}/deliveryinfo | 
*Flipdish.OrdersApi* | [**getFulfillmentState**](docs/OrdersApi.md#getFulfillmentState) | **GET** /api/v1.0/orders/{orderId}/fulfillment/state | 
*Flipdish.OrdersApi* | [**getFulfillmentStatusWithDetailsAndActions**](docs/OrdersApi.md#getFulfillmentStatusWithDetailsAndActions) | **GET** /api/v1.0/orders/{orderId}/fulfillment/state/details | 
*Flipdish.OrdersApi* | [**getOrderById**](docs/OrdersApi.md#getOrderById) | **GET** /api/v1.0/orders/{id} | 
*Flipdish.OrdersApi* | [**getOrders**](docs/OrdersApi.md#getOrders) | **GET** /api/v1.0/orders | 
*Flipdish.OrdersApi* | [**getOrdersSummary**](docs/OrdersApi.md#getOrdersSummary) | **GET** /api/v1.0/{appId}/orders/summaries | 
*Flipdish.OrdersApi* | [**getOrdersSummaryNew**](docs/OrdersApi.md#getOrdersSummaryNew) | **GET** /api/v1.0/{appId}/orders/summariesNew | 
*Flipdish.OrdersApi* | [**getReadyToProcess**](docs/OrdersApi.md#getReadyToProcess) | **GET** /api/v1.0/{appId}/orders/ready_to_process | 
*Flipdish.OrdersApi* | [**refundOrder**](docs/OrdersApi.md#refundOrder) | **POST** /api/v1.0/orders/{id}/refund | 
*Flipdish.OrdersApi* | [**rejectOrder**](docs/OrdersApi.md#rejectOrder) | **POST** /api/v1.0/orders/{id}/reject | 
*Flipdish.OrdersApi* | [**searchFulfillmentStatuses**](docs/OrdersApi.md#searchFulfillmentStatuses) | **GET** /api/v1.0/{appId}/orders/fulfillmentstatuses | 
*Flipdish.OrdersApi* | [**updateDeliveryInformation**](docs/OrdersApi.md#updateDeliveryInformation) | **POST** /api/v1.0/orders/{orderId}/deliveryinfo | 
*Flipdish.OrdersApi* | [**updateFulfillmentState**](docs/OrdersApi.md#updateFulfillmentState) | **POST** /api/v1.0/orders/{orderId}/fulfillment/state | 
*Flipdish.PaymentIntentsApi* | [**getPaymentIntent**](docs/PaymentIntentsApi.md#getPaymentIntent) | **GET** /api/v1.0/payment_intents/{paymentIntentId} | 
*Flipdish.PaymentsApi* | [**getOrderPaymentInformation**](docs/PaymentsApi.md#getOrderPaymentInformation) | **GET** /api/v1.0/payments/payment/{orderId}/refundable | 
*Flipdish.PayoutReportsApi* | [**getPayoutReport3Details**](docs/PayoutReportsApi.md#getPayoutReport3Details) | **GET** /api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/details | 
*Flipdish.PayoutReportsApi* | [**getPayoutReport3Overview**](docs/PayoutReportsApi.md#getPayoutReport3Overview) | **GET** /api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/overview | 
*Flipdish.PayoutReportsApi* | [**getPayoutReport3RefundedOrders**](docs/PayoutReportsApi.md#getPayoutReport3RefundedOrders) | **GET** /api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/refundedOrders | 
*Flipdish.PayoutReportsApi* | [**payoutReport3ExportPayoutChargebacks**](docs/PayoutReportsApi.md#payoutReport3ExportPayoutChargebacks) | **GET** /api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/export/chargebacks | 
*Flipdish.PayoutReportsApi* | [**payoutReport3ExportPayoutOrders**](docs/PayoutReportsApi.md#payoutReport3ExportPayoutOrders) | **GET** /api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/export/orders | 
*Flipdish.PayoutReportsApi* | [**payoutReport3ExportPayoutPosSales**](docs/PayoutReportsApi.md#payoutReport3ExportPayoutPosSales) | **GET** /api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/export/possales | 
*Flipdish.PayoutReportsApi* | [**payoutReport3ExportPayoutRefundedOrders**](docs/PayoutReportsApi.md#payoutReport3ExportPayoutRefundedOrders) | **GET** /api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/export/refundedOrders | 
*Flipdish.PayoutsApi* | [**getPayout**](docs/PayoutsApi.md#getPayout) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId} | 
*Flipdish.PayoutsApi* | [**getPayoutChargebacks**](docs/PayoutsApi.md#getPayoutChargebacks) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/chargebacks | 
*Flipdish.PayoutsApi* | [**getPayoutOrders**](docs/PayoutsApi.md#getPayoutOrders) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/orders | 
*Flipdish.PayoutsApi* | [**getPayoutOtherCharges**](docs/PayoutsApi.md#getPayoutOtherCharges) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/othercharges | 
*Flipdish.PayoutsApi* | [**getPayoutRefunds**](docs/PayoutsApi.md#getPayoutRefunds) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/refunds | 
*Flipdish.PayoutsApi* | [**getPayoutSummaries**](docs/PayoutsApi.md#getPayoutSummaries) | **GET** /api/v1.0/{appId}/payouts/summaries | 
*Flipdish.PayoutsApi* | [**getPayouts**](docs/PayoutsApi.md#getPayouts) | **GET** /api/v1.0/{appId}/payouts | 
*Flipdish.PayoutsExportApi* | [**exportPayoutChargebacks**](docs/PayoutsExportApi.md#exportPayoutChargebacks) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/chargebacks/export | 
*Flipdish.PayoutsExportApi* | [**exportPayoutOrders**](docs/PayoutsExportApi.md#exportPayoutOrders) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/orders/export | 
*Flipdish.PayoutsExportApi* | [**exportPayoutOtherCharges**](docs/PayoutsExportApi.md#exportPayoutOtherCharges) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/othercharges/export | 
*Flipdish.PayoutsExportApi* | [**exportPayoutRefunds**](docs/PayoutsExportApi.md#exportPayoutRefunds) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/refunds/export | 
*Flipdish.PayoutsExportApi* | [**exportPayoutStores**](docs/PayoutsExportApi.md#exportPayoutStores) | **GET** /api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/export | 
*Flipdish.PayoutsExportApi* | [**exportPayouts**](docs/PayoutsExportApi.md#exportPayouts) | **GET** /api/v1.0/{appId}/payouts/export | 
*Flipdish.ProcessingFeeConfigsApi* | [**getProcessingFeeConfigsByStoreIds**](docs/ProcessingFeeConfigsApi.md#getProcessingFeeConfigsByStoreIds) | **GET** /api/v1.0/processingfeeconfigs | 
*Flipdish.PushNotificationsApi* | [**deletePushNotification**](docs/PushNotificationsApi.md#deletePushNotification) | **DELETE** /api/v1.0/{appId}/pushnotifications/{scheduledPushNotificationId} | 
*Flipdish.PushNotificationsApi* | [**getPushNotifications**](docs/PushNotificationsApi.md#getPushNotifications) | **GET** /api/v1.0/{appId}/pushnotifications | 
*Flipdish.PushNotificationsApi* | [**schedulePushNotification**](docs/PushNotificationsApi.md#schedulePushNotification) | **POST** /api/v1.0/{appId}/pushnotifications | 
*Flipdish.PushNotificationsApi* | [**updatePushNotification**](docs/PushNotificationsApi.md#updatePushNotification) | **POST** /api/v1.0/{appId}/pushnotifications/{scheduledPushNotificationId} | 
*Flipdish.ReceiptsApi* | [**getReceipt**](docs/ReceiptsApi.md#getReceipt) | **GET** /api/v1.0/receipts/{orderId} | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**createPayGreenConfiguration**](docs/RestaurantVouchersPayGreenApi.md#createPayGreenConfiguration) | **POST** /api/v1.0/{appId}/restaurant-vouchers/paygreen | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**deletePayGreenConfiguration**](docs/RestaurantVouchersPayGreenApi.md#deletePayGreenConfiguration) | **DELETE** /api/v1.0/{appId}/restaurant-vouchers/paygreen/{paygreenConfigurationId} | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**getElegibleStores**](docs/RestaurantVouchersPayGreenApi.md#getElegibleStores) | **GET** /api/v1.0/{appId}/restaurant-vouchers/paygreen/stores | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**getPayGreenConfigurations**](docs/RestaurantVouchersPayGreenApi.md#getPayGreenConfigurations) | **GET** /api/v1.0/{appId}/restaurant-vouchers/paygreen | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**getStoreAvailablePayGreenConfigurations**](docs/RestaurantVouchersPayGreenApi.md#getStoreAvailablePayGreenConfigurations) | **GET** /api/v1.0/{appId}/restaurant-vouchers/paygreen/stores/{storeId}/available-configurations | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**getStorePayGreenConfiguration**](docs/RestaurantVouchersPayGreenApi.md#getStorePayGreenConfiguration) | **GET** /api/v1.0/{appId}/restaurant-vouchers/paygreen/stores/{storeId} | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**listPayGreenConfigurations**](docs/RestaurantVouchersPayGreenApi.md#listPayGreenConfigurations) | **GET** /api/v1.0/{appId}/restaurant-vouchers/paygreen/{paygreenConfigurationId} | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**updatePayGreenConfiguration**](docs/RestaurantVouchersPayGreenApi.md#updatePayGreenConfiguration) | **POST** /api/v1.0/{appId}/restaurant-vouchers/paygreen/{paygreenConfigurationId} | 
*Flipdish.RestaurantVouchersPayGreenApi* | [**updateStorePayGreenConfiguration**](docs/RestaurantVouchersPayGreenApi.md#updateStorePayGreenConfiguration) | **POST** /api/v1.0/{appId}/restaurant-vouchers/paygreen/stores/{storeId} | 
*Flipdish.SearchApi* | [**searchRestaurants**](docs/SearchApi.md#searchRestaurants) | **GET** /api/v1.0/search/restaurants | 
*Flipdish.SmsProviderCredentialsApi* | [**getBrandSmsProviderCredentialByServiceType**](docs/SmsProviderCredentialsApi.md#getBrandSmsProviderCredentialByServiceType) | **GET** /api/v1.0/sms-providers/orgs/{orgId}/brands/{brandId}/provider-credentials/{serviceType} | 
*Flipdish.SmsProviderCredentialsApi* | [**getBrandSmsProviderCredentials**](docs/SmsProviderCredentialsApi.md#getBrandSmsProviderCredentials) | **GET** /api/v1.0/sms-providers/orgs/{orgId}/brands/{brandId}/provider-credentials | 
*Flipdish.SmsProviderCredentialsApi* | [**smsProviderCredentialDelete**](docs/SmsProviderCredentialsApi.md#smsProviderCredentialDelete) | **DELETE** /api/v1.0/sms-providers/orgs/{orgId}/brands/{brandId}/provider-credentials/{serviceType} | 
*Flipdish.SmsProviderCredentialsApi* | [**smsProviderCredentialUpdate**](docs/SmsProviderCredentialsApi.md#smsProviderCredentialUpdate) | **POST** /api/v1.0/sms-providers/orgs/{orgId}/brands/{brandId}/provider-credentials/{serviceType} | 
*Flipdish.SmsProviderCredentialsApi* | [**smsProviderCredentialsBulkUpsert**](docs/SmsProviderCredentialsApi.md#smsProviderCredentialsBulkUpsert) | **POST** /api/v1.0/sms-providers/bulk-upsert | 
*Flipdish.StoreGroupsApi* | [**assignStoresToStoreGroup**](docs/StoreGroupsApi.md#assignStoresToStoreGroup) | **POST** /api/v1.0/{appId}/storegroups/{storeGroupId}/assignStores | 
*Flipdish.StoreGroupsApi* | [**createStoreGroup**](docs/StoreGroupsApi.md#createStoreGroup) | **POST** /api/v1.0/{appNameId}/storegroups | 
*Flipdish.StoreGroupsApi* | [**getStoreGroup**](docs/StoreGroupsApi.md#getStoreGroup) | **GET** /api/v1.0/storegroups/{storeGroupId} | 
*Flipdish.StoreGroupsApi* | [**getStoreGroups**](docs/StoreGroupsApi.md#getStoreGroups) | **GET** /api/v1.0/{appNameId}/storegroups | 
*Flipdish.StoreGroupsApi* | [**getStoreGroupsExtended**](docs/StoreGroupsApi.md#getStoreGroupsExtended) | **GET** /api/v1.0/{appNameId}/storegroups/extended | 
*Flipdish.StoreGroupsApi* | [**removeStoreGroup**](docs/StoreGroupsApi.md#removeStoreGroup) | **DELETE** /api/v1.0/storegroups/{storeGroupId} | 
*Flipdish.StoreGroupsApi* | [**setCustomerMessages**](docs/StoreGroupsApi.md#setCustomerMessages) | **POST** /api/v1.0/storegroups/{storeGroupId}/CustomerMessages | 
*Flipdish.StoreGroupsApi* | [**updateStoreGroup**](docs/StoreGroupsApi.md#updateStoreGroup) | **POST** /api/v1.0/storegroups/{storeGroupId} | 
*Flipdish.StoreOrderCapacityApi* | [**getStoreOrderCapacity**](docs/StoreOrderCapacityApi.md#getStoreOrderCapacity) | **GET** /api/v1.0/{appId}/storeordercapacity/{storeId}/{deliveryType} | 
*Flipdish.StoreOrderCapacityApi* | [**updateStoreOrderCapacityConfig**](docs/StoreOrderCapacityApi.md#updateStoreOrderCapacityConfig) | **POST** /api/v1.0/{appId}/storeordercapacity/{storeId} | 
*Flipdish.StoresApi* | [**archiveStore**](docs/StoresApi.md#archiveStore) | **POST** /api/v1.0/stores/{storeId}/archive | 
*Flipdish.StoresApi* | [**assignMenu**](docs/StoresApi.md#assignMenu) | **POST** /api/v1.0/stores/{storeId}/menu/{menuId} | 
*Flipdish.StoresApi* | [**cloneStore**](docs/StoresApi.md#cloneStore) | **POST** /api/v1.0/stores/{storeId}/clone | 
*Flipdish.StoresApi* | [**configureStoreServiceCharge**](docs/StoresApi.md#configureStoreServiceCharge) | **POST** /api/v1.0/stores/{storeId}/servicecharge | 
*Flipdish.StoresApi* | [**createBusinessHoursOverrideByStoreId**](docs/StoresApi.md#createBusinessHoursOverrideByStoreId) | **POST** /api/v1.0/stores/{storeId}/businesshoursoverrides | 
*Flipdish.StoresApi* | [**createStore**](docs/StoresApi.md#createStore) | **POST** /api/v1.0/stores | 
*Flipdish.StoresApi* | [**createStoreInProperty**](docs/StoresApi.md#createStoreInProperty) | **POST** /api/v1.0/properties/{propertyId}/stores | 
*Flipdish.StoresApi* | [**deleteBusinessHoursOverride**](docs/StoresApi.md#deleteBusinessHoursOverride) | **DELETE** /api/v1.0/stores/{storeId}/businesshoursoverrides/{businessHoursOverrideId} | 
*Flipdish.StoresApi* | [**getBankAccountForStore**](docs/StoresApi.md#getBankAccountForStore) | **GET** /api/v1.0/stores/{storeId}/bankaccount | 
*Flipdish.StoresApi* | [**getBusinessHours**](docs/StoresApi.md#getBusinessHours) | **GET** /api/v1.0/stores/{storeId}/availability/{deliveryType} | 
*Flipdish.StoresApi* | [**getBusinessHoursOverrideByStoreId**](docs/StoresApi.md#getBusinessHoursOverrideByStoreId) | **GET** /api/v1.0/stores/{storeId}/businesshoursoverrides | 
*Flipdish.StoresApi* | [**getEndOfDayReport**](docs/StoresApi.md#getEndOfDayReport) | **GET** /api/v1.0/stores/{storeId}/endofdayreport | 
*Flipdish.StoresApi* | [**getPreOrderConfig**](docs/StoresApi.md#getPreOrderConfig) | **GET** /api/v1.0/stores/{storeId}/preorderconfig/{deliveryType} | 
*Flipdish.StoresApi* | [**getPreOrderPreview**](docs/StoresApi.md#getPreOrderPreview) | **GET** /api/v1.0/stores/{storeId}/preorderconfig/{deliveryType}/preview | 
*Flipdish.StoresApi* | [**getProcessingFeeConfigsByStoreId**](docs/StoresApi.md#getProcessingFeeConfigsByStoreId) | **GET** /api/v1.0/stores/{storeId}/processingfeeconfigs | 
*Flipdish.StoresApi* | [**getProcessingFeeConfigsByStoreIdAndPaymentAccountType**](docs/StoresApi.md#getProcessingFeeConfigsByStoreIdAndPaymentAccountType) | **GET** /api/v1.0/stores/{storeId}/processingfeeconfigs/{paymentAccountType} | 
*Flipdish.StoresApi* | [**getStoreById**](docs/StoresApi.md#getStoreById) | **GET** /api/v1.0/stores/{storeId} | 
*Flipdish.StoresApi* | [**getStoreDeliveryFeeConfig**](docs/StoresApi.md#getStoreDeliveryFeeConfig) | **GET** /api/v1.0/stores/{storeId}/feeConfig/deliveryZones | 
*Flipdish.StoresApi* | [**getStoreFeeConfig**](docs/StoresApi.md#getStoreFeeConfig) | **GET** /api/v1.0/stores/{storeId}/feeConfig | 
*Flipdish.StoresApi* | [**getStoreHeadersByAppId**](docs/StoresApi.md#getStoreHeadersByAppId) | **GET** /api/v1.0/{appId}/stores/header | 
*Flipdish.StoresApi* | [**getStoreLeadTimes**](docs/StoresApi.md#getStoreLeadTimes) | **GET** /api/v1.0/stores/{storeId}/leadTimes | 
*Flipdish.StoresApi* | [**getStoreNetSales**](docs/StoresApi.md#getStoreNetSales) | **GET** /api/v1.0/{appId}/stores/stats | 
*Flipdish.StoresApi* | [**getStoreServiceCharge**](docs/StoresApi.md#getStoreServiceCharge) | **GET** /api/v1.0/stores/{storeId}/servicecharge | 
*Flipdish.StoresApi* | [**getStores**](docs/StoresApi.md#getStores) | **GET** /api/v1.0/stores | 
*Flipdish.StoresApi* | [**getStoresByAppId**](docs/StoresApi.md#getStoresByAppId) | **GET** /api/v1.0/{appId}/stores | 
*Flipdish.StoresApi* | [**getStoresByStoreIdWithValidations**](docs/StoresApi.md#getStoresByStoreIdWithValidations) | **GET** /api/v1.0/{appId}/storevalidation/kiosk | 
*Flipdish.StoresApi* | [**publishStore**](docs/StoresApi.md#publishStore) | **POST** /api/v1.0/stores/{storeId}/publish | 
*Flipdish.StoresApi* | [**putStoreDeliveryFeeConfig**](docs/StoresApi.md#putStoreDeliveryFeeConfig) | **PUT** /api/v1.0/stores/{storeId}/feeConfig/deliveryZones | 
*Flipdish.StoresApi* | [**setBusinessHours**](docs/StoresApi.md#setBusinessHours) | **POST** /api/v1.0/stores/{storeId}/availability/{deliveryType} | 
*Flipdish.StoresApi* | [**setPreOrdeEnabled**](docs/StoresApi.md#setPreOrdeEnabled) | **POST** /api/v1.0/stores/{storeId}/preorderconfig/{deliveryType}/enabled | 
*Flipdish.StoresApi* | [**setStoreLeadTimes**](docs/StoresApi.md#setStoreLeadTimes) | **POST** /api/v1.0/stores/{storeId}/leadTimes | 
*Flipdish.StoresApi* | [**storesSetPropertyId**](docs/StoresApi.md#storesSetPropertyId) | **POST** /api/v1.0/stores/{storeId}/propertyId/{propertyId} | 
*Flipdish.StoresApi* | [**supportedSalesChannelsTypes**](docs/StoresApi.md#supportedSalesChannelsTypes) | **POST** /api/v1.0/properties/{propertyId}/stores/{storeId}/supportedSalesChannels | 
*Flipdish.StoresApi* | [**unpublishStore**](docs/StoresApi.md#unpublishStore) | **POST** /api/v1.0/stores/{storeId}/unpublish | 
*Flipdish.StoresApi* | [**updatePreOrderConfig**](docs/StoresApi.md#updatePreOrderConfig) | **POST** /api/v1.0/stores/{storeId}/preorderconfig/{deliveryType} | 
*Flipdish.StoresApi* | [**updateStore**](docs/StoresApi.md#updateStore) | **POST** /api/v1.0/stores/{storeId} | 
*Flipdish.StoresApi* | [**updateStoreAddress**](docs/StoresApi.md#updateStoreAddress) | **POST** /api/v1.0/stores/{storeId}/address | 
*Flipdish.StoresApi* | [**updateStoreAddressCoordinates**](docs/StoresApi.md#updateStoreAddressCoordinates) | **POST** /api/v1.0/stores/{storeId}/address/coordinates | 
*Flipdish.StoresApi* | [**updateStoreAddressForm**](docs/StoresApi.md#updateStoreAddressForm) | **POST** /api/v1.0/stores/{storeId}/addressform | 
*Flipdish.StripeCustomConnectApi* | [**createBankAccountAndConnectedAccount**](docs/StripeCustomConnectApi.md#createBankAccountAndConnectedAccount) | **POST** /api/v1.0/{appId}/customconnect/bank-account | 
*Flipdish.StripeCustomConnectApi* | [**createStripeConnectedAccount**](docs/StripeCustomConnectApi.md#createStripeConnectedAccount) | **POST** /api/v1.0/{appId}/customconnect/{bankAccountId}/create-update-account | 
*Flipdish.StripeCustomConnectApi* | [**createStripeConnectedAccountLink**](docs/StripeCustomConnectApi.md#createStripeConnectedAccountLink) | **POST** /api/v1.0/{appId}/customconnect/{stripeConnectedAccountId}/create-account-link | 
*Flipdish.StripeCustomConnectApi* | [**getCustomConnect**](docs/StripeCustomConnectApi.md#getCustomConnect) | **GET** /api/v1.0/{appId}/customconnect/{storeId} | 
*Flipdish.StripeCustomConnectApi* | [**getVerificationStatus**](docs/StripeCustomConnectApi.md#getVerificationStatus) | **GET** /api/v1.0/{appId}/customconnect/verification-status | 
*Flipdish.StripeCustomConnectApi* | [**setBankAccountBusinessType**](docs/StripeCustomConnectApi.md#setBankAccountBusinessType) | **POST** /api/v1.0/{appId}/customconnect/bank-account/{bankAccountId}/businesstype | 
*Flipdish.StripeCustomConnectApi* | [**stripeCustomConnectRefresh**](docs/StripeCustomConnectApi.md#stripeCustomConnectRefresh) | **GET** /api/v1.0/{appId}/customconnect/refresh-link | 
*Flipdish.StripeCustomConnectApi* | [**updateBankAccountDetails**](docs/StripeCustomConnectApi.md#updateBankAccountDetails) | **POST** /api/v1.0/{appId}/customconnect/{bankAccountId}/update-bank-account-details | 
*Flipdish.StripeCustomConnectApi* | [**updatePayoutSchedule**](docs/StripeCustomConnectApi.md#updatePayoutSchedule) | **POST** /api/v1.0/{appId}/customconnect/update-payout-schedule/{stripeConnectedAccountId}/{interval} | 
*Flipdish.StuartApi* | [**stuartCancelJob**](docs/StuartApi.md#stuartCancelJob) | **DELETE** /api/v1.0/stuart/jobs/{jobId} | 
*Flipdish.StuartApi* | [**stuartGetJob**](docs/StuartApi.md#stuartGetJob) | **GET** /api/v1.0/stuart/jobs/{jobId} | 
*Flipdish.StuartApi* | [**stuartGetStuartSettings**](docs/StuartApi.md#stuartGetStuartSettings) | **GET** /api/v1.0/stuart/settings/{storeId} | 
*Flipdish.StuartApi* | [**stuartPostStuartSettings**](docs/StuartApi.md#stuartPostStuartSettings) | **POST** /api/v1.0/stuart/settings/{storeId} | 
*Flipdish.SubscriptionsApi* | [**getSubscriptionById**](docs/SubscriptionsApi.md#getSubscriptionById) | **GET** /api/v1.0/{appId}/subscriptions/{subscriptionId} | 
*Flipdish.SubscriptionsApi* | [**getSubscriptionsForApp**](docs/SubscriptionsApi.md#getSubscriptionsForApp) | **GET** /api/v1.0/{appId}/subscriptions | 
*Flipdish.SubscriptionsApi* | [**hasCustomerGotPaymentMethodOnFile**](docs/SubscriptionsApi.md#hasCustomerGotPaymentMethodOnFile) | **GET** /api/v1.0/{appId}/subscriptions/hasPaymentMethod | 
*Flipdish.TeammatesApi* | [**createTeammate**](docs/TeammatesApi.md#createTeammate) | **POST** /api/v1.0/{appId}/teammates | 
*Flipdish.TeammatesApi* | [**deleteTeammate**](docs/TeammatesApi.md#deleteTeammate) | **DELETE** /api/v1.0/{appId}/teammates/{id} | 
*Flipdish.TeammatesApi* | [**getTeammateByAppIdAndTeammateId**](docs/TeammatesApi.md#getTeammateByAppIdAndTeammateId) | **GET** /api/v1.0/{appId}/teammates/{id} | 
*Flipdish.TeammatesApi* | [**getTeammatesByAppId**](docs/TeammatesApi.md#getTeammatesByAppId) | **GET** /api/v1.0/{appId}/teammates | 
*Flipdish.TeammatesApi* | [**grantaccess**](docs/TeammatesApi.md#grantaccess) | **POST** /api/v1.0/{appId}/teammates/grantaccess | 
*Flipdish.TeammatesApi* | [**redeemInvitation**](docs/TeammatesApi.md#redeemInvitation) | **GET** /api/v1.0/{appId}/teammates/redeem/{otc} | 
*Flipdish.TeammatesApi* | [**teammatesAcceptInvitation**](docs/TeammatesApi.md#teammatesAcceptInvitation) | **GET** /api/v1.0/{appId}/teammates/accept/{otc} | 
*Flipdish.TeammatesApi* | [**teammatesAcceptInvitations**](docs/TeammatesApi.md#teammatesAcceptInvitations) | **POST** /api/v1.0/teammates/acceptInvitations | 
*Flipdish.TeammatesApi* | [**teammatesPendingInvitations**](docs/TeammatesApi.md#teammatesPendingInvitations) | **GET** /api/v1.0/teammates/pending-invitations | 
*Flipdish.TeammatesApi* | [**updateTeammate**](docs/TeammatesApi.md#updateTeammate) | **POST** /api/v1.0/{appId}/teammates/{id} | 
*Flipdish.TerminalIotApi* | [**getTerminalIotConnection**](docs/TerminalIotApi.md#getTerminalIotConnection) | **POST** /api/v1.0/terminaliot/connect | 
*Flipdish.TipsApi* | [**tipConfigGet**](docs/TipsApi.md#tipConfigGet) | **GET** /api/v1.0/stores/{storeId}/tipconfig | 
*Flipdish.TipsApi* | [**tipConfigUpsert**](docs/TipsApi.md#tipConfigUpsert) | **POST** /api/v1.0/stores/{storeId}/tipconfig | 
*Flipdish.UsersApi* | [**getPreviousOrderCountForStore**](docs/UsersApi.md#getPreviousOrderCountForStore) | **GET** /api/v1.0/users/{userId}/previousordercount/{storeId} | 
*Flipdish.UsersApi* | [**getRoles**](docs/UsersApi.md#getRoles) | **GET** /api/v1.0/users/roles | 
*Flipdish.VouchersApi* | [**createVoucher**](docs/VouchersApi.md#createVoucher) | **POST** /api/v1.0/vouchers/{appId} | 
*Flipdish.VouchersApi* | [**getVoucherByCode**](docs/VouchersApi.md#getVoucherByCode) | **GET** /api/v1.0/{appId}/vouchers/code/{code} | 
*Flipdish.VouchersApi* | [**getVoucherById**](docs/VouchersApi.md#getVoucherById) | **GET** /api/v1.0/vouchers/{voucherId} | 
*Flipdish.VouchersApi* | [**getVoucherStatsById**](docs/VouchersApi.md#getVoucherStatsById) | **GET** /api/v1.0/vouchers/stats/{voucherId} | 
*Flipdish.VouchersApi* | [**getVoucherValidityPeriods**](docs/VouchersApi.md#getVoucherValidityPeriods) | **GET** /api/v1.0/{appId}/vouchers/{voucherId}/validity-periods | 
*Flipdish.VouchersApi* | [**getVouchers**](docs/VouchersApi.md#getVouchers) | **GET** /api/v1.0/{appId}/vouchers/summaries | 
*Flipdish.VouchersApi* | [**setVoucherValidityPeriodsSimplified**](docs/VouchersApi.md#setVoucherValidityPeriodsSimplified) | **POST** /api/v1.0/{appId}/vouchers/{voucherId}/validity-periods-simplified | 
*Flipdish.VouchersApi* | [**updateVoucher**](docs/VouchersApi.md#updateVoucher) | **POST** /api/v1.0/vouchers/{voucherId} | 
*Flipdish.VouchersApi* | [**updateVoucherUsage**](docs/VouchersApi.md#updateVoucherUsage) | **POST** /api/v1.0/{appId}/vouchers/{voucherId}/usage | 
*Flipdish.WebhooksApi* | [**createWebhookSubscription**](docs/WebhooksApi.md#createWebhookSubscription) | **POST** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions | 
*Flipdish.WebhooksApi* | [**createWebhookSubscriptionEventNames**](docs/WebhooksApi.md#createWebhookSubscriptionEventNames) | **POST** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/events/{eventName} | 
*Flipdish.WebhooksApi* | [**deleteWebhookSubscription**](docs/WebhooksApi.md#deleteWebhookSubscription) | **DELETE** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId} | 
*Flipdish.WebhooksApi* | [**deleteWebhookSubscriptionEventName**](docs/WebhooksApi.md#deleteWebhookSubscriptionEventName) | **DELETE** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/events/{eventName} | 
*Flipdish.WebhooksApi* | [**getWebhookEventNames**](docs/WebhooksApi.md#getWebhookEventNames) | **GET** /api/v1.0/{appId}/webhooks/events | 
*Flipdish.WebhooksApi* | [**getWebhookEventNamesBySubscriptionId**](docs/WebhooksApi.md#getWebhookEventNamesBySubscriptionId) | **GET** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/events | 
*Flipdish.WebhooksApi* | [**getWebhookEventSample**](docs/WebhooksApi.md#getWebhookEventSample) | **GET** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/events/{eventName}/test | 
*Flipdish.WebhooksApi* | [**getWebhookLogs**](docs/WebhooksApi.md#getWebhookLogs) | **GET** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/logs | 
*Flipdish.WebhooksApi* | [**getWebhookSubscriptions**](docs/WebhooksApi.md#getWebhookSubscriptions) | **GET** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions | 
*Flipdish.WebhooksApi* | [**updateWebhookSubscription**](docs/WebhooksApi.md#updateWebhookSubscription) | **PUT** /api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId} | 
*Flipdish.WebsiteApi* | [**addTestimonial**](docs/WebsiteApi.md#addTestimonial) | **POST** /api/v1.0/{appId}/website/testimonial | 
*Flipdish.WebsiteApi* | [**deleteTestimonial**](docs/WebsiteApi.md#deleteTestimonial) | **DELETE** /api/v1.0/{appId}/website/testimonial/{testimonialId} | 
*Flipdish.WebsiteApi* | [**deleteWebsiteImage**](docs/WebsiteApi.md#deleteWebsiteImage) | **DELETE** /api/v1.0/{appId}/website/image/{imageId} | 
*Flipdish.WebsiteApi* | [**editTestimonial**](docs/WebsiteApi.md#editTestimonial) | **POST** /api/v1.0/{appId}/website/testimonial/{testimonialId} | 
*Flipdish.WebsiteApi* | [**getIndexConfiguration**](docs/WebsiteApi.md#getIndexConfiguration) | **GET** /api/v1.0/{appId}/website/index | 
*Flipdish.WebsiteApi* | [**setIndexConfiguration**](docs/WebsiteApi.md#setIndexConfiguration) | **POST** /api/v1.0/{appId}/website/index | 
*Flipdish.WebsiteApi* | [**uploadWebsiteImage**](docs/WebsiteApi.md#uploadWebsiteImage) | **POST** /api/v1.0/{appId}/website/image/{imageLocation} | 
*Flipdish.WebsiteApi* | [**websiteCheckNow**](docs/WebsiteApi.md#websiteCheckNow) | **GET** /api/v1.0/{appId}/website/dnscheck | 


## Documentation for Models

 - [Flipdish.Accept](docs/Accept.md)
 - [Flipdish.AcceptInvitationResult](docs/AcceptInvitationResult.md)
 - [Flipdish.AccountDetail](docs/AccountDetail.md)
 - [Flipdish.AccountDetailBase](docs/AccountDetailBase.md)
 - [Flipdish.AccountFieldDefinition](docs/AccountFieldDefinition.md)
 - [Flipdish.AccountFieldKeyValuePair](docs/AccountFieldKeyValuePair.md)
 - [Flipdish.AccountFieldsDefinitions](docs/AccountFieldsDefinitions.md)
 - [Flipdish.AddressFormDisplayFormat](docs/AddressFormDisplayFormat.md)
 - [Flipdish.AddressFormResponse](docs/AddressFormResponse.md)
 - [Flipdish.AllMetadataResult](docs/AllMetadataResult.md)
 - [Flipdish.Allergen](docs/Allergen.md)
 - [Flipdish.AnalyticsClientEvent](docs/AnalyticsClientEvent.md)
 - [Flipdish.ApmCurrencyDataPoint](docs/ApmCurrencyDataPoint.md)
 - [Flipdish.ApmDataPoint](docs/ApmDataPoint.md)
 - [Flipdish.ApmHourlyDataPoint](docs/ApmHourlyDataPoint.md)
 - [Flipdish.ApmStatistics](docs/ApmStatistics.md)
 - [Flipdish.ApmStatus](docs/ApmStatus.md)
 - [Flipdish.App](docs/App.md)
 - [Flipdish.AppChannelAssignment](docs/AppChannelAssignment.md)
 - [Flipdish.AppCompliance](docs/AppCompliance.md)
 - [Flipdish.AppConfigSalesChannel](docs/AppConfigSalesChannel.md)
 - [Flipdish.AppConfigUpdateModel](docs/AppConfigUpdateModel.md)
 - [Flipdish.AppCreatedEvent](docs/AppCreatedEvent.md)
 - [Flipdish.AppLookup](docs/AppLookup.md)
 - [Flipdish.AppStoreApp](docs/AppStoreApp.md)
 - [Flipdish.AppStoreAppConfiguration](docs/AppStoreAppConfiguration.md)
 - [Flipdish.AppStoreAppConfigurationSummary](docs/AppStoreAppConfigurationSummary.md)
 - [Flipdish.AppStoreAppEntitlements](docs/AppStoreAppEntitlements.md)
 - [Flipdish.AppStoreAppSummary](docs/AppStoreAppSummary.md)
 - [Flipdish.AppStoreAppSupportInfo](docs/AppStoreAppSupportInfo.md)
 - [Flipdish.AppStoreConfigCreatedEvent](docs/AppStoreConfigCreatedEvent.md)
 - [Flipdish.AppStoreConfigDeletedEvent](docs/AppStoreConfigDeletedEvent.md)
 - [Flipdish.AppStoreConfigUpdatedEvent](docs/AppStoreConfigUpdatedEvent.md)
 - [Flipdish.AppStoreSubscriptionChangeJobUpdatedEvent](docs/AppStoreSubscriptionChangeJobUpdatedEvent.md)
 - [Flipdish.AppUpdatedEvent](docs/AppUpdatedEvent.md)
 - [Flipdish.AssignedBankAccount](docs/AssignedBankAccount.md)
 - [Flipdish.AuditLogFieldChangeInformation](docs/AuditLogFieldChangeInformation.md)
 - [Flipdish.BalanceDetails](docs/BalanceDetails.md)
 - [Flipdish.BankAccount](docs/BankAccount.md)
 - [Flipdish.BankAccountAssignedEvent](docs/BankAccountAssignedEvent.md)
 - [Flipdish.BankAccountCreate](docs/BankAccountCreate.md)
 - [Flipdish.BankAccountCreatedEvent](docs/BankAccountCreatedEvent.md)
 - [Flipdish.BankAccountDeletedEvent](docs/BankAccountDeletedEvent.md)
 - [Flipdish.BankAccountDetail](docs/BankAccountDetail.md)
 - [Flipdish.BankAccountDetailsUpdateRequest](docs/BankAccountDetailsUpdateRequest.md)
 - [Flipdish.BankAccountSummary](docs/BankAccountSummary.md)
 - [Flipdish.BankAccountUpdatedEvent](docs/BankAccountUpdatedEvent.md)
 - [Flipdish.BluetoothTerminalStatus](docs/BluetoothTerminalStatus.md)
 - [Flipdish.BusinessHoursOverride](docs/BusinessHoursOverride.md)
 - [Flipdish.BusinessHoursOverrideBase](docs/BusinessHoursOverrideBase.md)
 - [Flipdish.BusinessHoursPeriod](docs/BusinessHoursPeriod.md)
 - [Flipdish.BusinessHoursPeriodBase](docs/BusinessHoursPeriodBase.md)
 - [Flipdish.CampaignStatistics](docs/CampaignStatistics.md)
 - [Flipdish.CancellationToken](docs/CancellationToken.md)
 - [Flipdish.CardReader](docs/CardReader.md)
 - [Flipdish.CardReaderRegistrationRequest](docs/CardReaderRegistrationRequest.md)
 - [Flipdish.Cart](docs/Cart.md)
 - [Flipdish.CatalogGroupArchivedEvent](docs/CatalogGroupArchivedEvent.md)
 - [Flipdish.CatalogGroupCreatedEvent](docs/CatalogGroupCreatedEvent.md)
 - [Flipdish.CatalogGroupReference](docs/CatalogGroupReference.md)
 - [Flipdish.CatalogGroupUpdatedEvent](docs/CatalogGroupUpdatedEvent.md)
 - [Flipdish.CatalogImage](docs/CatalogImage.md)
 - [Flipdish.CatalogItem](docs/CatalogItem.md)
 - [Flipdish.CatalogItemArchivedEvent](docs/CatalogItemArchivedEvent.md)
 - [Flipdish.CatalogItemCreatedEvent](docs/CatalogItemCreatedEvent.md)
 - [Flipdish.CatalogItemUpdatedEvent](docs/CatalogItemUpdatedEvent.md)
 - [Flipdish.CertificateCreatedEvent](docs/CertificateCreatedEvent.md)
 - [Flipdish.CertificateRenewedEvent](docs/CertificateRenewedEvent.md)
 - [Flipdish.ChangePasswordModel](docs/ChangePasswordModel.md)
 - [Flipdish.Channel](docs/Channel.md)
 - [Flipdish.ChannelStoreMapping](docs/ChannelStoreMapping.md)
 - [Flipdish.ChannelStoresUpdatedEvent](docs/ChannelStoresUpdatedEvent.md)
 - [Flipdish.ChargebackDetails](docs/ChargebackDetails.md)
 - [Flipdish.ClientDevice](docs/ClientDevice.md)
 - [Flipdish.ClientDeviceAssignEnrolledDevice](docs/ClientDeviceAssignEnrolledDevice.md)
 - [Flipdish.ClientDeviceEnroll](docs/ClientDeviceEnroll.md)
 - [Flipdish.ClientDeviceEnrollmentResult](docs/ClientDeviceEnrollmentResult.md)
 - [Flipdish.ClientDeviceSummary](docs/ClientDeviceSummary.md)
 - [Flipdish.ConfiguredStore](docs/ConfiguredStore.md)
 - [Flipdish.Contact](docs/Contact.md)
 - [Flipdish.Coordinates](docs/Coordinates.md)
 - [Flipdish.CountryFormResponse](docs/CountryFormResponse.md)
 - [Flipdish.CountryWithAccountFieldsDefinitions](docs/CountryWithAccountFieldsDefinitions.md)
 - [Flipdish.CreateAccountModel](docs/CreateAccountModel.md)
 - [Flipdish.CreateAppParameters](docs/CreateAppParameters.md)
 - [Flipdish.CreateAppStoreApp](docs/CreateAppStoreApp.md)
 - [Flipdish.CreateBasicAccountModel](docs/CreateBasicAccountModel.md)
 - [Flipdish.CreateCatalogGroupReference](docs/CreateCatalogGroupReference.md)
 - [Flipdish.CreateCatalogItem](docs/CreateCatalogItem.md)
 - [Flipdish.CreateFulfillmentStatesConfiguration](docs/CreateFulfillmentStatesConfiguration.md)
 - [Flipdish.CreateFullMenu](docs/CreateFullMenu.md)
 - [Flipdish.CreateFullMenuItemOptionSet](docs/CreateFullMenuItemOptionSet.md)
 - [Flipdish.CreateFullMenuItemOptionSetItem](docs/CreateFullMenuItemOptionSetItem.md)
 - [Flipdish.CreateFullMenuSection](docs/CreateFullMenuSection.md)
 - [Flipdish.CreateFullMenuSectionItem](docs/CreateFullMenuSectionItem.md)
 - [Flipdish.CreateGroup](docs/CreateGroup.md)
 - [Flipdish.CreateGroupReference](docs/CreateGroupReference.md)
 - [Flipdish.CreateLocation](docs/CreateLocation.md)
 - [Flipdish.CreateLocationArea](docs/CreateLocationArea.md)
 - [Flipdish.CreateMenuSectionItemFromCatalogItems](docs/CreateMenuSectionItemFromCatalogItems.md)
 - [Flipdish.CreateMenuTaxRate](docs/CreateMenuTaxRate.md)
 - [Flipdish.CreateMetadata](docs/CreateMetadata.md)
 - [Flipdish.CreateMetafieldDefinition](docs/CreateMetafieldDefinition.md)
 - [Flipdish.CreatePayGreenConfigurationRequest](docs/CreatePayGreenConfigurationRequest.md)
 - [Flipdish.CreateProduct](docs/CreateProduct.md)
 - [Flipdish.CreateProductReference](docs/CreateProductReference.md)
 - [Flipdish.CreatePromotion](docs/CreatePromotion.md)
 - [Flipdish.CreateTeammate](docs/CreateTeammate.md)
 - [Flipdish.CreateVoucher](docs/CreateVoucher.md)
 - [Flipdish.CreatedMenuSectionItems](docs/CreatedMenuSectionItems.md)
 - [Flipdish.CreditNoteDetails](docs/CreditNoteDetails.md)
 - [Flipdish.CrossSellMenuItems](docs/CrossSellMenuItems.md)
 - [Flipdish.CspReport](docs/CspReport.md)
 - [Flipdish.CspReportRequest](docs/CspReportRequest.md)
 - [Flipdish.CurrencyData](docs/CurrencyData.md)
 - [Flipdish.Customer](docs/Customer.md)
 - [Flipdish.CustomerConsentUpdatedEvent](docs/CustomerConsentUpdatedEvent.md)
 - [Flipdish.CustomerCreateModel](docs/CustomerCreateModel.md)
 - [Flipdish.CustomerCreatedEvent](docs/CustomerCreatedEvent.md)
 - [Flipdish.CustomerDeliveryTrackingOrder](docs/CustomerDeliveryTrackingOrder.md)
 - [Flipdish.CustomerDeliveryTrackingOrderLine](docs/CustomerDeliveryTrackingOrderLine.md)
 - [Flipdish.CustomerMessages](docs/CustomerMessages.md)
 - [Flipdish.CustomerSummary](docs/CustomerSummary.md)
 - [Flipdish.CustomerUpdateModel](docs/CustomerUpdateModel.md)
 - [Flipdish.CustomerUpdatedEvent](docs/CustomerUpdatedEvent.md)
 - [Flipdish.DashboardEmbed](docs/DashboardEmbed.md)
 - [Flipdish.DeliveryLocation](docs/DeliveryLocation.md)
 - [Flipdish.DeliveryZone](docs/DeliveryZone.md)
 - [Flipdish.DeliveryZoneBase](docs/DeliveryZoneBase.md)
 - [Flipdish.DeliveryZoneCreatedEvent](docs/DeliveryZoneCreatedEvent.md)
 - [Flipdish.DeliveryZoneDeletedEvent](docs/DeliveryZoneDeletedEvent.md)
 - [Flipdish.DeliveryZoneUpdatedEvent](docs/DeliveryZoneUpdatedEvent.md)
 - [Flipdish.DepositReturnFeesSummary](docs/DepositReturnFeesSummary.md)
 - [Flipdish.DeviceSettings](docs/DeviceSettings.md)
 - [Flipdish.DnsRecordInformation](docs/DnsRecordInformation.md)
 - [Flipdish.DnsVerifiedEvent](docs/DnsVerifiedEvent.md)
 - [Flipdish.DriverLoginModel](docs/DriverLoginModel.md)
 - [Flipdish.DriverRequestLoginPinModel](docs/DriverRequestLoginPinModel.md)
 - [Flipdish.DynamicFormField](docs/DynamicFormField.md)
 - [Flipdish.DynamicFormFieldOption](docs/DynamicFormFieldOption.md)
 - [Flipdish.DynamicFormRule](docs/DynamicFormRule.md)
 - [Flipdish.DynamicFormRules](docs/DynamicFormRules.md)
 - [Flipdish.EmvNotificationEvent](docs/EmvNotificationEvent.md)
 - [Flipdish.EmvTerminal](docs/EmvTerminal.md)
 - [Flipdish.EmvTerminalWithAssignments](docs/EmvTerminalWithAssignments.md)
 - [Flipdish.EventSearchResult](docs/EventSearchResult.md)
 - [Flipdish.ExecuteConfigurationActionRequest](docs/ExecuteConfigurationActionRequest.md)
 - [Flipdish.ExecuteConfigurationActionResult](docs/ExecuteConfigurationActionResult.md)
 - [Flipdish.ExternalStoreAuditLog](docs/ExternalStoreAuditLog.md)
 - [Flipdish.ExternalStoreEvent](docs/ExternalStoreEvent.md)
 - [Flipdish.FeeSummary](docs/FeeSummary.md)
 - [Flipdish.Field](docs/Field.md)
 - [Flipdish.FieldChangeInformation](docs/FieldChangeInformation.md)
 - [Flipdish.FieldGroup](docs/FieldGroup.md)
 - [Flipdish.FileCreationResult](docs/FileCreationResult.md)
 - [Flipdish.FileDownloadResult](docs/FileDownloadResult.md)
 - [Flipdish.FirebaseApp](docs/FirebaseApp.md)
 - [Flipdish.FlipdishEventBase](docs/FlipdishEventBase.md)
 - [Flipdish.FlipdishFeesDetails](docs/FlipdishFeesDetails.md)
 - [Flipdish.FulfillentStatusActionItem](docs/FulfillentStatusActionItem.md)
 - [Flipdish.FulfillmentInfo](docs/FulfillmentInfo.md)
 - [Flipdish.FulfillmentStatesConfiguration](docs/FulfillmentStatesConfiguration.md)
 - [Flipdish.FulfillmentStatesConfigurationSummary](docs/FulfillmentStatesConfigurationSummary.md)
 - [Flipdish.FulfillmentStatesConfiguredStore](docs/FulfillmentStatesConfiguredStore.md)
 - [Flipdish.FulfillmentStatusConfigurationItem](docs/FulfillmentStatusConfigurationItem.md)
 - [Flipdish.GeoPointRequest](docs/GeoPointRequest.md)
 - [Flipdish.GetReceiptByOrderIdQueryResponse](docs/GetReceiptByOrderIdQueryResponse.md)
 - [Flipdish.GoogleAddress](docs/GoogleAddress.md)
 - [Flipdish.GoogleAddressComponent](docs/GoogleAddressComponent.md)
 - [Flipdish.GoogleAddressResult](docs/GoogleAddressResult.md)
 - [Flipdish.GoogleCoordinates](docs/GoogleCoordinates.md)
 - [Flipdish.GoogleGeometry](docs/GoogleGeometry.md)
 - [Flipdish.GoogleLocation](docs/GoogleLocation.md)
 - [Flipdish.GoogleViewport](docs/GoogleViewport.md)
 - [Flipdish.Group](docs/Group.md)
 - [Flipdish.GroupReference](docs/GroupReference.md)
 - [Flipdish.GroupedCoordinates](docs/GroupedCoordinates.md)
 - [Flipdish.HasPaymentMethodResponse](docs/HasPaymentMethodResponse.md)
 - [Flipdish.HomeAction](docs/HomeAction.md)
 - [Flipdish.HomeStatistics](docs/HomeStatistics.md)
 - [Flipdish.HttpPostedFileBase](docs/HttpPostedFileBase.md)
 - [Flipdish.HydraAssignedEvent](docs/HydraAssignedEvent.md)
 - [Flipdish.HydraConfig](docs/HydraConfig.md)
 - [Flipdish.HydraConnectionStatusChangedEvent](docs/HydraConnectionStatusChangedEvent.md)
 - [Flipdish.HydraDeviceDetails](docs/HydraDeviceDetails.md)
 - [Flipdish.HydraRegistrationRequest](docs/HydraRegistrationRequest.md)
 - [Flipdish.HydraRequestResetEvent](docs/HydraRequestResetEvent.md)
 - [Flipdish.HydraSettingChangedEvent](docs/HydraSettingChangedEvent.md)
 - [Flipdish.HydraStatus](docs/HydraStatus.md)
 - [Flipdish.HydraStoreAssignedEvent](docs/HydraStoreAssignedEvent.md)
 - [Flipdish.HydraStoreData](docs/HydraStoreData.md)
 - [Flipdish.HydraStoreUnassignedEvent](docs/HydraStoreUnassignedEvent.md)
 - [Flipdish.HydraUnAssignedEvent](docs/HydraUnAssignedEvent.md)
 - [Flipdish.IndexPage](docs/IndexPage.md)
 - [Flipdish.IndexPageBase](docs/IndexPageBase.md)
 - [Flipdish.IntercomUserHash](docs/IntercomUserHash.md)
 - [Flipdish.Invoice](docs/Invoice.md)
 - [Flipdish.InvoiceDiscount](docs/InvoiceDiscount.md)
 - [Flipdish.InvoiceItem](docs/InvoiceItem.md)
 - [Flipdish.InvoicePeriod](docs/InvoicePeriod.md)
 - [Flipdish.ItemNutritionInfoAddUpdateModel](docs/ItemNutritionInfoAddUpdateModel.md)
 - [Flipdish.ItemNutritionInfoV2AddUpdateModel](docs/ItemNutritionInfoV2AddUpdateModel.md)
 - [Flipdish.JobAddress](docs/JobAddress.md)
 - [Flipdish.JobCancellation](docs/JobCancellation.md)
 - [Flipdish.JobContact](docs/JobContact.md)
 - [Flipdish.JobDelivery](docs/JobDelivery.md)
 - [Flipdish.JobDeliveryDetail](docs/JobDeliveryDetail.md)
 - [Flipdish.JobDriver](docs/JobDriver.md)
 - [Flipdish.JobEta](docs/JobEta.md)
 - [Flipdish.JobPricing](docs/JobPricing.md)
 - [Flipdish.JobProof](docs/JobProof.md)
 - [Flipdish.JobResponse](docs/JobResponse.md)
 - [Flipdish.KioskBluetoothInstallUpdateInitiateEvent](docs/KioskBluetoothInstallUpdateInitiateEvent.md)
 - [Flipdish.KioskBluetoothPairingModeEvent](docs/KioskBluetoothPairingModeEvent.md)
 - [Flipdish.KioskBluetoothTerminalCancelUpdateEvent](docs/KioskBluetoothTerminalCancelUpdateEvent.md)
 - [Flipdish.KioskBluetoothTerminalFirmwareVersionStatusEvent](docs/KioskBluetoothTerminalFirmwareVersionStatusEvent.md)
 - [Flipdish.KioskBluetoothTerminalInitiateUpdateCheckEvent](docs/KioskBluetoothTerminalInitiateUpdateCheckEvent.md)
 - [Flipdish.KioskBluetoothTerminalInstallationStatusEvent](docs/KioskBluetoothTerminalInstallationStatusEvent.md)
 - [Flipdish.KioskBluetoothTerminalUnpairedEvent](docs/KioskBluetoothTerminalUnpairedEvent.md)
 - [Flipdish.KioskBluetoothTerminalUpdatedEvent](docs/KioskBluetoothTerminalUpdatedEvent.md)
 - [Flipdish.KioskBluetoothUnpairingModeEvent](docs/KioskBluetoothUnpairingModeEvent.md)
 - [Flipdish.KioskCashPaymentSettings](docs/KioskCashPaymentSettings.md)
 - [Flipdish.KioskEntitlementsResult](docs/KioskEntitlementsResult.md)
 - [Flipdish.KioskIotConnectionParameters](docs/KioskIotConnectionParameters.md)
 - [Flipdish.KioskSettings](docs/KioskSettings.md)
 - [Flipdish.KioskTerminalActionStateChangedEvent](docs/KioskTerminalActionStateChangedEvent.md)
 - [Flipdish.Language](docs/Language.md)
 - [Flipdish.LastPaymentError](docs/LastPaymentError.md)
 - [Flipdish.LeadTime](docs/LeadTime.md)
 - [Flipdish.LightspeedSettings](docs/LightspeedSettings.md)
 - [Flipdish.LineItem](docs/LineItem.md)
 - [Flipdish.LineItemOption](docs/LineItemOption.md)
 - [Flipdish.LocalisedTimeZone](docs/LocalisedTimeZone.md)
 - [Flipdish.Location](docs/Location.md)
 - [Flipdish.LocationArea](docs/LocationArea.md)
 - [Flipdish.LocationAreaCreatedEvent](docs/LocationAreaCreatedEvent.md)
 - [Flipdish.LocationAreaLocation](docs/LocationAreaLocation.md)
 - [Flipdish.LocationAreaUpdatedEvent](docs/LocationAreaUpdatedEvent.md)
 - [Flipdish.LocationAreaWithLocations](docs/LocationAreaWithLocations.md)
 - [Flipdish.LocationCreatedEvent](docs/LocationCreatedEvent.md)
 - [Flipdish.LocationDeletedEvent](docs/LocationDeletedEvent.md)
 - [Flipdish.LoginModel](docs/LoginModel.md)
 - [Flipdish.LoginWithPinModel](docs/LoginWithPinModel.md)
 - [Flipdish.LoyaltyCampaign](docs/LoyaltyCampaign.md)
 - [Flipdish.LoyaltyCampaignBase](docs/LoyaltyCampaignBase.md)
 - [Flipdish.LoyaltyCampaignCreatedEvent](docs/LoyaltyCampaignCreatedEvent.md)
 - [Flipdish.LoyaltyCampaignDeletedEvent](docs/LoyaltyCampaignDeletedEvent.md)
 - [Flipdish.LoyaltyCampaignUpdatedEvent](docs/LoyaltyCampaignUpdatedEvent.md)
 - [Flipdish.LumpDiscountDetails](docs/LumpDiscountDetails.md)
 - [Flipdish.MappedLocation](docs/MappedLocation.md)
 - [Flipdish.MaskedPhoneNumber](docs/MaskedPhoneNumber.md)
 - [Flipdish.Menu](docs/Menu.md)
 - [Flipdish.MenuAsyncCreationCompletedEvent](docs/MenuAsyncCreationCompletedEvent.md)
 - [Flipdish.MenuBase](docs/MenuBase.md)
 - [Flipdish.MenuBulkEditEvent](docs/MenuBulkEditEvent.md)
 - [Flipdish.MenuCatalogItem](docs/MenuCatalogItem.md)
 - [Flipdish.MenuCheckpoint](docs/MenuCheckpoint.md)
 - [Flipdish.MenuCheckpointCreatedEvent](docs/MenuCheckpointCreatedEvent.md)
 - [Flipdish.MenuCreatedEvent](docs/MenuCreatedEvent.md)
 - [Flipdish.MenuElementEditResponse](docs/MenuElementEditResponse.md)
 - [Flipdish.MenuElementHide](docs/MenuElementHide.md)
 - [Flipdish.MenuElementListItemResponse](docs/MenuElementListItemResponse.md)
 - [Flipdish.MenuElementListResponse](docs/MenuElementListResponse.md)
 - [Flipdish.MenuItemOptionSet](docs/MenuItemOptionSet.md)
 - [Flipdish.MenuItemOptionSetBase](docs/MenuItemOptionSetBase.md)
 - [Flipdish.MenuItemOptionSetCreatedEvent](docs/MenuItemOptionSetCreatedEvent.md)
 - [Flipdish.MenuItemOptionSetDeletedEvent](docs/MenuItemOptionSetDeletedEvent.md)
 - [Flipdish.MenuItemOptionSetItem](docs/MenuItemOptionSetItem.md)
 - [Flipdish.MenuItemOptionSetItemBase](docs/MenuItemOptionSetItemBase.md)
 - [Flipdish.MenuItemOptionSetItemCreatedEvent](docs/MenuItemOptionSetItemCreatedEvent.md)
 - [Flipdish.MenuItemOptionSetItemDeletedEvent](docs/MenuItemOptionSetItemDeletedEvent.md)
 - [Flipdish.MenuItemOptionSetItemUpdatedEvent](docs/MenuItemOptionSetItemUpdatedEvent.md)
 - [Flipdish.MenuItemOptionSetUpdatedEvent](docs/MenuItemOptionSetUpdatedEvent.md)
 - [Flipdish.MenuNutritionInfoHeader](docs/MenuNutritionInfoHeader.md)
 - [Flipdish.MenuObjectDisplayOrders](docs/MenuObjectDisplayOrders.md)
 - [Flipdish.MenuSection](docs/MenuSection.md)
 - [Flipdish.MenuSectionAvailability](docs/MenuSectionAvailability.md)
 - [Flipdish.MenuSectionAvailabilityBase](docs/MenuSectionAvailabilityBase.md)
 - [Flipdish.MenuSectionBase](docs/MenuSectionBase.md)
 - [Flipdish.MenuSectionCreatedEvent](docs/MenuSectionCreatedEvent.md)
 - [Flipdish.MenuSectionDeletedEvent](docs/MenuSectionDeletedEvent.md)
 - [Flipdish.MenuSectionItem](docs/MenuSectionItem.md)
 - [Flipdish.MenuSectionItemBase](docs/MenuSectionItemBase.md)
 - [Flipdish.MenuSectionItemCreatedEvent](docs/MenuSectionItemCreatedEvent.md)
 - [Flipdish.MenuSectionItemDeletedEvent](docs/MenuSectionItemDeletedEvent.md)
 - [Flipdish.MenuSectionItemUpdatedEvent](docs/MenuSectionItemUpdatedEvent.md)
 - [Flipdish.MenuSectionUpdatedEvent](docs/MenuSectionUpdatedEvent.md)
 - [Flipdish.MenuStoreNames](docs/MenuStoreNames.md)
 - [Flipdish.MenuSummary](docs/MenuSummary.md)
 - [Flipdish.MenuTaxDetails](docs/MenuTaxDetails.md)
 - [Flipdish.MenuTaxRate](docs/MenuTaxRate.md)
 - [Flipdish.MenuUpdatedEvent](docs/MenuUpdatedEvent.md)
 - [Flipdish.MenuUploadedEvent](docs/MenuUploadedEvent.md)
 - [Flipdish.MenuZone](docs/MenuZone.md)
 - [Flipdish.Metadata](docs/Metadata.md)
 - [Flipdish.Metafield](docs/Metafield.md)
 - [Flipdish.MetafieldDefinition](docs/MetafieldDefinition.md)
 - [Flipdish.MetafieldDefinitionRecommendation](docs/MetafieldDefinitionRecommendation.md)
 - [Flipdish.MobileAppsImage](docs/MobileAppsImage.md)
 - [Flipdish.MobileAppsStatistics](docs/MobileAppsStatistics.md)
 - [Flipdish.MobileAppsSubmission](docs/MobileAppsSubmission.md)
 - [Flipdish.MobileAppsSubmissionDetails](docs/MobileAppsSubmissionDetails.md)
 - [Flipdish.MobileAppsSubmissionStatus](docs/MobileAppsSubmissionStatus.md)
 - [Flipdish.MobileAppsSubmissionStatusUpdatedEvent](docs/MobileAppsSubmissionStatusUpdatedEvent.md)
 - [Flipdish.MobileAppsSubmissionUpdatedEvent](docs/MobileAppsSubmissionUpdatedEvent.md)
 - [Flipdish.NextStatusWithOrderType](docs/NextStatusWithOrderType.md)
 - [Flipdish.NutritionInfo](docs/NutritionInfo.md)
 - [Flipdish.NutritionInfoItemAddUpdateLabelModel](docs/NutritionInfoItemAddUpdateLabelModel.md)
 - [Flipdish.NutritionInfoLabel](docs/NutritionInfoLabel.md)
 - [Flipdish.NutritionInfoMenuItem](docs/NutritionInfoMenuItem.md)
 - [Flipdish.NutritionInfoMenuOptionSetItem](docs/NutritionInfoMenuOptionSetItem.md)
 - [Flipdish.NutritionInfoV2](docs/NutritionInfoV2.md)
 - [Flipdish.NutritionInfoV2Allergen](docs/NutritionInfoV2Allergen.md)
 - [Flipdish.NutritionInfoV2Item](docs/NutritionInfoV2Item.md)
 - [Flipdish.OAuthApp](docs/OAuthApp.md)
 - [Flipdish.OAuthTokenModel](docs/OAuthTokenModel.md)
 - [Flipdish.OauthClientRedirectUri](docs/OauthClientRedirectUri.md)
 - [Flipdish.ObjectDisplayOrder](docs/ObjectDisplayOrder.md)
 - [Flipdish.OktaPortalFeatureFlag](docs/OktaPortalFeatureFlag.md)
 - [Flipdish.OnboardingConfigUpdate](docs/OnboardingConfigUpdate.md)
 - [Flipdish.OnboardingItemUpdate](docs/OnboardingItemUpdate.md)
 - [Flipdish.Order](docs/Order.md)
 - [Flipdish.OrderAcceptedEvent](docs/OrderAcceptedEvent.md)
 - [Flipdish.OrderBatch](docs/OrderBatch.md)
 - [Flipdish.OrderBatchPublishedEvent](docs/OrderBatchPublishedEvent.md)
 - [Flipdish.OrderBatchSummary](docs/OrderBatchSummary.md)
 - [Flipdish.OrderBatchingConfiguration](docs/OrderBatchingConfiguration.md)
 - [Flipdish.OrderCapacityConfigUpdatedEvent](docs/OrderCapacityConfigUpdatedEvent.md)
 - [Flipdish.OrderCreatedEvent](docs/OrderCreatedEvent.md)
 - [Flipdish.OrderCustomerTrackingCreatedEvent](docs/OrderCustomerTrackingCreatedEvent.md)
 - [Flipdish.OrderDeliveryInformation](docs/OrderDeliveryInformation.md)
 - [Flipdish.OrderDeliveryInformationBase](docs/OrderDeliveryInformationBase.md)
 - [Flipdish.OrderDeliveryTrackingStatusUpdatedEvent](docs/OrderDeliveryTrackingStatusUpdatedEvent.md)
 - [Flipdish.OrderDispatchedEvent](docs/OrderDispatchedEvent.md)
 - [Flipdish.OrderDropOffLocation](docs/OrderDropOffLocation.md)
 - [Flipdish.OrderFulfillmentStatus](docs/OrderFulfillmentStatus.md)
 - [Flipdish.OrderFulfillmentStatusBase](docs/OrderFulfillmentStatusBase.md)
 - [Flipdish.OrderFulfillmentStatusUpdate](docs/OrderFulfillmentStatusUpdate.md)
 - [Flipdish.OrderFulfillmentStatusUpdatedEvent](docs/OrderFulfillmentStatusUpdatedEvent.md)
 - [Flipdish.OrderFulfillmentStatusWithConfigurationActions](docs/OrderFulfillmentStatusWithConfigurationActions.md)
 - [Flipdish.OrderIngestSubmitOrderRequest](docs/OrderIngestSubmitOrderRequest.md)
 - [Flipdish.OrderIngestSubmitOrderResponse](docs/OrderIngestSubmitOrderResponse.md)
 - [Flipdish.OrderItem](docs/OrderItem.md)
 - [Flipdish.OrderItemOption](docs/OrderItemOption.md)
 - [Flipdish.OrderLeadTimes](docs/OrderLeadTimes.md)
 - [Flipdish.OrderList](docs/OrderList.md)
 - [Flipdish.OrderPaymentInformation](docs/OrderPaymentInformation.md)
 - [Flipdish.OrderRatingUpdatedEvent](docs/OrderRatingUpdatedEvent.md)
 - [Flipdish.OrderReference](docs/OrderReference.md)
 - [Flipdish.OrderRefundedEvent](docs/OrderRefundedEvent.md)
 - [Flipdish.OrderRejectedEvent](docs/OrderRejectedEvent.md)
 - [Flipdish.OrderSummary](docs/OrderSummary.md)
 - [Flipdish.OrderTipUpdatedEvent](docs/OrderTipUpdatedEvent.md)
 - [Flipdish.OrderVoucherSummary](docs/OrderVoucherSummary.md)
 - [Flipdish.OtherChargesDetails](docs/OtherChargesDetails.md)
 - [Flipdish.OwnerEntityConfiguration](docs/OwnerEntityConfiguration.md)
 - [Flipdish.OwnerEntityConfigurations](docs/OwnerEntityConfigurations.md)
 - [Flipdish.PasswordResetModel](docs/PasswordResetModel.md)
 - [Flipdish.PaymentInfo](docs/PaymentInfo.md)
 - [Flipdish.PaymentIntent](docs/PaymentIntent.md)
 - [Flipdish.PaymentTerminalDetails](docs/PaymentTerminalDetails.md)
 - [Flipdish.PaymentTerminalTransactionDetails](docs/PaymentTerminalTransactionDetails.md)
 - [Flipdish.Payout](docs/Payout.md)
 - [Flipdish.PayoutChargeback](docs/PayoutChargeback.md)
 - [Flipdish.PayoutDetail](docs/PayoutDetail.md)
 - [Flipdish.PayoutOrder](docs/PayoutOrder.md)
 - [Flipdish.PayoutOtherCharge](docs/PayoutOtherCharge.md)
 - [Flipdish.PayoutRefund](docs/PayoutRefund.md)
 - [Flipdish.PayoutReport3Details](docs/PayoutReport3Details.md)
 - [Flipdish.PayoutReport3DetailsAdjustments](docs/PayoutReport3DetailsAdjustments.md)
 - [Flipdish.PayoutReport3DetailsFlipdishFees](docs/PayoutReport3DetailsFlipdishFees.md)
 - [Flipdish.PayoutReport3DetailsRevenue](docs/PayoutReport3DetailsRevenue.md)
 - [Flipdish.PayoutReport3DetailsSalesLine](docs/PayoutReport3DetailsSalesLine.md)
 - [Flipdish.PayoutReport3DetailsSummary](docs/PayoutReport3DetailsSummary.md)
 - [Flipdish.PayoutReport3Overview](docs/PayoutReport3Overview.md)
 - [Flipdish.PayoutReport3OverviewHeader](docs/PayoutReport3OverviewHeader.md)
 - [Flipdish.PayoutReport3RefundedOrder](docs/PayoutReport3RefundedOrder.md)
 - [Flipdish.PayoutReport3Store](docs/PayoutReport3Store.md)
 - [Flipdish.PayoutRequestIds](docs/PayoutRequestIds.md)
 - [Flipdish.PayoutStore](docs/PayoutStore.md)
 - [Flipdish.PayoutSummary](docs/PayoutSummary.md)
 - [Flipdish.PendingInvitation](docs/PendingInvitation.md)
 - [Flipdish.PendingMenuChanges](docs/PendingMenuChanges.md)
 - [Flipdish.PendingMenuChangesSummaries](docs/PendingMenuChangesSummaries.md)
 - [Flipdish.PercentDiscountDetails](docs/PercentDiscountDetails.md)
 - [Flipdish.PhoneCall](docs/PhoneCall.md)
 - [Flipdish.PhoneCallEndedEvent](docs/PhoneCallEndedEvent.md)
 - [Flipdish.PhoneCallStartedEvent](docs/PhoneCallStartedEvent.md)
 - [Flipdish.PosRevenueDetails](docs/PosRevenueDetails.md)
 - [Flipdish.PreOrderConfig](docs/PreOrderConfig.md)
 - [Flipdish.PreOrderTime](docs/PreOrderTime.md)
 - [Flipdish.PredefinedAnswer](docs/PredefinedAnswer.md)
 - [Flipdish.PreviousOrder](docs/PreviousOrder.md)
 - [Flipdish.PreviousOrderItem](docs/PreviousOrderItem.md)
 - [Flipdish.PreviousOrderItemOption](docs/PreviousOrderItemOption.md)
 - [Flipdish.Price](docs/Price.md)
 - [Flipdish.Printer](docs/Printer.md)
 - [Flipdish.PrinterAssignedToStoreEvent](docs/PrinterAssignedToStoreEvent.md)
 - [Flipdish.PrinterTurnedOffEvent](docs/PrinterTurnedOffEvent.md)
 - [Flipdish.PrinterTurnedOnEvent](docs/PrinterTurnedOnEvent.md)
 - [Flipdish.PrinterUnassignedFromStoreEvent](docs/PrinterUnassignedFromStoreEvent.md)
 - [Flipdish.ProcessPaymentIntentRequest](docs/ProcessPaymentIntentRequest.md)
 - [Flipdish.ProcessingFeeConfig](docs/ProcessingFeeConfig.md)
 - [Flipdish.Product](docs/Product.md)
 - [Flipdish.ProductReference](docs/ProductReference.md)
 - [Flipdish.PromotionAward](docs/PromotionAward.md)
 - [Flipdish.PromotionDetails](docs/PromotionDetails.md)
 - [Flipdish.PublishMenuChanges](docs/PublishMenuChanges.md)
 - [Flipdish.PushNotificationDeletedEvent](docs/PushNotificationDeletedEvent.md)
 - [Flipdish.PushNotificationRequest](docs/PushNotificationRequest.md)
 - [Flipdish.PushNotificationResponse](docs/PushNotificationResponse.md)
 - [Flipdish.PushNotificationScheduledEvent](docs/PushNotificationScheduledEvent.md)
 - [Flipdish.PushNotificationSentEvent](docs/PushNotificationSentEvent.md)
 - [Flipdish.Range](docs/Range.md)
 - [Flipdish.ReaderActionStateInfo](docs/ReaderActionStateInfo.md)
 - [Flipdish.RedeemInvitationResult](docs/RedeemInvitationResult.md)
 - [Flipdish.Refund](docs/Refund.md)
 - [Flipdish.Reject](docs/Reject.md)
 - [Flipdish.RequestLoginPinModel](docs/RequestLoginPinModel.md)
 - [Flipdish.RequestLoginPinResponse](docs/RequestLoginPinResponse.md)
 - [Flipdish.RequestPasswordResetModel](docs/RequestPasswordResetModel.md)
 - [Flipdish.RequestPasswordResetPinResponse](docs/RequestPasswordResetPinResponse.md)
 - [Flipdish.Response](docs/Response.md)
 - [Flipdish.RestApiArrayResultAllMetadataResult](docs/RestApiArrayResultAllMetadataResult.md)
 - [Flipdish.RestApiArrayResultAllergen](docs/RestApiArrayResultAllergen.md)
 - [Flipdish.RestApiArrayResultApmCurrencyDataPoint](docs/RestApiArrayResultApmCurrencyDataPoint.md)
 - [Flipdish.RestApiArrayResultApmDataPoint](docs/RestApiArrayResultApmDataPoint.md)
 - [Flipdish.RestApiArrayResultApmHourlyDataPoint](docs/RestApiArrayResultApmHourlyDataPoint.md)
 - [Flipdish.RestApiArrayResultAppStoreAppConfigurationSummary](docs/RestApiArrayResultAppStoreAppConfigurationSummary.md)
 - [Flipdish.RestApiArrayResultAppStoreAppSummary](docs/RestApiArrayResultAppStoreAppSummary.md)
 - [Flipdish.RestApiArrayResultBankAccountSummary](docs/RestApiArrayResultBankAccountSummary.md)
 - [Flipdish.RestApiArrayResultBusinessHoursPeriod](docs/RestApiArrayResultBusinessHoursPeriod.md)
 - [Flipdish.RestApiArrayResultChannel](docs/RestApiArrayResultChannel.md)
 - [Flipdish.RestApiArrayResultClientDeviceSummary](docs/RestApiArrayResultClientDeviceSummary.md)
 - [Flipdish.RestApiArrayResultCountryWithAccountFieldsDefinitions](docs/RestApiArrayResultCountryWithAccountFieldsDefinitions.md)
 - [Flipdish.RestApiArrayResultDeliveryZone](docs/RestApiArrayResultDeliveryZone.md)
 - [Flipdish.RestApiArrayResultEmvTerminalWithAssignments](docs/RestApiArrayResultEmvTerminalWithAssignments.md)
 - [Flipdish.RestApiArrayResultFulfillmentStatesConfigurationSummary](docs/RestApiArrayResultFulfillmentStatesConfigurationSummary.md)
 - [Flipdish.RestApiArrayResultHomeAction](docs/RestApiArrayResultHomeAction.md)
 - [Flipdish.RestApiArrayResultKioskCashPaymentSettings](docs/RestApiArrayResultKioskCashPaymentSettings.md)
 - [Flipdish.RestApiArrayResultLocalisedTimeZone](docs/RestApiArrayResultLocalisedTimeZone.md)
 - [Flipdish.RestApiArrayResultLocationAreaLocation](docs/RestApiArrayResultLocationAreaLocation.md)
 - [Flipdish.RestApiArrayResultLocationAreaWithLocations](docs/RestApiArrayResultLocationAreaWithLocations.md)
 - [Flipdish.RestApiArrayResultLoyaltyCampaign](docs/RestApiArrayResultLoyaltyCampaign.md)
 - [Flipdish.RestApiArrayResultMenuCheckpoint](docs/RestApiArrayResultMenuCheckpoint.md)
 - [Flipdish.RestApiArrayResultMenuElementEditResponse](docs/RestApiArrayResultMenuElementEditResponse.md)
 - [Flipdish.RestApiArrayResultMenuElementListResponse](docs/RestApiArrayResultMenuElementListResponse.md)
 - [Flipdish.RestApiArrayResultMenuItemOptionSet](docs/RestApiArrayResultMenuItemOptionSet.md)
 - [Flipdish.RestApiArrayResultMenuItemOptionSetItem](docs/RestApiArrayResultMenuItemOptionSetItem.md)
 - [Flipdish.RestApiArrayResultMenuSection](docs/RestApiArrayResultMenuSection.md)
 - [Flipdish.RestApiArrayResultMenuSectionItem](docs/RestApiArrayResultMenuSectionItem.md)
 - [Flipdish.RestApiArrayResultMenuStoreNames](docs/RestApiArrayResultMenuStoreNames.md)
 - [Flipdish.RestApiArrayResultMenuSummary](docs/RestApiArrayResultMenuSummary.md)
 - [Flipdish.RestApiArrayResultMenuTaxDetails](docs/RestApiArrayResultMenuTaxDetails.md)
 - [Flipdish.RestApiArrayResultMenuZone](docs/RestApiArrayResultMenuZone.md)
 - [Flipdish.RestApiArrayResultMetadata](docs/RestApiArrayResultMetadata.md)
 - [Flipdish.RestApiArrayResultMobileAppsStatistics](docs/RestApiArrayResultMobileAppsStatistics.md)
 - [Flipdish.RestApiArrayResultOAuthApp](docs/RestApiArrayResultOAuthApp.md)
 - [Flipdish.RestApiArrayResultOauthClientRedirectUri](docs/RestApiArrayResultOauthClientRedirectUri.md)
 - [Flipdish.RestApiArrayResultOrderBatch](docs/RestApiArrayResultOrderBatch.md)
 - [Flipdish.RestApiArrayResultOrderFulfillmentStatus](docs/RestApiArrayResultOrderFulfillmentStatus.md)
 - [Flipdish.RestApiArrayResultPayoutSummary](docs/RestApiArrayResultPayoutSummary.md)
 - [Flipdish.RestApiArrayResultPendingInvitation](docs/RestApiArrayResultPendingInvitation.md)
 - [Flipdish.RestApiArrayResultPendingMenuChangesSummaries](docs/RestApiArrayResultPendingMenuChangesSummaries.md)
 - [Flipdish.RestApiArrayResultPreOrderTime](docs/RestApiArrayResultPreOrderTime.md)
 - [Flipdish.RestApiArrayResultProcessingFeeConfig](docs/RestApiArrayResultProcessingFeeConfig.md)
 - [Flipdish.RestApiArrayResultRedeemInvitationResult](docs/RestApiArrayResultRedeemInvitationResult.md)
 - [Flipdish.RestApiArrayResultRestApiDefaultResponse](docs/RestApiArrayResultRestApiDefaultResponse.md)
 - [Flipdish.RestApiArrayResultRestaurantVoucherEligibleStore](docs/RestApiArrayResultRestaurantVoucherEligibleStore.md)
 - [Flipdish.RestApiArrayResultRestaurantVoucherPayGreenConfiguration](docs/RestApiArrayResultRestaurantVoucherPayGreenConfiguration.md)
 - [Flipdish.RestApiArrayResultRestaurantVoucherPayGreenConfigurationSummary](docs/RestApiArrayResultRestaurantVoucherPayGreenConfigurationSummary.md)
 - [Flipdish.RestApiArrayResultRetentionCampaign](docs/RestApiArrayResultRetentionCampaign.md)
 - [Flipdish.RestApiArrayResultSmsProviderCredential](docs/RestApiArrayResultSmsProviderCredential.md)
 - [Flipdish.RestApiArrayResultStoreChannelAssignment](docs/RestApiArrayResultStoreChannelAssignment.md)
 - [Flipdish.RestApiArrayResultStoreChannelStoreMapping](docs/RestApiArrayResultStoreChannelStoreMapping.md)
 - [Flipdish.RestApiArrayResultStoreDeliveryZoneFeeConfig](docs/RestApiArrayResultStoreDeliveryZoneFeeConfig.md)
 - [Flipdish.RestApiArrayResultStoreListItem](docs/RestApiArrayResultStoreListItem.md)
 - [Flipdish.RestApiArrayResultStoreStatistics](docs/RestApiArrayResultStoreStatistics.md)
 - [Flipdish.RestApiArrayResultStripeCustomConnectedAccount](docs/RestApiArrayResultStripeCustomConnectedAccount.md)
 - [Flipdish.RestApiArrayResultSubscriptionSummary](docs/RestApiArrayResultSubscriptionSummary.md)
 - [Flipdish.RestApiArrayResultSupportedCountry](docs/RestApiArrayResultSupportedCountry.md)
 - [Flipdish.RestApiArrayResultTeammate](docs/RestApiArrayResultTeammate.md)
 - [Flipdish.RestApiArrayResultVoucherDataPoint](docs/RestApiArrayResultVoucherDataPoint.md)
 - [Flipdish.RestApiDefaultResponse](docs/RestApiDefaultResponse.md)
 - [Flipdish.RestApiErrorResult](docs/RestApiErrorResult.md)
 - [Flipdish.RestApiEventSearchPaginationResult](docs/RestApiEventSearchPaginationResult.md)
 - [Flipdish.RestApiFinanceSearchPaginationResultInvoice](docs/RestApiFinanceSearchPaginationResultInvoice.md)
 - [Flipdish.RestApiFinanceSearchPaginationResultSubscriptionInvoice](docs/RestApiFinanceSearchPaginationResultSubscriptionInvoice.md)
 - [Flipdish.RestApiForbiddenResult](docs/RestApiForbiddenResult.md)
 - [Flipdish.RestApiIntegerResult](docs/RestApiIntegerResult.md)
 - [Flipdish.RestApiPaginationResultApp](docs/RestApiPaginationResultApp.md)
 - [Flipdish.RestApiPaginationResultAppStoreAppSummary](docs/RestApiPaginationResultAppStoreAppSummary.md)
 - [Flipdish.RestApiPaginationResultBusinessHoursOverride](docs/RestApiPaginationResultBusinessHoursOverride.md)
 - [Flipdish.RestApiPaginationResultCatalogItem](docs/RestApiPaginationResultCatalogItem.md)
 - [Flipdish.RestApiPaginationResultGroup](docs/RestApiPaginationResultGroup.md)
 - [Flipdish.RestApiPaginationResultHydraDeviceDetails](docs/RestApiPaginationResultHydraDeviceDetails.md)
 - [Flipdish.RestApiPaginationResultMetafieldDefinition](docs/RestApiPaginationResultMetafieldDefinition.md)
 - [Flipdish.RestApiPaginationResultMetafieldDefinitionRecommendation](docs/RestApiPaginationResultMetafieldDefinitionRecommendation.md)
 - [Flipdish.RestApiPaginationResultOAuthTokenModel](docs/RestApiPaginationResultOAuthTokenModel.md)
 - [Flipdish.RestApiPaginationResultOrder](docs/RestApiPaginationResultOrder.md)
 - [Flipdish.RestApiPaginationResultOrderSummary](docs/RestApiPaginationResultOrderSummary.md)
 - [Flipdish.RestApiPaginationResultPayout](docs/RestApiPaginationResultPayout.md)
 - [Flipdish.RestApiPaginationResultPayoutChargeback](docs/RestApiPaginationResultPayoutChargeback.md)
 - [Flipdish.RestApiPaginationResultPayoutOrder](docs/RestApiPaginationResultPayoutOrder.md)
 - [Flipdish.RestApiPaginationResultPayoutOtherCharge](docs/RestApiPaginationResultPayoutOtherCharge.md)
 - [Flipdish.RestApiPaginationResultPayoutRefund](docs/RestApiPaginationResultPayoutRefund.md)
 - [Flipdish.RestApiPaginationResultPayoutReport3RefundedOrder](docs/RestApiPaginationResultPayoutReport3RefundedOrder.md)
 - [Flipdish.RestApiPaginationResultPendingMenuChanges](docs/RestApiPaginationResultPendingMenuChanges.md)
 - [Flipdish.RestApiPaginationResultPhoneCall](docs/RestApiPaginationResultPhoneCall.md)
 - [Flipdish.RestApiPaginationResultProduct](docs/RestApiPaginationResultProduct.md)
 - [Flipdish.RestApiPaginationResultPushNotificationResponse](docs/RestApiPaginationResultPushNotificationResponse.md)
 - [Flipdish.RestApiPaginationResultRestaurant](docs/RestApiPaginationResultRestaurant.md)
 - [Flipdish.RestApiPaginationResultStore](docs/RestApiPaginationResultStore.md)
 - [Flipdish.RestApiPaginationResultStoreGroup](docs/RestApiPaginationResultStoreGroup.md)
 - [Flipdish.RestApiPaginationResultStoreGroupExtended](docs/RestApiPaginationResultStoreGroupExtended.md)
 - [Flipdish.RestApiPaginationResultStoreHeader](docs/RestApiPaginationResultStoreHeader.md)
 - [Flipdish.RestApiPaginationResultStoreValidationConfig](docs/RestApiPaginationResultStoreValidationConfig.md)
 - [Flipdish.RestApiPaginationResultVoucherSummary](docs/RestApiPaginationResultVoucherSummary.md)
 - [Flipdish.RestApiPaginationResultWebhookLog](docs/RestApiPaginationResultWebhookLog.md)
 - [Flipdish.RestApiPaginationResultWebhookSubscription](docs/RestApiPaginationResultWebhookSubscription.md)
 - [Flipdish.RestApiResultAcceptInvitationResult](docs/RestApiResultAcceptInvitationResult.md)
 - [Flipdish.RestApiResultAccountDetail](docs/RestApiResultAccountDetail.md)
 - [Flipdish.RestApiResultAccountFieldsDefinitions](docs/RestApiResultAccountFieldsDefinitions.md)
 - [Flipdish.RestApiResultAddressFormResponse](docs/RestApiResultAddressFormResponse.md)
 - [Flipdish.RestApiResultApmStatistics](docs/RestApiResultApmStatistics.md)
 - [Flipdish.RestApiResultApmStatus](docs/RestApiResultApmStatus.md)
 - [Flipdish.RestApiResultApp](docs/RestApiResultApp.md)
 - [Flipdish.RestApiResultAppChannelAssignment](docs/RestApiResultAppChannelAssignment.md)
 - [Flipdish.RestApiResultAppCompliance](docs/RestApiResultAppCompliance.md)
 - [Flipdish.RestApiResultAppConfigSalesChannel](docs/RestApiResultAppConfigSalesChannel.md)
 - [Flipdish.RestApiResultAppStoreApp](docs/RestApiResultAppStoreApp.md)
 - [Flipdish.RestApiResultAppStoreAppConfiguration](docs/RestApiResultAppStoreAppConfiguration.md)
 - [Flipdish.RestApiResultAppStoreAppEntitlements](docs/RestApiResultAppStoreAppEntitlements.md)
 - [Flipdish.RestApiResultAssignedBankAccount](docs/RestApiResultAssignedBankAccount.md)
 - [Flipdish.RestApiResultBankAccountDetail](docs/RestApiResultBankAccountDetail.md)
 - [Flipdish.RestApiResultBluetoothTerminalStatus](docs/RestApiResultBluetoothTerminalStatus.md)
 - [Flipdish.RestApiResultBusinessHoursOverride](docs/RestApiResultBusinessHoursOverride.md)
 - [Flipdish.RestApiResultBusinessHoursPeriod](docs/RestApiResultBusinessHoursPeriod.md)
 - [Flipdish.RestApiResultCardReader](docs/RestApiResultCardReader.md)
 - [Flipdish.RestApiResultCatalogItem](docs/RestApiResultCatalogItem.md)
 - [Flipdish.RestApiResultChannel](docs/RestApiResultChannel.md)
 - [Flipdish.RestApiResultClientDevice](docs/RestApiResultClientDevice.md)
 - [Flipdish.RestApiResultClientDeviceEnrollmentResult](docs/RestApiResultClientDeviceEnrollmentResult.md)
 - [Flipdish.RestApiResultCoordinates](docs/RestApiResultCoordinates.md)
 - [Flipdish.RestApiResultCountryFormResponse](docs/RestApiResultCountryFormResponse.md)
 - [Flipdish.RestApiResultCreatedMenuSectionItems](docs/RestApiResultCreatedMenuSectionItems.md)
 - [Flipdish.RestApiResultCrossSellMenuItems](docs/RestApiResultCrossSellMenuItems.md)
 - [Flipdish.RestApiResultCustomer](docs/RestApiResultCustomer.md)
 - [Flipdish.RestApiResultDeliveryZone](docs/RestApiResultDeliveryZone.md)
 - [Flipdish.RestApiResultDnsRecordInformation](docs/RestApiResultDnsRecordInformation.md)
 - [Flipdish.RestApiResultExecuteConfigurationActionResult](docs/RestApiResultExecuteConfigurationActionResult.md)
 - [Flipdish.RestApiResultFileCreationResult](docs/RestApiResultFileCreationResult.md)
 - [Flipdish.RestApiResultFileDownloadResult](docs/RestApiResultFileDownloadResult.md)
 - [Flipdish.RestApiResultFulfillmentStatesConfiguration](docs/RestApiResultFulfillmentStatesConfiguration.md)
 - [Flipdish.RestApiResultGroup](docs/RestApiResultGroup.md)
 - [Flipdish.RestApiResultHasPaymentMethodResponse](docs/RestApiResultHasPaymentMethodResponse.md)
 - [Flipdish.RestApiResultHomeStatistics](docs/RestApiResultHomeStatistics.md)
 - [Flipdish.RestApiResultHydraConfig](docs/RestApiResultHydraConfig.md)
 - [Flipdish.RestApiResultHydraDeviceDetails](docs/RestApiResultHydraDeviceDetails.md)
 - [Flipdish.RestApiResultHydraStatus](docs/RestApiResultHydraStatus.md)
 - [Flipdish.RestApiResultIndexPage](docs/RestApiResultIndexPage.md)
 - [Flipdish.RestApiResultIndexPageBase](docs/RestApiResultIndexPageBase.md)
 - [Flipdish.RestApiResultIntercomUserHash](docs/RestApiResultIntercomUserHash.md)
 - [Flipdish.RestApiResultJobResponse](docs/RestApiResultJobResponse.md)
 - [Flipdish.RestApiResultKioskEntitlementsResult](docs/RestApiResultKioskEntitlementsResult.md)
 - [Flipdish.RestApiResultKioskIotConnectionParameters](docs/RestApiResultKioskIotConnectionParameters.md)
 - [Flipdish.RestApiResultKioskSettings](docs/RestApiResultKioskSettings.md)
 - [Flipdish.RestApiResultLightspeedSettings](docs/RestApiResultLightspeedSettings.md)
 - [Flipdish.RestApiResultLocationArea](docs/RestApiResultLocationArea.md)
 - [Flipdish.RestApiResultLocationAreaLocation](docs/RestApiResultLocationAreaLocation.md)
 - [Flipdish.RestApiResultLocationAreaWithLocations](docs/RestApiResultLocationAreaWithLocations.md)
 - [Flipdish.RestApiResultLoyaltyCampaign](docs/RestApiResultLoyaltyCampaign.md)
 - [Flipdish.RestApiResultMappedLocation](docs/RestApiResultMappedLocation.md)
 - [Flipdish.RestApiResultMenu](docs/RestApiResultMenu.md)
 - [Flipdish.RestApiResultMenuItemOptionSet](docs/RestApiResultMenuItemOptionSet.md)
 - [Flipdish.RestApiResultMenuItemOptionSetItem](docs/RestApiResultMenuItemOptionSetItem.md)
 - [Flipdish.RestApiResultMenuNutritionInfoHeader](docs/RestApiResultMenuNutritionInfoHeader.md)
 - [Flipdish.RestApiResultMenuSection](docs/RestApiResultMenuSection.md)
 - [Flipdish.RestApiResultMenuSectionAvailability](docs/RestApiResultMenuSectionAvailability.md)
 - [Flipdish.RestApiResultMenuSectionItem](docs/RestApiResultMenuSectionItem.md)
 - [Flipdish.RestApiResultMenuZone](docs/RestApiResultMenuZone.md)
 - [Flipdish.RestApiResultMetadata](docs/RestApiResultMetadata.md)
 - [Flipdish.RestApiResultMetafieldDefinition](docs/RestApiResultMetafieldDefinition.md)
 - [Flipdish.RestApiResultMobileAppsImage](docs/RestApiResultMobileAppsImage.md)
 - [Flipdish.RestApiResultMobileAppsSubmission](docs/RestApiResultMobileAppsSubmission.md)
 - [Flipdish.RestApiResultMobileAppsSubmissionDetails](docs/RestApiResultMobileAppsSubmissionDetails.md)
 - [Flipdish.RestApiResultMobileAppsSubmissionStatus](docs/RestApiResultMobileAppsSubmissionStatus.md)
 - [Flipdish.RestApiResultModelBase](docs/RestApiResultModelBase.md)
 - [Flipdish.RestApiResultNutritionInfo](docs/RestApiResultNutritionInfo.md)
 - [Flipdish.RestApiResultNutritionInfoV2](docs/RestApiResultNutritionInfoV2.md)
 - [Flipdish.RestApiResultOAuthApp](docs/RestApiResultOAuthApp.md)
 - [Flipdish.RestApiResultOauthClientRedirectUri](docs/RestApiResultOauthClientRedirectUri.md)
 - [Flipdish.RestApiResultOktaPortalFeatureFlag](docs/RestApiResultOktaPortalFeatureFlag.md)
 - [Flipdish.RestApiResultOrder](docs/RestApiResultOrder.md)
 - [Flipdish.RestApiResultOrderBatch](docs/RestApiResultOrderBatch.md)
 - [Flipdish.RestApiResultOrderBatchingConfiguration](docs/RestApiResultOrderBatchingConfiguration.md)
 - [Flipdish.RestApiResultOrderDeliveryInformation](docs/RestApiResultOrderDeliveryInformation.md)
 - [Flipdish.RestApiResultOrderFulfillmentStatus](docs/RestApiResultOrderFulfillmentStatus.md)
 - [Flipdish.RestApiResultOrderFulfillmentStatusWithConfigurationActions](docs/RestApiResultOrderFulfillmentStatusWithConfigurationActions.md)
 - [Flipdish.RestApiResultOrderIngestSubmitOrderResponse](docs/RestApiResultOrderIngestSubmitOrderResponse.md)
 - [Flipdish.RestApiResultOrderLeadTimes](docs/RestApiResultOrderLeadTimes.md)
 - [Flipdish.RestApiResultOrderPaymentInformation](docs/RestApiResultOrderPaymentInformation.md)
 - [Flipdish.RestApiResultPaymentIntent](docs/RestApiResultPaymentIntent.md)
 - [Flipdish.RestApiResultPaymentTerminalDetails](docs/RestApiResultPaymentTerminalDetails.md)
 - [Flipdish.RestApiResultPaymentTerminalTransactionDetails](docs/RestApiResultPaymentTerminalTransactionDetails.md)
 - [Flipdish.RestApiResultPayoutReport3Details](docs/RestApiResultPayoutReport3Details.md)
 - [Flipdish.RestApiResultPayoutReport3Overview](docs/RestApiResultPayoutReport3Overview.md)
 - [Flipdish.RestApiResultPreOrderConfig](docs/RestApiResultPreOrderConfig.md)
 - [Flipdish.RestApiResultProcessingFeeConfig](docs/RestApiResultProcessingFeeConfig.md)
 - [Flipdish.RestApiResultProduct](docs/RestApiResultProduct.md)
 - [Flipdish.RestApiResultPushNotificationResponse](docs/RestApiResultPushNotificationResponse.md)
 - [Flipdish.RestApiResultRedeemInvitationResult](docs/RestApiResultRedeemInvitationResult.md)
 - [Flipdish.RestApiResultRestApiIntegerResult](docs/RestApiResultRestApiIntegerResult.md)
 - [Flipdish.RestApiResultRestaurantVoucherPayGreenConfiguration](docs/RestApiResultRestaurantVoucherPayGreenConfiguration.md)
 - [Flipdish.RestApiResultRestaurantVoucherPayGreenStoreConfiguration](docs/RestApiResultRestaurantVoucherPayGreenStoreConfiguration.md)
 - [Flipdish.RestApiResultRetentionCampaign](docs/RestApiResultRetentionCampaign.md)
 - [Flipdish.RestApiResultServiceCharge](docs/RestApiResultServiceCharge.md)
 - [Flipdish.RestApiResultSmsProviderCredential](docs/RestApiResultSmsProviderCredential.md)
 - [Flipdish.RestApiResultStore](docs/RestApiResultStore.md)
 - [Flipdish.RestApiResultStoreAddress](docs/RestApiResultStoreAddress.md)
 - [Flipdish.RestApiResultStoreChannelAssignment](docs/RestApiResultStoreChannelAssignment.md)
 - [Flipdish.RestApiResultStoreEndOfDayReport](docs/RestApiResultStoreEndOfDayReport.md)
 - [Flipdish.RestApiResultStoreGroup](docs/RestApiResultStoreGroup.md)
 - [Flipdish.RestApiResultStoreGroupBase](docs/RestApiResultStoreGroupBase.md)
 - [Flipdish.RestApiResultStoreOrderCapacityConfig](docs/RestApiResultStoreOrderCapacityConfig.md)
 - [Flipdish.RestApiResultStripeConnectedAccount](docs/RestApiResultStripeConnectedAccount.md)
 - [Flipdish.RestApiResultStripeTerminalConnectionToken](docs/RestApiResultStripeTerminalConnectionToken.md)
 - [Flipdish.RestApiResultStripeTerminalLocation](docs/RestApiResultStripeTerminalLocation.md)
 - [Flipdish.RestApiResultStuartSettings](docs/RestApiResultStuartSettings.md)
 - [Flipdish.RestApiResultSubscription](docs/RestApiResultSubscription.md)
 - [Flipdish.RestApiResultTeammate](docs/RestApiResultTeammate.md)
 - [Flipdish.RestApiResultTelemetrySeriesResult](docs/RestApiResultTelemetrySeriesResult.md)
 - [Flipdish.RestApiResultTipConfiguration](docs/RestApiResultTipConfiguration.md)
 - [Flipdish.RestApiResultUpdateMobileAppsSubmissionStatus](docs/RestApiResultUpdateMobileAppsSubmissionStatus.md)
 - [Flipdish.RestApiResultVoucher](docs/RestApiResultVoucher.md)
 - [Flipdish.RestApiResultVoucherWithStats](docs/RestApiResultVoucherWithStats.md)
 - [Flipdish.RestApiResultWebsiteImage](docs/RestApiResultWebsiteImage.md)
 - [Flipdish.RestApiResultWebsiteTestimonial](docs/RestApiResultWebsiteTestimonial.md)
 - [Flipdish.RestApiStringArrayResult](docs/RestApiStringArrayResult.md)
 - [Flipdish.RestApiStringResult](docs/RestApiStringResult.md)
 - [Flipdish.RestApiUnauthorizedResult](docs/RestApiUnauthorizedResult.md)
 - [Flipdish.Restaurant](docs/Restaurant.md)
 - [Flipdish.RestaurantVoucherAssignedStore](docs/RestaurantVoucherAssignedStore.md)
 - [Flipdish.RestaurantVoucherEligibleStore](docs/RestaurantVoucherEligibleStore.md)
 - [Flipdish.RestaurantVoucherPayGreenConfiguration](docs/RestaurantVoucherPayGreenConfiguration.md)
 - [Flipdish.RestaurantVoucherPayGreenConfigurationSummary](docs/RestaurantVoucherPayGreenConfigurationSummary.md)
 - [Flipdish.RestaurantVoucherPayGreenStoreConfiguration](docs/RestaurantVoucherPayGreenStoreConfiguration.md)
 - [Flipdish.RetentionCampaign](docs/RetentionCampaign.md)
 - [Flipdish.RetentionCampaignBase](docs/RetentionCampaignBase.md)
 - [Flipdish.RetentionCampaignCreatedEvent](docs/RetentionCampaignCreatedEvent.md)
 - [Flipdish.RetentionCampaignDeletedEvent](docs/RetentionCampaignDeletedEvent.md)
 - [Flipdish.RetentionCampaignUpdatedEvent](docs/RetentionCampaignUpdatedEvent.md)
 - [Flipdish.RevenueAdjustmentsDetails](docs/RevenueAdjustmentsDetails.md)
 - [Flipdish.RevenueDetail](docs/RevenueDetail.md)
 - [Flipdish.SafeWaitHandle](docs/SafeWaitHandle.md)
 - [Flipdish.SearchCriteria](docs/SearchCriteria.md)
 - [Flipdish.ServiceCharge](docs/ServiceCharge.md)
 - [Flipdish.SetOrderBatchingConfiguration](docs/SetOrderBatchingConfiguration.md)
 - [Flipdish.SetPasswordWithPinModel](docs/SetPasswordWithPinModel.md)
 - [Flipdish.SetVoucherValidityPeriodsSimplifiedRequest](docs/SetVoucherValidityPeriodsSimplifiedRequest.md)
 - [Flipdish.Setting](docs/Setting.md)
 - [Flipdish.SignupStep](docs/SignupStep.md)
 - [Flipdish.SmsInfo](docs/SmsInfo.md)
 - [Flipdish.SmsProviderCredential](docs/SmsProviderCredential.md)
 - [Flipdish.SmsProviderCredentialUpdateRequest](docs/SmsProviderCredentialUpdateRequest.md)
 - [Flipdish.SmsReceivedEvent](docs/SmsReceivedEvent.md)
 - [Flipdish.StatisticsCurrencyDataPoint](docs/StatisticsCurrencyDataPoint.md)
 - [Flipdish.Store](docs/Store.md)
 - [Flipdish.StoreAddress](docs/StoreAddress.md)
 - [Flipdish.StoreAddressBase](docs/StoreAddressBase.md)
 - [Flipdish.StoreAddressForm](docs/StoreAddressForm.md)
 - [Flipdish.StoreAddressUpdatedEvent](docs/StoreAddressUpdatedEvent.md)
 - [Flipdish.StoreArchivedEvent](docs/StoreArchivedEvent.md)
 - [Flipdish.StoreBase](docs/StoreBase.md)
 - [Flipdish.StoreBusinessHoursOverrideCreatedEvent](docs/StoreBusinessHoursOverrideCreatedEvent.md)
 - [Flipdish.StoreBusinessHoursOverrideDeletedEvent](docs/StoreBusinessHoursOverrideDeletedEvent.md)
 - [Flipdish.StoreCampaignStartTime](docs/StoreCampaignStartTime.md)
 - [Flipdish.StoreChannelAssignment](docs/StoreChannelAssignment.md)
 - [Flipdish.StoreChannelStoreMapping](docs/StoreChannelStoreMapping.md)
 - [Flipdish.StoreCloneSettings](docs/StoreCloneSettings.md)
 - [Flipdish.StoreConfig](docs/StoreConfig.md)
 - [Flipdish.StoreCreateBase](docs/StoreCreateBase.md)
 - [Flipdish.StoreCreatedEvent](docs/StoreCreatedEvent.md)
 - [Flipdish.StoreDataPoint](docs/StoreDataPoint.md)
 - [Flipdish.StoreDeletedEvent](docs/StoreDeletedEvent.md)
 - [Flipdish.StoreDeliveryZoneFeeConfig](docs/StoreDeliveryZoneFeeConfig.md)
 - [Flipdish.StoreDeliveryZoneFeeConfigUpdateRequest](docs/StoreDeliveryZoneFeeConfigUpdateRequest.md)
 - [Flipdish.StoreEndOfDayReport](docs/StoreEndOfDayReport.md)
 - [Flipdish.StoreFeeConfig](docs/StoreFeeConfig.md)
 - [Flipdish.StoreFeeConfigUpdatedEvent](docs/StoreFeeConfigUpdatedEvent.md)
 - [Flipdish.StoreGroup](docs/StoreGroup.md)
 - [Flipdish.StoreGroupBase](docs/StoreGroupBase.md)
 - [Flipdish.StoreGroupCreatedEvent](docs/StoreGroupCreatedEvent.md)
 - [Flipdish.StoreGroupDeletedEvent](docs/StoreGroupDeletedEvent.md)
 - [Flipdish.StoreGroupExtended](docs/StoreGroupExtended.md)
 - [Flipdish.StoreGroupUpdatedEvent](docs/StoreGroupUpdatedEvent.md)
 - [Flipdish.StoreHeader](docs/StoreHeader.md)
 - [Flipdish.StoreItemHeader](docs/StoreItemHeader.md)
 - [Flipdish.StoreKioskSetting](docs/StoreKioskSetting.md)
 - [Flipdish.StoreKioskSettingUpdatedEvent](docs/StoreKioskSettingUpdatedEvent.md)
 - [Flipdish.StoreListItem](docs/StoreListItem.md)
 - [Flipdish.StoreLogoCreatedEvent](docs/StoreLogoCreatedEvent.md)
 - [Flipdish.StoreLogoDeletedEvent](docs/StoreLogoDeletedEvent.md)
 - [Flipdish.StoreLogoUpdatedEvent](docs/StoreLogoUpdatedEvent.md)
 - [Flipdish.StoreMenuAssignedEvent](docs/StoreMenuAssignedEvent.md)
 - [Flipdish.StoreNote](docs/StoreNote.md)
 - [Flipdish.StoreOpeningHoursUpdatedEvent](docs/StoreOpeningHoursUpdatedEvent.md)
 - [Flipdish.StoreOrderCapacityConfig](docs/StoreOrderCapacityConfig.md)
 - [Flipdish.StoreOrderCapacityConfigEditModel](docs/StoreOrderCapacityConfigEditModel.md)
 - [Flipdish.StoreOrderCapacityPeriod](docs/StoreOrderCapacityPeriod.md)
 - [Flipdish.StorePreOrderConfigUpdatedEvent](docs/StorePreOrderConfigUpdatedEvent.md)
 - [Flipdish.StorePublishedEvent](docs/StorePublishedEvent.md)
 - [Flipdish.StoreServiceChargeUpdatedEvent](docs/StoreServiceChargeUpdatedEvent.md)
 - [Flipdish.StoreStatistics](docs/StoreStatistics.md)
 - [Flipdish.StoreSummary](docs/StoreSummary.md)
 - [Flipdish.StoreTipUpdatedEvent](docs/StoreTipUpdatedEvent.md)
 - [Flipdish.StoreUnarchivedEvent](docs/StoreUnarchivedEvent.md)
 - [Flipdish.StoreUnpublishedEvent](docs/StoreUnpublishedEvent.md)
 - [Flipdish.StoreUpdatedEvent](docs/StoreUpdatedEvent.md)
 - [Flipdish.StoreValidationConfig](docs/StoreValidationConfig.md)
 - [Flipdish.Stream](docs/Stream.md)
 - [Flipdish.StripeAccountLinkRequest](docs/StripeAccountLinkRequest.md)
 - [Flipdish.StripeConnectedAccount](docs/StripeConnectedAccount.md)
 - [Flipdish.StripeConnectedAccountInfo](docs/StripeConnectedAccountInfo.md)
 - [Flipdish.StripeCustomConnectedAccount](docs/StripeCustomConnectedAccount.md)
 - [Flipdish.StripeTerminalConnectionToken](docs/StripeTerminalConnectionToken.md)
 - [Flipdish.StripeTerminalLocation](docs/StripeTerminalLocation.md)
 - [Flipdish.StuartSettings](docs/StuartSettings.md)
 - [Flipdish.StuartSettingsTransportPrices](docs/StuartSettingsTransportPrices.md)
 - [Flipdish.Subscription](docs/Subscription.md)
 - [Flipdish.SubscriptionInvoice](docs/SubscriptionInvoice.md)
 - [Flipdish.SubscriptionProduct](docs/SubscriptionProduct.md)
 - [Flipdish.SubscriptionStore](docs/SubscriptionStore.md)
 - [Flipdish.SubscriptionSummary](docs/SubscriptionSummary.md)
 - [Flipdish.SupportedCountry](docs/SupportedCountry.md)
 - [Flipdish.TaxItem](docs/TaxItem.md)
 - [Flipdish.TaxRate](docs/TaxRate.md)
 - [Flipdish.Teammate](docs/Teammate.md)
 - [Flipdish.TeammateBase](docs/TeammateBase.md)
 - [Flipdish.TeammateDeletedEvent](docs/TeammateDeletedEvent.md)
 - [Flipdish.TeammateInviteAcceptedEvent](docs/TeammateInviteAcceptedEvent.md)
 - [Flipdish.TeammateInviteSentEvent](docs/TeammateInviteSentEvent.md)
 - [Flipdish.TeammateUpdatedEvent](docs/TeammateUpdatedEvent.md)
 - [Flipdish.TelemetrySeriesProperty](docs/TelemetrySeriesProperty.md)
 - [Flipdish.TelemetrySeriesQueryParameters](docs/TelemetrySeriesQueryParameters.md)
 - [Flipdish.TelemetrySeriesResult](docs/TelemetrySeriesResult.md)
 - [Flipdish.TelephonyConfig](docs/TelephonyConfig.md)
 - [Flipdish.TelephonyConfigUpdatedEvent](docs/TelephonyConfigUpdatedEvent.md)
 - [Flipdish.ThirdPartyFeesDetails](docs/ThirdPartyFeesDetails.md)
 - [Flipdish.TipConfiguration](docs/TipConfiguration.md)
 - [Flipdish.UnRegisterCardReaderRequest](docs/UnRegisterCardReaderRequest.md)
 - [Flipdish.UpcomingInvoice](docs/UpcomingInvoice.md)
 - [Flipdish.UpdateAppStoreApp](docs/UpdateAppStoreApp.md)
 - [Flipdish.UpdateAppStoreAppConfiguration](docs/UpdateAppStoreAppConfiguration.md)
 - [Flipdish.UpdateAppStoreAppConfigurationValuesBatch](docs/UpdateAppStoreAppConfigurationValuesBatch.md)
 - [Flipdish.UpdateAppStoreAppConfigurationWebhookDTO](docs/UpdateAppStoreAppConfigurationWebhookDTO.md)
 - [Flipdish.UpdateAppStoreAppExternalProduct](docs/UpdateAppStoreAppExternalProduct.md)
 - [Flipdish.UpdateCatalogGroupReference](docs/UpdateCatalogGroupReference.md)
 - [Flipdish.UpdateCatalogItem](docs/UpdateCatalogItem.md)
 - [Flipdish.UpdateDriverNotificationToken](docs/UpdateDriverNotificationToken.md)
 - [Flipdish.UpdateDriverProfileModel](docs/UpdateDriverProfileModel.md)
 - [Flipdish.UpdateFulfillmentStatesConfiguration](docs/UpdateFulfillmentStatesConfiguration.md)
 - [Flipdish.UpdateGroup](docs/UpdateGroup.md)
 - [Flipdish.UpdateGroupReference](docs/UpdateGroupReference.md)
 - [Flipdish.UpdateLocationArea](docs/UpdateLocationArea.md)
 - [Flipdish.UpdateMetafieldDefinition](docs/UpdateMetafieldDefinition.md)
 - [Flipdish.UpdateMobileAppsSubmissionStatus](docs/UpdateMobileAppsSubmissionStatus.md)
 - [Flipdish.UpdatePayGreenConfigurationRequest](docs/UpdatePayGreenConfigurationRequest.md)
 - [Flipdish.UpdateProduct](docs/UpdateProduct.md)
 - [Flipdish.UpdateProductReference](docs/UpdateProductReference.md)
 - [Flipdish.UpdateStorePayGreenConfigurationRequest](docs/UpdateStorePayGreenConfigurationRequest.md)
 - [Flipdish.UpdateTipConfiguration](docs/UpdateTipConfiguration.md)
 - [Flipdish.UpdateVoucher](docs/UpdateVoucher.md)
 - [Flipdish.UpdateVoucherUsage](docs/UpdateVoucherUsage.md)
 - [Flipdish.UserAnsweredSignupQuestionsEvent](docs/UserAnsweredSignupQuestionsEvent.md)
 - [Flipdish.UserCreatedEvent](docs/UserCreatedEvent.md)
 - [Flipdish.UserDeletedEvent](docs/UserDeletedEvent.md)
 - [Flipdish.UserEventInfo](docs/UserEventInfo.md)
 - [Flipdish.UserLoginEvent](docs/UserLoginEvent.md)
 - [Flipdish.UserPasswordCreatedEvent](docs/UserPasswordCreatedEvent.md)
 - [Flipdish.UserUpdatedEvent](docs/UserUpdatedEvent.md)
 - [Flipdish.ValidValue](docs/ValidValue.md)
 - [Flipdish.ValidationErrorResult](docs/ValidationErrorResult.md)
 - [Flipdish.ValidityPeriod](docs/ValidityPeriod.md)
 - [Flipdish.Voucher](docs/Voucher.md)
 - [Flipdish.VoucherAppliedEvent](docs/VoucherAppliedEvent.md)
 - [Flipdish.VoucherCreatedEvent](docs/VoucherCreatedEvent.md)
 - [Flipdish.VoucherDataPoint](docs/VoucherDataPoint.md)
 - [Flipdish.VoucherDeletedEvent](docs/VoucherDeletedEvent.md)
 - [Flipdish.VoucherSummary](docs/VoucherSummary.md)
 - [Flipdish.VoucherUpdatedEvent](docs/VoucherUpdatedEvent.md)
 - [Flipdish.VoucherWithStats](docs/VoucherWithStats.md)
 - [Flipdish.WaitHandle](docs/WaitHandle.md)
 - [Flipdish.WebhookEventSample](docs/WebhookEventSample.md)
 - [Flipdish.WebhookLog](docs/WebhookLog.md)
 - [Flipdish.WebhookSubscription](docs/WebhookSubscription.md)
 - [Flipdish.WebhookSubscriptionCreatedEvent](docs/WebhookSubscriptionCreatedEvent.md)
 - [Flipdish.WebhookSubscriptionDeletedEvent](docs/WebhookSubscriptionDeletedEvent.md)
 - [Flipdish.WebhookSubscriptionEventInfo](docs/WebhookSubscriptionEventInfo.md)
 - [Flipdish.WebhookSubscriptionUpdatedEvent](docs/WebhookSubscriptionUpdatedEvent.md)
 - [Flipdish.WebsiteImage](docs/WebsiteImage.md)
 - [Flipdish.WebsiteTestimonial](docs/WebsiteTestimonial.md)
 - [Flipdish.WebsiteTestimonialBase](docs/WebsiteTestimonialBase.md)
 - [Flipdish.WebsiteUpdatedEvent](docs/WebsiteUpdatedEvent.md)
 - [Flipdish.WebsiteVanityUrlUpdatedEvent](docs/WebsiteVanityUrlUpdatedEvent.md)
 - [Flipdish.WhiteLabelConfig](docs/WhiteLabelConfig.md)


## Documentation for Authorization



### oauth2


- **Type**: OAuth
- **Flow**: implicit
- **Authorization URL**: https://api.flipdish.co/identity/connect/authorize
- **Scopes**: 
  - api: Access to Flipdish API

