"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _AccountDetailBase = _interopRequireDefault(require("../model/AccountDetailBase"));
var _ChangePasswordModel = _interopRequireDefault(require("../model/ChangePasswordModel"));
var _CreateAccountModel = _interopRequireDefault(require("../model/CreateAccountModel"));
var _CreateBasicAccountModel = _interopRequireDefault(require("../model/CreateBasicAccountModel"));
var _LoginModel = _interopRequireDefault(require("../model/LoginModel"));
var _LoginWithPinModel = _interopRequireDefault(require("../model/LoginWithPinModel"));
var _PasswordResetModel = _interopRequireDefault(require("../model/PasswordResetModel"));
var _RequestLoginPinModel = _interopRequireDefault(require("../model/RequestLoginPinModel"));
var _RequestLoginPinResponse = _interopRequireDefault(require("../model/RequestLoginPinResponse"));
var _RequestPasswordResetModel = _interopRequireDefault(require("../model/RequestPasswordResetModel"));
var _RequestPasswordResetPinResponse = _interopRequireDefault(require("../model/RequestPasswordResetPinResponse"));
var _RestApiArrayResultLocalisedTimeZone = _interopRequireDefault(require("../model/RestApiArrayResultLocalisedTimeZone"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultAccountDetail = _interopRequireDefault(require("../model/RestApiResultAccountDetail"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _SetPasswordWithPinModel = _interopRequireDefault(require("../model/SetPasswordWithPinModel"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Accounts service.
* @module api/AccountsApi
* @version 1.0.0
*/
var AccountsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new AccountsApi. 
  * @alias module:api/AccountsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function AccountsApi(apiClient) {
    _classCallCheck(this, AccountsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the answerSignUpQuestion operation.
   * @callback module:api/AccountsApi~answerSignUpQuestionCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {module:model/String} signupStepAction 
   * @param {Number} answerId 
   * @param {module:api/AccountsApi~answerSignUpQuestionCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(AccountsApi, [{
    key: "answerSignUpQuestion",
    value: function answerSignUpQuestion(signupStepAction, answerId, callback) {
      var postBody = answerId;
      // verify the required parameter 'signupStepAction' is set
      if (signupStepAction === undefined || signupStepAction === null) {
        throw new Error("Missing the required parameter 'signupStepAction' when calling answerSignUpQuestion");
      }
      // verify the required parameter 'answerId' is set
      if (answerId === undefined || answerId === null) {
        throw new Error("Missing the required parameter 'answerId' when calling answerSignUpQuestion");
      }
      var pathParams = {
        'signupStepAction': signupStepAction
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/signupstep/{signupStepAction}/answer', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the changePassword operation.
     * @callback module:api/AccountsApi~changePasswordCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/ChangePasswordModel} changePasswordModel 
     * @param {module:api/AccountsApi~changePasswordCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "changePassword",
    value: function changePassword(changePasswordModel, callback) {
      var postBody = changePasswordModel;
      // verify the required parameter 'changePasswordModel' is set
      if (changePasswordModel === undefined || changePasswordModel === null) {
        throw new Error("Missing the required parameter 'changePasswordModel' when calling changePassword");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/password', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the changePasswordWithPin operation.
     * @callback module:api/AccountsApi~changePasswordWithPinCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/SetPasswordWithPinModel} changePasswordModel 
     * @param {module:api/AccountsApi~changePasswordWithPinCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "changePasswordWithPin",
    value: function changePasswordWithPin(changePasswordModel, callback) {
      var postBody = changePasswordModel;
      // verify the required parameter 'changePasswordModel' is set
      if (changePasswordModel === undefined || changePasswordModel === null) {
        throw new Error("Missing the required parameter 'changePasswordModel' when calling changePasswordWithPin");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/password/pin', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createAccount operation.
     * @callback module:api/AccountsApi~createAccountCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/CreateAccountModel} createAccountModel 
     * @param {module:api/AccountsApi~createAccountCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "createAccount",
    value: function createAccount(createAccountModel, callback) {
      var postBody = createAccountModel;
      // verify the required parameter 'createAccountModel' is set
      if (createAccountModel === undefined || createAccountModel === null) {
        throw new Error("Missing the required parameter 'createAccountModel' when calling createAccount");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Message', 'ErrorCode', 'StackTrace', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createBasicAccount operation.
     * @callback module:api/AccountsApi~createBasicAccountCallback
     * @param {String} error Error message, if any.
     * @param {String} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/CreateBasicAccountModel} basicAccountModel 
     * @param {module:api/AccountsApi~createBasicAccountCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link String}
     */
  }, {
    key: "createBasicAccount",
    value: function createBasicAccount(basicAccountModel, callback) {
      var postBody = basicAccountModel;
      // verify the required parameter 'basicAccountModel' is set
      if (basicAccountModel === undefined || basicAccountModel === null) {
        throw new Error("Missing the required parameter 'basicAccountModel' when calling createBasicAccount");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = 'String';
      return this.apiClient.callApi('/api/v1.0/accounts/basic-account', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAccountDetails operation.
     * @callback module:api/AccountsApi~getAccountDetailsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAccountDetail} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/AccountsApi~getAccountDetailsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAccountDetail}
     */
  }, {
    key: "getAccountDetails",
    value: function getAccountDetails(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultAccountDetail["default"];
      return this.apiClient.callApi('/api/v1.0/accounts', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getLocalisedTimeZones operation.
     * @callback module:api/AccountsApi~getLocalisedTimeZonesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultLocalisedTimeZone} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/AccountsApi~getLocalisedTimeZonesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultLocalisedTimeZone}
     */
  }, {
    key: "getLocalisedTimeZones",
    value: function getLocalisedTimeZones(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiArrayResultLocalisedTimeZone["default"];
      return this.apiClient.callApi('/api/v1.0/accounts/timezones', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the login operation.
     * @callback module:api/AccountsApi~loginCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/LoginModel} loginModel 
     * @param {module:api/AccountsApi~loginCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "login",
    value: function login(loginModel, callback) {
      var postBody = loginModel;
      // verify the required parameter 'loginModel' is set
      if (loginModel === undefined || loginModel === null) {
        throw new Error("Missing the required parameter 'loginModel' when calling login");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/login', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the loginSso operation.
     * @callback module:api/AccountsApi~loginSsoCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/AccountsApi~loginSsoCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "loginSso",
    value: function loginSso(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/login/sso', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the loginWithPin operation.
     * @callback module:api/AccountsApi~loginWithPinCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/LoginWithPinModel} loginModel 
     * @param {module:api/AccountsApi~loginWithPinCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "loginWithPin",
    value: function loginWithPin(loginModel, callback) {
      var postBody = loginModel;
      // verify the required parameter 'loginModel' is set
      if (loginModel === undefined || loginModel === null) {
        throw new Error("Missing the required parameter 'loginModel' when calling loginWithPin");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/login/pin', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the logout operation.
     * @callback module:api/AccountsApi~logoutCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/AccountsApi~logoutCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "logout",
    value: function logout(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/logout', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the passwordResetWithToken operation.
     * @callback module:api/AccountsApi~passwordResetWithTokenCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/PasswordResetModel} passwordResetModel 
     * @param {module:api/AccountsApi~passwordResetWithTokenCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "passwordResetWithToken",
    value: function passwordResetWithToken(passwordResetModel, callback) {
      var postBody = passwordResetModel;
      // verify the required parameter 'passwordResetModel' is set
      if (passwordResetModel === undefined || passwordResetModel === null) {
        throw new Error("Missing the required parameter 'passwordResetModel' when calling passwordResetWithToken");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Message', 'ErrorCode', 'StackTrace', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/password', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the recaptchaValidate operation.
     * @callback module:api/AccountsApi~recaptchaValidateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} token 
     * @param {module:api/AccountsApi~recaptchaValidateCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "recaptchaValidate",
    value: function recaptchaValidate(token, callback) {
      var postBody = null;
      // verify the required parameter 'token' is set
      if (token === undefined || token === null) {
        throw new Error("Missing the required parameter 'token' when calling recaptchaValidate");
      }
      var pathParams = {};
      var queryParams = {
        'token': token
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['Message', 'ErrorCode', 'StackTrace', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/recaptcha', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the requestLoginPin operation.
     * @callback module:api/AccountsApi~requestLoginPinCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RequestLoginPinResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/RequestLoginPinModel} requestLoginPinRequest 
     * @param {module:api/AccountsApi~requestLoginPinCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RequestLoginPinResponse}
     */
  }, {
    key: "requestLoginPin",
    value: function requestLoginPin(requestLoginPinRequest, callback) {
      var postBody = requestLoginPinRequest;
      // verify the required parameter 'requestLoginPinRequest' is set
      if (requestLoginPinRequest === undefined || requestLoginPinRequest === null) {
        throw new Error("Missing the required parameter 'requestLoginPinRequest' when calling requestLoginPin");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RequestLoginPinResponse["default"];
      return this.apiClient.callApi('/api/v1.0/accounts/pin', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the requestPasswordReset operation.
     * @callback module:api/AccountsApi~requestPasswordResetCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/RequestPasswordResetModel} requestPasswordResetModel 
     * @param {module:api/AccountsApi~requestPasswordResetCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "requestPasswordReset",
    value: function requestPasswordReset(requestPasswordResetModel, callback) {
      var postBody = requestPasswordResetModel;
      // verify the required parameter 'requestPasswordResetModel' is set
      if (requestPasswordResetModel === undefined || requestPasswordResetModel === null) {
        throw new Error("Missing the required parameter 'requestPasswordResetModel' when calling requestPasswordReset");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Message', 'ErrorCode', 'StackTrace', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/passwordreset', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the sendPinForPasswordReset operation.
     * @callback module:api/AccountsApi~sendPinForPasswordResetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RequestPasswordResetPinResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/RequestPasswordResetModel} requestPasswordResetRequest 
     * @param {module:api/AccountsApi~sendPinForPasswordResetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RequestPasswordResetPinResponse}
     */
  }, {
    key: "sendPinForPasswordReset",
    value: function sendPinForPasswordReset(requestPasswordResetRequest, callback) {
      var postBody = requestPasswordResetRequest;
      // verify the required parameter 'requestPasswordResetRequest' is set
      if (requestPasswordResetRequest === undefined || requestPasswordResetRequest === null) {
        throw new Error("Missing the required parameter 'requestPasswordResetRequest' when calling sendPinForPasswordReset");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RequestPasswordResetPinResponse["default"];
      return this.apiClient.callApi('/api/v1.0/accounts/password/resetpin', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the skipSignupStep operation.
     * @callback module:api/AccountsApi~skipSignupStepCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/String} signupStepAction 
     * @param {module:api/AccountsApi~skipSignupStepCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "skipSignupStep",
    value: function skipSignupStep(signupStepAction, callback) {
      var postBody = null;
      // verify the required parameter 'signupStepAction' is set
      if (signupStepAction === undefined || signupStepAction === null) {
        throw new Error("Missing the required parameter 'signupStepAction' when calling skipSignupStep");
      }
      var pathParams = {
        'signupStepAction': signupStepAction
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts/signupstep/{signupStepAction}/skip', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateAccount operation.
     * @callback module:api/AccountsApi~updateAccountCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/AccountDetailBase} updateAccountModel 
     * @param {module:api/AccountsApi~updateAccountCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateAccount",
    value: function updateAccount(updateAccountModel, callback) {
      var postBody = updateAccountModel;
      // verify the required parameter 'updateAccountModel' is set
      if (updateAccountModel === undefined || updateAccountModel === null) {
        throw new Error("Missing the required parameter 'updateAccountModel' when calling updateAccount");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Message', 'ErrorCode', 'StackTrace', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/accounts', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();