"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _GoogleAddress = _interopRequireDefault(require("../model/GoogleAddress"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultAddressFormResponse = _interopRequireDefault(require("../model/RestApiResultAddressFormResponse"));
var _RestApiResultCountryFormResponse = _interopRequireDefault(require("../model/RestApiResultCountryFormResponse"));
var _RestApiStringResult = _interopRequireDefault(require("../model/RestApiStringResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _StoreAddressForm = _interopRequireDefault(require("../model/StoreAddressForm"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Address service.
* @module api/AddressApi
* @version 1.0.0
*/
var AddressApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new AddressApi. 
  * @alias module:api/AddressApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function AddressApi(apiClient) {
    _classCallCheck(this, AddressApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the addressTemplates operation.
   * @callback module:api/AddressApi~addressTemplatesCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiStringResult} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {module:model/StoreAddressForm} address 
   * @param {module:api/AddressApi~addressTemplatesCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiStringResult}
   */
  return _createClass(AddressApi, [{
    key: "addressTemplates",
    value: function addressTemplates(address, callback) {
      var postBody = address;
      // verify the required parameter 'address' is set
      if (address === undefined || address === null) {
        throw new Error("Missing the required parameter 'address' when calling addressTemplates");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/address/templates', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the formByApp operation.
     * @callback module:api/AddressApi~formByAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAddressFormResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.language 
     * @param {module:api/AddressApi~formByAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAddressFormResponse}
     */
  }, {
    key: "formByApp",
    value: function formByApp(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling formByApp");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'language': opts['language']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultAddressFormResponse["default"];
      return this.apiClient.callApi('/api/v1.0/app/{appId}/address/form', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the formByCountry operation.
     * @callback module:api/AddressApi~formByCountryCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAddressFormResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} countryCode 
     * @param {Object} opts Optional parameters
     * @param {String} opts.language 
     * @param {module:api/AddressApi~formByCountryCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAddressFormResponse}
     */
  }, {
    key: "formByCountry",
    value: function formByCountry(countryCode, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'countryCode' is set
      if (countryCode === undefined || countryCode === null) {
        throw new Error("Missing the required parameter 'countryCode' when calling formByCountry");
      }
      var pathParams = {
        'countryCode': countryCode
      };
      var queryParams = {
        'language': opts['language']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultAddressFormResponse["default"];
      return this.apiClient.callApi('/api/v1.0/address/country/{countryCode}/form', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the formatGoogleAddress operation.
     * @callback module:api/AddressApi~formatGoogleAddressCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAddressFormResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/GoogleAddress} googleAddress 
     * @param {Object} opts Optional parameters
     * @param {String} opts.language 
     * @param {module:api/AddressApi~formatGoogleAddressCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAddressFormResponse}
     */
  }, {
    key: "formatGoogleAddress",
    value: function formatGoogleAddress(googleAddress, opts, callback) {
      opts = opts || {};
      var postBody = googleAddress;
      // verify the required parameter 'googleAddress' is set
      if (googleAddress === undefined || googleAddress === null) {
        throw new Error("Missing the required parameter 'googleAddress' when calling formatGoogleAddress");
      }
      var pathParams = {};
      var queryParams = {
        'language': opts['language']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultAddressFormResponse["default"];
      return this.apiClient.callApi('/api/v1.0/address/google', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getCountries operation.
     * @callback module:api/AddressApi~getCountriesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultCountryFormResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Object} opts Optional parameters
     * @param {String} opts.language 
     * @param {module:api/AddressApi~getCountriesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultCountryFormResponse}
     */
  }, {
    key: "getCountries",
    value: function getCountries(opts, callback) {
      opts = opts || {};
      var postBody = null;
      var pathParams = {};
      var queryParams = {
        'language': opts['language']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultCountryFormResponse["default"];
      return this.apiClient.callApi('/api/v1.0/address/countries', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();