"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiArrayResultApmCurrencyDataPoint = _interopRequireDefault(require("../model/RestApiArrayResultApmCurrencyDataPoint"));
var _RestApiArrayResultApmDataPoint = _interopRequireDefault(require("../model/RestApiArrayResultApmDataPoint"));
var _RestApiArrayResultApmHourlyDataPoint = _interopRequireDefault(require("../model/RestApiArrayResultApmHourlyDataPoint"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultPhoneCall = _interopRequireDefault(require("../model/RestApiPaginationResultPhoneCall"));
var _RestApiResultApmStatistics = _interopRequireDefault(require("../model/RestApiResultApmStatistics"));
var _RestApiResultApmStatus = _interopRequireDefault(require("../model/RestApiResultApmStatus"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Apm service.
* @module api/ApmApi
* @version 1.0.0
*/
var ApmApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new ApmApi. 
  * @alias module:api/ApmApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function ApmApi(apiClient) {
    _classCallCheck(this, ApmApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getApmStatus operation.
   * @callback module:api/ApmApi~getApmStatusCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultApmStatus} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:api/ApmApi~getApmStatusCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultApmStatus}
   */
  return _createClass(ApmApi, [{
    key: "getApmStatus",
    value: function getApmStatus(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getApmStatus");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultApmStatus["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/apm/status', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getBasicStatistics operation.
     * @callback module:api/ApmApi~getBasicStatisticsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultApmStatistics} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.storeId 
     * @param {module:api/ApmApi~getBasicStatisticsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultApmStatistics}
     */
  }, {
    key: "getBasicStatistics",
    value: function getBasicStatistics(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getBasicStatistics");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultApmStatistics["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/apm/statistics', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getCalendarWeekStatistics operation.
     * @callback module:api/ApmApi~getCalendarWeekStatisticsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultApmHourlyDataPoint} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.storeId 
     * @param {module:api/ApmApi~getCalendarWeekStatisticsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultApmHourlyDataPoint}
     */
  }, {
    key: "getCalendarWeekStatistics",
    value: function getCalendarWeekStatistics(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getCalendarWeekStatistics");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultApmHourlyDataPoint["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/apm/statistics/calendar', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getCallsStatistics operation.
     * @callback module:api/ApmApi~getCallsStatisticsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultApmDataPoint} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} aggregateDataBy 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.dataPointLimit 
     * @param {Array.<Number>} opts.storeId 
     * @param {module:api/ApmApi~getCallsStatisticsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultApmDataPoint}
     */
  }, {
    key: "getCallsStatistics",
    value: function getCallsStatistics(appId, aggregateDataBy, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getCallsStatistics");
      }
      // verify the required parameter 'aggregateDataBy' is set
      if (aggregateDataBy === undefined || aggregateDataBy === null) {
        throw new Error("Missing the required parameter 'aggregateDataBy' when calling getCallsStatistics");
      }
      var pathParams = {
        'appId': appId,
        'aggregateDataBy': aggregateDataBy
      };
      var queryParams = {
        'dataPointLimit': opts['dataPointLimit'],
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultApmDataPoint["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/apm/statistics/calls/{aggregateDataBy}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOrderStatistics operation.
     * @callback module:api/ApmApi~getOrderStatisticsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultApmCurrencyDataPoint} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} aggregateDataBy 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.dataPointLimit 
     * @param {Array.<Number>} opts.storeId 
     * @param {module:api/ApmApi~getOrderStatisticsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultApmCurrencyDataPoint}
     */
  }, {
    key: "getOrderStatistics",
    value: function getOrderStatistics(appId, aggregateDataBy, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOrderStatistics");
      }
      // verify the required parameter 'aggregateDataBy' is set
      if (aggregateDataBy === undefined || aggregateDataBy === null) {
        throw new Error("Missing the required parameter 'aggregateDataBy' when calling getOrderStatistics");
      }
      var pathParams = {
        'appId': appId,
        'aggregateDataBy': aggregateDataBy
      };
      var queryParams = {
        'dataPointLimit': opts['dataPointLimit'],
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultApmCurrencyDataPoint["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/apm/statistics/orders/{aggregateDataBy}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPaginatedCallList operation.
     * @callback module:api/ApmApi~getPaginatedCallListCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultPhoneCall} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Array.<Number>} opts.storeId 
     * @param {module:api/ApmApi~getPaginatedCallListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultPhoneCall}
     */
  }, {
    key: "getPaginatedCallList",
    value: function getPaginatedCallList(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPaginatedCallList");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'page': opts['page'],
        'limit': opts['limit'],
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultPhoneCall["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/apm/calls', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();