"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultAppStoreAppSummary = _interopRequireDefault(require("../model/RestApiPaginationResultAppStoreAppSummary"));
var _RestApiResultAppStoreApp = _interopRequireDefault(require("../model/RestApiResultAppStoreApp"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* AppStore service.
* @module api/AppStoreApi
* @version 1.0.0
*/
var AppStoreApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new AppStoreApi. 
  * @alias module:api/AppStoreApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function AppStoreApi(apiClient) {
    _classCallCheck(this, AppStoreApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getAppStoreApp operation.
   * @callback module:api/AppStoreApi~getAppStoreAppCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultAppStoreApp} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appStoreAppId 
   * @param {Object} opts Optional parameters
   * @param {String} opts.appId 
   * @param {module:api/AppStoreApi~getAppStoreAppCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultAppStoreApp}
   */
  return _createClass(AppStoreApi, [{
    key: "getAppStoreApp",
    value: function getAppStoreApp(appStoreAppId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling getAppStoreApp");
      }
      var pathParams = {
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {
        'appId': opts['appId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultAppStoreApp["default"];
      return this.apiClient.callApi('/api/v1.0/appstore/apps/{appStoreAppId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAppStoreApps operation.
     * @callback module:api/AppStoreApi~getAppStoreAppsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultAppStoreAppSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} search 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Boolean} opts.excludeNotOwned 
     * @param {Boolean} opts.showOnlyVerified 
     * @param {module:api/AppStoreApi~getAppStoreAppsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultAppStoreAppSummary}
     */
  }, {
    key: "getAppStoreApps",
    value: function getAppStoreApps(search, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'search' is set
      if (search === undefined || search === null) {
        throw new Error("Missing the required parameter 'search' when calling getAppStoreApps");
      }
      var pathParams = {};
      var queryParams = {
        'search': search,
        'page': opts['page'],
        'limit': opts['limit'],
        'excludeNotOwned': opts['excludeNotOwned'],
        'showOnlyVerified': opts['showOnlyVerified']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultAppStoreAppSummary["default"];
      return this.apiClient.callApi('/api/v1.0/appstore/apps', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();