"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _ExecuteConfigurationActionRequest = _interopRequireDefault(require("../model/ExecuteConfigurationActionRequest"));
var _RestApiArrayResultAppStoreAppConfigurationSummary = _interopRequireDefault(require("../model/RestApiArrayResultAppStoreAppConfigurationSummary"));
var _RestApiArrayResultAppStoreAppSummary = _interopRequireDefault(require("../model/RestApiArrayResultAppStoreAppSummary"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultAppStoreAppConfiguration = _interopRequireDefault(require("../model/RestApiResultAppStoreAppConfiguration"));
var _RestApiResultExecuteConfigurationActionResult = _interopRequireDefault(require("../model/RestApiResultExecuteConfigurationActionResult"));
var _RestApiStringResult = _interopRequireDefault(require("../model/RestApiStringResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateAppStoreAppConfiguration = _interopRequireDefault(require("../model/UpdateAppStoreAppConfiguration"));
var _UpdateAppStoreAppConfigurationValuesBatch = _interopRequireDefault(require("../model/UpdateAppStoreAppConfigurationValuesBatch"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* AppStoreConfigurations service.
* @module api/AppStoreConfigurationsApi
* @version 1.0.0
*/
var AppStoreConfigurationsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new AppStoreConfigurationsApi. 
  * @alias module:api/AppStoreConfigurationsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function AppStoreConfigurationsApi(apiClient) {
    _classCallCheck(this, AppStoreConfigurationsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the appStoreConfigurationsAppStoreHandleOauthResponseCode operation.
   * @callback module:api/AppStoreConfigurationsApi~appStoreConfigurationsAppStoreHandleOauthResponseCodeCallback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appStoreAppId 
   * @param {module:api/AppStoreConfigurationsApi~appStoreConfigurationsAppStoreHandleOauthResponseCodeCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(AppStoreConfigurationsApi, [{
    key: "appStoreConfigurationsAppStoreHandleOauthResponseCode",
    value: function appStoreConfigurationsAppStoreHandleOauthResponseCode(appStoreAppId, callback) {
      var postBody = null;
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling appStoreConfigurationsAppStoreHandleOauthResponseCode");
      }
      var pathParams = {
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/appstore/oauthresponse/{appStoreAppId}/responsecode', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createAppStoreConfig operation.
     * @callback module:api/AppStoreConfigurationsApi~createAppStoreConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAppStoreAppConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} appStoreAppId 
     * @param {module:api/AppStoreConfigurationsApi~createAppStoreConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAppStoreAppConfiguration}
     */
  }, {
    key: "createAppStoreConfig",
    value: function createAppStoreConfig(appId, appStoreAppId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createAppStoreConfig");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling createAppStoreConfig");
      }
      var pathParams = {
        'appId': appId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultAppStoreAppConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteAppStoreConfig operation.
     * @callback module:api/AppStoreConfigurationsApi~deleteAppStoreConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} appStoreAppId 
     * @param {String} configId 
     * @param {module:api/AppStoreConfigurationsApi~deleteAppStoreConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "deleteAppStoreConfig",
    value: function deleteAppStoreConfig(appId, appStoreAppId, configId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteAppStoreConfig");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling deleteAppStoreConfig");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling deleteAppStoreConfig");
      }
      var pathParams = {
        'appId': appId,
        'appStoreAppId': appStoreAppId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the executeConfigurationAction operation.
     * @callback module:api/AppStoreConfigurationsApi~executeConfigurationActionCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultExecuteConfigurationActionResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} appStoreAppId 
     * @param {String} configId 
     * @param {module:model/ExecuteConfigurationActionRequest} executeConfigurationActionRequest 
     * @param {module:api/AppStoreConfigurationsApi~executeConfigurationActionCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultExecuteConfigurationActionResult}
     */
  }, {
    key: "executeConfigurationAction",
    value: function executeConfigurationAction(appId, appStoreAppId, configId, executeConfigurationActionRequest, callback) {
      var postBody = executeConfigurationActionRequest;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling executeConfigurationAction");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling executeConfigurationAction");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling executeConfigurationAction");
      }
      // verify the required parameter 'executeConfigurationActionRequest' is set
      if (executeConfigurationActionRequest === undefined || executeConfigurationActionRequest === null) {
        throw new Error("Missing the required parameter 'executeConfigurationActionRequest' when calling executeConfigurationAction");
      }
      var pathParams = {
        'appId': appId,
        'appStoreAppId': appStoreAppId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultExecuteConfigurationActionResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId}/action', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAppStoreConfig operation.
     * @callback module:api/AppStoreConfigurationsApi~getAppStoreConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAppStoreAppConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} appStoreAppId 
     * @param {String} configId 
     * @param {module:api/AppStoreConfigurationsApi~getAppStoreConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAppStoreAppConfiguration}
     */
  }, {
    key: "getAppStoreConfig",
    value: function getAppStoreConfig(appId, appStoreAppId, configId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAppStoreConfig");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling getAppStoreConfig");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling getAppStoreConfig");
      }
      var pathParams = {
        'appId': appId,
        'appStoreAppId': appStoreAppId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultAppStoreAppConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getConfiguredAppSingleApp operation.
     * @callback module:api/AppStoreConfigurationsApi~getConfiguredAppSingleAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultAppStoreAppConfigurationSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} appStoreAppId 
     * @param {module:api/AppStoreConfigurationsApi~getConfiguredAppSingleAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultAppStoreAppConfigurationSummary}
     */
  }, {
    key: "getConfiguredAppSingleApp",
    value: function getConfiguredAppSingleApp(appId, appStoreAppId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getConfiguredAppSingleApp");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling getConfiguredAppSingleApp");
      }
      var pathParams = {
        'appId': appId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultAppStoreAppConfigurationSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/appstore/apps/{appStoreAppId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getConfiguredApps operation.
     * @callback module:api/AppStoreConfigurationsApi~getConfiguredAppsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultAppStoreAppSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/AppStoreConfigurationsApi~getConfiguredAppsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultAppStoreAppSummary}
     */
  }, {
    key: "getConfiguredApps",
    value: function getConfiguredApps(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getConfiguredApps");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultAppStoreAppSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/appstore/apps', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateAppStoreConfig operation.
     * @callback module:api/AppStoreConfigurationsApi~updateAppStoreConfigCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} appStoreAppId 
     * @param {String} configId 
     * @param {module:model/UpdateAppStoreAppConfiguration} updateAppStoreAppConfiguration 
     * @param {module:api/AppStoreConfigurationsApi~updateAppStoreConfigCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateAppStoreConfig",
    value: function updateAppStoreConfig(appId, appStoreAppId, configId, updateAppStoreAppConfiguration, callback) {
      var postBody = updateAppStoreAppConfiguration;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateAppStoreConfig");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling updateAppStoreConfig");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling updateAppStoreConfig");
      }
      // verify the required parameter 'updateAppStoreAppConfiguration' is set
      if (updateAppStoreAppConfiguration === undefined || updateAppStoreAppConfiguration === null) {
        throw new Error("Missing the required parameter 'updateAppStoreAppConfiguration' when calling updateAppStoreConfig");
      }
      var pathParams = {
        'appId': appId,
        'appStoreAppId': appStoreAppId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId}', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateAppStoreConfigSettingValues operation.
     * @callback module:api/AppStoreConfigurationsApi~updateAppStoreConfigSettingValuesCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} appStoreAppId 
     * @param {String} configId 
     * @param {module:model/UpdateAppStoreAppConfigurationValuesBatch} updateAppStoreAppConfigurationValues 
     * @param {module:api/AppStoreConfigurationsApi~updateAppStoreConfigSettingValuesCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateAppStoreConfigSettingValues",
    value: function updateAppStoreConfigSettingValues(appId, appStoreAppId, configId, updateAppStoreAppConfigurationValues, callback) {
      var postBody = updateAppStoreAppConfigurationValues;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateAppStoreConfigSettingValues");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling updateAppStoreConfigSettingValues");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling updateAppStoreConfigSettingValues");
      }
      // verify the required parameter 'updateAppStoreAppConfigurationValues' is set
      if (updateAppStoreAppConfigurationValues === undefined || updateAppStoreAppConfigurationValues === null) {
        throw new Error("Missing the required parameter 'updateAppStoreAppConfigurationValues' when calling updateAppStoreConfigSettingValues");
      }
      var pathParams = {
        'appId': appId,
        'appStoreAppId': appStoreAppId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/appstore/apps/{appStoreAppId}/config/{configId}/updatesettings', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();