"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateAppStoreApp = _interopRequireDefault(require("../model/CreateAppStoreApp"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultAppStoreApp = _interopRequireDefault(require("../model/RestApiResultAppStoreApp"));
var _RestApiStringResult = _interopRequireDefault(require("../model/RestApiStringResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateAppStoreApp = _interopRequireDefault(require("../model/UpdateAppStoreApp"));
var _UpdateAppStoreAppExternalProduct = _interopRequireDefault(require("../model/UpdateAppStoreAppExternalProduct"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* AppStoreDeveloper service.
* @module api/AppStoreDeveloperApi
* @version 1.0.0
*/
var AppStoreDeveloperApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new AppStoreDeveloperApi. 
  * @alias module:api/AppStoreDeveloperApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function AppStoreDeveloperApi(apiClient) {
    _classCallCheck(this, AppStoreDeveloperApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the appVerificationUpdate operation.
   * @callback module:api/AppStoreDeveloperApi~appVerificationUpdateCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} oauthAppId 
   * @param {String} appStoreAppId 
   * @param {module:model/String} verificationStatus 
   * @param {module:api/AppStoreDeveloperApi~appVerificationUpdateCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(AppStoreDeveloperApi, [{
    key: "appVerificationUpdate",
    value: function appVerificationUpdate(oauthAppId, appStoreAppId, verificationStatus, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling appVerificationUpdate");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling appVerificationUpdate");
      }
      // verify the required parameter 'verificationStatus' is set
      if (verificationStatus === undefined || verificationStatus === null) {
        throw new Error("Missing the required parameter 'verificationStatus' when calling appVerificationUpdate");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {
        'verificationStatus': verificationStatus
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['Data', 'application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/verification', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createAppStoreApp operation.
     * @callback module:api/AppStoreDeveloperApi~createAppStoreAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAppStoreApp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {module:model/CreateAppStoreApp} createAppStoreApp 
     * @param {module:api/AppStoreDeveloperApi~createAppStoreAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAppStoreApp}
     */
  }, {
    key: "createAppStoreApp",
    value: function createAppStoreApp(oauthAppId, _createAppStoreApp, callback) {
      var postBody = _createAppStoreApp;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling createAppStoreApp");
      }
      // verify the required parameter 'createAppStoreApp' is set
      if (_createAppStoreApp === undefined || _createAppStoreApp === null) {
        throw new Error("Missing the required parameter 'createAppStoreApp' when calling createAppStoreApp");
      }
      var pathParams = {
        'oauthAppId': oauthAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultAppStoreApp["default"];
      return this.apiClient.callApi('/api/v1.0/oauthclients/{oauthAppId}/appstore/apps', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteAppStoreApp operation.
     * @callback module:api/AppStoreDeveloperApi~deleteAppStoreAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appStoreAppId 
     * @param {module:api/AppStoreDeveloperApi~deleteAppStoreAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "deleteAppStoreApp",
    value: function deleteAppStoreApp(oauthAppId, appStoreAppId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling deleteAppStoreApp");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling deleteAppStoreApp");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAppExternalProduct operation.
     * @callback module:api/AppStoreDeveloperApi~getAppExternalProductCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appStoreAppId 
     * @param {module:api/AppStoreDeveloperApi~getAppExternalProductCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "getAppExternalProduct",
    value: function getAppExternalProduct(oauthAppId, appStoreAppId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getAppExternalProduct");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling getAppExternalProduct");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/external_product', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getExternalFunctionSigningKey operation.
     * @callback module:api/AppStoreDeveloperApi~getExternalFunctionSigningKeyCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appStoreAppId 
     * @param {module:api/AppStoreDeveloperApi~getExternalFunctionSigningKeyCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "getExternalFunctionSigningKey",
    value: function getExternalFunctionSigningKey(oauthAppId, appStoreAppId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getExternalFunctionSigningKey");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling getExternalFunctionSigningKey");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/external_function_signing_key', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateAppStoreApp operation.
     * @callback module:api/AppStoreDeveloperApi~updateAppStoreAppCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appStoreAppId 
     * @param {module:model/UpdateAppStoreApp} appStoreApp 
     * @param {module:api/AppStoreDeveloperApi~updateAppStoreAppCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateAppStoreApp",
    value: function updateAppStoreApp(oauthAppId, appStoreAppId, appStoreApp, callback) {
      var postBody = appStoreApp;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling updateAppStoreApp");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling updateAppStoreApp");
      }
      // verify the required parameter 'appStoreApp' is set
      if (appStoreApp === undefined || appStoreApp === null) {
        throw new Error("Missing the required parameter 'appStoreApp' when calling updateAppStoreApp");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateExternalProduct operation.
     * @callback module:api/AppStoreDeveloperApi~updateExternalProductCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appStoreAppId 
     * @param {module:model/UpdateAppStoreAppExternalProduct} appStoreAppExternalProduct 
     * @param {module:api/AppStoreDeveloperApi~updateExternalProductCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateExternalProduct",
    value: function updateExternalProduct(oauthAppId, appStoreAppId, appStoreAppExternalProduct, callback) {
      var postBody = appStoreAppExternalProduct;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling updateExternalProduct");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling updateExternalProduct");
      }
      // verify the required parameter 'appStoreAppExternalProduct' is set
      if (appStoreAppExternalProduct === undefined || appStoreAppExternalProduct === null) {
        throw new Error("Missing the required parameter 'appStoreAppExternalProduct' when calling updateExternalProduct");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Data', 'application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/external_product', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the uploadAppStoreAppLogo operation.
     * @callback module:api/AppStoreDeveloperApi~uploadAppStoreAppLogoCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appStoreAppId 
     * @param {File} Image App Store App Logo
     * @param {module:api/AppStoreDeveloperApi~uploadAppStoreAppLogoCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "uploadAppStoreAppLogo",
    value: function uploadAppStoreAppLogo(oauthAppId, appStoreAppId, Image, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling uploadAppStoreAppLogo");
      }
      // verify the required parameter 'appStoreAppId' is set
      if (appStoreAppId === undefined || appStoreAppId === null) {
        throw new Error("Missing the required parameter 'appStoreAppId' when calling uploadAppStoreAppLogo");
      }
      // verify the required parameter 'Image' is set
      if (Image === undefined || Image === null) {
        throw new Error("Missing the required parameter 'Image' when calling uploadAppStoreAppLogo");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appStoreAppId': appStoreAppId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {
        'Image': Image
      };
      var authNames = ['oauth2'];
      var contentTypes = ['multipart/form-data'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/oauthclients/{oauthAppId}/appstore/apps/{appStoreAppId}/logo', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();