"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _AppConfigUpdateModel = _interopRequireDefault(require("../model/AppConfigUpdateModel"));
var _AppLookup = _interopRequireDefault(require("../model/AppLookup"));
var _CreateAppParameters = _interopRequireDefault(require("../model/CreateAppParameters"));
var _Language = _interopRequireDefault(require("../model/Language"));
var _RestApiArrayResultSupportedCountry = _interopRequireDefault(require("../model/RestApiArrayResultSupportedCountry"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultApp = _interopRequireDefault(require("../model/RestApiPaginationResultApp"));
var _RestApiResultApp = _interopRequireDefault(require("../model/RestApiResultApp"));
var _RestApiResultAppCompliance = _interopRequireDefault(require("../model/RestApiResultAppCompliance"));
var _RestApiResultDnsRecordInformation = _interopRequireDefault(require("../model/RestApiResultDnsRecordInformation"));
var _RestApiStringResult = _interopRequireDefault(require("../model/RestApiStringResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Apps service.
* @module api/AppsApi
* @version 1.0.0
*/
var AppsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new AppsApi. 
  * @alias module:api/AppsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function AppsApi(apiClient) {
    _classCallCheck(this, AppsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the appsSetPropertyId operation.
   * @callback module:api/AppsApi~appsSetPropertyIdCallback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {String} orgId 
   * @param {module:api/AppsApi~appsSetPropertyIdCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(AppsApi, [{
    key: "appsSetPropertyId",
    value: function appsSetPropertyId(appId, orgId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling appsSetPropertyId");
      }
      // verify the required parameter 'orgId' is set
      if (orgId === undefined || orgId === null) {
        throw new Error("Missing the required parameter 'orgId' when calling appsSetPropertyId");
      }
      var pathParams = {
        'appId': appId,
        'orgId': orgId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/orgId/{orgId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createApp operation.
     * @callback module:api/AppsApi~createAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/CreateAppParameters} parameters 
     * @param {module:api/AppsApi~createAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "createApp",
    value: function createApp(parameters, callback) {
      var postBody = parameters;
      // verify the required parameter 'parameters' is set
      if (parameters === undefined || parameters === null) {
        throw new Error("Missing the required parameter 'parameters' when calling createApp");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/apps', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getApp operation.
     * @callback module:api/AppsApi~getAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultApp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/AppsApi~getAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultApp}
     */
  }, {
    key: "getApp",
    value: function getApp(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getApp");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultApp["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAppHostnameStatus operation.
     * @callback module:api/AppsApi~getAppHostnameStatusCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultDnsRecordInformation} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/AppsApi~getAppHostnameStatusCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultDnsRecordInformation}
     */
  }, {
    key: "getAppHostnameStatus",
    value: function getAppHostnameStatus(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAppHostnameStatus");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultDnsRecordInformation["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/hostnamestatus', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAppName operation.
     * @callback module:api/AppsApi~getAppNameCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/AppsApi~getAppNameCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "getAppName",
    value: function getAppName(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAppName");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/name', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getApps operation.
     * @callback module:api/AppsApi~getAppsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultApp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Object} opts Optional parameters
     * @param {String} opts.nameFilter 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/AppsApi~getAppsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultApp}
     */
  }, {
    key: "getApps",
    value: function getApps(opts, callback) {
      opts = opts || {};
      var postBody = null;
      var pathParams = {};
      var queryParams = {
        'nameFilter': opts['nameFilter'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultApp["default"];
      return this.apiClient.callApi('/api/v1.0/apps', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getCompliance operation.
     * @callback module:api/AppsApi~getComplianceCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAppCompliance} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/AppsApi~getComplianceCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAppCompliance}
     */
  }, {
    key: "getCompliance",
    value: function getCompliance(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getCompliance");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultAppCompliance["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/compliance', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPanaceaVanityUrl operation.
     * @callback module:api/AppsApi~getPanaceaVanityUrlCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/AppsApi~getPanaceaVanityUrlCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "getPanaceaVanityUrl",
    value: function getPanaceaVanityUrl(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPanaceaVanityUrl");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/panacea/url', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getSupportedCountries operation.
     * @callback module:api/AppsApi~getSupportedCountriesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultSupportedCountry} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/AppsApi~getSupportedCountriesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultSupportedCountry}
     */
  }, {
    key: "getSupportedCountries",
    value: function getSupportedCountries(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultSupportedCountry["default"];
      return this.apiClient.callApi('/api/v1.0/apps/supportedcountries', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the isPanaceaVanityUrlAvailable operation.
     * @callback module:api/AppsApi~isPanaceaVanityUrlAvailableCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} vanityUrl 
     * @param {String} appId 
     * @param {module:api/AppsApi~isPanaceaVanityUrlAvailableCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "isPanaceaVanityUrlAvailable",
    value: function isPanaceaVanityUrlAvailable(vanityUrl, appId, callback) {
      var postBody = null;
      // verify the required parameter 'vanityUrl' is set
      if (vanityUrl === undefined || vanityUrl === null) {
        throw new Error("Missing the required parameter 'vanityUrl' when calling isPanaceaVanityUrlAvailable");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling isPanaceaVanityUrlAvailable");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'vanityUrl': vanityUrl
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/panacea/url/available', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the lookupByWhitelabelId operation.
     * @callback module:api/AppsApi~lookupByWhitelabelIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/AppLookup} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} whitelabelId 
     * @param {module:api/AppsApi~lookupByWhitelabelIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/AppLookup}
     */
  }, {
    key: "lookupByWhitelabelId",
    value: function lookupByWhitelabelId(whitelabelId, callback) {
      var postBody = null;
      // verify the required parameter 'whitelabelId' is set
      if (whitelabelId === undefined || whitelabelId === null) {
        throw new Error("Missing the required parameter 'whitelabelId' when calling lookupByWhitelabelId");
      }
      var pathParams = {
        'whitelabelId': whitelabelId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _AppLookup["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{whitelabelId}/lookup', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setAppConfig operation.
     * @callback module:api/AppsApi~setAppConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultApp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/AppConfigUpdateModel} appConfigUpdate 
     * @param {module:api/AppsApi~setAppConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultApp}
     */
  }, {
    key: "setAppConfig",
    value: function setAppConfig(appId, appConfigUpdate, callback) {
      var postBody = appConfigUpdate;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setAppConfig");
      }
      // verify the required parameter 'appConfigUpdate' is set
      if (appConfigUpdate === undefined || appConfigUpdate === null) {
        throw new Error("Missing the required parameter 'appConfigUpdate' when calling setAppConfig");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultApp["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/config', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setAppHostname operation.
     * @callback module:api/AppsApi~setAppHostnameCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} hostname 
     * @param {Object} opts Optional parameters
     * @param {Boolean} opts.isEmbed 
     * @param {module:api/AppsApi~setAppHostnameCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "setAppHostname",
    value: function setAppHostname(appId, hostname, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setAppHostname");
      }
      // verify the required parameter 'hostname' is set
      if (hostname === undefined || hostname === null) {
        throw new Error("Missing the required parameter 'hostname' when calling setAppHostname");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'hostname': hostname,
        'isEmbed': opts['isEmbed']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/hostname', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setAppLanguages operation.
     * @callback module:api/AppsApi~setAppLanguagesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultApp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Array.<module:model/Language>} languages 
     * @param {module:api/AppsApi~setAppLanguagesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultApp}
     */
  }, {
    key: "setAppLanguages",
    value: function setAppLanguages(appId, languages, callback) {
      var postBody = languages;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setAppLanguages");
      }
      // verify the required parameter 'languages' is set
      if (languages === undefined || languages === null) {
        throw new Error("Missing the required parameter 'languages' when calling setAppLanguages");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultApp["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/config/languages', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setAppStoreName operation.
     * @callback module:api/AppsApi~setAppStoreNameCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} appStoreName 
     * @param {module:api/AppsApi~setAppStoreNameCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "setAppStoreName",
    value: function setAppStoreName(appId, appStoreName, callback) {
      var postBody = appStoreName;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setAppStoreName");
      }
      // verify the required parameter 'appStoreName' is set
      if (appStoreName === undefined || appStoreName === null) {
        throw new Error("Missing the required parameter 'appStoreName' when calling setAppStoreName");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/appstorename', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setCompliance operation.
     * @callback module:api/AppsApi~setComplianceCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAppCompliance} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} complianceType 
     * @param {module:api/AppsApi~setComplianceCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAppCompliance}
     */
  }, {
    key: "setCompliance",
    value: function setCompliance(appId, complianceType, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setCompliance");
      }
      // verify the required parameter 'complianceType' is set
      if (complianceType === undefined || complianceType === null) {
        throw new Error("Missing the required parameter 'complianceType' when calling setCompliance");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'complianceType': complianceType
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultAppCompliance["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/compliance', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setPanaceaVanityUrl operation.
     * @callback module:api/AppsApi~setPanaceaVanityUrlCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} vanityUrl 
     * @param {module:api/AppsApi~setPanaceaVanityUrlCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "setPanaceaVanityUrl",
    value: function setPanaceaVanityUrl(appId, vanityUrl, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setPanaceaVanityUrl");
      }
      // verify the required parameter 'vanityUrl' is set
      if (vanityUrl === undefined || vanityUrl === null) {
        throw new Error("Missing the required parameter 'vanityUrl' when calling setPanaceaVanityUrl");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'vanityUrl': vanityUrl
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/panacea/url', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the toggleNextGenWeb operation.
     * @callback module:api/AppsApi~toggleNextGenWebCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} hostname 
     * @param {String} vanityUrl 
     * @param {Boolean} isNextGenWeb 
     * @param {module:api/AppsApi~toggleNextGenWebCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "toggleNextGenWeb",
    value: function toggleNextGenWeb(appId, hostname, vanityUrl, isNextGenWeb, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling toggleNextGenWeb");
      }
      // verify the required parameter 'hostname' is set
      if (hostname === undefined || hostname === null) {
        throw new Error("Missing the required parameter 'hostname' when calling toggleNextGenWeb");
      }
      // verify the required parameter 'vanityUrl' is set
      if (vanityUrl === undefined || vanityUrl === null) {
        throw new Error("Missing the required parameter 'vanityUrl' when calling toggleNextGenWeb");
      }
      // verify the required parameter 'isNextGenWeb' is set
      if (isNextGenWeb === undefined || isNextGenWeb === null) {
        throw new Error("Missing the required parameter 'isNextGenWeb' when calling toggleNextGenWeb");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'hostname': hostname,
        'vanityUrl': vanityUrl,
        'isNextGenWeb': isNextGenWeb
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/nextgenweb', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the uploadAppLogo operation.
     * @callback module:api/AppsApi~uploadAppLogoCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {File} Image App Logo
     * @param {module:api/AppsApi~uploadAppLogoCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "uploadAppLogo",
    value: function uploadAppLogo(appId, Image, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling uploadAppLogo");
      }
      // verify the required parameter 'Image' is set
      if (Image === undefined || Image === null) {
        throw new Error("Missing the required parameter 'Image' when calling uploadAppLogo");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {
        'Image': Image
      };
      var authNames = ['oauth2'];
      var contentTypes = ['multipart/form-data'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/apps/{appId}/logo', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();