"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _ExternalStoreAuditLog = _interopRequireDefault(require("../model/ExternalStoreAuditLog"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* AuditLogs service.
* @module api/AuditLogsApi
* @version 1.0.0
*/
var AuditLogsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new AuditLogsApi. 
  * @alias module:api/AuditLogsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function AuditLogsApi(apiClient) {
    _classCallCheck(this, AuditLogsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the addOrderAuditLog operation.
   * @callback module:api/AuditLogsApi~addOrderAuditLogCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {Number} orderId 
   * @param {Array.<module:model/ExternalStoreAuditLog>} externalEventCreate 
   * @param {module:api/AuditLogsApi~addOrderAuditLogCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(AuditLogsApi, [{
    key: "addOrderAuditLog",
    value: function addOrderAuditLog(orderId, externalEventCreate, callback) {
      var postBody = externalEventCreate;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling addOrderAuditLog");
      }
      // verify the required parameter 'externalEventCreate' is set
      if (externalEventCreate === undefined || externalEventCreate === null) {
        throw new Error("Missing the required parameter 'externalEventCreate' when calling addOrderAuditLog");
      }
      var pathParams = {
        'orderId': orderId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Message', 'ErrorCode', 'StackTrace', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/auditlogs/orders/{orderId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the addStoreAuditLogEvent operation.
     * @callback module:api/AuditLogsApi~addStoreAuditLogEventCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {Array.<module:model/ExternalStoreAuditLog>} externalEventCreate 
     * @param {module:api/AuditLogsApi~addStoreAuditLogEventCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "addStoreAuditLogEvent",
    value: function addStoreAuditLogEvent(storeId, externalEventCreate, callback) {
      var postBody = externalEventCreate;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling addStoreAuditLogEvent");
      }
      // verify the required parameter 'externalEventCreate' is set
      if (externalEventCreate === undefined || externalEventCreate === null) {
        throw new Error("Missing the required parameter 'externalEventCreate' when calling addStoreAuditLogEvent");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/auditlogs/stores/{storeId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();