"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultOAuthTokenModel = _interopRequireDefault(require("../model/RestApiPaginationResultOAuthTokenModel"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* AuthorizationTokens service.
* @module api/AuthorizationTokensApi
* @version 1.0.0
*/
var AuthorizationTokensApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new AuthorizationTokensApi. 
  * @alias module:api/AuthorizationTokensApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function AuthorizationTokensApi(apiClient) {
    _classCallCheck(this, AuthorizationTokensApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getAuthorizationTokens operation.
   * @callback module:api/AuthorizationTokensApi~getAuthorizationTokensCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiPaginationResultOAuthTokenModel} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} oauthAppId 
   * @param {String} appId 
   * @param {Object} opts Optional parameters
   * @param {Number} opts.page 
   * @param {Number} opts.limit 
   * @param {module:api/AuthorizationTokensApi~getAuthorizationTokensCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiPaginationResultOAuthTokenModel}
   */
  return _createClass(AuthorizationTokensApi, [{
    key: "getAuthorizationTokens",
    value: function getAuthorizationTokens(oauthAppId, appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getAuthorizationTokens");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAuthorizationTokens");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiPaginationResultOAuthTokenModel["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/authorizationtokens/{oauthAppId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the revokeToken operation.
     * @callback module:api/AuthorizationTokensApi~revokeTokenCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} key 
     * @param {String} appId 
     * @param {module:api/AuthorizationTokensApi~revokeTokenCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "revokeToken",
    value: function revokeToken(key, appId, callback) {
      var postBody = null;
      // verify the required parameter 'key' is set
      if (key === undefined || key === null) {
        throw new Error("Missing the required parameter 'key' when calling revokeToken");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling revokeToken");
      }
      var pathParams = {
        'key': key,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/authorizationtokens/{key}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();