"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _LoyaltyCampaignBase = _interopRequireDefault(require("../model/LoyaltyCampaignBase"));
var _RestApiArrayResultLoyaltyCampaign = _interopRequireDefault(require("../model/RestApiArrayResultLoyaltyCampaign"));
var _RestApiArrayResultRetentionCampaign = _interopRequireDefault(require("../model/RestApiArrayResultRetentionCampaign"));
var _RestApiArrayResultStoreListItem = _interopRequireDefault(require("../model/RestApiArrayResultStoreListItem"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultLoyaltyCampaign = _interopRequireDefault(require("../model/RestApiResultLoyaltyCampaign"));
var _RestApiResultRetentionCampaign = _interopRequireDefault(require("../model/RestApiResultRetentionCampaign"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _RetentionCampaignBase = _interopRequireDefault(require("../model/RetentionCampaignBase"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Campaigns service.
* @module api/CampaignsApi
* @version 1.0.0
*/
var CampaignsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new CampaignsApi. 
  * @alias module:api/CampaignsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function CampaignsApi(apiClient) {
    _classCallCheck(this, CampaignsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createLoyaltyCampaign operation.
   * @callback module:api/CampaignsApi~createLoyaltyCampaignCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultLoyaltyCampaign} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/LoyaltyCampaignBase} campaign 
   * @param {module:api/CampaignsApi~createLoyaltyCampaignCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultLoyaltyCampaign}
   */
  return _createClass(CampaignsApi, [{
    key: "createLoyaltyCampaign",
    value: function createLoyaltyCampaign(appId, campaign, callback) {
      var postBody = campaign;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createLoyaltyCampaign");
      }
      // verify the required parameter 'campaign' is set
      if (campaign === undefined || campaign === null) {
        throw new Error("Missing the required parameter 'campaign' when calling createLoyaltyCampaign");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultLoyaltyCampaign["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/loyalty', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createRetentionCampaign operation.
     * @callback module:api/CampaignsApi~createRetentionCampaignCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultRetentionCampaign} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/RetentionCampaignBase} campaign 
     * @param {module:api/CampaignsApi~createRetentionCampaignCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultRetentionCampaign}
     */
  }, {
    key: "createRetentionCampaign",
    value: function createRetentionCampaign(appId, campaign, callback) {
      var postBody = campaign;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createRetentionCampaign");
      }
      // verify the required parameter 'campaign' is set
      if (campaign === undefined || campaign === null) {
        throw new Error("Missing the required parameter 'campaign' when calling createRetentionCampaign");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultRetentionCampaign["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/retention', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getLoyaltyCampaignsForApp operation.
     * @callback module:api/CampaignsApi~getLoyaltyCampaignsForAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultLoyaltyCampaign} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/CampaignsApi~getLoyaltyCampaignsForAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultLoyaltyCampaign}
     */
  }, {
    key: "getLoyaltyCampaignsForApp",
    value: function getLoyaltyCampaignsForApp(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getLoyaltyCampaignsForApp");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultLoyaltyCampaign["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/loyalty', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getLoyaltyCampaignsForStore operation.
     * @callback module:api/CampaignsApi~getLoyaltyCampaignsForStoreCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultLoyaltyCampaign} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:api/CampaignsApi~getLoyaltyCampaignsForStoreCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultLoyaltyCampaign}
     */
  }, {
    key: "getLoyaltyCampaignsForStore",
    value: function getLoyaltyCampaignsForStore(appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getLoyaltyCampaignsForStore");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getLoyaltyCampaignsForStore");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultLoyaltyCampaign["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/loyalty/{storeId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getRetentionCampaignsForApp operation.
     * @callback module:api/CampaignsApi~getRetentionCampaignsForAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRetentionCampaign} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/CampaignsApi~getRetentionCampaignsForAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRetentionCampaign}
     */
  }, {
    key: "getRetentionCampaignsForApp",
    value: function getRetentionCampaignsForApp(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getRetentionCampaignsForApp");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultRetentionCampaign["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/retention', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getRetentionCampaignsForStore operation.
     * @callback module:api/CampaignsApi~getRetentionCampaignsForStoreCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRetentionCampaign} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:api/CampaignsApi~getRetentionCampaignsForStoreCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRetentionCampaign}
     */
  }, {
    key: "getRetentionCampaignsForStore",
    value: function getRetentionCampaignsForStore(appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getRetentionCampaignsForStore");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getRetentionCampaignsForStore");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultRetentionCampaign["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/retention/{storeId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreList operation.
     * @callback module:api/CampaignsApi~getStoreListCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultStoreListItem} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Boolean} opts.onlyPublished 
     * @param {module:api/CampaignsApi~getStoreListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultStoreListItem}
     */
  }, {
    key: "getStoreList",
    value: function getStoreList(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStoreList");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'onlyPublished': opts['onlyPublished']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultStoreListItem["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/stores', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the removeCampaign operation.
     * @callback module:api/CampaignsApi~removeCampaignCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} campaignId 
     * @param {module:api/CampaignsApi~removeCampaignCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "removeCampaign",
    value: function removeCampaign(appId, campaignId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling removeCampaign");
      }
      // verify the required parameter 'campaignId' is set
      if (campaignId === undefined || campaignId === null) {
        throw new Error("Missing the required parameter 'campaignId' when calling removeCampaign");
      }
      var pathParams = {
        'appId': appId,
        'campaignId': campaignId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/{campaignId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateLoyaltyCampaign operation.
     * @callback module:api/CampaignsApi~updateLoyaltyCampaignCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultLoyaltyCampaign} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} campaignId 
     * @param {module:model/LoyaltyCampaignBase} campaign 
     * @param {module:api/CampaignsApi~updateLoyaltyCampaignCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultLoyaltyCampaign}
     */
  }, {
    key: "updateLoyaltyCampaign",
    value: function updateLoyaltyCampaign(appId, campaignId, campaign, callback) {
      var postBody = campaign;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateLoyaltyCampaign");
      }
      // verify the required parameter 'campaignId' is set
      if (campaignId === undefined || campaignId === null) {
        throw new Error("Missing the required parameter 'campaignId' when calling updateLoyaltyCampaign");
      }
      // verify the required parameter 'campaign' is set
      if (campaign === undefined || campaign === null) {
        throw new Error("Missing the required parameter 'campaign' when calling updateLoyaltyCampaign");
      }
      var pathParams = {
        'appId': appId,
        'campaignId': campaignId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultLoyaltyCampaign["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/loyalty/{campaignId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateRetentionCampaign operation.
     * @callback module:api/CampaignsApi~updateRetentionCampaignCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultRetentionCampaign} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} campaignId 
     * @param {module:model/RetentionCampaignBase} campaign 
     * @param {module:api/CampaignsApi~updateRetentionCampaignCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultRetentionCampaign}
     */
  }, {
    key: "updateRetentionCampaign",
    value: function updateRetentionCampaign(appId, campaignId, campaign, callback) {
      var postBody = campaign;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateRetentionCampaign");
      }
      // verify the required parameter 'campaignId' is set
      if (campaignId === undefined || campaignId === null) {
        throw new Error("Missing the required parameter 'campaignId' when calling updateRetentionCampaign");
      }
      // verify the required parameter 'campaign' is set
      if (campaign === undefined || campaign === null) {
        throw new Error("Missing the required parameter 'campaign' when calling updateRetentionCampaign");
      }
      var pathParams = {
        'appId': appId,
        'campaignId': campaignId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultRetentionCampaign["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/campaigns/retention/{campaignId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();