"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CardReaderRegistrationRequest = _interopRequireDefault(require("../model/CardReaderRegistrationRequest"));
var _GeoPointRequest = _interopRequireDefault(require("../model/GeoPointRequest"));
var _ProcessPaymentIntentRequest = _interopRequireDefault(require("../model/ProcessPaymentIntentRequest"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultBluetoothTerminalStatus = _interopRequireDefault(require("../model/RestApiResultBluetoothTerminalStatus"));
var _RestApiResultCardReader = _interopRequireDefault(require("../model/RestApiResultCardReader"));
var _RestApiResultStripeTerminalConnectionToken = _interopRequireDefault(require("../model/RestApiResultStripeTerminalConnectionToken"));
var _RestApiResultStripeTerminalLocation = _interopRequireDefault(require("../model/RestApiResultStripeTerminalLocation"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UnRegisterCardReaderRequest = _interopRequireDefault(require("../model/UnRegisterCardReaderRequest"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* CardReaders service.
* @module api/CardReadersApi
* @version 1.0.0
*/
var CardReadersApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new CardReadersApi. 
  * @alias module:api/CardReadersApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function CardReadersApi(apiClient) {
    _classCallCheck(this, CardReadersApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the cancelCurrentlyInitiatedBluetoothDeviceUpdate operation.
   * @callback module:api/CardReadersApi~cancelCurrentlyInitiatedBluetoothDeviceUpdateCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {String} deviceId 
   * @param {module:model/String} terminalType 
   * @param {module:api/CardReadersApi~cancelCurrentlyInitiatedBluetoothDeviceUpdateCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(CardReadersApi, [{
    key: "cancelCurrentlyInitiatedBluetoothDeviceUpdate",
    value: function cancelCurrentlyInitiatedBluetoothDeviceUpdate(appId, deviceId, terminalType, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling cancelCurrentlyInitiatedBluetoothDeviceUpdate");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling cancelCurrentlyInitiatedBluetoothDeviceUpdate");
      }
      // verify the required parameter 'terminalType' is set
      if (terminalType === undefined || terminalType === null) {
        throw new Error("Missing the required parameter 'terminalType' when calling cancelCurrentlyInitiatedBluetoothDeviceUpdate");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId,
        'terminalType': terminalType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/{terminalType}/cancelUpdate', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the cancelReaderAction operation.
     * @callback module:api/CardReadersApi~cancelReaderActionCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultCardReader} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} readerId 
     * @param {String} appId 
     * @param {module:api/CardReadersApi~cancelReaderActionCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultCardReader}
     */
  }, {
    key: "cancelReaderAction",
    value: function cancelReaderAction(readerId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'readerId' is set
      if (readerId === undefined || readerId === null) {
        throw new Error("Missing the required parameter 'readerId' when calling cancelReaderAction");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling cancelReaderAction");
      }
      var pathParams = {
        'readerId': readerId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultCardReader["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/payments/terminals/stripe/{readerId}/cancel_action', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the cardReadersGetReader operation.
     * @callback module:api/CardReadersApi~cardReadersGetReaderCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultCardReader} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} readerId 
     * @param {String} appId 
     * @param {module:api/CardReadersApi~cardReadersGetReaderCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultCardReader}
     */
  }, {
    key: "cardReadersGetReader",
    value: function cardReadersGetReader(readerId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'readerId' is set
      if (readerId === undefined || readerId === null) {
        throw new Error("Missing the required parameter 'readerId' when calling cardReadersGetReader");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling cardReadersGetReader");
      }
      var pathParams = {
        'readerId': readerId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultCardReader["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/payments/terminals/stripe/{readerId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the generateStripeTerminalLocation operation.
     * @callback module:api/CardReadersApi~generateStripeTerminalLocationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStripeTerminalLocation} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/GeoPointRequest} geoPointRequest 
     * @param {module:api/CardReadersApi~generateStripeTerminalLocationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStripeTerminalLocation}
     */
  }, {
    key: "generateStripeTerminalLocation",
    value: function generateStripeTerminalLocation(appId, geoPointRequest, callback) {
      var postBody = geoPointRequest;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling generateStripeTerminalLocation");
      }
      // verify the required parameter 'geoPointRequest' is set
      if (geoPointRequest === undefined || geoPointRequest === null) {
        throw new Error("Missing the required parameter 'geoPointRequest' when calling generateStripeTerminalLocation");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStripeTerminalLocation["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stripeterminal/location', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getBluetoothTerminalStatus operation.
     * @callback module:api/CardReadersApi~getBluetoothTerminalStatusCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultBluetoothTerminalStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {module:api/CardReadersApi~getBluetoothTerminalStatusCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultBluetoothTerminalStatus}
     */
  }, {
    key: "getBluetoothTerminalStatus",
    value: function getBluetoothTerminalStatus(appId, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getBluetoothTerminalStatus");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling getBluetoothTerminalStatus");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultBluetoothTerminalStatus["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/status', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStripeConnectionToken operation.
     * @callback module:api/CardReadersApi~getStripeConnectionTokenCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStripeTerminalConnectionToken} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/CardReadersApi~getStripeConnectionTokenCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStripeTerminalConnectionToken}
     */
  }, {
    key: "getStripeConnectionToken",
    value: function getStripeConnectionToken(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStripeConnectionToken");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStripeTerminalConnectionToken["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stripeterminal/connectiontoken', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the initiateBluetoothTerminalDeviceUpdateCheck operation.
     * @callback module:api/CardReadersApi~initiateBluetoothTerminalDeviceUpdateCheckCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {String} terminalType 
     * @param {module:api/CardReadersApi~initiateBluetoothTerminalDeviceUpdateCheckCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "initiateBluetoothTerminalDeviceUpdateCheck",
    value: function initiateBluetoothTerminalDeviceUpdateCheck(appId, deviceId, terminalType, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling initiateBluetoothTerminalDeviceUpdateCheck");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling initiateBluetoothTerminalDeviceUpdateCheck");
      }
      // verify the required parameter 'terminalType' is set
      if (terminalType === undefined || terminalType === null) {
        throw new Error("Missing the required parameter 'terminalType' when calling initiateBluetoothTerminalDeviceUpdateCheck");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId,
        'terminalType': terminalType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/{terminalType}/checkForUpdate', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the initiateKioskBluetoothPairingMode operation.
     * @callback module:api/CardReadersApi~initiateKioskBluetoothPairingModeCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {module:model/String} terminalType 
     * @param {module:api/CardReadersApi~initiateKioskBluetoothPairingModeCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "initiateKioskBluetoothPairingMode",
    value: function initiateKioskBluetoothPairingMode(appId, deviceId, terminalType, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling initiateKioskBluetoothPairingMode");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling initiateKioskBluetoothPairingMode");
      }
      // verify the required parameter 'terminalType' is set
      if (terminalType === undefined || terminalType === null) {
        throw new Error("Missing the required parameter 'terminalType' when calling initiateKioskBluetoothPairingMode");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId,
        'terminalType': terminalType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/{terminalType}/pair', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the initiateKioskBluetoothUpdateInstall operation.
     * @callback module:api/CardReadersApi~initiateKioskBluetoothUpdateInstallCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {module:model/String} terminalType 
     * @param {module:api/CardReadersApi~initiateKioskBluetoothUpdateInstallCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "initiateKioskBluetoothUpdateInstall",
    value: function initiateKioskBluetoothUpdateInstall(appId, deviceId, terminalType, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling initiateKioskBluetoothUpdateInstall");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling initiateKioskBluetoothUpdateInstall");
      }
      // verify the required parameter 'terminalType' is set
      if (terminalType === undefined || terminalType === null) {
        throw new Error("Missing the required parameter 'terminalType' when calling initiateKioskBluetoothUpdateInstall");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId,
        'terminalType': terminalType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/{terminalType}/installUpdate', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the initiateReaderProcessPaymentIntent operation.
     * @callback module:api/CardReadersApi~initiateReaderProcessPaymentIntentCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultCardReader} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} readerId 
     * @param {String} appId 
     * @param {module:model/ProcessPaymentIntentRequest} request 
     * @param {module:api/CardReadersApi~initiateReaderProcessPaymentIntentCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultCardReader}
     */
  }, {
    key: "initiateReaderProcessPaymentIntent",
    value: function initiateReaderProcessPaymentIntent(readerId, appId, request, callback) {
      var postBody = request;
      // verify the required parameter 'readerId' is set
      if (readerId === undefined || readerId === null) {
        throw new Error("Missing the required parameter 'readerId' when calling initiateReaderProcessPaymentIntent");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling initiateReaderProcessPaymentIntent");
      }
      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling initiateReaderProcessPaymentIntent");
      }
      var pathParams = {
        'readerId': readerId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultCardReader["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/payments/terminals/stripe/{readerId}/processPaymentIntent', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the registerStripeTerminal operation.
     * @callback module:api/CardReadersApi~registerStripeTerminalCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultCardReader} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/CardReaderRegistrationRequest} request 
     * @param {module:api/CardReadersApi~registerStripeTerminalCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultCardReader}
     */
  }, {
    key: "registerStripeTerminal",
    value: function registerStripeTerminal(appId, request, callback) {
      var postBody = request;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling registerStripeTerminal");
      }
      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling registerStripeTerminal");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultCardReader["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/payments/terminals/stripe/register', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the unRegisterTerminal operation.
     * @callback module:api/CardReadersApi~unRegisterTerminalCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultCardReader} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/UnRegisterCardReaderRequest} request 
     * @param {module:api/CardReadersApi~unRegisterTerminalCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultCardReader}
     */
  }, {
    key: "unRegisterTerminal",
    value: function unRegisterTerminal(appId, request, callback) {
      var postBody = request;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling unRegisterTerminal");
      }
      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling unRegisterTerminal");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultCardReader["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/payments/terminals/stripe/unregister', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the unpairCurrentlyPairedBluetoothDevice operation.
     * @callback module:api/CardReadersApi~unpairCurrentlyPairedBluetoothDeviceCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {module:api/CardReadersApi~unpairCurrentlyPairedBluetoothDeviceCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "unpairCurrentlyPairedBluetoothDevice",
    value: function unpairCurrentlyPairedBluetoothDevice(appId, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling unpairCurrentlyPairedBluetoothDevice");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling unpairCurrentlyPairedBluetoothDevice");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/cardreaders/kiosk/{deviceId}/bluetooth/unpair', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();