"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _PublishMenuChanges = _interopRequireDefault(require("../model/PublishMenuChanges"));
var _RestApiArrayResultPendingMenuChangesSummaries = _interopRequireDefault(require("../model/RestApiArrayResultPendingMenuChangesSummaries"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultPendingMenuChanges = _interopRequireDefault(require("../model/RestApiPaginationResultPendingMenuChanges"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* CatalogChanges service.
* @module api/CatalogChangesApi
* @version 1.0.0
*/
var CatalogChangesApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new CatalogChangesApi. 
  * @alias module:api/CatalogChangesApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function CatalogChangesApi(apiClient) {
    _classCallCheck(this, CatalogChangesApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getPendingMenuChanges operation.
   * @callback module:api/CatalogChangesApi~getPendingMenuChangesCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiPaginationResultPendingMenuChanges} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Get menu pending changes from Catalog groups and items
   * [BETA - this endpoint is under development, do not use it in your production system]
   * @param {String} appId 
   * @param {Object} opts Optional parameters
   * @param {Number} opts.menuId 
   * @param {String} opts.catalogItemId 
   * @param {Number} opts.page 
   * @param {Number} opts.limit 
   * @param {module:api/CatalogChangesApi~getPendingMenuChangesCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiPaginationResultPendingMenuChanges}
   */
  return _createClass(CatalogChangesApi, [{
    key: "getPendingMenuChanges",
    value: function getPendingMenuChanges(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPendingMenuChanges");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'menuId': opts['menuId'],
        'catalogItemId': opts['catalogItemId'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultPendingMenuChanges["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/menus/catalog-changes', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPendingMenuChangesSummaries operation.
     * @callback module:api/CatalogChangesApi~getPendingMenuChangesSummariesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultPendingMenuChangesSummaries} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get menu pending changes summaries by appId
     * @param {String} appId 
     * @param {module:api/CatalogChangesApi~getPendingMenuChangesSummariesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultPendingMenuChangesSummaries}
     */
  }, {
    key: "getPendingMenuChangesSummaries",
    value: function getPendingMenuChangesSummaries(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPendingMenuChangesSummaries");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultPendingMenuChangesSummaries["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/menus/catalog-changes/summaries', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the publishPendingMenuChanges operation.
     * @callback module:api/CatalogChangesApi~publishPendingMenuChangesCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update menus with the pending changes from Catalog groups and items
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {module:model/PublishMenuChanges} publishMenuChanges 
     * @param {module:api/CatalogChangesApi~publishPendingMenuChangesCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "publishPendingMenuChanges",
    value: function publishPendingMenuChanges(appId, publishMenuChanges, callback) {
      var postBody = publishMenuChanges;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling publishPendingMenuChanges");
      }
      // verify the required parameter 'publishMenuChanges' is set
      if (publishMenuChanges === undefined || publishMenuChanges === null) {
        throw new Error("Missing the required parameter 'publishMenuChanges' when calling publishPendingMenuChanges");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/menus/catalog-changes/publish', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();