"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateGroup = _interopRequireDefault(require("../model/CreateGroup"));
var _Group = _interopRequireDefault(require("../model/Group"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultGroup = _interopRequireDefault(require("../model/RestApiPaginationResultGroup"));
var _RestApiResultGroup = _interopRequireDefault(require("../model/RestApiResultGroup"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateGroup = _interopRequireDefault(require("../model/UpdateGroup"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* CatalogGroups service.
* @module api/CatalogGroupsApi
* @version 1.0.0
*/
var CatalogGroupsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new CatalogGroupsApi. 
  * @alias module:api/CatalogGroupsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function CatalogGroupsApi(apiClient) {
    _classCallCheck(this, CatalogGroupsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the archiveGroup operation.
   * @callback module:api/CatalogGroupsApi~archiveGroupCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Archive Catalog Group
   * [BETA - this endpoint is under development, do not use it in your production system]
   * @param {String} appId 
   * @param {String} catalogItemId 
   * @param {module:api/CatalogGroupsApi~archiveGroupCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(CatalogGroupsApi, [{
    key: "archiveGroup",
    value: function archiveGroup(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling archiveGroup");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling archiveGroup");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/groups/{catalogItemId}/archive', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createGroup operation.
     * @callback module:api/CatalogGroupsApi~createGroupCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultGroup} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create a Catalog Group
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {module:model/CreateGroup} createGroup 
     * @param {module:api/CatalogGroupsApi~createGroupCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultGroup}
     */
  }, {
    key: "createGroup",
    value: function createGroup(appId, _createGroup, callback) {
      var postBody = _createGroup;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createGroup");
      }
      // verify the required parameter 'createGroup' is set
      if (_createGroup === undefined || _createGroup === null) {
        throw new Error("Missing the required parameter 'createGroup' when calling createGroup");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'MinSelectCount', 'MaxSelectCount', 'Products', 'GroupType', 'Sku', 'Name', 'AutogenerateDisplayText', 'ImageFileName'];
      var returnType = _RestApiResultGroup["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/groups', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the duplicateGroup operation.
     * @callback module:api/CatalogGroupsApi~duplicateGroupCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Duplicate Catalog Group
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:api/CatalogGroupsApi~duplicateGroupCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "duplicateGroup",
    value: function duplicateGroup(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling duplicateGroup");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling duplicateGroup");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/groups/{catalogItemId}/duplicate', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getGroupById operation.
     * @callback module:api/CatalogGroupsApi~getGroupByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Group} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get group by Id
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:api/CatalogGroupsApi~getGroupByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Group}
     */
  }, {
    key: "getGroupById",
    value: function getGroupById(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getGroupById");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling getGroupById");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'CatalogGroupId', 'CatalogItemId', 'IsArchived', 'MinSelectCount', 'Products', 'GroupType', 'Sku', 'Name', 'AutogenerateDisplayText', 'ImageFileName'];
      var returnType = _Group["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/groups/{catalogItemId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getGroups operation.
     * @callback module:api/CatalogGroupsApi~getGroupsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultGroup} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get paginated groups by app name id filtered by types
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {Array.<module:model/String>} groupTypes 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchTerm 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/CatalogGroupsApi~getGroupsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultGroup}
     */
  }, {
    key: "getGroups",
    value: function getGroups(appId, groupTypes, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getGroups");
      }
      // verify the required parameter 'groupTypes' is set
      if (groupTypes === undefined || groupTypes === null) {
        throw new Error("Missing the required parameter 'groupTypes' when calling getGroups");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'groupTypes': this.apiClient.buildCollectionParam(groupTypes, 'multi'),
        'searchTerm': opts['searchTerm'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultGroup["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/groups', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateGroup operation.
     * @callback module:api/CatalogGroupsApi~updateGroupCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update Catalog Group
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:model/UpdateGroup} updateGroup 
     * @param {module:api/CatalogGroupsApi~updateGroupCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateGroup",
    value: function updateGroup(appId, catalogItemId, _updateGroup, callback) {
      var postBody = _updateGroup;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateGroup");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling updateGroup");
      }
      // verify the required parameter 'updateGroup' is set
      if (_updateGroup === undefined || _updateGroup === null) {
        throw new Error("Missing the required parameter 'updateGroup' when calling updateGroup");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/groups/{catalogItemId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();