"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CatalogItem = _interopRequireDefault(require("../model/CatalogItem"));
var _CreateCatalogItem = _interopRequireDefault(require("../model/CreateCatalogItem"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultCatalogItem = _interopRequireDefault(require("../model/RestApiPaginationResultCatalogItem"));
var _RestApiResultCatalogItem = _interopRequireDefault(require("../model/RestApiResultCatalogItem"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateCatalogItem = _interopRequireDefault(require("../model/UpdateCatalogItem"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* CatalogItems service.
* @module api/CatalogItemsApi
* @version 1.0.0
*/
var CatalogItemsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new CatalogItemsApi. 
  * @alias module:api/CatalogItemsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function CatalogItemsApi(apiClient) {
    _classCallCheck(this, CatalogItemsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the archiveCatalogItem operation.
   * @callback module:api/CatalogItemsApi~archiveCatalogItemCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Archive Catalog Item
   * [BETA - this endpoint is under development, do not use it in your production system]
   * @param {String} appId 
   * @param {String} catalogItemId 
   * @param {module:api/CatalogItemsApi~archiveCatalogItemCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(CatalogItemsApi, [{
    key: "archiveCatalogItem",
    value: function archiveCatalogItem(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling archiveCatalogItem");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling archiveCatalogItem");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/items/{catalogItemId}/archive', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createCatalogItem operation.
     * @callback module:api/CatalogItemsApi~createCatalogItemCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultCatalogItem} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create a Catalog Item
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {module:model/CreateCatalogItem} createCatalogItem 
     * @param {module:api/CatalogItemsApi~createCatalogItemCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultCatalogItem}
     */
  }, {
    key: "createCatalogItem",
    value: function createCatalogItem(appId, _createCatalogItem, callback) {
      var postBody = _createCatalogItem;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createCatalogItem");
      }
      // verify the required parameter 'createCatalogItem' is set
      if (_createCatalogItem === undefined || _createCatalogItem === null) {
        throw new Error("Missing the required parameter 'createCatalogItem' when calling createCatalogItem");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'CatalogItemId', 'IsArchived', 'Groups', 'ItemType', 'Sku', 'Name', 'Description', 'Price', 'ImageFileName', 'Alcohol'];
      var returnType = _RestApiResultCatalogItem["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/items', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the duplicateCatalogItem operation.
     * @callback module:api/CatalogItemsApi~duplicateCatalogItemCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Duplicate Catalog Item
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:api/CatalogItemsApi~duplicateCatalogItemCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "duplicateCatalogItem",
    value: function duplicateCatalogItem(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling duplicateCatalogItem");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling duplicateCatalogItem");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/items/{catalogItemId}/duplicate', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getCatalogItemById operation.
     * @callback module:api/CatalogItemsApi~getCatalogItemByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/CatalogItem} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get item by Id
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:api/CatalogItemsApi~getCatalogItemByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/CatalogItem}
     */
  }, {
    key: "getCatalogItemById",
    value: function getCatalogItemById(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getCatalogItemById");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling getCatalogItemById");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'CatalogItemId', 'IsArchived', 'Groups', 'ItemType', 'Sku', 'Name', 'Description', 'Price', 'ImageFileName', 'Alcohol'];
      var returnType = _CatalogItem["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/items/{catalogItemId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getItems operation.
     * @callback module:api/CatalogItemsApi~getItemsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultCatalogItem} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get paginated items by app name id filtered by types
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {Array.<module:model/String>} itemTypes 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchTerm 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/CatalogItemsApi~getItemsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultCatalogItem}
     */
  }, {
    key: "getItems",
    value: function getItems(appId, itemTypes, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getItems");
      }
      // verify the required parameter 'itemTypes' is set
      if (itemTypes === undefined || itemTypes === null) {
        throw new Error("Missing the required parameter 'itemTypes' when calling getItems");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'itemTypes': this.apiClient.buildCollectionParam(itemTypes, 'multi'),
        'searchTerm': opts['searchTerm'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultCatalogItem["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/items', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateCatalogItem operation.
     * @callback module:api/CatalogItemsApi~updateCatalogItemCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update Catalog Item
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:model/UpdateCatalogItem} updateCatalogItem 
     * @param {module:api/CatalogItemsApi~updateCatalogItemCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateCatalogItem",
    value: function updateCatalogItem(appId, catalogItemId, _updateCatalogItem, callback) {
      var postBody = _updateCatalogItem;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateCatalogItem");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling updateCatalogItem");
      }
      // verify the required parameter 'updateCatalogItem' is set
      if (_updateCatalogItem === undefined || _updateCatalogItem === null) {
        throw new Error("Missing the required parameter 'updateCatalogItem' when calling updateCatalogItem");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/items/{catalogItemId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();