"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateProduct = _interopRequireDefault(require("../model/CreateProduct"));
var _Product = _interopRequireDefault(require("../model/Product"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultProduct = _interopRequireDefault(require("../model/RestApiPaginationResultProduct"));
var _RestApiResultProduct = _interopRequireDefault(require("../model/RestApiResultProduct"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateProduct = _interopRequireDefault(require("../model/UpdateProduct"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* CatalogProducts service.
* @module api/CatalogProductsApi
* @version 1.0.0
*/
var CatalogProductsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new CatalogProductsApi. 
  * @alias module:api/CatalogProductsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function CatalogProductsApi(apiClient) {
    _classCallCheck(this, CatalogProductsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the archiveProduct operation.
   * @callback module:api/CatalogProductsApi~archiveProductCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Archive Product
   * [BETA - this endpoint is under development, do not use it in your production system]
   * @param {String} appId 
   * @param {String} catalogItemId 
   * @param {module:api/CatalogProductsApi~archiveProductCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(CatalogProductsApi, [{
    key: "archiveProduct",
    value: function archiveProduct(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling archiveProduct");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling archiveProduct");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/products/{catalogItemId}/archive', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createProduct operation.
     * @callback module:api/CatalogProductsApi~createProductCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultProduct} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create a Product
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {module:model/CreateProduct} createProduct 
     * @param {module:api/CatalogProductsApi~createProductCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultProduct}
     */
  }, {
    key: "createProduct",
    value: function createProduct(appId, _createProduct, callback) {
      var postBody = _createProduct;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createProduct");
      }
      // verify the required parameter 'createProduct' is set
      if (_createProduct === undefined || _createProduct === null) {
        throw new Error("Missing the required parameter 'createProduct' when calling createProduct");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'CatalogItemId', 'IsArchived', 'Groups', 'ProductType', 'Sku', 'Name', 'Description', 'Price', 'ImageFileName', 'Alcohol'];
      var returnType = _RestApiResultProduct["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/products', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the duplicateProduct operation.
     * @callback module:api/CatalogProductsApi~duplicateProductCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Duplicate Product
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:api/CatalogProductsApi~duplicateProductCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "duplicateProduct",
    value: function duplicateProduct(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling duplicateProduct");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling duplicateProduct");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/products/{catalogItemId}/duplicate', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getProductById operation.
     * @callback module:api/CatalogProductsApi~getProductByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Product} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get Product by Id
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:api/CatalogProductsApi~getProductByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Product}
     */
  }, {
    key: "getProductById",
    value: function getProductById(appId, catalogItemId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getProductById");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling getProductById");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'CatalogItemId', 'IsArchived', 'Groups', 'ProductType', 'Sku', 'Name', 'Description', 'Price', 'ImageFileName', 'Alcohol'];
      var returnType = _Product["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/products/{catalogItemId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getProducts operation.
     * @callback module:api/CatalogProductsApi~getProductsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultProduct} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get paginated products by app name id filtered by types
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {Array.<module:model/String>} productTypes 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchTerm 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/CatalogProductsApi~getProductsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultProduct}
     */
  }, {
    key: "getProducts",
    value: function getProducts(appId, productTypes, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getProducts");
      }
      // verify the required parameter 'productTypes' is set
      if (productTypes === undefined || productTypes === null) {
        throw new Error("Missing the required parameter 'productTypes' when calling getProducts");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'productTypes': this.apiClient.buildCollectionParam(productTypes, 'multi'),
        'searchTerm': opts['searchTerm'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultProduct["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/products', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateProduct operation.
     * @callback module:api/CatalogProductsApi~updateProductCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update Product
     * [BETA - this endpoint is under development, do not use it in your production system]
     * @param {String} appId 
     * @param {String} catalogItemId 
     * @param {module:model/UpdateProduct} updateProduct 
     * @param {module:api/CatalogProductsApi~updateProductCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateProduct",
    value: function updateProduct(appId, catalogItemId, _updateProduct, callback) {
      var postBody = _updateProduct;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateProduct");
      }
      // verify the required parameter 'catalogItemId' is set
      if (catalogItemId === undefined || catalogItemId === null) {
        throw new Error("Missing the required parameter 'catalogItemId' when calling updateProduct");
      }
      // verify the required parameter 'updateProduct' is set
      if (_updateProduct === undefined || _updateProduct === null) {
        throw new Error("Missing the required parameter 'updateProduct' when calling updateProduct");
      }
      var pathParams = {
        'appId': appId,
        'catalogItemId': catalogItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/catalog/products/{catalogItemId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();