"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _ChannelStoreMapping = _interopRequireDefault(require("../model/ChannelStoreMapping"));
var _RestApiArrayResultStoreChannelStoreMapping = _interopRequireDefault(require("../model/RestApiArrayResultStoreChannelStoreMapping"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* ChannelsStoreMapping service.
* @module api/ChannelsStoreMappingApi
* @version 1.0.0
*/
var ChannelsStoreMappingApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new ChannelsStoreMappingApi. 
  * @alias module:api/ChannelsStoreMappingApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function ChannelsStoreMappingApi(apiClient) {
    _classCallCheck(this, ChannelsStoreMappingApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the channelsGetStoreChannelStoreMapping operation.
   * @callback module:api/ChannelsStoreMappingApi~channelsGetStoreChannelStoreMappingCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiArrayResultStoreChannelStoreMapping} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} channelId 
   * @param {module:api/ChannelsStoreMappingApi~channelsGetStoreChannelStoreMappingCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiArrayResultStoreChannelStoreMapping}
   */
  return _createClass(ChannelsStoreMappingApi, [{
    key: "channelsGetStoreChannelStoreMapping",
    value: function channelsGetStoreChannelStoreMapping(appId, channelId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling channelsGetStoreChannelStoreMapping");
      }
      // verify the required parameter 'channelId' is set
      if (channelId === undefined || channelId === null) {
        throw new Error("Missing the required parameter 'channelId' when calling channelsGetStoreChannelStoreMapping");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'channelId': channelId
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultStoreChannelStoreMapping["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/channels/storemappings', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the channelsSetStoreChannelStoreMapping operation.
     * @callback module:api/ChannelsStoreMappingApi~channelsSetStoreChannelStoreMappingCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultStoreChannelStoreMapping} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} channelId 
     * @param {Array.<module:model/ChannelStoreMapping>} stores 
     * @param {module:api/ChannelsStoreMappingApi~channelsSetStoreChannelStoreMappingCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultStoreChannelStoreMapping}
     */
  }, {
    key: "channelsSetStoreChannelStoreMapping",
    value: function channelsSetStoreChannelStoreMapping(appId, channelId, stores, callback) {
      var postBody = stores;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling channelsSetStoreChannelStoreMapping");
      }
      // verify the required parameter 'channelId' is set
      if (channelId === undefined || channelId === null) {
        throw new Error("Missing the required parameter 'channelId' when calling channelsSetStoreChannelStoreMapping");
      }
      // verify the required parameter 'stores' is set
      if (stores === undefined || stores === null) {
        throw new Error("Missing the required parameter 'stores' when calling channelsSetStoreChannelStoreMapping");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'channelId': channelId
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultStoreChannelStoreMapping["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/channels/storemappings', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();