"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultCrossSellMenuItems = _interopRequireDefault(require("../model/RestApiResultCrossSellMenuItems"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* CrossSell service.
* @module api/CrossSellApi
* @version 1.0.0
*/
var CrossSellApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new CrossSellApi. 
  * @alias module:api/CrossSellApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function CrossSellApi(apiClient) {
    _classCallCheck(this, CrossSellApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getCrossSellMenuItems operation.
   * @callback module:api/CrossSellApi~getCrossSellMenuItemsCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultCrossSellMenuItems} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {Number} menuId 
   * @param {Array.<Number>} menuItemId 
   * @param {Number} limit 
   * @param {Number} totalValue 
   * @param {String} appId 
   * @param {module:api/CrossSellApi~getCrossSellMenuItemsCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultCrossSellMenuItems}
   */
  return _createClass(CrossSellApi, [{
    key: "getCrossSellMenuItems",
    value: function getCrossSellMenuItems(menuId, menuItemId, limit, totalValue, appId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getCrossSellMenuItems");
      }
      // verify the required parameter 'menuItemId' is set
      if (menuItemId === undefined || menuItemId === null) {
        throw new Error("Missing the required parameter 'menuItemId' when calling getCrossSellMenuItems");
      }
      // verify the required parameter 'limit' is set
      if (limit === undefined || limit === null) {
        throw new Error("Missing the required parameter 'limit' when calling getCrossSellMenuItems");
      }
      // verify the required parameter 'totalValue' is set
      if (totalValue === undefined || totalValue === null) {
        throw new Error("Missing the required parameter 'totalValue' when calling getCrossSellMenuItems");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getCrossSellMenuItems");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'menuId': menuId,
        'menuItemId': this.apiClient.buildCollectionParam(menuItemId, 'multi'),
        'limit': limit,
        'totalValue': totalValue
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultCrossSellMenuItems["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/crossSell/menuItems', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();