"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _DeliveryZoneBase = _interopRequireDefault(require("../model/DeliveryZoneBase"));
var _RestApiArrayResultDeliveryZone = _interopRequireDefault(require("../model/RestApiArrayResultDeliveryZone"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultDeliveryZone = _interopRequireDefault(require("../model/RestApiResultDeliveryZone"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* DeliveryZone service.
* @module api/DeliveryZoneApi
* @version 1.0.0
*/
var DeliveryZoneApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new DeliveryZoneApi. 
  * @alias module:api/DeliveryZoneApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function DeliveryZoneApi(apiClient) {
    _classCallCheck(this, DeliveryZoneApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the addDeliveryZone operation.
   * @callback module:api/DeliveryZoneApi~addDeliveryZoneCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultDeliveryZone} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {Number} storeId 
   * @param {module:model/DeliveryZoneBase} deliveryZoneBase 
   * @param {module:api/DeliveryZoneApi~addDeliveryZoneCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultDeliveryZone}
   */
  return _createClass(DeliveryZoneApi, [{
    key: "addDeliveryZone",
    value: function addDeliveryZone(storeId, deliveryZoneBase, callback) {
      var postBody = deliveryZoneBase;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling addDeliveryZone");
      }
      // verify the required parameter 'deliveryZoneBase' is set
      if (deliveryZoneBase === undefined || deliveryZoneBase === null) {
        throw new Error("Missing the required parameter 'deliveryZoneBase' when calling addDeliveryZone");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultDeliveryZone["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/deliveryzones', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getDeliveryZones operation.
     * @callback module:api/DeliveryZoneApi~getDeliveryZonesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultDeliveryZone} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/DeliveryZoneApi~getDeliveryZonesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultDeliveryZone}
     */
  }, {
    key: "getDeliveryZones",
    value: function getDeliveryZones(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getDeliveryZones");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultDeliveryZone["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/deliveryzones', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the removeDeliveryZone operation.
     * @callback module:api/DeliveryZoneApi~removeDeliveryZoneCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {Number} deliveryZoneId 
     * @param {module:api/DeliveryZoneApi~removeDeliveryZoneCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "removeDeliveryZone",
    value: function removeDeliveryZone(storeId, deliveryZoneId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling removeDeliveryZone");
      }
      // verify the required parameter 'deliveryZoneId' is set
      if (deliveryZoneId === undefined || deliveryZoneId === null) {
        throw new Error("Missing the required parameter 'deliveryZoneId' when calling removeDeliveryZone");
      }
      var pathParams = {
        'storeId': storeId,
        'deliveryZoneId': deliveryZoneId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/deliveryzones/{deliveryZoneId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateDeliveryZone operation.
     * @callback module:api/DeliveryZoneApi~updateDeliveryZoneCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultDeliveryZone} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {Number} deliveryZoneId 
     * @param {module:model/DeliveryZoneBase} deliveryZone 
     * @param {module:api/DeliveryZoneApi~updateDeliveryZoneCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultDeliveryZone}
     */
  }, {
    key: "updateDeliveryZone",
    value: function updateDeliveryZone(storeId, deliveryZoneId, deliveryZone, callback) {
      var postBody = deliveryZone;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateDeliveryZone");
      }
      // verify the required parameter 'deliveryZoneId' is set
      if (deliveryZoneId === undefined || deliveryZoneId === null) {
        throw new Error("Missing the required parameter 'deliveryZoneId' when calling updateDeliveryZone");
      }
      // verify the required parameter 'deliveryZone' is set
      if (deliveryZone === undefined || deliveryZone === null) {
        throw new Error("Missing the required parameter 'deliveryZone' when calling updateDeliveryZone");
      }
      var pathParams = {
        'storeId': storeId,
        'deliveryZoneId': deliveryZoneId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultDeliveryZone["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/deliveryzones/{deliveryZoneId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();