"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _ClientDeviceAssignEnrolledDevice = _interopRequireDefault(require("../model/ClientDeviceAssignEnrolledDevice"));
var _ClientDeviceEnroll = _interopRequireDefault(require("../model/ClientDeviceEnroll"));
var _RestApiArrayResultClientDeviceSummary = _interopRequireDefault(require("../model/RestApiArrayResultClientDeviceSummary"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultClientDevice = _interopRequireDefault(require("../model/RestApiResultClientDevice"));
var _RestApiResultClientDeviceEnrollmentResult = _interopRequireDefault(require("../model/RestApiResultClientDeviceEnrollmentResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Device service.
* @module api/DeviceApi
* @version 1.0.0
*/
var DeviceApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new DeviceApi. 
  * @alias module:api/DeviceApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function DeviceApi(apiClient) {
    _classCallCheck(this, DeviceApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the assignDevice operation.
   * @callback module:api/DeviceApi~assignDeviceCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultClientDeviceEnrollmentResult} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/ClientDeviceAssignEnrolledDevice} assignDeviceRequest 
   * @param {module:api/DeviceApi~assignDeviceCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultClientDeviceEnrollmentResult}
   */
  return _createClass(DeviceApi, [{
    key: "assignDevice",
    value: function assignDevice(appId, assignDeviceRequest, callback) {
      var postBody = assignDeviceRequest;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling assignDevice");
      }
      // verify the required parameter 'assignDeviceRequest' is set
      if (assignDeviceRequest === undefined || assignDeviceRequest === null) {
        throw new Error("Missing the required parameter 'assignDeviceRequest' when calling assignDevice");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultClientDeviceEnrollmentResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/devices/assign', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the enrollDevice operation.
     * @callback module:api/DeviceApi~enrollDeviceCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultClientDeviceEnrollmentResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/ClientDeviceEnroll} deviceEnrollmentRequest 
     * @param {module:api/DeviceApi~enrollDeviceCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultClientDeviceEnrollmentResult}
     */
  }, {
    key: "enrollDevice",
    value: function enrollDevice(appId, deviceEnrollmentRequest, callback) {
      var postBody = deviceEnrollmentRequest;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling enrollDevice");
      }
      // verify the required parameter 'deviceEnrollmentRequest' is set
      if (deviceEnrollmentRequest === undefined || deviceEnrollmentRequest === null) {
        throw new Error("Missing the required parameter 'deviceEnrollmentRequest' when calling enrollDevice");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultClientDeviceEnrollmentResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/devices/enroll', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getDeviceDetails operation.
     * @callback module:api/DeviceApi~getDeviceDetailsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultClientDevice} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceModel 
     * @param {String} deviceId 
     * @param {module:api/DeviceApi~getDeviceDetailsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultClientDevice}
     */
  }, {
    key: "getDeviceDetails",
    value: function getDeviceDetails(appId, deviceModel, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getDeviceDetails");
      }
      // verify the required parameter 'deviceModel' is set
      if (deviceModel === undefined || deviceModel === null) {
        throw new Error("Missing the required parameter 'deviceModel' when calling getDeviceDetails");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling getDeviceDetails");
      }
      var pathParams = {
        'appId': appId,
        'deviceModel': deviceModel,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultClientDevice["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/devices/device/{deviceModel}/{deviceId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the searchDevices operation.
     * @callback module:api/DeviceApi~searchDevicesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultClientDeviceSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.storeId 
     * @param {String} opts.deviceModel 
     * @param {module:api/DeviceApi~searchDevicesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultClientDeviceSummary}
     */
  }, {
    key: "searchDevices",
    value: function searchDevices(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling searchDevices");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeId': opts['storeId'],
        'deviceModel': opts['deviceModel']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultClientDeviceSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/devices/search', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();