"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _DriverLoginModel = _interopRequireDefault(require("../model/DriverLoginModel"));
var _DriverRequestLoginPinModel = _interopRequireDefault(require("../model/DriverRequestLoginPinModel"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateDriverNotificationToken = _interopRequireDefault(require("../model/UpdateDriverNotificationToken"));
var _UpdateDriverProfileModel = _interopRequireDefault(require("../model/UpdateDriverProfileModel"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Drivers service.
* @module api/DriversApi
* @version 1.0.0
*/
var DriversApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new DriversApi. 
  * @alias module:api/DriversApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function DriversApi(apiClient) {
    _classCallCheck(this, DriversApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the driversAddDriverNotificationToken operation.
   * @callback module:api/DriversApi~driversAddDriverNotificationTokenCallback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {module:model/UpdateDriverNotificationToken} updateDriverToken 
   * @param {module:api/DriversApi~driversAddDriverNotificationTokenCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(DriversApi, [{
    key: "driversAddDriverNotificationToken",
    value: function driversAddDriverNotificationToken(updateDriverToken, callback) {
      var postBody = updateDriverToken;
      // verify the required parameter 'updateDriverToken' is set
      if (updateDriverToken === undefined || updateDriverToken === null) {
        throw new Error("Missing the required parameter 'updateDriverToken' when calling driversAddDriverNotificationToken");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/token', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversDeleteDriverProfileImage operation.
     * @callback module:api/DriversApi~driversDeleteDriverProfileImageCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/DriversApi~driversDeleteDriverProfileImageCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversDeleteDriverProfileImage",
    value: function driversDeleteDriverProfileImage(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/profile/image', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversDriverLogin operation.
     * @callback module:api/DriversApi~driversDriverLoginCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/DriverLoginModel} driverLoginModel 
     * @param {module:api/DriversApi~driversDriverLoginCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversDriverLogin",
    value: function driversDriverLogin(driverLoginModel, callback) {
      var postBody = driverLoginModel;
      // verify the required parameter 'driverLoginModel' is set
      if (driverLoginModel === undefined || driverLoginModel === null) {
        throw new Error("Missing the required parameter 'driverLoginModel' when calling driversDriverLogin");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/login', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversDriverRequestLoginCodeSms operation.
     * @callback module:api/DriversApi~driversDriverRequestLoginCodeSmsCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/DriverRequestLoginPinModel} driverRequestLoginPinModel 
     * @param {module:api/DriversApi~driversDriverRequestLoginCodeSmsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversDriverRequestLoginCodeSms",
    value: function driversDriverRequestLoginCodeSms(driverRequestLoginPinModel, callback) {
      var postBody = driverRequestLoginPinModel;
      // verify the required parameter 'driverRequestLoginPinModel' is set
      if (driverRequestLoginPinModel === undefined || driverRequestLoginPinModel === null) {
        throw new Error("Missing the required parameter 'driverRequestLoginPinModel' when calling driversDriverRequestLoginCodeSms");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/pin', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversGetDriverProfile operation.
     * @callback module:api/DriversApi~driversGetDriverProfileCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/DriversApi~driversGetDriverProfileCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversGetDriverProfile",
    value: function driversGetDriverProfile(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/profile', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversGetStoresForDriver operation.
     * @callback module:api/DriversApi~driversGetStoresForDriverCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/DriversApi~driversGetStoresForDriverCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversGetStoresForDriver",
    value: function driversGetStoresForDriver(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/assignedstores', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversRemoveDriverNotificationToken operation.
     * @callback module:api/DriversApi~driversRemoveDriverNotificationTokenCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/UpdateDriverNotificationToken} removeDriverToken 
     * @param {module:api/DriversApi~driversRemoveDriverNotificationTokenCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversRemoveDriverNotificationToken",
    value: function driversRemoveDriverNotificationToken(removeDriverToken, callback) {
      var postBody = removeDriverToken;
      // verify the required parameter 'removeDriverToken' is set
      if (removeDriverToken === undefined || removeDriverToken === null) {
        throw new Error("Missing the required parameter 'removeDriverToken' when calling driversRemoveDriverNotificationToken");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/token', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversSetDriverPresenceForStore operation.
     * @callback module:api/DriversApi~driversSetDriverPresenceForStoreCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} presence 
     * @param {module:api/DriversApi~driversSetDriverPresenceForStoreCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversSetDriverPresenceForStore",
    value: function driversSetDriverPresenceForStore(storeId, presence, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling driversSetDriverPresenceForStore");
      }
      // verify the required parameter 'presence' is set
      if (presence === undefined || presence === null) {
        throw new Error("Missing the required parameter 'presence' when calling driversSetDriverPresenceForStore");
      }
      var pathParams = {
        'storeId': storeId,
        'presence': presence
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/stores/{storeId}/presence/{presence}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversSetDriverProfileImage operation.
     * @callback module:api/DriversApi~driversSetDriverProfileImageCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/DriversApi~driversSetDriverProfileImageCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversSetDriverProfileImage",
    value: function driversSetDriverProfileImage(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/profile/image', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversUpdateDeliveryTrackingStatus operation.
     * @callback module:api/DriversApi~driversUpdateDeliveryTrackingStatusCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} orderId 
     * @param {module:model/String} deliveryTrackingStatus 
     * @param {module:api/DriversApi~driversUpdateDeliveryTrackingStatusCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversUpdateDeliveryTrackingStatus",
    value: function driversUpdateDeliveryTrackingStatus(orderId, deliveryTrackingStatus, callback) {
      var postBody = null;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling driversUpdateDeliveryTrackingStatus");
      }
      // verify the required parameter 'deliveryTrackingStatus' is set
      if (deliveryTrackingStatus === undefined || deliveryTrackingStatus === null) {
        throw new Error("Missing the required parameter 'deliveryTrackingStatus' when calling driversUpdateDeliveryTrackingStatus");
      }
      var pathParams = {
        'orderId': orderId,
        'deliveryTrackingStatus': deliveryTrackingStatus
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/orders/{orderId}/tracking/{deliveryTrackingStatus}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the driversUpdateDriverProfile operation.
     * @callback module:api/DriversApi~driversUpdateDriverProfileCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/UpdateDriverProfileModel} updateDriverProfile 
     * @param {module:api/DriversApi~driversUpdateDriverProfileCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "driversUpdateDriverProfile",
    value: function driversUpdateDriverProfile(updateDriverProfile, callback) {
      var postBody = updateDriverProfile;
      // verify the required parameter 'updateDriverProfile' is set
      if (updateDriverProfile === undefined || updateDriverProfile === null) {
        throw new Error("Missing the required parameter 'updateDriverProfile' when calling driversUpdateDriverProfile");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/drivers/profile', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();