"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _EventSearchResult = _interopRequireDefault(require("../model/EventSearchResult"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiEventSearchPaginationResult = _interopRequireDefault(require("../model/RestApiEventSearchPaginationResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Events service.
* @module api/EventsApi
* @version 1.0.0
*/
var EventsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new EventsApi. 
  * @alias module:api/EventsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function EventsApi(apiClient) {
    _classCallCheck(this, EventsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getCustomerEvents operation.
   * @callback module:api/EventsApi~getCustomerEventsCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiEventSearchPaginationResult} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} customerId 
   * @param {Object} opts Optional parameters
   * @param {Number} opts.limit The maximum elements to return
   * @param {Number} opts.page The index of the page to return, starting by 1
   * @param {Date} opts.start Start date
   * @param {Date} opts.end End date
   * @param {Number} opts.orderId Events that have Order Id
   * @param {Number} opts.storeId Events that have Store Id
   * @param {Array.<Number>} opts.storeIdList Events that have Store Id List
   * @param {Number} opts.storeGroupId Events that have Store Group Id
   * @param {Number} opts.userId Events that have User Id
   * @param {Number} opts.menuId Events that have Menu Id
   * @param {Number} opts.campaignId Events that have Campaign Id
   * @param {String} opts.userEmail Events that have User Email
   * @param {String} opts.userName Events that have User Name
   * @param {String} opts.voucherCode Events that have voucher code
   * @param {Array.<String>} opts.eventType Events that have event type\\s
   * @param {String} opts.flipdishEventId Unique Identifier of Event, if this is specified, all other criteria are ignored.
   * @param {module:api/EventsApi~getCustomerEventsCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiEventSearchPaginationResult}
   */
  return _createClass(EventsApi, [{
    key: "getCustomerEvents",
    value: function getCustomerEvents(appId, customerId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getCustomerEvents");
      }
      // verify the required parameter 'customerId' is set
      if (customerId === undefined || customerId === null) {
        throw new Error("Missing the required parameter 'customerId' when calling getCustomerEvents");
      }
      var pathParams = {
        'appId': appId,
        'customerId': customerId
      };
      var queryParams = {
        'limit': opts['limit'],
        'page': opts['page'],
        'start': opts['start'],
        'end': opts['end'],
        'orderId': opts['orderId'],
        'storeId': opts['storeId'],
        'storeIdList': this.apiClient.buildCollectionParam(opts['storeIdList'], 'multi'),
        'storeGroupId': opts['storeGroupId'],
        'userId': opts['userId'],
        'menuId': opts['menuId'],
        'campaignId': opts['campaignId'],
        'userEmail': opts['userEmail'],
        'userName': opts['userName'],
        'voucherCode': opts['voucherCode'],
        'eventType': this.apiClient.buildCollectionParam(opts['eventType'], 'multi'),
        'flipdishEventId': opts['flipdishEventId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Page', 'Limit', 'TotalRecordCount'];
      var returnType = _RestApiEventSearchPaginationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events/customer/{customerId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getEvents operation.
     * @callback module:api/EventsApi~getEventsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiEventSearchPaginationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.whiteLabelId 
     * @param {Number} opts.customerId 
     * @param {Number} opts.limit The maximum elements to return
     * @param {Number} opts.page The index of the page to return, starting by 1
     * @param {Date} opts.start Start date
     * @param {Date} opts.end End date
     * @param {Number} opts.orderId Events that have Order Id
     * @param {Number} opts.storeId Events that have Store Id
     * @param {Array.<Number>} opts.storeIdList Events that have Store Id List
     * @param {Number} opts.storeGroupId Events that have Store Group Id
     * @param {Number} opts.userId Events that have User Id
     * @param {Number} opts.menuId Events that have Menu Id
     * @param {Number} opts.campaignId Events that have Campaign Id
     * @param {String} opts.userEmail Events that have User Email
     * @param {String} opts.userName Events that have User Name
     * @param {String} opts.voucherCode Events that have voucher code
     * @param {Array.<String>} opts.eventType Events that have event type\\s
     * @param {String} opts.flipdishEventId Unique Identifier of Event, if this is specified, all other criteria are ignored.
     * @param {module:api/EventsApi~getEventsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiEventSearchPaginationResult}
     */
  }, {
    key: "getEvents",
    value: function getEvents(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getEvents");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'whiteLabelId': opts['whiteLabelId'],
        'customerId': opts['customerId'],
        'limit': opts['limit'],
        'page': opts['page'],
        'start': opts['start'],
        'end': opts['end'],
        'orderId': opts['orderId'],
        'storeId': opts['storeId'],
        'storeIdList': this.apiClient.buildCollectionParam(opts['storeIdList'], 'multi'),
        'storeGroupId': opts['storeGroupId'],
        'userId': opts['userId'],
        'menuId': opts['menuId'],
        'campaignId': opts['campaignId'],
        'userEmail': opts['userEmail'],
        'userName': opts['userName'],
        'voucherCode': opts['voucherCode'],
        'eventType': this.apiClient.buildCollectionParam(opts['eventType'], 'multi'),
        'flipdishEventId': opts['flipdishEventId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Page', 'Limit', 'TotalRecordCount'];
      var returnType = _RestApiEventSearchPaginationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getEventsById operation.
     * @callback module:api/EventsApi~getEventsByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/EventSearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} eventId 
     * @param {String} appId 
     * @param {module:api/EventsApi~getEventsByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/EventSearchResult}
     */
  }, {
    key: "getEventsById",
    value: function getEventsById(eventId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'eventId' is set
      if (eventId === undefined || eventId === null) {
        throw new Error("Missing the required parameter 'eventId' when calling getEventsById");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getEventsById");
      }
      var pathParams = {
        'eventId': eventId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'AnalyticsClientEvent', 'OrderAcceptedEvent', 'OrderCustomerTrackingCreatedEvent', 'OrderDeliveryTrackingStatusUpdatedEvent', 'OrderBatchPublishedEvent', 'OrderCreatedEvent', 'OrderRatingUpdatedEvent', 'OrderRefundedEvent', 'OrderRejectedEvent', 'OrderTipUpdatedEvent', 'StoreCreatedEvent', 'StoreDeletedEvent', 'StoreAddressUpdatedEvent', 'StoreKioskSettingUpdatedEvent', 'DeliveryZoneCreatedEvent', 'DeliveryZoneUpdatedEvent', 'DeliveryZoneDeletedEvent', 'StoreOpeningHoursUpdatedEvent', 'StoreMenuAssignedEvent', 'StoreBusinessHoursOverrideCreatedEvent', 'StoreBusinessHoursOverrideDeletedEvent', 'StoreArchivedEvent', 'StoreUnarchivedEvent', 'StorePublishedEvent', 'StoreUnpublishedEvent', 'StoreUpdatedEvent', 'StorePreOrderConfigUpdatedEvent', 'StoreLogoCreatedEvent', 'StoreLogoUpdatedEvent', 'StoreLogoDeletedEvent', 'MenuCreatedEvent', 'MenuAsyncCreationCompletedEvent', 'MenuUpdatedEvent', 'MenuUploadedEvent', 'MenuBulkEditEvent', 'MenuCheckpointCreatedEvent', 'CustomerCreatedEvent', 'CustomerUpdatedEvent', 'CustomerConsentUpdatedEvent', 'WebhookSubscriptionCreatedEvent', 'WebhookSubscriptionUpdatedEvent', 'WebhookSubscriptionDeletedEvent', 'PrinterTurnedOnEvent', 'PrinterTurnedOffEvent', 'PrinterAssignedToStoreEvent', 'PrinterUnassignedFromStoreEvent', 'PhoneCallStartedEvent', 'PhoneCallEndedEvent', 'TelephonyConfigUpdatedEvent', 'LoyaltyCampaignCreatedEvent', 'LoyaltyCampaignDeletedEvent', 'LoyaltyCampaignUpdatedEvent', 'RetentionCampaignCreatedEvent', 'RetentionCampaignDeletedEvent', 'RetentionCampaignUpdatedEvent', 'SmsReceivedEvent', 'UserLoginEvent', 'UserCreatedEvent', 'UserUpdatedEvent', 'UserDeletedEvent', 'UserCreatedPasswordEvent', 'UserAnsweredSignupQuestionsEvent', 'VoucherCreatedEvent', 'VoucherUpdatedEvent', 'VoucherDeletedEvent', 'VoucherAppliedEvent', 'TeammateInviteSentEvent', 'TeammateInviteAcceptedEvent', 'TeammateUpdatedEvent', 'TeammateDeletedEvent', 'BankAccountCreatedEvent', 'BankAccountUpdatedEvent', 'BankAccountDeletedEvent', 'BankAccountAssignedEvent', 'HydraAssignedEvent', 'HydraRequestResetEvent', 'HydraSettingChangedEvent', 'HydraUnAssignedEvent', 'KioskBluetoothPairingModeEvent', 'KioskBluetoothUnpairingModeEvent', 'KioskBluetoothTerminalUnpairedEvent', 'KioskTerminalActionStateChangedEvent', 'KioskBluetoothTerminalUpdatedEvent', 'KioskBluetoothTerminalInitiateUpdateCheckEvent', 'KioskBluetoothInstallUpdateInitiateEvent', 'KioskBluetoothTerminalCancelUpdateEvent', 'KioskBluetoothTerminalFirmwareVersionStatusEvent', 'KioskBluetoothTerminalInstallationStatusEvent', 'PushNotificationScheduledEvent', 'PushNotificationSentEvent', 'PushNotificationDeletedEvent', 'DnsVerifiedEvent', 'CertificateCreatedEvent', 'CertificateRenewedEvent', 'WebsiteVanityUrlUpdatedEvent', 'WebsiteUpdatedEvent', 'OrderCapacityUpdatedEvent', 'ExternalStoreEvent', 'AppStoreConfigCreatedEvent', 'AppStoreConfigUpdatedEvent', 'AppStoreConfigDeletedEvent', 'AppStoreSubscriptionChangeJobUpdatedEvent', 'CatalogItemCreatedEvent', 'CatalogItemUpdatedEvent', 'CatalogItemArchivedEvent', 'CatalogGroupCreatedEvent', 'CatalogGroupUpdatedEvent', 'CatalogGroupArchivedEvent', 'StoreTipUpdatedEvent', 'LocationAreaCreatedEvent', 'LocationAreaUpdatedEvent', 'LocationCreatedEvent', 'LocationDeletedEvent', 'StoreServiceChargeUpdatedEvent', 'MobileAppsSubmissionStatusUpdatedEvent', 'MobileAppsSubmissionUpdatedEvent', 'StoreFeeConfigUpdatedEvent'];
      var returnType = _EventSearchResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events/{eventId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuEvents operation.
     * @callback module:api/EventsApi~getMenuEventsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiEventSearchPaginationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} menuId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.limit The maximum elements to return
     * @param {Number} opts.page The index of the page to return, starting by 1
     * @param {Date} opts.start Start date
     * @param {Date} opts.end End date
     * @param {Number} opts.orderId Events that have Order Id
     * @param {Number} opts.storeId Events that have Store Id
     * @param {Array.<Number>} opts.storeIdList Events that have Store Id List
     * @param {Number} opts.storeGroupId Events that have Store Group Id
     * @param {Number} opts.userId Events that have User Id
     * @param {Number} opts.menuId2 Events that have Menu Id
     * @param {Number} opts.campaignId Events that have Campaign Id
     * @param {String} opts.userEmail Events that have User Email
     * @param {String} opts.userName Events that have User Name
     * @param {String} opts.voucherCode Events that have voucher code
     * @param {Array.<String>} opts.eventType Events that have event type\\s
     * @param {String} opts.flipdishEventId Unique Identifier of Event, if this is specified, all other criteria are ignored.
     * @param {module:api/EventsApi~getMenuEventsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiEventSearchPaginationResult}
     */
  }, {
    key: "getMenuEvents",
    value: function getMenuEvents(appId, menuId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getMenuEvents");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuEvents");
      }
      var pathParams = {
        'appId': appId,
        'menuId': menuId
      };
      var queryParams = {
        'limit': opts['limit'],
        'page': opts['page'],
        'start': opts['start'],
        'end': opts['end'],
        'orderId': opts['orderId'],
        'storeId': opts['storeId'],
        'storeIdList': this.apiClient.buildCollectionParam(opts['storeIdList'], 'multi'),
        'storeGroupId': opts['storeGroupId'],
        'userId': opts['userId'],
        'menuId': opts['menuId2'],
        'campaignId': opts['campaignId'],
        'userEmail': opts['userEmail'],
        'userName': opts['userName'],
        'voucherCode': opts['voucherCode'],
        'eventType': this.apiClient.buildCollectionParam(opts['eventType'], 'multi'),
        'flipdishEventId': opts['flipdishEventId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Page', 'Limit', 'TotalRecordCount'];
      var returnType = _RestApiEventSearchPaginationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events/menu/{menuId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOrderEvents operation.
     * @callback module:api/EventsApi~getOrderEventsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiEventSearchPaginationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} orderId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.limit The maximum elements to return
     * @param {Number} opts.page The index of the page to return, starting by 1
     * @param {Date} opts.start Start date
     * @param {Date} opts.end End date
     * @param {Number} opts.orderId2 Events that have Order Id
     * @param {Number} opts.storeId Events that have Store Id
     * @param {Array.<Number>} opts.storeIdList Events that have Store Id List
     * @param {Number} opts.storeGroupId Events that have Store Group Id
     * @param {Number} opts.userId Events that have User Id
     * @param {Number} opts.menuId Events that have Menu Id
     * @param {Number} opts.campaignId Events that have Campaign Id
     * @param {String} opts.userEmail Events that have User Email
     * @param {String} opts.userName Events that have User Name
     * @param {String} opts.voucherCode Events that have voucher code
     * @param {Array.<String>} opts.eventType Events that have event type\\s
     * @param {String} opts.flipdishEventId Unique Identifier of Event, if this is specified, all other criteria are ignored.
     * @param {module:api/EventsApi~getOrderEventsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiEventSearchPaginationResult}
     */
  }, {
    key: "getOrderEvents",
    value: function getOrderEvents(appId, orderId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOrderEvents");
      }
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling getOrderEvents");
      }
      var pathParams = {
        'appId': appId,
        'orderId': orderId
      };
      var queryParams = {
        'limit': opts['limit'],
        'page': opts['page'],
        'start': opts['start'],
        'end': opts['end'],
        'orderId': opts['orderId2'],
        'storeId': opts['storeId'],
        'storeIdList': this.apiClient.buildCollectionParam(opts['storeIdList'], 'multi'),
        'storeGroupId': opts['storeGroupId'],
        'userId': opts['userId'],
        'menuId': opts['menuId'],
        'campaignId': opts['campaignId'],
        'userEmail': opts['userEmail'],
        'userName': opts['userName'],
        'voucherCode': opts['voucherCode'],
        'eventType': this.apiClient.buildCollectionParam(opts['eventType'], 'multi'),
        'flipdishEventId': opts['flipdishEventId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Page', 'Limit', 'TotalRecordCount'];
      var returnType = _RestApiEventSearchPaginationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events/order/{orderId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOrderEventsByCustomer operation.
     * @callback module:api/EventsApi~getOrderEventsByCustomerCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiEventSearchPaginationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} customerId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.limit The maximum elements to return
     * @param {Number} opts.page The index of the page to return, starting by 1
     * @param {Date} opts.start Start date
     * @param {Date} opts.end End date
     * @param {Number} opts.orderId Events that have Order Id
     * @param {Number} opts.storeId Events that have Store Id
     * @param {Array.<Number>} opts.storeIdList Events that have Store Id List
     * @param {Number} opts.storeGroupId Events that have Store Group Id
     * @param {Number} opts.userId Events that have User Id
     * @param {Number} opts.menuId Events that have Menu Id
     * @param {Number} opts.campaignId Events that have Campaign Id
     * @param {String} opts.userEmail Events that have User Email
     * @param {String} opts.userName Events that have User Name
     * @param {String} opts.voucherCode Events that have voucher code
     * @param {Array.<String>} opts.eventType Events that have event type\\s
     * @param {String} opts.flipdishEventId Unique Identifier of Event, if this is specified, all other criteria are ignored.
     * @param {module:api/EventsApi~getOrderEventsByCustomerCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiEventSearchPaginationResult}
     */
  }, {
    key: "getOrderEventsByCustomer",
    value: function getOrderEventsByCustomer(appId, customerId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOrderEventsByCustomer");
      }
      // verify the required parameter 'customerId' is set
      if (customerId === undefined || customerId === null) {
        throw new Error("Missing the required parameter 'customerId' when calling getOrderEventsByCustomer");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'customerId': customerId,
        'limit': opts['limit'],
        'page': opts['page'],
        'start': opts['start'],
        'end': opts['end'],
        'orderId': opts['orderId'],
        'storeId': opts['storeId'],
        'storeIdList': this.apiClient.buildCollectionParam(opts['storeIdList'], 'multi'),
        'storeGroupId': opts['storeGroupId'],
        'userId': opts['userId'],
        'menuId': opts['menuId'],
        'campaignId': opts['campaignId'],
        'userEmail': opts['userEmail'],
        'userName': opts['userName'],
        'voucherCode': opts['voucherCode'],
        'eventType': this.apiClient.buildCollectionParam(opts['eventType'], 'multi'),
        'flipdishEventId': opts['flipdishEventId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Page', 'Limit', 'TotalRecordCount'];
      var returnType = _RestApiEventSearchPaginationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events/order', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreEvents operation.
     * @callback module:api/EventsApi~getStoreEventsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiEventSearchPaginationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.limit The maximum elements to return
     * @param {Number} opts.page The index of the page to return, starting by 1
     * @param {Date} opts.start Start date
     * @param {Date} opts.end End date
     * @param {Number} opts.orderId Events that have Order Id
     * @param {Number} opts.storeId2 Events that have Store Id
     * @param {Array.<Number>} opts.storeIdList Events that have Store Id List
     * @param {Number} opts.storeGroupId Events that have Store Group Id
     * @param {Number} opts.userId Events that have User Id
     * @param {Number} opts.menuId Events that have Menu Id
     * @param {Number} opts.campaignId Events that have Campaign Id
     * @param {String} opts.userEmail Events that have User Email
     * @param {String} opts.userName Events that have User Name
     * @param {String} opts.voucherCode Events that have voucher code
     * @param {Array.<String>} opts.eventType Events that have event type\\s
     * @param {String} opts.flipdishEventId Unique Identifier of Event, if this is specified, all other criteria are ignored.
     * @param {module:api/EventsApi~getStoreEventsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiEventSearchPaginationResult}
     */
  }, {
    key: "getStoreEvents",
    value: function getStoreEvents(appId, storeId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStoreEvents");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreEvents");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {
        'limit': opts['limit'],
        'page': opts['page'],
        'start': opts['start'],
        'end': opts['end'],
        'orderId': opts['orderId'],
        'storeId': opts['storeId2'],
        'storeIdList': this.apiClient.buildCollectionParam(opts['storeIdList'], 'multi'),
        'storeGroupId': opts['storeGroupId'],
        'userId': opts['userId'],
        'menuId': opts['menuId'],
        'campaignId': opts['campaignId'],
        'userEmail': opts['userEmail'],
        'userName': opts['userName'],
        'voucherCode': opts['voucherCode'],
        'eventType': this.apiClient.buildCollectionParam(opts['eventType'], 'multi'),
        'flipdishEventId': opts['flipdishEventId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Page', 'Limit', 'TotalRecordCount'];
      var returnType = _RestApiEventSearchPaginationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events/store/{storeId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getUserEvents operation.
     * @callback module:api/EventsApi~getUserEventsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiEventSearchPaginationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} userId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.limit The maximum elements to return
     * @param {Number} opts.page The index of the page to return, starting by 1
     * @param {Date} opts.start Start date
     * @param {Date} opts.end End date
     * @param {Number} opts.orderId Events that have Order Id
     * @param {Number} opts.storeId Events that have Store Id
     * @param {Array.<Number>} opts.storeIdList Events that have Store Id List
     * @param {Number} opts.storeGroupId Events that have Store Group Id
     * @param {Number} opts.userId2 Events that have User Id
     * @param {Number} opts.menuId Events that have Menu Id
     * @param {Number} opts.campaignId Events that have Campaign Id
     * @param {String} opts.userEmail Events that have User Email
     * @param {String} opts.userName Events that have User Name
     * @param {String} opts.voucherCode Events that have voucher code
     * @param {Array.<String>} opts.eventType Events that have event type\\s
     * @param {String} opts.flipdishEventId Unique Identifier of Event, if this is specified, all other criteria are ignored.
     * @param {module:api/EventsApi~getUserEventsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiEventSearchPaginationResult}
     */
  }, {
    key: "getUserEvents",
    value: function getUserEvents(appId, userId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getUserEvents");
      }
      // verify the required parameter 'userId' is set
      if (userId === undefined || userId === null) {
        throw new Error("Missing the required parameter 'userId' when calling getUserEvents");
      }
      var pathParams = {
        'appId': appId,
        'userId': userId
      };
      var queryParams = {
        'limit': opts['limit'],
        'page': opts['page'],
        'start': opts['start'],
        'end': opts['end'],
        'orderId': opts['orderId'],
        'storeId': opts['storeId'],
        'storeIdList': this.apiClient.buildCollectionParam(opts['storeIdList'], 'multi'),
        'storeGroupId': opts['storeGroupId'],
        'userId': opts['userId2'],
        'menuId': opts['menuId'],
        'campaignId': opts['campaignId'],
        'userEmail': opts['userEmail'],
        'userName': opts['userName'],
        'voucherCode': opts['voucherCode'],
        'eventType': this.apiClient.buildCollectionParam(opts['eventType'], 'multi'),
        'flipdishEventId': opts['flipdishEventId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Page', 'Limit', 'TotalRecordCount'];
      var returnType = _RestApiEventSearchPaginationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events/user/{userId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getWhiteLabelEvents operation.
     * @callback module:api/EventsApi~getWhiteLabelEventsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiEventSearchPaginationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} whitelabelId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.limit The maximum elements to return
     * @param {Number} opts.page The index of the page to return, starting by 1
     * @param {Date} opts.start Start date
     * @param {Date} opts.end End date
     * @param {Number} opts.orderId Events that have Order Id
     * @param {Number} opts.storeId Events that have Store Id
     * @param {Array.<Number>} opts.storeIdList Events that have Store Id List
     * @param {Number} opts.storeGroupId Events that have Store Group Id
     * @param {Number} opts.userId Events that have User Id
     * @param {Number} opts.menuId Events that have Menu Id
     * @param {Number} opts.campaignId Events that have Campaign Id
     * @param {String} opts.userEmail Events that have User Email
     * @param {String} opts.userName Events that have User Name
     * @param {String} opts.voucherCode Events that have voucher code
     * @param {Array.<String>} opts.eventType Events that have event type\\s
     * @param {String} opts.flipdishEventId Unique Identifier of Event, if this is specified, all other criteria are ignored.
     * @param {module:api/EventsApi~getWhiteLabelEventsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiEventSearchPaginationResult}
     */
  }, {
    key: "getWhiteLabelEvents",
    value: function getWhiteLabelEvents(appId, whitelabelId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getWhiteLabelEvents");
      }
      // verify the required parameter 'whitelabelId' is set
      if (whitelabelId === undefined || whitelabelId === null) {
        throw new Error("Missing the required parameter 'whitelabelId' when calling getWhiteLabelEvents");
      }
      var pathParams = {
        'appId': appId,
        'whitelabelId': whitelabelId
      };
      var queryParams = {
        'limit': opts['limit'],
        'page': opts['page'],
        'start': opts['start'],
        'end': opts['end'],
        'orderId': opts['orderId'],
        'storeId': opts['storeId'],
        'storeIdList': this.apiClient.buildCollectionParam(opts['storeIdList'], 'multi'),
        'storeGroupId': opts['storeGroupId'],
        'userId': opts['userId'],
        'menuId': opts['menuId'],
        'campaignId': opts['campaignId'],
        'userEmail': opts['userEmail'],
        'userName': opts['userName'],
        'voucherCode': opts['voucherCode'],
        'eventType': this.apiClient.buildCollectionParam(opts['eventType'], 'multi'),
        'flipdishEventId': opts['flipdishEventId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Page', 'Limit', 'TotalRecordCount'];
      var returnType = _RestApiEventSearchPaginationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/events/whitelabel/{whitelabelId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();