"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateFulfillmentStatesConfiguration = _interopRequireDefault(require("../model/CreateFulfillmentStatesConfiguration"));
var _FulfillmentStatesConfiguration = _interopRequireDefault(require("../model/FulfillmentStatesConfiguration"));
var _RestApiArrayResultFulfillmentStatesConfigurationSummary = _interopRequireDefault(require("../model/RestApiArrayResultFulfillmentStatesConfigurationSummary"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultFulfillmentStatesConfiguration = _interopRequireDefault(require("../model/RestApiResultFulfillmentStatesConfiguration"));
var _RestApiStringResult = _interopRequireDefault(require("../model/RestApiStringResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateFulfillmentStatesConfiguration = _interopRequireDefault(require("../model/UpdateFulfillmentStatesConfiguration"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* FulfillmentStateConfiguration service.
* @module api/FulfillmentStateConfigurationApi
* @version 1.0.0
*/
var FulfillmentStateConfigurationApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new FulfillmentStateConfigurationApi. 
  * @alias module:api/FulfillmentStateConfigurationApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function FulfillmentStateConfigurationApi(apiClient) {
    _classCallCheck(this, FulfillmentStateConfigurationApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createFulfillmentStatesConfig operation.
   * @callback module:api/FulfillmentStateConfigurationApi~createFulfillmentStatesConfigCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultFulfillmentStatesConfiguration} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/CreateFulfillmentStatesConfiguration} fulfillmentStateConfiguration 
   * @param {module:api/FulfillmentStateConfigurationApi~createFulfillmentStatesConfigCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultFulfillmentStatesConfiguration}
   */
  return _createClass(FulfillmentStateConfigurationApi, [{
    key: "createFulfillmentStatesConfig",
    value: function createFulfillmentStatesConfig(appId, fulfillmentStateConfiguration, callback) {
      var postBody = fulfillmentStateConfiguration;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createFulfillmentStatesConfig");
      }
      // verify the required parameter 'fulfillmentStateConfiguration' is set
      if (fulfillmentStateConfiguration === undefined || fulfillmentStateConfiguration === null) {
        throw new Error("Missing the required parameter 'fulfillmentStateConfiguration' when calling createFulfillmentStatesConfig");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultFulfillmentStatesConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/fulfillment/configuration/states', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteFulfillmentStatesConfig operation.
     * @callback module:api/FulfillmentStateConfigurationApi~deleteFulfillmentStatesConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} configId 
     * @param {module:api/FulfillmentStateConfigurationApi~deleteFulfillmentStatesConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "deleteFulfillmentStatesConfig",
    value: function deleteFulfillmentStatesConfig(appId, configId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteFulfillmentStatesConfig");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling deleteFulfillmentStatesConfig");
      }
      var pathParams = {
        'appId': appId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/fulfillment/configuration/states/{configId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getFulfillmentStatesConfiguration operation.
     * @callback module:api/FulfillmentStateConfigurationApi~getFulfillmentStatesConfigurationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/FulfillmentStatesConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} configId 
     * @param {module:api/FulfillmentStateConfigurationApi~getFulfillmentStatesConfigurationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/FulfillmentStatesConfiguration}
     */
  }, {
    key: "getFulfillmentStatesConfiguration",
    value: function getFulfillmentStatesConfiguration(appId, configId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getFulfillmentStatesConfiguration");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling getFulfillmentStatesConfiguration");
      }
      var pathParams = {
        'appId': appId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'States', 'StoreSelectorType', 'StoreIds', 'Name', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _FulfillmentStatesConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/fulfillment/configuration/states/{configId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getFulfillmentStatesConfigurationTemplate operation.
     * @callback module:api/FulfillmentStateConfigurationApi~getFulfillmentStatesConfigurationTemplateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/FulfillmentStatesConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/FulfillmentStateConfigurationApi~getFulfillmentStatesConfigurationTemplateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/FulfillmentStatesConfiguration}
     */
  }, {
    key: "getFulfillmentStatesConfigurationTemplate",
    value: function getFulfillmentStatesConfigurationTemplate(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getFulfillmentStatesConfigurationTemplate");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'States', 'StoreSelectorType', 'StoreIds', 'Name', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _FulfillmentStatesConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/fulfillment/configuration/states_template', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the searchFulfillmentStatesConfigurations operation.
     * @callback module:api/FulfillmentStateConfigurationApi~searchFulfillmentStatesConfigurationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultFulfillmentStatesConfigurationSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/FulfillmentStateConfigurationApi~searchFulfillmentStatesConfigurationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultFulfillmentStatesConfigurationSummary}
     */
  }, {
    key: "searchFulfillmentStatesConfigurations",
    value: function searchFulfillmentStatesConfigurations(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling searchFulfillmentStatesConfigurations");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultFulfillmentStatesConfigurationSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/fulfillment/configuration/states', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateFulfillmentStatesConfig operation.
     * @callback module:api/FulfillmentStateConfigurationApi~updateFulfillmentStatesConfigCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} configId 
     * @param {module:model/UpdateFulfillmentStatesConfiguration} updateFulfillmentStatesConfiguration 
     * @param {module:api/FulfillmentStateConfigurationApi~updateFulfillmentStatesConfigCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateFulfillmentStatesConfig",
    value: function updateFulfillmentStatesConfig(appId, configId, updateFulfillmentStatesConfiguration, callback) {
      var postBody = updateFulfillmentStatesConfiguration;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateFulfillmentStatesConfig");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling updateFulfillmentStatesConfig");
      }
      // verify the required parameter 'updateFulfillmentStatesConfiguration' is set
      if (updateFulfillmentStatesConfiguration === undefined || updateFulfillmentStatesConfiguration === null) {
        throw new Error("Missing the required parameter 'updateFulfillmentStatesConfiguration' when calling updateFulfillmentStatesConfig");
      }
      var pathParams = {
        'appId': appId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/fulfillment/configuration/states/{configId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();