"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiArrayResultHomeAction = _interopRequireDefault(require("../model/RestApiArrayResultHomeAction"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultHomeStatistics = _interopRequireDefault(require("../model/RestApiResultHomeStatistics"));
var _RestApiResultOktaPortalFeatureFlag = _interopRequireDefault(require("../model/RestApiResultOktaPortalFeatureFlag"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Home service.
* @module api/HomeApi
* @version 1.0.0
*/
var HomeApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new HomeApi. 
  * @alias module:api/HomeApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function HomeApi(apiClient) {
    _classCallCheck(this, HomeApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the completeHomeAction operation.
   * @callback module:api/HomeApi~completeHomeActionCallback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} homeActionId 
   * @param {Boolean} isDismissed 
   * @param {module:api/HomeApi~completeHomeActionCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(HomeApi, [{
    key: "completeHomeAction",
    value: function completeHomeAction(appId, homeActionId, isDismissed, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling completeHomeAction");
      }
      // verify the required parameter 'homeActionId' is set
      if (homeActionId === undefined || homeActionId === null) {
        throw new Error("Missing the required parameter 'homeActionId' when calling completeHomeAction");
      }
      // verify the required parameter 'isDismissed' is set
      if (isDismissed === undefined || isDismissed === null) {
        throw new Error("Missing the required parameter 'isDismissed' when calling completeHomeAction");
      }
      var pathParams = {
        'appId': appId,
        'homeActionId': homeActionId
      };
      var queryParams = {
        'isDismissed': isDismissed
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/home/{homeActionId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getHomeActions operation.
     * @callback module:api/HomeApi~getHomeActionsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultHomeAction} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/HomeApi~getHomeActionsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultHomeAction}
     */
  }, {
    key: "getHomeActions",
    value: function getHomeActions(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getHomeActions");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultHomeAction["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/home', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getHomeStatistics operation.
     * @callback module:api/HomeApi~getHomeStatisticsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHomeStatistics} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/HomeApi~getHomeStatisticsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHomeStatistics}
     */
  }, {
    key: "getHomeStatistics",
    value: function getHomeStatistics(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getHomeStatistics");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultHomeStatistics["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/home/stats', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOktaPortalFeatureFlag operation.
     * @callback module:api/HomeApi~getOktaPortalFeatureFlagCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultOktaPortalFeatureFlag} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/HomeApi~getOktaPortalFeatureFlagCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultOktaPortalFeatureFlag}
     */
  }, {
    key: "getOktaPortalFeatureFlag",
    value: function getOktaPortalFeatureFlag(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultOktaPortalFeatureFlag["default"];
      return this.apiClient.callApi('/api/v1.0/home/okta-portal', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();