"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _EmvTerminal = _interopRequireDefault(require("../model/EmvTerminal"));
var _HydraRegistrationRequest = _interopRequireDefault(require("../model/HydraRegistrationRequest"));
var _KioskSettings = _interopRequireDefault(require("../model/KioskSettings"));
var _RestApiArrayResultEmvTerminalWithAssignments = _interopRequireDefault(require("../model/RestApiArrayResultEmvTerminalWithAssignments"));
var _RestApiArrayResultKioskCashPaymentSettings = _interopRequireDefault(require("../model/RestApiArrayResultKioskCashPaymentSettings"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultHydraDeviceDetails = _interopRequireDefault(require("../model/RestApiPaginationResultHydraDeviceDetails"));
var _RestApiResultHydraConfig = _interopRequireDefault(require("../model/RestApiResultHydraConfig"));
var _RestApiResultHydraDeviceDetails = _interopRequireDefault(require("../model/RestApiResultHydraDeviceDetails"));
var _RestApiResultHydraStatus = _interopRequireDefault(require("../model/RestApiResultHydraStatus"));
var _RestApiResultKioskSettings = _interopRequireDefault(require("../model/RestApiResultKioskSettings"));
var _RestApiResultPaymentTerminalDetails = _interopRequireDefault(require("../model/RestApiResultPaymentTerminalDetails"));
var _RestApiResultPaymentTerminalTransactionDetails = _interopRequireDefault(require("../model/RestApiResultPaymentTerminalTransactionDetails"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Hydra service.
* @module api/HydraApi
* @version 1.0.0
*/
var HydraApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new HydraApi. 
  * @alias module:api/HydraApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function HydraApi(apiClient) {
    _classCallCheck(this, HydraApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the assignEmv operation.
   * @callback module:api/HydraApi~assignEmvCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} hydraConfigId 
   * @param {Number} emvTerminalId 
   * @param {module:api/HydraApi~assignEmvCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(HydraApi, [{
    key: "assignEmv",
    value: function assignEmv(appId, hydraConfigId, emvTerminalId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling assignEmv");
      }
      // verify the required parameter 'hydraConfigId' is set
      if (hydraConfigId === undefined || hydraConfigId === null) {
        throw new Error("Missing the required parameter 'hydraConfigId' when calling assignEmv");
      }
      // verify the required parameter 'emvTerminalId' is set
      if (emvTerminalId === undefined || emvTerminalId === null) {
        throw new Error("Missing the required parameter 'emvTerminalId' when calling assignEmv");
      }
      var pathParams = {
        'appId': appId,
        'hydraConfigId': hydraConfigId,
        'emvTerminalId': emvTerminalId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/emvterminal/assign/{hydraConfigId}/{emvTerminalId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the attachStoreToKiosk operation.
     * @callback module:api/HydraApi~attachStoreToKioskCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHydraStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {String} deviceId 
     * @param {module:api/HydraApi~attachStoreToKioskCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHydraStatus}
     */
  }, {
    key: "attachStoreToKiosk",
    value: function attachStoreToKiosk(appId, storeId, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling attachStoreToKiosk");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling attachStoreToKiosk");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling attachStoreToKiosk");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultHydraStatus["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/AttachStoreToKiosk/{deviceId}/store/{storeId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the attachStoreToTerminal operation.
     * @callback module:api/HydraApi~attachStoreToTerminalCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHydraStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {Number} storeId 
     * @param {module:api/HydraApi~attachStoreToTerminalCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHydraStatus}
     */
  }, {
    key: "attachStoreToTerminal",
    value: function attachStoreToTerminal(appId, deviceId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling attachStoreToTerminal");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling attachStoreToTerminal");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling attachStoreToTerminal");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultHydraStatus["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/{deviceId}/attach/{storeId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the cancelEmvPayment operation.
     * @callback module:api/HydraApi~cancelEmvPaymentCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} orderId 
     * @param {String} appId 
     * @param {module:api/HydraApi~cancelEmvPaymentCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "cancelEmvPayment",
    value: function cancelEmvPayment(orderId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling cancelEmvPayment");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling cancelEmvPayment");
      }
      var pathParams = {
        'orderId': orderId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/cancelemvpayment/{orderId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the detachStoreFromTerminal operation.
     * @callback module:api/HydraApi~detachStoreFromTerminalCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHydraStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {Number} storeId 
     * @param {module:api/HydraApi~detachStoreFromTerminalCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHydraStatus}
     */
  }, {
    key: "detachStoreFromTerminal",
    value: function detachStoreFromTerminal(appId, deviceId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling detachStoreFromTerminal");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling detachStoreFromTerminal");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling detachStoreFromTerminal");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultHydraStatus["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/{deviceId}/detach/{storeId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAblyToken operation.
     * @callback module:api/HydraApi~getAblyTokenCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/HydraApi~getAblyTokenCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "getAblyToken",
    value: function getAblyToken(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/hydra/ably_token', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAttachedDevice operation.
     * @callback module:api/HydraApi~getAttachedDeviceCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHydraDeviceDetails} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} deviceType 
     * @param {String} deviceId 
     * @param {module:api/HydraApi~getAttachedDeviceCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHydraDeviceDetails}
     */
  }, {
    key: "getAttachedDevice",
    value: function getAttachedDevice(appId, deviceType, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAttachedDevice");
      }
      // verify the required parameter 'deviceType' is set
      if (deviceType === undefined || deviceType === null) {
        throw new Error("Missing the required parameter 'deviceType' when calling getAttachedDevice");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling getAttachedDevice");
      }
      var pathParams = {
        'appId': appId,
        'deviceType': deviceType,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultHydraDeviceDetails["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/{deviceType}/{deviceId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAttachedDevices operation.
     * @callback module:api/HydraApi~getAttachedDevicesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultHydraDeviceDetails} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} deviceType 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageIndex 
     * @param {Number} opts.pageSize 
     * @param {Number} opts.storeId 
     * @param {String} opts.deviceName 
     * @param {String} opts.deviceSerial 
     * @param {module:api/HydraApi~getAttachedDevicesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultHydraDeviceDetails}
     */
  }, {
    key: "getAttachedDevices",
    value: function getAttachedDevices(appId, deviceType, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAttachedDevices");
      }
      // verify the required parameter 'deviceType' is set
      if (deviceType === undefined || deviceType === null) {
        throw new Error("Missing the required parameter 'deviceType' when calling getAttachedDevices");
      }
      var pathParams = {
        'appId': appId,
        'deviceType': deviceType
      };
      var queryParams = {
        'pageIndex': opts['pageIndex'],
        'pageSize': opts['pageSize'],
        'storeId': opts['storeId'],
        'deviceName': opts['deviceName'],
        'deviceSerial': opts['deviceSerial']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultHydraDeviceDetails["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/{deviceType}/list', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getEMVTerminalDetails operation.
     * @callback module:api/HydraApi~getEMVTerminalDetailsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultPaymentTerminalDetails} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/HydraApi~getEMVTerminalDetailsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultPaymentTerminalDetails}
     */
  }, {
    key: "getEMVTerminalDetails",
    value: function getEMVTerminalDetails(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getEMVTerminalDetails");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultPaymentTerminalDetails["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/emvterminal', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getEmvOrderState operation.
     * @callback module:api/HydraApi~getEmvOrderStateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultPaymentTerminalTransactionDetails} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} orderId 
     * @param {String} appId 
     * @param {module:api/HydraApi~getEmvOrderStateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultPaymentTerminalTransactionDetails}
     */
  }, {
    key: "getEmvOrderState",
    value: function getEmvOrderState(orderId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling getEmvOrderState");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getEmvOrderState");
      }
      var pathParams = {
        'orderId': orderId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultPaymentTerminalTransactionDetails["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/emvorderstate/{orderId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getKioskCashPaymentSettings operation.
     * @callback module:api/HydraApi~getKioskCashPaymentSettingsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultKioskCashPaymentSettings} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {module:api/HydraApi~getKioskCashPaymentSettingsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultKioskCashPaymentSettings}
     */
  }, {
    key: "getKioskCashPaymentSettings",
    value: function getKioskCashPaymentSettings(appId, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getKioskCashPaymentSettings");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling getKioskCashPaymentSettings");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultKioskCashPaymentSettings["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/kioskcashsettings/{deviceId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getKioskSettings operation.
     * @callback module:api/HydraApi~getKioskSettingsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultKioskSettings} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {module:api/HydraApi~getKioskSettingsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultKioskSettings}
     */
  }, {
    key: "getKioskSettings",
    value: function getKioskSettings(appId, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getKioskSettings");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling getKioskSettings");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultKioskSettings["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/kiosksettings/{deviceId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getRegistration operation.
     * @callback module:api/HydraApi~getRegistrationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHydraStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/HydraApi~getRegistrationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHydraStatus}
     */
  }, {
    key: "getRegistration",
    value: function getRegistration(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultHydraStatus["default"];
      return this.apiClient.callApi('/api/v1.0/hydra/registration', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getSettings operation.
     * @callback module:api/HydraApi~getSettingsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHydraConfig} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/HydraApi~getSettingsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHydraConfig}
     */
  }, {
    key: "getSettings",
    value: function getSettings(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultHydraConfig["default"];
      return this.apiClient.callApi('/api/v1.0/hydra/settings', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the hydraCreateEmv operation.
     * @callback module:api/HydraApi~hydraCreateEmvCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/EmvTerminal} emv 
     * @param {module:api/HydraApi~hydraCreateEmvCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "hydraCreateEmv",
    value: function hydraCreateEmv(appId, emv, callback) {
      var postBody = emv;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling hydraCreateEmv");
      }
      // verify the required parameter 'emv' is set
      if (emv === undefined || emv === null) {
        throw new Error("Missing the required parameter 'emv' when calling hydraCreateEmv");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/emvterminals', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the hydraDeleteEmv operation.
     * @callback module:api/HydraApi~hydraDeleteEmvCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} id 
     * @param {module:api/HydraApi~hydraDeleteEmvCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "hydraDeleteEmv",
    value: function hydraDeleteEmv(appId, id, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling hydraDeleteEmv");
      }
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling hydraDeleteEmv");
      }
      var pathParams = {
        'appId': appId,
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/emvterminals/{id}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the hydraDetachStoreFromKiosk operation.
     * @callback module:api/HydraApi~hydraDetachStoreFromKioskCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHydraStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {String} deviceId 
     * @param {module:api/HydraApi~hydraDetachStoreFromKioskCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHydraStatus}
     */
  }, {
    key: "hydraDetachStoreFromKiosk",
    value: function hydraDetachStoreFromKiosk(appId, storeId, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling hydraDetachStoreFromKiosk");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling hydraDetachStoreFromKiosk");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling hydraDetachStoreFromKiosk");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultHydraStatus["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/DetachStoreFromKiosk/{deviceId}/store/{storeId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the hydraGetEmvsForAppId operation.
     * @callback module:api/HydraApi~hydraGetEmvsForAppIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultEmvTerminalWithAssignments} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/HydraApi~hydraGetEmvsForAppIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultEmvTerminalWithAssignments}
     */
  }, {
    key: "hydraGetEmvsForAppId",
    value: function hydraGetEmvsForAppId(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling hydraGetEmvsForAppId");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiArrayResultEmvTerminalWithAssignments["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/emvterminals', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the loginWithDeviceId operation.
     * @callback module:api/HydraApi~loginWithDeviceIdCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} deviceId 
     * @param {Object} opts Optional parameters
     * @param {module:model/String} opts.hydraUserType 
     * @param {String} opts.serialNumber 
     * @param {module:api/HydraApi~loginWithDeviceIdCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "loginWithDeviceId",
    value: function loginWithDeviceId(deviceId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling loginWithDeviceId");
      }
      var pathParams = {
        'deviceId': deviceId
      };
      var queryParams = {
        'hydraUserType': opts['hydraUserType'],
        'serialNumber': opts['serialNumber']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/hydra/{deviceId}/login', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the register operation.
     * @callback module:api/HydraApi~registerCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHydraStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/HydraRegistrationRequest} hydraRegistration 
     * @param {module:api/HydraApi~registerCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHydraStatus}
     */
  }, {
    key: "register",
    value: function register(appId, hydraRegistration, callback) {
      var postBody = hydraRegistration;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling register");
      }
      // verify the required parameter 'hydraRegistration' is set
      if (hydraRegistration === undefined || hydraRegistration === null) {
        throw new Error("Missing the required parameter 'hydraRegistration' when calling register");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultHydraStatus["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/registration', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the unAssign operation.
     * @callback module:api/HydraApi~unAssignCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {module:api/HydraApi~unAssignCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "unAssign",
    value: function unAssign(appId, deviceId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling unAssign");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling unAssign");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/{deviceId}/registration', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the unassignEmv operation.
     * @callback module:api/HydraApi~unassignEmvCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} hydraConfigId 
     * @param {module:api/HydraApi~unassignEmvCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "unassignEmv",
    value: function unassignEmv(appId, hydraConfigId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling unassignEmv");
      }
      // verify the required parameter 'hydraConfigId' is set
      if (hydraConfigId === undefined || hydraConfigId === null) {
        throw new Error("Missing the required parameter 'hydraConfigId' when calling unassignEmv");
      }
      var pathParams = {
        'appId': appId,
        'hydraConfigId': hydraConfigId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/hydra/emvterminal/unassign/{hydraConfigId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateKioskCashVisibilitySettings operation.
     * @callback module:api/HydraApi~updateKioskCashVisibilitySettingsCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {Boolean} isCashEnabled 
     * @param {module:api/HydraApi~updateKioskCashVisibilitySettingsCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateKioskCashVisibilitySettings",
    value: function updateKioskCashVisibilitySettings(appId, deviceId, isCashEnabled, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateKioskCashVisibilitySettings");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling updateKioskCashVisibilitySettings");
      }
      // verify the required parameter 'isCashEnabled' is set
      if (isCashEnabled === undefined || isCashEnabled === null) {
        throw new Error("Missing the required parameter 'isCashEnabled' when calling updateKioskCashVisibilitySettings");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'deviceId': deviceId,
        'isCashEnabled': isCashEnabled
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/kioskupdatecashsettings', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateKioskSettings operation.
     * @callback module:api/HydraApi~updateKioskSettingsCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} deviceId 
     * @param {module:model/KioskSettings} settings 
     * @param {module:api/HydraApi~updateKioskSettingsCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateKioskSettings",
    value: function updateKioskSettings(appId, deviceId, settings, callback) {
      var postBody = settings;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateKioskSettings");
      }
      // verify the required parameter 'deviceId' is set
      if (deviceId === undefined || deviceId === null) {
        throw new Error("Missing the required parameter 'deviceId' when calling updateKioskSettings");
      }
      // verify the required parameter 'settings' is set
      if (settings === undefined || settings === null) {
        throw new Error("Missing the required parameter 'settings' when calling updateKioskSettings");
      }
      var pathParams = {
        'appId': appId,
        'deviceId': deviceId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/kiosksettings/{deviceId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();