"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiFinanceSearchPaginationResultInvoice = _interopRequireDefault(require("../model/RestApiFinanceSearchPaginationResultInvoice"));
var _RestApiFinanceSearchPaginationResultSubscriptionInvoice = _interopRequireDefault(require("../model/RestApiFinanceSearchPaginationResultSubscriptionInvoice"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Invoices service.
* @module api/InvoicesApi
* @version 1.0.0
*/
var InvoicesApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new InvoicesApi. 
  * @alias module:api/InvoicesApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function InvoicesApi(apiClient) {
    _classCallCheck(this, InvoicesApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getInvoices operation.
   * @callback module:api/InvoicesApi~getInvoicesCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiFinanceSearchPaginationResultSubscriptionInvoice} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Object} opts Optional parameters
   * @param {String} opts.subscriptionId 
   * @param {Number} opts.limit 
   * @param {String} opts.pageId 
   * @param {Boolean} opts.excludeNotOwnedInvoices 
   * @param {Date} opts.dateFrom 
   * @param {Date} opts.dateTo 
   * @param {String} opts.invoiceNumber 
   * @param {Array.<Number>} opts.storeId 
   * @param {module:api/InvoicesApi~getInvoicesCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiFinanceSearchPaginationResultSubscriptionInvoice}
   */
  return _createClass(InvoicesApi, [{
    key: "getInvoices",
    value: function getInvoices(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getInvoices");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'subscriptionId': opts['subscriptionId'],
        'limit': opts['limit'],
        'pageId': opts['pageId'],
        'excludeNotOwnedInvoices': opts['excludeNotOwnedInvoices'],
        'dateFrom': opts['dateFrom'],
        'dateTo': opts['dateTo'],
        'invoiceNumber': opts['invoiceNumber'],
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiFinanceSearchPaginationResultSubscriptionInvoice["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/invoices', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the invoicePdf operation.
     * @callback module:api/InvoicesApi~invoicePdfCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} invoiceNumber 
     * @param {String} appId 
     * @param {module:api/InvoicesApi~invoicePdfCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "invoicePdf",
    value: function invoicePdf(invoiceNumber, appId, callback) {
      var postBody = null;
      // verify the required parameter 'invoiceNumber' is set
      if (invoiceNumber === undefined || invoiceNumber === null) {
        throw new Error("Missing the required parameter 'invoiceNumber' when calling invoicePdf");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling invoicePdf");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'invoiceNumber': invoiceNumber
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/invoices/InvoicePdf', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the listInvoices operation.
     * @callback module:api/InvoicesApi~listInvoicesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiFinanceSearchPaginationResultInvoice} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.limit 
     * @param {Number} opts.page 
     * @param {module:api/InvoicesApi~listInvoicesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiFinanceSearchPaginationResultInvoice}
     */
  }, {
    key: "listInvoices",
    value: function listInvoices(storeId, appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling listInvoices");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling listInvoices");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeId': storeId,
        'limit': opts['limit'],
        'page': opts['page']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiFinanceSearchPaginationResultInvoice["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/invoices/ListInvoices', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the listSubscriptionInvoices operation.
     * @callback module:api/InvoicesApi~listSubscriptionInvoicesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiFinanceSearchPaginationResultSubscriptionInvoice} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.subscriptionId 
     * @param {Number} opts.limit 
     * @param {String} opts.pageId 
     * @param {Boolean} opts.excludeNotOwnedInvoices 
     * @param {Date} opts.dateFrom 
     * @param {Date} opts.dateTo 
     * @param {String} opts.invoiceNumber 
     * @param {Array.<Number>} opts.storeId 
     * @param {module:api/InvoicesApi~listSubscriptionInvoicesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiFinanceSearchPaginationResultSubscriptionInvoice}
     */
  }, {
    key: "listSubscriptionInvoices",
    value: function listSubscriptionInvoices(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling listSubscriptionInvoices");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'subscriptionId': opts['subscriptionId'],
        'limit': opts['limit'],
        'pageId': opts['pageId'],
        'excludeNotOwnedInvoices': opts['excludeNotOwnedInvoices'],
        'dateFrom': opts['dateFrom'],
        'dateTo': opts['dateTo'],
        'invoiceNumber': opts['invoiceNumber'],
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiFinanceSearchPaginationResultSubscriptionInvoice["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/invoices/ListSubscriptionInvoices', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();