"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _LightspeedSettings = _interopRequireDefault(require("../model/LightspeedSettings"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultLightspeedSettings = _interopRequireDefault(require("../model/RestApiResultLightspeedSettings"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Lightspeed service.
* @module api/LightspeedApi
* @version 1.0.0
*/
var LightspeedApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new LightspeedApi. 
  * @alias module:api/LightspeedApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function LightspeedApi(apiClient) {
    _classCallCheck(this, LightspeedApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the lightspeedGenerateMenu operation.
   * @callback module:api/LightspeedApi~lightspeedGenerateMenuCallback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {Number} storeId 
   * @param {module:api/LightspeedApi~lightspeedGenerateMenuCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(LightspeedApi, [{
    key: "lightspeedGenerateMenu",
    value: function lightspeedGenerateMenu(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling lightspeedGenerateMenu");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/lightspeed/{storeId}/menu/generate', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the lightspeedGetStoreSettings operation.
     * @callback module:api/LightspeedApi~lightspeedGetStoreSettingsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultLightspeedSettings} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/LightspeedApi~lightspeedGetStoreSettingsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultLightspeedSettings}
     */
  }, {
    key: "lightspeedGetStoreSettings",
    value: function lightspeedGetStoreSettings(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling lightspeedGetStoreSettings");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultLightspeedSettings["default"];
      return this.apiClient.callApi('/api/v1.0/lightspeed/{storeId}/settings', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the lightspeedSaveStoreSettings operation.
     * @callback module:api/LightspeedApi~lightspeedSaveStoreSettingsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultLightspeedSettings} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/LightspeedSettings} lightspeedSettings 
     * @param {module:api/LightspeedApi~lightspeedSaveStoreSettingsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultLightspeedSettings}
     */
  }, {
    key: "lightspeedSaveStoreSettings",
    value: function lightspeedSaveStoreSettings(storeId, lightspeedSettings, callback) {
      var postBody = lightspeedSettings;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling lightspeedSaveStoreSettings");
      }
      // verify the required parameter 'lightspeedSettings' is set
      if (lightspeedSettings === undefined || lightspeedSettings === null) {
        throw new Error("Missing the required parameter 'lightspeedSettings' when calling lightspeedSaveStoreSettings");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultLightspeedSettings["default"];
      return this.apiClient.callApi('/api/v1.0/lightspeed/{storeId}/settings', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();