"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateLocation = _interopRequireDefault(require("../model/CreateLocation"));
var _RestApiArrayResultLocationAreaLocation = _interopRequireDefault(require("../model/RestApiArrayResultLocationAreaLocation"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultLocationAreaLocation = _interopRequireDefault(require("../model/RestApiResultLocationAreaLocation"));
var _RestApiResultMappedLocation = _interopRequireDefault(require("../model/RestApiResultMappedLocation"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Location service.
* @module api/LocationApi
* @version 1.0.0
*/
var LocationApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new LocationApi. 
  * @alias module:api/LocationApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function LocationApi(apiClient) {
    _classCallCheck(this, LocationApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createLocation operation.
   * @callback module:api/LocationApi~createLocationCallback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {Number} locationAreaId 
   * @param {String} appId 
   * @param {Number} storeId 
   * @param {Array.<module:model/CreateLocation>} createLocationInput 
   * @param {module:api/LocationApi~createLocationCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(LocationApi, [{
    key: "createLocation",
    value: function createLocation(locationAreaId, appId, storeId, createLocationInput, callback) {
      var postBody = createLocationInput;
      // verify the required parameter 'locationAreaId' is set
      if (locationAreaId === undefined || locationAreaId === null) {
        throw new Error("Missing the required parameter 'locationAreaId' when calling createLocation");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createLocation");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling createLocation");
      }
      // verify the required parameter 'createLocationInput' is set
      if (createLocationInput === undefined || createLocationInput === null) {
        throw new Error("Missing the required parameter 'createLocationInput' when calling createLocation");
      }
      var pathParams = {
        'locationAreaId': locationAreaId,
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteLocation operation.
     * @callback module:api/LocationApi~deleteLocationCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} locationId 
     * @param {Number} locationAreaId 
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:api/LocationApi~deleteLocationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "deleteLocation",
    value: function deleteLocation(locationId, locationAreaId, appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'locationId' is set
      if (locationId === undefined || locationId === null) {
        throw new Error("Missing the required parameter 'locationId' when calling deleteLocation");
      }
      // verify the required parameter 'locationAreaId' is set
      if (locationAreaId === undefined || locationAreaId === null) {
        throw new Error("Missing the required parameter 'locationAreaId' when calling deleteLocation");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteLocation");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling deleteLocation");
      }
      var pathParams = {
        'locationId': locationId,
        'locationAreaId': locationAreaId,
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location/{locationId}/delete', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the mapLocationToExternalId operation.
     * @callback module:api/LocationApi~mapLocationToExternalIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMappedLocation} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} locationId 
     * @param {Number} locationAreaId 
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.externalLocationId 
     * @param {module:api/LocationApi~mapLocationToExternalIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMappedLocation}
     */
  }, {
    key: "mapLocationToExternalId",
    value: function mapLocationToExternalId(locationId, locationAreaId, appId, storeId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'locationId' is set
      if (locationId === undefined || locationId === null) {
        throw new Error("Missing the required parameter 'locationId' when calling mapLocationToExternalId");
      }
      // verify the required parameter 'locationAreaId' is set
      if (locationAreaId === undefined || locationAreaId === null) {
        throw new Error("Missing the required parameter 'locationAreaId' when calling mapLocationToExternalId");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling mapLocationToExternalId");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling mapLocationToExternalId");
      }
      var pathParams = {
        'locationId': locationId,
        'locationAreaId': locationAreaId,
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {
        'externalLocationId': opts['externalLocationId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultMappedLocation["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location/{locationId}/map-external', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the moveLocation operation.
     * @callback module:api/LocationApi~moveLocationCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} locationId 
     * @param {Number} locationAreaId 
     * @param {Number} newLocationAreaId 
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:api/LocationApi~moveLocationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "moveLocation",
    value: function moveLocation(locationId, locationAreaId, newLocationAreaId, appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'locationId' is set
      if (locationId === undefined || locationId === null) {
        throw new Error("Missing the required parameter 'locationId' when calling moveLocation");
      }
      // verify the required parameter 'locationAreaId' is set
      if (locationAreaId === undefined || locationAreaId === null) {
        throw new Error("Missing the required parameter 'locationAreaId' when calling moveLocation");
      }
      // verify the required parameter 'newLocationAreaId' is set
      if (newLocationAreaId === undefined || newLocationAreaId === null) {
        throw new Error("Missing the required parameter 'newLocationAreaId' when calling moveLocation");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling moveLocation");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling moveLocation");
      }
      var pathParams = {
        'locationId': locationId,
        'locationAreaId': locationAreaId,
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {
        'newLocationAreaId': newLocationAreaId
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location/{locationId}/move', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateLocation operation.
     * @callback module:api/LocationApi~updateLocationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultLocationAreaLocation} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} locationAreaId 
     * @param {Number} locationId 
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:model/CreateLocation} updateLocationInput 
     * @param {module:api/LocationApi~updateLocationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultLocationAreaLocation}
     */
  }, {
    key: "updateLocation",
    value: function updateLocation(locationAreaId, locationId, appId, storeId, updateLocationInput, callback) {
      var postBody = updateLocationInput;
      // verify the required parameter 'locationAreaId' is set
      if (locationAreaId === undefined || locationAreaId === null) {
        throw new Error("Missing the required parameter 'locationAreaId' when calling updateLocation");
      }
      // verify the required parameter 'locationId' is set
      if (locationId === undefined || locationId === null) {
        throw new Error("Missing the required parameter 'locationId' when calling updateLocation");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateLocation");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateLocation");
      }
      // verify the required parameter 'updateLocationInput' is set
      if (updateLocationInput === undefined || updateLocationInput === null) {
        throw new Error("Missing the required parameter 'updateLocationInput' when calling updateLocation");
      }
      var pathParams = {
        'locationAreaId': locationAreaId,
        'locationId': locationId,
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultLocationAreaLocation["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/location/{locationId}/update', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();