"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateLocationArea = _interopRequireDefault(require("../model/CreateLocationArea"));
var _RestApiArrayResultLocationAreaWithLocations = _interopRequireDefault(require("../model/RestApiArrayResultLocationAreaWithLocations"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultLocationArea = _interopRequireDefault(require("../model/RestApiResultLocationArea"));
var _RestApiResultLocationAreaWithLocations = _interopRequireDefault(require("../model/RestApiResultLocationAreaWithLocations"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateLocationArea = _interopRequireDefault(require("../model/UpdateLocationArea"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* LocationAreas service.
* @module api/LocationAreasApi
* @version 1.0.0
*/
var LocationAreasApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new LocationAreasApi. 
  * @alias module:api/LocationAreasApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function LocationAreasApi(apiClient) {
    _classCallCheck(this, LocationAreasApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createLocationArea operation.
   * @callback module:api/LocationAreasApi~createLocationAreaCallback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} storeId 
   * @param {module:model/CreateLocationArea} locationAreaInput 
   * @param {module:api/LocationAreasApi~createLocationAreaCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(LocationAreasApi, [{
    key: "createLocationArea",
    value: function createLocationArea(appId, storeId, locationAreaInput, callback) {
      var postBody = locationAreaInput;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createLocationArea");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling createLocationArea");
      }
      // verify the required parameter 'locationAreaInput' is set
      if (locationAreaInput === undefined || locationAreaInput === null) {
        throw new Error("Missing the required parameter 'locationAreaInput' when calling createLocationArea");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getLocationArea operation.
     * @callback module:api/LocationAreasApi~getLocationAreaCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultLocationAreaWithLocations} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} locationAreaId 
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:api/LocationAreasApi~getLocationAreaCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultLocationAreaWithLocations}
     */
  }, {
    key: "getLocationArea",
    value: function getLocationArea(locationAreaId, appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'locationAreaId' is set
      if (locationAreaId === undefined || locationAreaId === null) {
        throw new Error("Missing the required parameter 'locationAreaId' when calling getLocationArea");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getLocationArea");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getLocationArea");
      }
      var pathParams = {
        'locationAreaId': locationAreaId,
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultLocationAreaWithLocations["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getLocationAreasForStore operation.
     * @callback module:api/LocationAreasApi~getLocationAreasForStoreCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultLocationAreaWithLocations} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:api/LocationAreasApi~getLocationAreasForStoreCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultLocationAreaWithLocations}
     */
  }, {
    key: "getLocationAreasForStore",
    value: function getLocationAreasForStore(appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getLocationAreasForStore");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getLocationAreasForStore");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiArrayResultLocationAreaWithLocations["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateLocationArea operation.
     * @callback module:api/LocationAreasApi~updateLocationAreaCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultLocationArea} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {String} locationAreaId 
     * @param {module:model/UpdateLocationArea} locationAreaInput 
     * @param {module:api/LocationAreasApi~updateLocationAreaCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultLocationArea}
     */
  }, {
    key: "updateLocationArea",
    value: function updateLocationArea(appId, storeId, locationAreaId, locationAreaInput, callback) {
      var postBody = locationAreaInput;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateLocationArea");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateLocationArea");
      }
      // verify the required parameter 'locationAreaId' is set
      if (locationAreaId === undefined || locationAreaId === null) {
        throw new Error("Missing the required parameter 'locationAreaId' when calling updateLocationArea");
      }
      // verify the required parameter 'locationAreaInput' is set
      if (locationAreaInput === undefined || locationAreaInput === null) {
        throw new Error("Missing the required parameter 'locationAreaInput' when calling updateLocationArea");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId,
        'locationAreaId': locationAreaId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultLocationArea["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/{storeId}/location-areas/{locationAreaId}/update', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();