"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateMenuSectionItemFromCatalogItems = _interopRequireDefault(require("../model/CreateMenuSectionItemFromCatalogItems"));
var _MenuSectionItemBase = _interopRequireDefault(require("../model/MenuSectionItemBase"));
var _RestApiArrayResultMenuSectionItem = _interopRequireDefault(require("../model/RestApiArrayResultMenuSectionItem"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultCreatedMenuSectionItems = _interopRequireDefault(require("../model/RestApiResultCreatedMenuSectionItems"));
var _RestApiResultMenuSectionItem = _interopRequireDefault(require("../model/RestApiResultMenuSectionItem"));
var _RestApiStringResult = _interopRequireDefault(require("../model/RestApiStringResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* MenuSectionItems service.
* @module api/MenuSectionItemsApi
* @version 1.0.0
*/
var MenuSectionItemsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new MenuSectionItemsApi. 
  * @alias module:api/MenuSectionItemsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function MenuSectionItemsApi(apiClient) {
    _classCallCheck(this, MenuSectionItemsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the cloneMenuSectionItem operation.
   * @callback module:api/MenuSectionItemsApi~cloneMenuSectionItemCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultMenuSectionItem} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Clone menu section item
   * @param {Number} menuId Menu identifier
   * @param {Number} menuSectionId Menu section identifier
   * @param {Number} menuSectionItemId Menu section item identifier
   * @param {module:api/MenuSectionItemsApi~cloneMenuSectionItemCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultMenuSectionItem}
   */
  return _createClass(MenuSectionItemsApi, [{
    key: "cloneMenuSectionItem",
    value: function cloneMenuSectionItem(menuId, menuSectionId, menuSectionItemId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling cloneMenuSectionItem");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling cloneMenuSectionItem");
      }
      // verify the required parameter 'menuSectionItemId' is set
      if (menuSectionItemId === undefined || menuSectionItemId === null) {
        throw new Error("Missing the required parameter 'menuSectionItemId' when calling cloneMenuSectionItem");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'menuSectionItemId': menuSectionItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultMenuSectionItem["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/clone', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createMenuSectionItem operation.
     * @callback module:api/MenuSectionItemsApi~createMenuSectionItemCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create menu section item
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:model/MenuSectionItemBase} menuSectionItem Menu section item
     * @param {module:api/MenuSectionItemsApi~createMenuSectionItemCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "createMenuSectionItem",
    value: function createMenuSectionItem(menuId, menuSectionId, menuSectionItem, callback) {
      var postBody = menuSectionItem;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling createMenuSectionItem");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling createMenuSectionItem");
      }
      // verify the required parameter 'menuSectionItem' is set
      if (menuSectionItem === undefined || menuSectionItem === null) {
        throw new Error("Missing the required parameter 'menuSectionItem' when calling createMenuSectionItem");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createMenuSectionItemFromCatalogItems operation.
     * @callback module:api/MenuSectionItemsApi~createMenuSectionItemFromCatalogItemsCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create menu section items from a list of Catalog Items
     * BETA - this endpoint is under development, do not use it in your production system
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:model/CreateMenuSectionItemFromCatalogItems} createFromCatalogItems Information to create the new MenuSectionItems
     * @param {module:api/MenuSectionItemsApi~createMenuSectionItemFromCatalogItemsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "createMenuSectionItemFromCatalogItems",
    value: function createMenuSectionItemFromCatalogItems(menuId, menuSectionId, createFromCatalogItems, callback) {
      var postBody = createFromCatalogItems;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling createMenuSectionItemFromCatalogItems");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling createMenuSectionItemFromCatalogItems");
      }
      // verify the required parameter 'createFromCatalogItems' is set
      if (createFromCatalogItems === undefined || createFromCatalogItems === null) {
        throw new Error("Missing the required parameter 'createFromCatalogItems' when calling createMenuSectionItemFromCatalogItems");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/add-catalogitems', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteMenuSectionItem operation.
     * @callback module:api/MenuSectionItemsApi~deleteMenuSectionItemCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete menu section item
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {Number} menuSectionItemId Menu section item identifier
     * @param {module:api/MenuSectionItemsApi~deleteMenuSectionItemCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteMenuSectionItem",
    value: function deleteMenuSectionItem(menuId, menuSectionId, menuSectionItemId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling deleteMenuSectionItem");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling deleteMenuSectionItem");
      }
      // verify the required parameter 'menuSectionItemId' is set
      if (menuSectionItemId === undefined || menuSectionItemId === null) {
        throw new Error("Missing the required parameter 'menuSectionItemId' when calling deleteMenuSectionItem");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'menuSectionItemId': menuSectionItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteMenuSectionItemImage operation.
     * @callback module:api/MenuSectionItemsApi~deleteMenuSectionItemImageCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete menu section item image
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {Number} menuSectionItemId Menu section item identifier
     * @param {module:api/MenuSectionItemsApi~deleteMenuSectionItemImageCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteMenuSectionItemImage",
    value: function deleteMenuSectionItemImage(menuId, menuSectionId, menuSectionItemId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling deleteMenuSectionItemImage");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling deleteMenuSectionItemImage");
      }
      // verify the required parameter 'menuSectionItemId' is set
      if (menuSectionItemId === undefined || menuSectionItemId === null) {
        throw new Error("Missing the required parameter 'menuSectionItemId' when calling deleteMenuSectionItemImage");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'menuSectionItemId': menuSectionItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/image', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuItemById operation.
     * @callback module:api/MenuSectionItemsApi~getMenuItemByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMenuSectionItem} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get menu item by identifier
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {Number} menuSectionItemId Menu item identifier
     * @param {module:api/MenuSectionItemsApi~getMenuItemByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMenuSectionItem}
     */
  }, {
    key: "getMenuItemById",
    value: function getMenuItemById(menuId, menuSectionId, menuSectionItemId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuItemById");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling getMenuItemById");
      }
      // verify the required parameter 'menuSectionItemId' is set
      if (menuSectionItemId === undefined || menuSectionItemId === null) {
        throw new Error("Missing the required parameter 'menuSectionItemId' when calling getMenuItemById");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'menuSectionItemId': menuSectionItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMenuSectionItem["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuItems operation.
     * @callback module:api/MenuSectionItemsApi~getMenuItemsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultMenuSectionItem} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get menu items
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:api/MenuSectionItemsApi~getMenuItemsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultMenuSectionItem}
     */
  }, {
    key: "getMenuItems",
    value: function getMenuItems(menuId, menuSectionId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuItems");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling getMenuItems");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultMenuSectionItem["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the moveMenuItem operation.
     * @callback module:api/MenuSectionItemsApi~moveMenuItemCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Move an Item within a menu
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Section to put item in (will usually be original section)
     * @param {Number} menuSectionItemId ID of Item to be moved
     * @param {Number} destinationDisplayOrder New Display Order of item
     * @param {module:api/MenuSectionItemsApi~moveMenuItemCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "moveMenuItem",
    value: function moveMenuItem(menuId, menuSectionId, menuSectionItemId, destinationDisplayOrder, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling moveMenuItem");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling moveMenuItem");
      }
      // verify the required parameter 'menuSectionItemId' is set
      if (menuSectionItemId === undefined || menuSectionItemId === null) {
        throw new Error("Missing the required parameter 'menuSectionItemId' when calling moveMenuItem");
      }
      // verify the required parameter 'destinationDisplayOrder' is set
      if (destinationDisplayOrder === undefined || destinationDisplayOrder === null) {
        throw new Error("Missing the required parameter 'destinationDisplayOrder' when calling moveMenuItem");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'menuSectionItemId': menuSectionItemId,
        'destinationDisplayOrder': destinationDisplayOrder
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/setorder/{destinationDisplayOrder}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setSectionItemTax operation.
     * @callback module:api/MenuSectionItemsApi~setSectionItemTaxCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Set tax rate for menu item
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Section to put item in (will usually be original section)
     * @param {Number} menuSectionItemId ID of Item to be moved
     * @param {Number} taxRateId tax rate to be set against item
     * @param {module:api/MenuSectionItemsApi~setSectionItemTaxCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "setSectionItemTax",
    value: function setSectionItemTax(menuId, menuSectionId, menuSectionItemId, taxRateId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling setSectionItemTax");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling setSectionItemTax");
      }
      // verify the required parameter 'menuSectionItemId' is set
      if (menuSectionItemId === undefined || menuSectionItemId === null) {
        throw new Error("Missing the required parameter 'menuSectionItemId' when calling setSectionItemTax");
      }
      // verify the required parameter 'taxRateId' is set
      if (taxRateId === undefined || taxRateId === null) {
        throw new Error("Missing the required parameter 'taxRateId' when calling setSectionItemTax");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'menuSectionItemId': menuSectionItemId,
        'taxRateId': taxRateId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/taxrate/{taxRateId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateMenuSectionItem operation.
     * @callback module:api/MenuSectionItemsApi~updateMenuSectionItemCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update menu section item
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {Number} menuSectionItemId Menu section item identifier
     * @param {module:model/MenuSectionItemBase} menuSectionItem Menu section item (delta)
     * @param {Object} opts Optional parameters
     * @param {Number} opts.undoAfter An optional time period, in hours, after which the hide-section operation will be undone
     * @param {module:api/MenuSectionItemsApi~updateMenuSectionItemCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateMenuSectionItem",
    value: function updateMenuSectionItem(menuId, menuSectionId, menuSectionItemId, menuSectionItem, opts, callback) {
      opts = opts || {};
      var postBody = menuSectionItem;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling updateMenuSectionItem");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling updateMenuSectionItem");
      }
      // verify the required parameter 'menuSectionItemId' is set
      if (menuSectionItemId === undefined || menuSectionItemId === null) {
        throw new Error("Missing the required parameter 'menuSectionItemId' when calling updateMenuSectionItem");
      }
      // verify the required parameter 'menuSectionItem' is set
      if (menuSectionItem === undefined || menuSectionItem === null) {
        throw new Error("Missing the required parameter 'menuSectionItem' when calling updateMenuSectionItem");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'menuSectionItemId': menuSectionItemId
      };
      var queryParams = {
        'undoAfter': opts['undoAfter']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the uploadMenuSectionItemImage operation.
     * @callback module:api/MenuSectionItemsApi~uploadMenuSectionItemImageCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Upload menu section item image
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {Number} menuSectionItemId Menu section item identifier
     * @param {File} Image Menu section item image
     * @param {module:api/MenuSectionItemsApi~uploadMenuSectionItemImageCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "uploadMenuSectionItemImage",
    value: function uploadMenuSectionItemImage(menuId, menuSectionId, menuSectionItemId, Image, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling uploadMenuSectionItemImage");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling uploadMenuSectionItemImage");
      }
      // verify the required parameter 'menuSectionItemId' is set
      if (menuSectionItemId === undefined || menuSectionItemId === null) {
        throw new Error("Missing the required parameter 'menuSectionItemId' when calling uploadMenuSectionItemImage");
      }
      // verify the required parameter 'Image' is set
      if (Image === undefined || Image === null) {
        throw new Error("Missing the required parameter 'Image' when calling uploadMenuSectionItemImage");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'menuSectionItemId': menuSectionItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {
        'Image': Image
      };
      var authNames = ['oauth2'];
      var contentTypes = ['multipart/form-data'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitems/{menuSectionItemId}/image', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();