"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _BusinessHoursPeriodBase = _interopRequireDefault(require("../model/BusinessHoursPeriodBase"));
var _MenuObjectDisplayOrders = _interopRequireDefault(require("../model/MenuObjectDisplayOrders"));
var _MenuSectionAvailabilityBase = _interopRequireDefault(require("../model/MenuSectionAvailabilityBase"));
var _MenuSectionBase = _interopRequireDefault(require("../model/MenuSectionBase"));
var _RestApiArrayResultMenuSection = _interopRequireDefault(require("../model/RestApiArrayResultMenuSection"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultBusinessHoursPeriod = _interopRequireDefault(require("../model/RestApiResultBusinessHoursPeriod"));
var _RestApiResultMenuSection = _interopRequireDefault(require("../model/RestApiResultMenuSection"));
var _RestApiResultMenuSectionAvailability = _interopRequireDefault(require("../model/RestApiResultMenuSectionAvailability"));
var _RestApiStringResult = _interopRequireDefault(require("../model/RestApiStringResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* MenuSections service.
* @module api/MenuSectionsApi
* @version 1.0.0
*/
var MenuSectionsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new MenuSectionsApi. 
  * @alias module:api/MenuSectionsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function MenuSectionsApi(apiClient) {
    _classCallCheck(this, MenuSectionsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the cloneMenuSection operation.
   * @callback module:api/MenuSectionsApi~cloneMenuSectionCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultMenuSection} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Clone menu section
   * @param {Number} menuId Menu identifier
   * @param {Number} menuSectionId Menu section identifier
   * @param {module:api/MenuSectionsApi~cloneMenuSectionCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultMenuSection}
   */
  return _createClass(MenuSectionsApi, [{
    key: "cloneMenuSection",
    value: function cloneMenuSection(menuId, menuSectionId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling cloneMenuSection");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling cloneMenuSection");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultMenuSection["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/clone', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createMenuAvailabilityForDay operation.
     * @callback module:api/MenuSectionsApi~createMenuAvailabilityForDayCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Set/update menu section availability hours.
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:model/String} dayOfWeek Day of the  week
     * @param {module:model/BusinessHoursPeriodBase} businessHoursPeriod Menu section active hours, note: DayOfWeek property will be overriden by the path parameter.
     * @param {module:api/MenuSectionsApi~createMenuAvailabilityForDayCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "createMenuAvailabilityForDay",
    value: function createMenuAvailabilityForDay(menuId, menuSectionId, dayOfWeek, businessHoursPeriod, callback) {
      var postBody = businessHoursPeriod;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling createMenuAvailabilityForDay");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling createMenuAvailabilityForDay");
      }
      // verify the required parameter 'dayOfWeek' is set
      if (dayOfWeek === undefined || dayOfWeek === null) {
        throw new Error("Missing the required parameter 'dayOfWeek' when calling createMenuAvailabilityForDay");
      }
      // verify the required parameter 'businessHoursPeriod' is set
      if (businessHoursPeriod === undefined || businessHoursPeriod === null) {
        throw new Error("Missing the required parameter 'businessHoursPeriod' when calling createMenuAvailabilityForDay");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId,
        'dayOfWeek': dayOfWeek
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/availability/times/{dayOfWeek}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createMenuSection operation.
     * @callback module:api/MenuSectionsApi~createMenuSectionCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create menu section
     * @param {Number} menuId Menu identifier
     * @param {module:model/MenuSectionBase} menuSection Menu section
     * @param {module:api/MenuSectionsApi~createMenuSectionCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "createMenuSection",
    value: function createMenuSection(menuId, menuSection, callback) {
      var postBody = menuSection;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling createMenuSection");
      }
      // verify the required parameter 'menuSection' is set
      if (menuSection === undefined || menuSection === null) {
        throw new Error("Missing the required parameter 'menuSection' when calling createMenuSection");
      }
      var pathParams = {
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createMenuSectionAvailability operation.
     * @callback module:api/MenuSectionsApi~createMenuSectionAvailabilityCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create menu availability type
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:model/MenuSectionAvailabilityBase} menuSectionAvailability DisplayAlways, DisplayBasedOnTimes, DisplayAlwaysStartCollapsed, DisplayAlwaysStartCollapsedBasedOnTimes
     * @param {module:api/MenuSectionsApi~createMenuSectionAvailabilityCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "createMenuSectionAvailability",
    value: function createMenuSectionAvailability(menuId, menuSectionId, menuSectionAvailability, callback) {
      var postBody = menuSectionAvailability;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling createMenuSectionAvailability");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling createMenuSectionAvailability");
      }
      // verify the required parameter 'menuSectionAvailability' is set
      if (menuSectionAvailability === undefined || menuSectionAvailability === null) {
        throw new Error("Missing the required parameter 'menuSectionAvailability' when calling createMenuSectionAvailability");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/availability', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteMenuSection operation.
     * @callback module:api/MenuSectionsApi~deleteMenuSectionCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete menu section
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:api/MenuSectionsApi~deleteMenuSectionCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteMenuSection",
    value: function deleteMenuSection(menuId, menuSectionId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling deleteMenuSection");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling deleteMenuSection");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteMenuSectionImage operation.
     * @callback module:api/MenuSectionsApi~deleteMenuSectionImageCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete menu section image
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:api/MenuSectionsApi~deleteMenuSectionImageCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteMenuSectionImage",
    value: function deleteMenuSectionImage(menuId, menuSectionId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling deleteMenuSectionImage");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling deleteMenuSectionImage");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/image', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuSectionById operation.
     * @callback module:api/MenuSectionsApi~getMenuSectionByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMenuSection} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get menu section by identifier
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:api/MenuSectionsApi~getMenuSectionByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMenuSection}
     */
  }, {
    key: "getMenuSectionById",
    value: function getMenuSectionById(menuId, menuSectionId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuSectionById");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling getMenuSectionById");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMenuSection["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuSections operation.
     * @callback module:api/MenuSectionsApi~getMenuSectionsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultMenuSection} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get menu sections
     * @param {Number} menuId Menu identifier
     * @param {module:api/MenuSectionsApi~getMenuSectionsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultMenuSection}
     */
  }, {
    key: "getMenuSections",
    value: function getMenuSections(menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuSections");
      }
      var pathParams = {
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultMenuSection["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the menuSectionsSetItemDisplayOrders operation.
     * @callback module:api/MenuSectionsApi~menuSectionsSetItemDisplayOrdersCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Re-arrange Items within a Section
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:model/MenuObjectDisplayOrders} displayOrders Item Ids and their new display order
     * @param {module:api/MenuSectionsApi~menuSectionsSetItemDisplayOrdersCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "menuSectionsSetItemDisplayOrders",
    value: function menuSectionsSetItemDisplayOrders(menuId, menuSectionId, displayOrders, callback) {
      var postBody = displayOrders;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling menuSectionsSetItemDisplayOrders");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling menuSectionsSetItemDisplayOrders");
      }
      // verify the required parameter 'displayOrders' is set
      if (displayOrders === undefined || displayOrders === null) {
        throw new Error("Missing the required parameter 'displayOrders' when calling menuSectionsSetItemDisplayOrders");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/sectionitemdisplayorders', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateMenuSection operation.
     * @callback module:api/MenuSectionsApi~updateMenuSectionCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update menu section
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {module:model/MenuSectionBase} menuSection Menu section changes (delta)
     * @param {Object} opts Optional parameters
     * @param {Number} opts.undoAfter An optional time period, in hours, after which the hide-section operation will be undone.
     * @param {module:api/MenuSectionsApi~updateMenuSectionCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateMenuSection",
    value: function updateMenuSection(menuId, menuSectionId, menuSection, opts, callback) {
      opts = opts || {};
      var postBody = menuSection;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling updateMenuSection");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling updateMenuSection");
      }
      // verify the required parameter 'menuSection' is set
      if (menuSection === undefined || menuSection === null) {
        throw new Error("Missing the required parameter 'menuSection' when calling updateMenuSection");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {
        'undoAfter': opts['undoAfter']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the uploadMenuSectionImage operation.
     * @callback module:api/MenuSectionsApi~uploadMenuSectionImageCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Upload menu section image
     * @param {Number} menuId Menu identifier
     * @param {Number} menuSectionId Menu section identifier
     * @param {File} Image Menu section image
     * @param {module:api/MenuSectionsApi~uploadMenuSectionImageCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "uploadMenuSectionImage",
    value: function uploadMenuSectionImage(menuId, menuSectionId, Image, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling uploadMenuSectionImage");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling uploadMenuSectionImage");
      }
      // verify the required parameter 'Image' is set
      if (Image === undefined || Image === null) {
        throw new Error("Missing the required parameter 'Image' when calling uploadMenuSectionImage");
      }
      var pathParams = {
        'menuId': menuId,
        'menuSectionId': menuSectionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {
        'Image': Image
      };
      var authNames = ['oauth2'];
      var contentTypes = ['multipart/form-data'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/sections/{menuSectionId}/image', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();