"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _HttpPostedFileBase = _interopRequireDefault(require("../model/HttpPostedFileBase"));
var _MenuZone = _interopRequireDefault(require("../model/MenuZone"));
var _RestApiArrayResultMenuZone = _interopRequireDefault(require("../model/RestApiArrayResultMenuZone"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultMenuZone = _interopRequireDefault(require("../model/RestApiResultMenuZone"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* MenuZones service.
* @module api/MenuZonesApi
* @version 1.0.0
*/
var MenuZonesApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new MenuZonesApi. 
  * @alias module:api/MenuZonesApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function MenuZonesApi(apiClient) {
    _classCallCheck(this, MenuZonesApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the addMenuZone operation.
   * @callback module:api/MenuZonesApi~addMenuZoneCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultMenuZone} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Adds a new menu zone to a menu.
   * @param {Number} menuId The menu id.
   * @param {module:model/MenuZone} menuZone The object containing the new zone. This is optional and not supplying it will generate an empty default zone.
   * @param {module:api/MenuZonesApi~addMenuZoneCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultMenuZone}
   */
  return _createClass(MenuZonesApi, [{
    key: "addMenuZone",
    value: function addMenuZone(menuId, menuZone, callback) {
      var postBody = menuZone;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling addMenuZone");
      }
      // verify the required parameter 'menuZone' is set
      if (menuZone === undefined || menuZone === null) {
        throw new Error("Missing the required parameter 'menuZone' when calling addMenuZone");
      }
      var pathParams = {
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMenuZone["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteMenuZone operation.
     * @callback module:api/MenuZonesApi~deleteMenuZoneCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes a menu zone.
     * @param {Number} menuZoneId The menu zone id.
     * @param {String} menuId 
     * @param {module:api/MenuZonesApi~deleteMenuZoneCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteMenuZone",
    value: function deleteMenuZone(menuZoneId, menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling deleteMenuZone");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling deleteMenuZone");
      }
      var pathParams = {
        'menuZoneId': menuZoneId,
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteMenuZoneImage operation.
     * @callback module:api/MenuZonesApi~deleteMenuZoneImageCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes a menu zone image.
     * @param {Number} menuZoneId The zone Id/
     * @param {String} menuId 
     * @param {module:api/MenuZonesApi~deleteMenuZoneImageCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteMenuZoneImage",
    value: function deleteMenuZoneImage(menuZoneId, menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling deleteMenuZoneImage");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling deleteMenuZoneImage");
      }
      var pathParams = {
        'menuZoneId': menuZoneId,
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}/image', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the flipMenuZones operation.
     * @callback module:api/MenuZonesApi~flipMenuZonesCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Flips the order of two menu zones.
     * @param {Number} menuZoneId Source.
     * @param {Number} menuZoneI2 Destination.
     * @param {String} menuId 
     * @param {module:api/MenuZonesApi~flipMenuZonesCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "flipMenuZones",
    value: function flipMenuZones(menuZoneId, menuZoneI2, menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling flipMenuZones");
      }
      // verify the required parameter 'menuZoneI2' is set
      if (menuZoneI2 === undefined || menuZoneI2 === null) {
        throw new Error("Missing the required parameter 'menuZoneI2' when calling flipMenuZones");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling flipMenuZones");
      }
      var pathParams = {
        'menuZoneId': menuZoneId,
        'menuZoneI2': menuZoneI2,
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}/flip/{menuZoneI2}', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuZone operation.
     * @callback module:api/MenuZonesApi~getMenuZoneCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMenuZone} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Gets a specific menu zone for a given zone id
     * @param {Number} menuId The menu id.
     * @param {Number} menuZoneId The menu zone id.
     * @param {module:api/MenuZonesApi~getMenuZoneCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMenuZone}
     */
  }, {
    key: "getMenuZone",
    value: function getMenuZone(menuId, menuZoneId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuZone");
      }
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling getMenuZone");
      }
      var pathParams = {
        'menuId': menuId,
        'menuZoneId': menuZoneId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMenuZone["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuZonesForMenuId operation.
     * @callback module:api/MenuZonesApi~getMenuZonesForMenuIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultMenuZone} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Gets all the menu zones for a menu
     * @param {Number} menuId The menu id to load zones for
     * @param {module:api/MenuZonesApi~getMenuZonesForMenuIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultMenuZone}
     */
  }, {
    key: "getMenuZonesForMenuId",
    value: function getMenuZonesForMenuId(menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuZonesForMenuId");
      }
      var pathParams = {
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultMenuZone["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setMenuSectionMenuZone operation.
     * @callback module:api/MenuZonesApi~setMenuSectionMenuZoneCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Sets a zone to a menu section.
     * @param {Number} menuZoneId The menu id.
     * @param {Number} menuSectionId The menu section id.
     * @param {String} menuId 
     * @param {module:api/MenuZonesApi~setMenuSectionMenuZoneCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "setMenuSectionMenuZone",
    value: function setMenuSectionMenuZone(menuZoneId, menuSectionId, menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling setMenuSectionMenuZone");
      }
      // verify the required parameter 'menuSectionId' is set
      if (menuSectionId === undefined || menuSectionId === null) {
        throw new Error("Missing the required parameter 'menuSectionId' when calling setMenuSectionMenuZone");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling setMenuSectionMenuZone");
      }
      var pathParams = {
        'menuZoneId': menuZoneId,
        'menuSectionId': menuSectionId,
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}/section/{menuSectionId}', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setMenuZoneDescription operation.
     * @callback module:api/MenuZonesApi~setMenuZoneDescriptionCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Sets the description of a menu zone.
     * @param {Number} menuZoneId The zone id.
     * @param {String} menuId 
     * @param {String} description The new description. Add as a raw string in the request, without any JSON wrapper.
     * @param {module:api/MenuZonesApi~setMenuZoneDescriptionCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "setMenuZoneDescription",
    value: function setMenuZoneDescription(menuZoneId, menuId, description, callback) {
      var postBody = description;
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling setMenuZoneDescription");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling setMenuZoneDescription");
      }
      // verify the required parameter 'description' is set
      if (description === undefined || description === null) {
        throw new Error("Missing the required parameter 'description' when calling setMenuZoneDescription");
      }
      var pathParams = {
        'menuZoneId': menuZoneId,
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}/description', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setMenuZoneName operation.
     * @callback module:api/MenuZonesApi~setMenuZoneNameCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Sets the name of a menu zone.
     * @param {Number} menuZoneId The menu zone id.
     * @param {String} menuZoneName The new name.
     * @param {String} menuId 
     * @param {module:api/MenuZonesApi~setMenuZoneNameCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "setMenuZoneName",
    value: function setMenuZoneName(menuZoneId, menuZoneName, menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling setMenuZoneName");
      }
      // verify the required parameter 'menuZoneName' is set
      if (menuZoneName === undefined || menuZoneName === null) {
        throw new Error("Missing the required parameter 'menuZoneName' when calling setMenuZoneName");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling setMenuZoneName");
      }
      var pathParams = {
        'menuZoneId': menuZoneId,
        'menuZoneName': menuZoneName,
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}/name/{menuZoneName}', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateMenuZone operation.
     * @callback module:api/MenuZonesApi~updateMenuZoneCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates a menu zone.
     * @param {Number} menuId The menu id.
     * @param {Number} menuZoneId The menu zone id.
     * @param {module:model/MenuZone} menuZone The object containing the updated values.
     * @param {module:api/MenuZonesApi~updateMenuZoneCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateMenuZone",
    value: function updateMenuZone(menuId, menuZoneId, menuZone, callback) {
      var postBody = menuZone;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling updateMenuZone");
      }
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling updateMenuZone");
      }
      // verify the required parameter 'menuZone' is set
      if (menuZone === undefined || menuZone === null) {
        throw new Error("Missing the required parameter 'menuZone' when calling updateMenuZone");
      }
      var pathParams = {
        'menuId': menuId,
        'menuZoneId': menuZoneId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the uploadMenuZoneImage operation.
     * @callback module:api/MenuZonesApi~uploadMenuZoneImageCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Uploads an image for a menu zone.
     * @param {Number} menuZoneId The zone id.
     * @param {String} menuId 
     * @param {Array.<module:model/HttpPostedFileBase>} file The file to upload.
     * @param {module:api/MenuZonesApi~uploadMenuZoneImageCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "uploadMenuZoneImage",
    value: function uploadMenuZoneImage(menuZoneId, menuId, file, callback) {
      var postBody = file;
      // verify the required parameter 'menuZoneId' is set
      if (menuZoneId === undefined || menuZoneId === null) {
        throw new Error("Missing the required parameter 'menuZoneId' when calling uploadMenuZoneImage");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling uploadMenuZoneImage");
      }
      // verify the required parameter 'file' is set
      if (file === undefined || file === null) {
        throw new Error("Missing the required parameter 'file' when calling uploadMenuZoneImage");
      }
      var pathParams = {
        'menuZoneId': menuZoneId,
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/zones/{menuZoneId}/image', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();