"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _ItemNutritionInfoAddUpdateModel = _interopRequireDefault(require("../model/ItemNutritionInfoAddUpdateModel"));
var _RestApiArrayResultAllergen = _interopRequireDefault(require("../model/RestApiArrayResultAllergen"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultMenuNutritionInfoHeader = _interopRequireDefault(require("../model/RestApiResultMenuNutritionInfoHeader"));
var _RestApiResultNutritionInfo = _interopRequireDefault(require("../model/RestApiResultNutritionInfo"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* MenusNutritionInfo service.
* @module api/MenusNutritionInfoApi
* @version 1.0.0
*/
var MenusNutritionInfoApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new MenusNutritionInfoApi. 
  * @alias module:api/MenusNutritionInfoApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function MenusNutritionInfoApi(apiClient) {
    _classCallCheck(this, MenusNutritionInfoApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the addOrUpdateMenuItemNutritionInfo operation.
   * @callback module:api/MenusNutritionInfoApi~addOrUpdateMenuItemNutritionInfoCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultMenuNutritionInfoHeader} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Add or update menuitem nutrition info by menu item's publicId
   * @param {Number} menuId Menu identifier
   * @param {String} publicId Menu item's publicId
   * @param {module:model/ItemNutritionInfoAddUpdateModel} addOrUpdateModel 
   * @param {module:api/MenusNutritionInfoApi~addOrUpdateMenuItemNutritionInfoCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultMenuNutritionInfoHeader}
   */
  return _createClass(MenusNutritionInfoApi, [{
    key: "addOrUpdateMenuItemNutritionInfo",
    value: function addOrUpdateMenuItemNutritionInfo(menuId, publicId, addOrUpdateModel, callback) {
      var postBody = addOrUpdateModel;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling addOrUpdateMenuItemNutritionInfo");
      }
      // verify the required parameter 'publicId' is set
      if (publicId === undefined || publicId === null) {
        throw new Error("Missing the required parameter 'publicId' when calling addOrUpdateMenuItemNutritionInfo");
      }
      // verify the required parameter 'addOrUpdateModel' is set
      if (addOrUpdateModel === undefined || addOrUpdateModel === null) {
        throw new Error("Missing the required parameter 'addOrUpdateModel' when calling addOrUpdateMenuItemNutritionInfo");
      }
      var pathParams = {
        'menuId': menuId,
        'publicId': publicId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultMenuNutritionInfoHeader["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/menuItem/{publicId}/nutrition', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the addOrUpdateMenuItemOptionSetItemNutritionInfo operation.
     * @callback module:api/MenusNutritionInfoApi~addOrUpdateMenuItemOptionSetItemNutritionInfoCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMenuNutritionInfoHeader} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Add or update menuitem optionsetitem nutrition info its publicId
     * @param {Number} menuId Menu identifier
     * @param {String} publicId Menu item's publicId
     * @param {module:model/ItemNutritionInfoAddUpdateModel} addOrUpdateModel 
     * @param {module:api/MenusNutritionInfoApi~addOrUpdateMenuItemOptionSetItemNutritionInfoCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMenuNutritionInfoHeader}
     */
  }, {
    key: "addOrUpdateMenuItemOptionSetItemNutritionInfo",
    value: function addOrUpdateMenuItemOptionSetItemNutritionInfo(menuId, publicId, addOrUpdateModel, callback) {
      var postBody = addOrUpdateModel;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling addOrUpdateMenuItemOptionSetItemNutritionInfo");
      }
      // verify the required parameter 'publicId' is set
      if (publicId === undefined || publicId === null) {
        throw new Error("Missing the required parameter 'publicId' when calling addOrUpdateMenuItemOptionSetItemNutritionInfo");
      }
      // verify the required parameter 'addOrUpdateModel' is set
      if (addOrUpdateModel === undefined || addOrUpdateModel === null) {
        throw new Error("Missing the required parameter 'addOrUpdateModel' when calling addOrUpdateMenuItemOptionSetItemNutritionInfo");
      }
      var pathParams = {
        'menuId': menuId,
        'publicId': publicId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultMenuNutritionInfoHeader["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/menuItemOption/{publicId}/nutrition', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the addOrUpdateMenuNutritionInfoByMenuId operation.
     * @callback module:api/MenusNutritionInfoApi~addOrUpdateMenuNutritionInfoByMenuIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMenuNutritionInfoHeader} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Add or update menu nutrition by identifier
     * @param {Number} menuId Menu identifier
     * @param {module:api/MenusNutritionInfoApi~addOrUpdateMenuNutritionInfoByMenuIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMenuNutritionInfoHeader}
     */
  }, {
    key: "addOrUpdateMenuNutritionInfoByMenuId",
    value: function addOrUpdateMenuNutritionInfoByMenuId(menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling addOrUpdateMenuNutritionInfoByMenuId");
      }
      var pathParams = {
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultMenuNutritionInfoHeader["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/nutrition', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteMenuNutritionInfoByMenuId operation.
     * @callback module:api/MenusNutritionInfoApi~deleteMenuNutritionInfoByMenuIdCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete menu nutrition information by menuId
     * @param {Number} menuId Menu identifier
     * @param {module:api/MenusNutritionInfoApi~deleteMenuNutritionInfoByMenuIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "deleteMenuNutritionInfoByMenuId",
    value: function deleteMenuNutritionInfoByMenuId(menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling deleteMenuNutritionInfoByMenuId");
      }
      var pathParams = {
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/nutrition', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAllergens operation.
     * @callback module:api/MenusNutritionInfoApi~getAllergensCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultAllergen} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get allergens
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.languageId 
     * @param {module:api/MenusNutritionInfoApi~getAllergensCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultAllergen}
     */
  }, {
    key: "getAllergens",
    value: function getAllergens(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAllergens");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'languageId': opts['languageId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultAllergen["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/menus/nutrition/allergens', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuNutritionInfoByMenuId operation.
     * @callback module:api/MenusNutritionInfoApi~getMenuNutritionInfoByMenuIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultNutritionInfo} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get menu nutrition by menuId
     * @param {Number} menuId Menu identifier
     * @param {module:api/MenusNutritionInfoApi~getMenuNutritionInfoByMenuIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultNutritionInfo}
     */
  }, {
    key: "getMenuNutritionInfoByMenuId",
    value: function getMenuNutritionInfoByMenuId(menuId, callback) {
      var postBody = null;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuNutritionInfoByMenuId");
      }
      var pathParams = {
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultNutritionInfo["default"];
      return this.apiClient.callApi('/api/v1.0/menus/{menuId}/nutrition', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();