"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _ItemNutritionInfoV2AddUpdateModel = _interopRequireDefault(require("../model/ItemNutritionInfoV2AddUpdateModel"));
var _RestApiArrayResultAllergen = _interopRequireDefault(require("../model/RestApiArrayResultAllergen"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultNutritionInfoV = _interopRequireDefault(require("../model/RestApiResultNutritionInfoV2"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* MenusNutritionInfoV2 service.
* @module api/MenusNutritionInfoV2Api
* @version 1.0.0
*/
var MenusNutritionInfoV2Api = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new MenusNutritionInfoV2Api. 
  * @alias module:api/MenusNutritionInfoV2Api
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function MenusNutritionInfoV2Api(apiClient) {
    _classCallCheck(this, MenusNutritionInfoV2Api);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the addOrUpdateMenuItemNutritionInfoV2 operation.
   * @callback module:api/MenusNutritionInfoV2Api~addOrUpdateMenuItemNutritionInfoV2Callback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * Add or update menuitem nutrition info by menu item's publicId
   * @param {Number} menuId Menu identifier
   * @param {String} publicId Menu item's publicId
   * @param {String} appId 
   * @param {module:model/ItemNutritionInfoV2AddUpdateModel} addOrUpdateModel Allergen ids
   * @param {module:api/MenusNutritionInfoV2Api~addOrUpdateMenuItemNutritionInfoV2Callback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(MenusNutritionInfoV2Api, [{
    key: "addOrUpdateMenuItemNutritionInfoV2",
    value: function addOrUpdateMenuItemNutritionInfoV2(menuId, publicId, appId, addOrUpdateModel, callback) {
      var postBody = addOrUpdateModel;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling addOrUpdateMenuItemNutritionInfoV2");
      }
      // verify the required parameter 'publicId' is set
      if (publicId === undefined || publicId === null) {
        throw new Error("Missing the required parameter 'publicId' when calling addOrUpdateMenuItemNutritionInfoV2");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling addOrUpdateMenuItemNutritionInfoV2");
      }
      // verify the required parameter 'addOrUpdateModel' is set
      if (addOrUpdateModel === undefined || addOrUpdateModel === null) {
        throw new Error("Missing the required parameter 'addOrUpdateModel' when calling addOrUpdateMenuItemNutritionInfoV2");
      }
      var pathParams = {
        'menuId': menuId,
        'publicId': publicId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/menus/{menuId}/menuItem/{publicId}/nutritionv2', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the addOrUpdateMenuItemOptionSetItemNutritionInfoV2 operation.
     * @callback module:api/MenusNutritionInfoV2Api~addOrUpdateMenuItemOptionSetItemNutritionInfoV2Callback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Add or update menuitem option set item's nutrition info by its publicId
     * @param {Number} menuId Menu identifier
     * @param {String} publicId Menu item option set item's publicId
     * @param {String} appId 
     * @param {module:model/ItemNutritionInfoV2AddUpdateModel} addOrUpdateModel Allergen ids
     * @param {module:api/MenusNutritionInfoV2Api~addOrUpdateMenuItemOptionSetItemNutritionInfoV2Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "addOrUpdateMenuItemOptionSetItemNutritionInfoV2",
    value: function addOrUpdateMenuItemOptionSetItemNutritionInfoV2(menuId, publicId, appId, addOrUpdateModel, callback) {
      var postBody = addOrUpdateModel;
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling addOrUpdateMenuItemOptionSetItemNutritionInfoV2");
      }
      // verify the required parameter 'publicId' is set
      if (publicId === undefined || publicId === null) {
        throw new Error("Missing the required parameter 'publicId' when calling addOrUpdateMenuItemOptionSetItemNutritionInfoV2");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling addOrUpdateMenuItemOptionSetItemNutritionInfoV2");
      }
      // verify the required parameter 'addOrUpdateModel' is set
      if (addOrUpdateModel === undefined || addOrUpdateModel === null) {
        throw new Error("Missing the required parameter 'addOrUpdateModel' when calling addOrUpdateMenuItemOptionSetItemNutritionInfoV2");
      }
      var pathParams = {
        'menuId': menuId,
        'publicId': publicId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/menus/{menuId}/menuItemOption/{publicId}/nutritionv2', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getAllergensV2 operation.
     * @callback module:api/MenusNutritionInfoV2Api~getAllergensV2Callback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultAllergen} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get allergens
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.languageId 
     * @param {module:api/MenusNutritionInfoV2Api~getAllergensV2Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultAllergen}
     */
  }, {
    key: "getAllergensV2",
    value: function getAllergensV2(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAllergensV2");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'languageId': opts['languageId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultAllergen["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/menus/nutritionv2/allergens', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMenuNutritionInfoV2ByMenuId operation.
     * @callback module:api/MenusNutritionInfoV2Api~getMenuNutritionInfoV2ByMenuIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultNutritionInfoV2} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get menu nutrition by menuId
     * @param {String} appId 
     * @param {Number} menuId Menu identifier
     * @param {Object} opts Optional parameters
     * @param {String} opts.languageId 
     * @param {module:api/MenusNutritionInfoV2Api~getMenuNutritionInfoV2ByMenuIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultNutritionInfoV2}
     */
  }, {
    key: "getMenuNutritionInfoV2ByMenuId",
    value: function getMenuNutritionInfoV2ByMenuId(appId, menuId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getMenuNutritionInfoV2ByMenuId");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling getMenuNutritionInfoV2ByMenuId");
      }
      var pathParams = {
        'appId': appId,
        'menuId': menuId
      };
      var queryParams = {
        'languageId': opts['languageId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultNutritionInfoV["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/menus/{menuId}/nutritionv2', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();