"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateMetafieldDefinition = _interopRequireDefault(require("../model/CreateMetafieldDefinition"));
var _OwnerEntityConfigurations = _interopRequireDefault(require("../model/OwnerEntityConfigurations"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultMetafieldDefinition = _interopRequireDefault(require("../model/RestApiPaginationResultMetafieldDefinition"));
var _RestApiPaginationResultMetafieldDefinitionRecommendation = _interopRequireDefault(require("../model/RestApiPaginationResultMetafieldDefinitionRecommendation"));
var _RestApiResultMetafieldDefinition = _interopRequireDefault(require("../model/RestApiResultMetafieldDefinition"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateMetafieldDefinition = _interopRequireDefault(require("../model/UpdateMetafieldDefinition"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* MetafieldDefinitions service.
* @module api/MetafieldDefinitionsApi
* @version 1.0.0
*/
var MetafieldDefinitionsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new MetafieldDefinitionsApi. 
  * @alias module:api/MetafieldDefinitionsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function MetafieldDefinitionsApi(apiClient) {
    _classCallCheck(this, MetafieldDefinitionsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createMetafieldDefinition operation.
   * @callback module:api/MetafieldDefinitionsApi~createMetafieldDefinitionCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultMetafieldDefinition} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/String} ownerEntity 
   * @param {module:model/CreateMetafieldDefinition} createMetafieldDefinition 
   * @param {module:api/MetafieldDefinitionsApi~createMetafieldDefinitionCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultMetafieldDefinition}
   */
  return _createClass(MetafieldDefinitionsApi, [{
    key: "createMetafieldDefinition",
    value: function createMetafieldDefinition(appId, ownerEntity, _createMetafieldDefinition, callback) {
      var postBody = _createMetafieldDefinition;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createMetafieldDefinition");
      }
      // verify the required parameter 'ownerEntity' is set
      if (ownerEntity === undefined || ownerEntity === null) {
        throw new Error("Missing the required parameter 'ownerEntity' when calling createMetafieldDefinition");
      }
      // verify the required parameter 'createMetafieldDefinition' is set
      if (_createMetafieldDefinition === undefined || _createMetafieldDefinition === null) {
        throw new Error("Missing the required parameter 'createMetafieldDefinition' when calling createMetafieldDefinition");
      }
      var pathParams = {
        'appId': appId,
        'ownerEntity': ownerEntity
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'IsReadOnly', 'OwnerEntity', 'Key', 'ValueType', 'Name', 'Description', 'Behaviors'];
      var returnType = _RestApiResultMetafieldDefinition["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/metafields/definitions/{ownerEntity}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMetafieldDefinitionByKey operation.
     * @callback module:api/MetafieldDefinitionsApi~getMetafieldDefinitionByKeyCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMetafieldDefinition} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} ownerEntity 
     * @param {String} key 
     * @param {module:api/MetafieldDefinitionsApi~getMetafieldDefinitionByKeyCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMetafieldDefinition}
     */
  }, {
    key: "getMetafieldDefinitionByKey",
    value: function getMetafieldDefinitionByKey(appId, ownerEntity, key, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getMetafieldDefinitionByKey");
      }
      // verify the required parameter 'ownerEntity' is set
      if (ownerEntity === undefined || ownerEntity === null) {
        throw new Error("Missing the required parameter 'ownerEntity' when calling getMetafieldDefinitionByKey");
      }
      // verify the required parameter 'key' is set
      if (key === undefined || key === null) {
        throw new Error("Missing the required parameter 'key' when calling getMetafieldDefinitionByKey");
      }
      var pathParams = {
        'appId': appId,
        'ownerEntity': ownerEntity,
        'key': key
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'IsReadOnly', 'OwnerEntity', 'Key', 'ValueType', 'Name', 'Description', 'Behaviors'];
      var returnType = _RestApiResultMetafieldDefinition["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/metafields/definitions/{ownerEntity}/{key}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getMetafieldDefinitions operation.
     * @callback module:api/MetafieldDefinitionsApi~getMetafieldDefinitionsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultMetafieldDefinition} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} ownerEntity 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchTerm 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/MetafieldDefinitionsApi~getMetafieldDefinitionsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultMetafieldDefinition}
     */
  }, {
    key: "getMetafieldDefinitions",
    value: function getMetafieldDefinitions(appId, ownerEntity, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getMetafieldDefinitions");
      }
      // verify the required parameter 'ownerEntity' is set
      if (ownerEntity === undefined || ownerEntity === null) {
        throw new Error("Missing the required parameter 'ownerEntity' when calling getMetafieldDefinitions");
      }
      var pathParams = {
        'appId': appId,
        'ownerEntity': ownerEntity
      };
      var queryParams = {
        'searchTerm': opts['searchTerm'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultMetafieldDefinition["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/metafields/definitions/{ownerEntity}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOwnerEntityConfigurations operation.
     * @callback module:api/MetafieldDefinitionsApi~getOwnerEntityConfigurationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/OwnerEntityConfigurations} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/MetafieldDefinitionsApi~getOwnerEntityConfigurationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/OwnerEntityConfigurations}
     */
  }, {
    key: "getOwnerEntityConfigurations",
    value: function getOwnerEntityConfigurations(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOwnerEntityConfigurations");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Configurations'];
      var returnType = _OwnerEntityConfigurations["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/metafields/definitions', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOwnerEntityRecommendations operation.
     * @callback module:api/MetafieldDefinitionsApi~getOwnerEntityRecommendationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultMetafieldDefinitionRecommendation} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} ownerEntity 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchTerm 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/MetafieldDefinitionsApi~getOwnerEntityRecommendationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultMetafieldDefinitionRecommendation}
     */
  }, {
    key: "getOwnerEntityRecommendations",
    value: function getOwnerEntityRecommendations(appId, ownerEntity, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOwnerEntityRecommendations");
      }
      // verify the required parameter 'ownerEntity' is set
      if (ownerEntity === undefined || ownerEntity === null) {
        throw new Error("Missing the required parameter 'ownerEntity' when calling getOwnerEntityRecommendations");
      }
      var pathParams = {
        'appId': appId,
        'ownerEntity': ownerEntity
      };
      var queryParams = {
        'searchTerm': opts['searchTerm'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultMetafieldDefinitionRecommendation["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/metafields/definitions/recommendations/{ownerEntity}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateMetafieldDefinition operation.
     * @callback module:api/MetafieldDefinitionsApi~updateMetafieldDefinitionCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMetafieldDefinition} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} ownerEntity 
     * @param {String} key 
     * @param {module:model/UpdateMetafieldDefinition} updateMetafieldDefinition 
     * @param {module:api/MetafieldDefinitionsApi~updateMetafieldDefinitionCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMetafieldDefinition}
     */
  }, {
    key: "updateMetafieldDefinition",
    value: function updateMetafieldDefinition(appId, ownerEntity, key, _updateMetafieldDefinition, callback) {
      var postBody = _updateMetafieldDefinition;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateMetafieldDefinition");
      }
      // verify the required parameter 'ownerEntity' is set
      if (ownerEntity === undefined || ownerEntity === null) {
        throw new Error("Missing the required parameter 'ownerEntity' when calling updateMetafieldDefinition");
      }
      // verify the required parameter 'key' is set
      if (key === undefined || key === null) {
        throw new Error("Missing the required parameter 'key' when calling updateMetafieldDefinition");
      }
      // verify the required parameter 'updateMetafieldDefinition' is set
      if (_updateMetafieldDefinition === undefined || _updateMetafieldDefinition === null) {
        throw new Error("Missing the required parameter 'updateMetafieldDefinition' when calling updateMetafieldDefinition");
      }
      var pathParams = {
        'appId': appId,
        'ownerEntity': ownerEntity,
        'key': key
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'IsReadOnly', 'OwnerEntity', 'Key', 'ValueType', 'Name', 'Description', 'Behaviors'];
      var returnType = _RestApiResultMetafieldDefinition["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/metafields/definitions/{ownerEntity}/{key}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();