"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _AppConfigSalesChannel = _interopRequireDefault(require("../model/AppConfigSalesChannel"));
var _MobileAppsSubmission = _interopRequireDefault(require("../model/MobileAppsSubmission"));
var _RestApiArrayResultMobileAppsStatistics = _interopRequireDefault(require("../model/RestApiArrayResultMobileAppsStatistics"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiIntegerResult = _interopRequireDefault(require("../model/RestApiIntegerResult"));
var _RestApiResultAppConfigSalesChannel = _interopRequireDefault(require("../model/RestApiResultAppConfigSalesChannel"));
var _RestApiResultMobileAppsImage = _interopRequireDefault(require("../model/RestApiResultMobileAppsImage"));
var _RestApiResultMobileAppsSubmission = _interopRequireDefault(require("../model/RestApiResultMobileAppsSubmission"));
var _RestApiResultMobileAppsSubmissionDetails = _interopRequireDefault(require("../model/RestApiResultMobileAppsSubmissionDetails"));
var _RestApiResultMobileAppsSubmissionStatus = _interopRequireDefault(require("../model/RestApiResultMobileAppsSubmissionStatus"));
var _RestApiResultRestApiIntegerResult = _interopRequireDefault(require("../model/RestApiResultRestApiIntegerResult"));
var _RestApiResultUpdateMobileAppsSubmissionStatus = _interopRequireDefault(require("../model/RestApiResultUpdateMobileAppsSubmissionStatus"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdateMobileAppsSubmissionStatus = _interopRequireDefault(require("../model/UpdateMobileAppsSubmissionStatus"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* MobileApps service.
* @module api/MobileAppsApi
* @version 1.0.0
*/
var MobileAppsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new MobileAppsApi. 
  * @alias module:api/MobileAppsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function MobileAppsApi(apiClient) {
    _classCallCheck(this, MobileAppsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getAppConfigSalesChannel operation.
   * @callback module:api/MobileAppsApi~getAppConfigSalesChannelCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultAppConfigSalesChannel} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:api/MobileAppsApi~getAppConfigSalesChannelCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultAppConfigSalesChannel}
   */
  return _createClass(MobileAppsApi, [{
    key: "getAppConfigSalesChannel",
    value: function getAppConfigSalesChannel(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getAppConfigSalesChannel");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultAppConfigSalesChannel["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/saleschannel/details', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStatistics operation.
     * @callback module:api/MobileAppsApi~getStatisticsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultMobileAppsStatistics} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Array.<module:model/String>} platformTypes 
     * @param {module:api/MobileAppsApi~getStatisticsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultMobileAppsStatistics}
     */
  }, {
    key: "getStatistics",
    value: function getStatistics(appId, platformTypes, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStatistics");
      }
      // verify the required parameter 'platformTypes' is set
      if (platformTypes === undefined || platformTypes === null) {
        throw new Error("Missing the required parameter 'platformTypes' when calling getStatistics");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'platformTypes': this.apiClient.buildCollectionParam(platformTypes, 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultMobileAppsStatistics["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/statistics', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getSubmissionDetails operation.
     * @callback module:api/MobileAppsApi~getSubmissionDetailsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMobileAppsSubmissionDetails} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/MobileAppsApi~getSubmissionDetailsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMobileAppsSubmissionDetails}
     */
  }, {
    key: "getSubmissionDetails",
    value: function getSubmissionDetails(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getSubmissionDetails");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMobileAppsSubmissionDetails["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/submission/details', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getSubmissionStatus operation.
     * @callback module:api/MobileAppsApi~getSubmissionStatusCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMobileAppsSubmissionStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} submissionId 
     * @param {module:api/MobileAppsApi~getSubmissionStatusCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMobileAppsSubmissionStatus}
     */
  }, {
    key: "getSubmissionStatus",
    value: function getSubmissionStatus(appId, submissionId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getSubmissionStatus");
      }
      // verify the required parameter 'submissionId' is set
      if (submissionId === undefined || submissionId === null) {
        throw new Error("Missing the required parameter 'submissionId' when calling getSubmissionStatus");
      }
      var pathParams = {
        'appId': appId,
        'submissionId': submissionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMobileAppsSubmissionStatus["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/submission/{submissionId}/status', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the publish operation.
     * @callback module:api/MobileAppsApi~publishCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultRestApiIntegerResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} submissionId 
     * @param {Object} opts Optional parameters
     * @param {module:model/String} opts.platformType 
     * @param {module:api/MobileAppsApi~publishCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultRestApiIntegerResult}
     */
  }, {
    key: "publish",
    value: function publish(appId, submissionId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling publish");
      }
      // verify the required parameter 'submissionId' is set
      if (submissionId === undefined || submissionId === null) {
        throw new Error("Missing the required parameter 'submissionId' when calling publish");
      }
      var pathParams = {
        'appId': appId,
        'submissionId': submissionId
      };
      var queryParams = {
        'platformType': opts['platformType']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultRestApiIntegerResult["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/submission/{submissionId}/publish', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the resubmission operation.
     * @callback module:api/MobileAppsApi~resubmissionCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMobileAppsSubmission} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/MobileAppsSubmission} mobileAppsSubmission 
     * @param {module:api/MobileAppsApi~resubmissionCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMobileAppsSubmission}
     */
  }, {
    key: "resubmission",
    value: function resubmission(appId, mobileAppsSubmission, callback) {
      var postBody = mobileAppsSubmission;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling resubmission");
      }
      // verify the required parameter 'mobileAppsSubmission' is set
      if (mobileAppsSubmission === undefined || mobileAppsSubmission === null) {
        throw new Error("Missing the required parameter 'mobileAppsSubmission' when calling resubmission");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMobileAppsSubmission["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/resubmission', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the submission operation.
     * @callback module:api/MobileAppsApi~submissionCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMobileAppsSubmission} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/MobileAppsSubmission} mobileAppsSubmission 
     * @param {module:api/MobileAppsApi~submissionCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMobileAppsSubmission}
     */
  }, {
    key: "submission",
    value: function submission(appId, mobileAppsSubmission, callback) {
      var postBody = mobileAppsSubmission;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling submission");
      }
      // verify the required parameter 'mobileAppsSubmission' is set
      if (mobileAppsSubmission === undefined || mobileAppsSubmission === null) {
        throw new Error("Missing the required parameter 'mobileAppsSubmission' when calling submission");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMobileAppsSubmission["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/submission', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the unpublish operation.
     * @callback module:api/MobileAppsApi~unpublishCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiIntegerResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} submissionId 
     * @param {Object} opts Optional parameters
     * @param {module:model/String} opts.platformType 
     * @param {module:api/MobileAppsApi~unpublishCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiIntegerResult}
     */
  }, {
    key: "unpublish",
    value: function unpublish(appId, submissionId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling unpublish");
      }
      // verify the required parameter 'submissionId' is set
      if (submissionId === undefined || submissionId === null) {
        throw new Error("Missing the required parameter 'submissionId' when calling unpublish");
      }
      var pathParams = {
        'appId': appId,
        'submissionId': submissionId
      };
      var queryParams = {
        'platformType': opts['platformType']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiIntegerResult["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/submission/{submissionId}/unpublish', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateAppConfigSalesChannel operation.
     * @callback module:api/MobileAppsApi~updateAppConfigSalesChannelCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAppConfigSalesChannel} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/AppConfigSalesChannel} appConfigSalesChannel 
     * @param {module:api/MobileAppsApi~updateAppConfigSalesChannelCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAppConfigSalesChannel}
     */
  }, {
    key: "updateAppConfigSalesChannel",
    value: function updateAppConfigSalesChannel(appId, appConfigSalesChannel, callback) {
      var postBody = appConfigSalesChannel;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateAppConfigSalesChannel");
      }
      // verify the required parameter 'appConfigSalesChannel' is set
      if (appConfigSalesChannel === undefined || appConfigSalesChannel === null) {
        throw new Error("Missing the required parameter 'appConfigSalesChannel' when calling updateAppConfigSalesChannel");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultAppConfigSalesChannel["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/saleschannel', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateSubmissionStatus operation.
     * @callback module:api/MobileAppsApi~updateSubmissionStatusCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultUpdateMobileAppsSubmissionStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} submissionId 
     * @param {module:model/UpdateMobileAppsSubmissionStatus} updateSubmissionStatus 
     * @param {module:api/MobileAppsApi~updateSubmissionStatusCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultUpdateMobileAppsSubmissionStatus}
     */
  }, {
    key: "updateSubmissionStatus",
    value: function updateSubmissionStatus(appId, submissionId, _updateSubmissionStatus, callback) {
      var postBody = _updateSubmissionStatus;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateSubmissionStatus");
      }
      // verify the required parameter 'submissionId' is set
      if (submissionId === undefined || submissionId === null) {
        throw new Error("Missing the required parameter 'submissionId' when calling updateSubmissionStatus");
      }
      // verify the required parameter 'updateSubmissionStatus' is set
      if (_updateSubmissionStatus === undefined || _updateSubmissionStatus === null) {
        throw new Error("Missing the required parameter 'updateSubmissionStatus' when calling updateSubmissionStatus");
      }
      var pathParams = {
        'appId': appId,
        'submissionId': submissionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultUpdateMobileAppsSubmissionStatus["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/submission/{submissionId}/status', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the uploadImage operation.
     * @callback module:api/MobileAppsApi~uploadImageCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultMobileAppsImage} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {File} Image Mobile Apps image
     * @param {module:api/MobileAppsApi~uploadImageCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultMobileAppsImage}
     */
  }, {
    key: "uploadImage",
    value: function uploadImage(appId, Image, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling uploadImage");
      }
      // verify the required parameter 'Image' is set
      if (Image === undefined || Image === null) {
        throw new Error("Missing the required parameter 'Image' when calling uploadImage");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {
        'Image': Image
      };
      var authNames = ['oauth2'];
      var contentTypes = ['multipart/form-data'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultMobileAppsImage["default"];
      return this.apiClient.callApi('/api/v1.0/mobileapps/{appId}/submission/image', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();