"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _OAuthApp = _interopRequireDefault(require("../model/OAuthApp"));
var _RestApiArrayResultOAuthApp = _interopRequireDefault(require("../model/RestApiArrayResultOAuthApp"));
var _RestApiArrayResultOauthClientRedirectUri = _interopRequireDefault(require("../model/RestApiArrayResultOauthClientRedirectUri"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultOAuthApp = _interopRequireDefault(require("../model/RestApiResultOAuthApp"));
var _RestApiResultOauthClientRedirectUri = _interopRequireDefault(require("../model/RestApiResultOauthClientRedirectUri"));
var _RestApiStringResult = _interopRequireDefault(require("../model/RestApiStringResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* OAuthClients service.
* @module api/OAuthClientsApi
* @version 1.0.0
*/
var OAuthClientsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new OAuthClientsApi. 
  * @alias module:api/OAuthClientsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function OAuthClientsApi(apiClient) {
    _classCallCheck(this, OAuthClientsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the addRedirectUri operation.
   * @callback module:api/OAuthClientsApi~addRedirectUriCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultOauthClientRedirectUri} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} oauthAppId 
   * @param {String} appId 
   * @param {String} uri 
   * @param {module:api/OAuthClientsApi~addRedirectUriCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultOauthClientRedirectUri}
   */
  return _createClass(OAuthClientsApi, [{
    key: "addRedirectUri",
    value: function addRedirectUri(oauthAppId, appId, uri, callback) {
      var postBody = uri;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling addRedirectUri");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling addRedirectUri");
      }
      // verify the required parameter 'uri' is set
      if (uri === undefined || uri === null) {
        throw new Error("Missing the required parameter 'uri' when calling addRedirectUri");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultOauthClientRedirectUri["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/{oauthAppId}/redirecturis', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createOAuthApp operation.
     * @callback module:api/OAuthClientsApi~createOAuthAppCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/OAuthApp} oAuthApp 
     * @param {module:api/OAuthClientsApi~createOAuthAppCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "createOAuthApp",
    value: function createOAuthApp(appId, oAuthApp, callback) {
      var postBody = oAuthApp;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createOAuthApp");
      }
      // verify the required parameter 'oAuthApp' is set
      if (oAuthApp === undefined || oAuthApp === null) {
        throw new Error("Missing the required parameter 'oAuthApp' when calling createOAuthApp");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteOAuthApp operation.
     * @callback module:api/OAuthClientsApi~deleteOAuthAppCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appId 
     * @param {module:api/OAuthClientsApi~deleteOAuthAppCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteOAuthApp",
    value: function deleteOAuthApp(oauthAppId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling deleteOAuthApp");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteOAuthApp");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/{oauthAppId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOAuthApps operation.
     * @callback module:api/OAuthClientsApi~getOAuthAppsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultOAuthApp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.oauthAppName 
     * @param {module:api/OAuthClientsApi~getOAuthAppsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultOAuthApp}
     */
  }, {
    key: "getOAuthApps",
    value: function getOAuthApps(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOAuthApps");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'oauthAppName': opts['oauthAppName']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultOAuthApp["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOAuthClientByClientId operation.
     * @callback module:api/OAuthClientsApi~getOAuthClientByClientIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultOAuthApp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appId 
     * @param {module:api/OAuthClientsApi~getOAuthClientByClientIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultOAuthApp}
     */
  }, {
    key: "getOAuthClientByClientId",
    value: function getOAuthClientByClientId(oauthAppId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getOAuthClientByClientId");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOAuthClientByClientId");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultOAuthApp["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/{oauthAppId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOAuthClientSecret operation.
     * @callback module:api/OAuthClientsApi~getOAuthClientSecretCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appId 
     * @param {module:api/OAuthClientsApi~getOAuthClientSecretCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "getOAuthClientSecret",
    value: function getOAuthClientSecret(oauthAppId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getOAuthClientSecret");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOAuthClientSecret");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/{oauthAppId}/secret', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOauthAccessToken operation.
     * @callback module:api/OAuthClientsApi~getOauthAccessTokenCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appId 
     * @param {module:api/OAuthClientsApi~getOauthAccessTokenCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringResult}
     */
  }, {
    key: "getOauthAccessToken",
    value: function getOauthAccessToken(oauthAppId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getOauthAccessToken");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOauthAccessToken");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiStringResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/{oauthAppId}/accesstoken', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getRedirectUris operation.
     * @callback module:api/OAuthClientsApi~getRedirectUrisCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultOauthClientRedirectUri} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appId 
     * @param {module:api/OAuthClientsApi~getRedirectUrisCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultOauthClientRedirectUri}
     */
  }, {
    key: "getRedirectUris",
    value: function getRedirectUris(oauthAppId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getRedirectUris");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getRedirectUris");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultOauthClientRedirectUri["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/{oauthAppId}/redirecturis', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the oAuthClientsGetApplications operation.
     * @callback module:api/OAuthClientsApi~oAuthClientsGetApplicationsCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/OAuthClientsApi~oAuthClientsGetApplicationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "oAuthClientsGetApplications",
    value: function oAuthClientsGetApplications(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling oAuthClientsGetApplications");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/appnames', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the removeRedirectUri operation.
     * @callback module:api/OAuthClientsApi~removeRedirectUriCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {Number} uriId 
     * @param {String} appId 
     * @param {module:api/OAuthClientsApi~removeRedirectUriCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "removeRedirectUri",
    value: function removeRedirectUri(oauthAppId, uriId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling removeRedirectUri");
      }
      // verify the required parameter 'uriId' is set
      if (uriId === undefined || uriId === null) {
        throw new Error("Missing the required parameter 'uriId' when calling removeRedirectUri");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling removeRedirectUri");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'uriId': uriId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/{oauthAppId}/redirecturis/{uriId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateOAuthApp operation.
     * @callback module:api/OAuthClientsApi~updateOAuthAppCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appId 
     * @param {module:model/OAuthApp} oAuthApp 
     * @param {module:api/OAuthClientsApi~updateOAuthAppCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateOAuthApp",
    value: function updateOAuthApp(oauthAppId, appId, oAuthApp, callback) {
      var postBody = oAuthApp;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling updateOAuthApp");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateOAuthApp");
      }
      // verify the required parameter 'oAuthApp' is set
      if (oAuthApp === undefined || oAuthApp === null) {
        throw new Error("Missing the required parameter 'oAuthApp' when calling updateOAuthApp");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/oauthclients/{oauthAppId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();