"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _OnboardingConfigUpdate = _interopRequireDefault(require("../model/OnboardingConfigUpdate"));
var _OnboardingItemUpdate = _interopRequireDefault(require("../model/OnboardingItemUpdate"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Onboarding service.
* @module api/OnboardingApi
* @version 1.0.0
*/
var OnboardingApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new OnboardingApi. 
  * @alias module:api/OnboardingApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function OnboardingApi(apiClient) {
    _classCallCheck(this, OnboardingApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the onboardingGetOnboardingConfig operation.
   * @callback module:api/OnboardingApi~onboardingGetOnboardingConfigCallback
   * @param {String} error Error message, if any.
   * @param {Object} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:api/OnboardingApi~onboardingGetOnboardingConfigCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link Object}
   */
  return _createClass(OnboardingApi, [{
    key: "onboardingGetOnboardingConfig",
    value: function onboardingGetOnboardingConfig(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling onboardingGetOnboardingConfig");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/clients/{appId}/onboarding/config', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the onboardingGetOnboardingConfigs operation.
     * @callback module:api/OnboardingApi~onboardingGetOnboardingConfigsCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/OnboardingApi~onboardingGetOnboardingConfigsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "onboardingGetOnboardingConfigs",
    value: function onboardingGetOnboardingConfigs(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling onboardingGetOnboardingConfigs");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/clients/{appId}/onboarding/configs', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the onboardingGetOnboardingItems operation.
     * @callback module:api/OnboardingApi~onboardingGetOnboardingItemsCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.milestoneId 
     * @param {module:api/OnboardingApi~onboardingGetOnboardingItemsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "onboardingGetOnboardingItems",
    value: function onboardingGetOnboardingItems(appId, storeId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling onboardingGetOnboardingItems");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling onboardingGetOnboardingItems");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {
        'milestoneId': opts['milestoneId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/clients/{appId}/onboarding/stores/{storeId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the onboardingGetOnboardingItemsV2 operation.
     * @callback module:api/OnboardingApi~onboardingGetOnboardingItemsV2Callback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.storeId 
     * @param {Number} opts.milestoneId 
     * @param {module:api/OnboardingApi~onboardingGetOnboardingItemsV2Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "onboardingGetOnboardingItemsV2",
    value: function onboardingGetOnboardingItemsV2(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling onboardingGetOnboardingItemsV2");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeId': opts['storeId'],
        'milestoneId': opts['milestoneId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/clients/{appId}/onboarding/stores', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the onboardingUpdateOnboardingConfig operation.
     * @callback module:api/OnboardingApi~onboardingUpdateOnboardingConfigCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/OnboardingConfigUpdate} configUpdate 
     * @param {module:api/OnboardingApi~onboardingUpdateOnboardingConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "onboardingUpdateOnboardingConfig",
    value: function onboardingUpdateOnboardingConfig(appId, configUpdate, callback) {
      var postBody = configUpdate;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling onboardingUpdateOnboardingConfig");
      }
      // verify the required parameter 'configUpdate' is set
      if (configUpdate === undefined || configUpdate === null) {
        throw new Error("Missing the required parameter 'configUpdate' when calling onboardingUpdateOnboardingConfig");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/clients/{appId}/onboarding/config', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the onboardingUpdateOnboardingConfigById operation.
     * @callback module:api/OnboardingApi~onboardingUpdateOnboardingConfigByIdCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} configId 
     * @param {module:model/OnboardingConfigUpdate} configUpdate 
     * @param {module:api/OnboardingApi~onboardingUpdateOnboardingConfigByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "onboardingUpdateOnboardingConfigById",
    value: function onboardingUpdateOnboardingConfigById(appId, configId, configUpdate, callback) {
      var postBody = configUpdate;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling onboardingUpdateOnboardingConfigById");
      }
      // verify the required parameter 'configId' is set
      if (configId === undefined || configId === null) {
        throw new Error("Missing the required parameter 'configId' when calling onboardingUpdateOnboardingConfigById");
      }
      // verify the required parameter 'configUpdate' is set
      if (configUpdate === undefined || configUpdate === null) {
        throw new Error("Missing the required parameter 'configUpdate' when calling onboardingUpdateOnboardingConfigById");
      }
      var pathParams = {
        'appId': appId,
        'configId': configId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/clients/{appId}/onboarding/config/{configId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the onboardingUpdateOnboardingItem operation.
     * @callback module:api/OnboardingApi~onboardingUpdateOnboardingItemCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {Number} onboardingItemId 
     * @param {module:model/OnboardingItemUpdate} itemUpdate 
     * @param {module:api/OnboardingApi~onboardingUpdateOnboardingItemCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "onboardingUpdateOnboardingItem",
    value: function onboardingUpdateOnboardingItem(appId, storeId, onboardingItemId, itemUpdate, callback) {
      var postBody = itemUpdate;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling onboardingUpdateOnboardingItem");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling onboardingUpdateOnboardingItem");
      }
      // verify the required parameter 'onboardingItemId' is set
      if (onboardingItemId === undefined || onboardingItemId === null) {
        throw new Error("Missing the required parameter 'onboardingItemId' when calling onboardingUpdateOnboardingItem");
      }
      // verify the required parameter 'itemUpdate' is set
      if (itemUpdate === undefined || itemUpdate === null) {
        throw new Error("Missing the required parameter 'itemUpdate' when calling onboardingUpdateOnboardingItem");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId,
        'onboardingItemId': onboardingItemId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/clients/{appId}/onboarding/stores/{storeId}/items/{onboardingItemId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the onboardingUpdateOnboardingItemV2 operation.
     * @callback module:api/OnboardingApi~onboardingUpdateOnboardingItemV2Callback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} onboardingItemId 
     * @param {module:model/OnboardingItemUpdate} itemUpdate 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.storeId 
     * @param {module:api/OnboardingApi~onboardingUpdateOnboardingItemV2Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "onboardingUpdateOnboardingItemV2",
    value: function onboardingUpdateOnboardingItemV2(appId, onboardingItemId, itemUpdate, opts, callback) {
      opts = opts || {};
      var postBody = itemUpdate;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling onboardingUpdateOnboardingItemV2");
      }
      // verify the required parameter 'onboardingItemId' is set
      if (onboardingItemId === undefined || onboardingItemId === null) {
        throw new Error("Missing the required parameter 'onboardingItemId' when calling onboardingUpdateOnboardingItemV2");
      }
      // verify the required parameter 'itemUpdate' is set
      if (itemUpdate === undefined || itemUpdate === null) {
        throw new Error("Missing the required parameter 'itemUpdate' when calling onboardingUpdateOnboardingItemV2");
      }
      var pathParams = {
        'appId': appId,
        'onboardingItemId': onboardingItemId
      };
      var queryParams = {
        'storeId': opts['storeId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/clients/{appId}/onboarding/stores/items/{onboardingItemId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();