"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _Accept = _interopRequireDefault(require("../model/Accept"));
var _OrderDeliveryInformationBase = _interopRequireDefault(require("../model/OrderDeliveryInformationBase"));
var _OrderFulfillmentStatusUpdate = _interopRequireDefault(require("../model/OrderFulfillmentStatusUpdate"));
var _OrderList = _interopRequireDefault(require("../model/OrderList"));
var _Refund = _interopRequireDefault(require("../model/Refund"));
var _Reject = _interopRequireDefault(require("../model/Reject"));
var _RestApiArrayResultOrderFulfillmentStatus = _interopRequireDefault(require("../model/RestApiArrayResultOrderFulfillmentStatus"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultOrder = _interopRequireDefault(require("../model/RestApiPaginationResultOrder"));
var _RestApiPaginationResultOrderSummary = _interopRequireDefault(require("../model/RestApiPaginationResultOrderSummary"));
var _RestApiResultOrder = _interopRequireDefault(require("../model/RestApiResultOrder"));
var _RestApiResultOrderDeliveryInformation = _interopRequireDefault(require("../model/RestApiResultOrderDeliveryInformation"));
var _RestApiResultOrderFulfillmentStatus = _interopRequireDefault(require("../model/RestApiResultOrderFulfillmentStatus"));
var _RestApiResultOrderFulfillmentStatusWithConfigurationActions = _interopRequireDefault(require("../model/RestApiResultOrderFulfillmentStatusWithConfigurationActions"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Orders service.
* @module api/OrdersApi
* @version 1.0.0
*/
var OrdersApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new OrdersApi. 
  * @alias module:api/OrdersApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function OrdersApi(apiClient) {
    _classCallCheck(this, OrdersApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the acceptOrder operation.
   * @callback module:api/OrdersApi~acceptOrderCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {Number} id 
   * @param {module:model/Accept} acceptObject 
   * @param {module:api/OrdersApi~acceptOrderCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(OrdersApi, [{
    key: "acceptOrder",
    value: function acceptOrder(id, acceptObject, callback) {
      var postBody = acceptObject;
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling acceptOrder");
      }
      // verify the required parameter 'acceptObject' is set
      if (acceptObject === undefined || acceptObject === null) {
        throw new Error("Missing the required parameter 'acceptObject' when calling acceptOrder");
      }
      var pathParams = {
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/orders/{id}/accept', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the dispatchOrder operation.
     * @callback module:api/OrdersApi~dispatchOrderCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} id 
     * @param {module:api/OrdersApi~dispatchOrderCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "dispatchOrder",
    value: function dispatchOrder(id, callback) {
      var postBody = null;
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling dispatchOrder");
      }
      var pathParams = {
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/orders/{id}/dispatch', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getDeliveryInformation operation.
     * @callback module:api/OrdersApi~getDeliveryInformationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultOrderDeliveryInformation} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} orderId 
     * @param {module:api/OrdersApi~getDeliveryInformationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultOrderDeliveryInformation}
     */
  }, {
    key: "getDeliveryInformation",
    value: function getDeliveryInformation(orderId, callback) {
      var postBody = null;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling getDeliveryInformation");
      }
      var pathParams = {
        'orderId': orderId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultOrderDeliveryInformation["default"];
      return this.apiClient.callApi('/api/v1.0/orders/{orderId}/deliveryinfo', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getFulfillmentState operation.
     * @callback module:api/OrdersApi~getFulfillmentStateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultOrderFulfillmentStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} orderId 
     * @param {module:api/OrdersApi~getFulfillmentStateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultOrderFulfillmentStatus}
     */
  }, {
    key: "getFulfillmentState",
    value: function getFulfillmentState(orderId, callback) {
      var postBody = null;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling getFulfillmentState");
      }
      var pathParams = {
        'orderId': orderId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultOrderFulfillmentStatus["default"];
      return this.apiClient.callApi('/api/v1.0/orders/{orderId}/fulfillment/state', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getFulfillmentStatusWithDetailsAndActions operation.
     * @callback module:api/OrdersApi~getFulfillmentStatusWithDetailsAndActionsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultOrderFulfillmentStatusWithConfigurationActions} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} orderId 
     * @param {module:api/OrdersApi~getFulfillmentStatusWithDetailsAndActionsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultOrderFulfillmentStatusWithConfigurationActions}
     */
  }, {
    key: "getFulfillmentStatusWithDetailsAndActions",
    value: function getFulfillmentStatusWithDetailsAndActions(orderId, callback) {
      var postBody = null;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling getFulfillmentStatusWithDetailsAndActions");
      }
      var pathParams = {
        'orderId': orderId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultOrderFulfillmentStatusWithConfigurationActions["default"];
      return this.apiClient.callApi('/api/v1.0/orders/{orderId}/fulfillment/state/details', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOrderById operation.
     * @callback module:api/OrdersApi~getOrderByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultOrder} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} id 
     * @param {module:api/OrdersApi~getOrderByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultOrder}
     */
  }, {
    key: "getOrderById",
    value: function getOrderById(id, callback) {
      var postBody = null;
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling getOrderById");
      }
      var pathParams = {
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiResultOrder["default"];
      return this.apiClient.callApi('/api/v1.0/orders/{id}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOrders operation.
     * @callback module:api/OrdersApi~getOrdersCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultOrder} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.physicalRestaurantId 
     * @param {Array.<module:model/String>} opts.state 
     * @param {Date} opts.from 
     * @param {Date} opts.to 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/OrdersApi~getOrdersCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultOrder}
     */
  }, {
    key: "getOrders",
    value: function getOrders(opts, callback) {
      opts = opts || {};
      var postBody = null;
      var pathParams = {};
      var queryParams = {
        'physicalRestaurantId': this.apiClient.buildCollectionParam(opts['physicalRestaurantId'], 'multi'),
        'state': this.apiClient.buildCollectionParam(opts['state'], 'multi'),
        'from': opts['from'],
        'to': opts['to'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiPaginationResultOrder["default"];
      return this.apiClient.callApi('/api/v1.0/orders', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOrdersSummary operation.
     * @callback module:api/OrdersApi~getOrdersSummaryCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultOrderSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchQuery 
     * @param {Array.<Number>} opts.physicalRestaurantId 
     * @param {Array.<module:model/String>} opts.state 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Boolean} opts.orderByRequestedForTime 
     * @param {Array.<module:model/String>} opts.channels 
     * @param {Array.<Number>} opts.orderIds 
     * @param {Date} opts.from 
     * @param {Date} opts.to 
     * @param {Boolean} opts.logSql 
     * @param {module:api/OrdersApi~getOrdersSummaryCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultOrderSummary}
     */
  }, {
    key: "getOrdersSummary",
    value: function getOrdersSummary(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOrdersSummary");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'searchQuery': opts['searchQuery'],
        'physicalRestaurantId': this.apiClient.buildCollectionParam(opts['physicalRestaurantId'], 'multi'),
        'state': this.apiClient.buildCollectionParam(opts['state'], 'multi'),
        'page': opts['page'],
        'limit': opts['limit'],
        'orderByRequestedForTime': opts['orderByRequestedForTime'],
        'channels': this.apiClient.buildCollectionParam(opts['channels'], 'multi'),
        'orderIds': this.apiClient.buildCollectionParam(opts['orderIds'], 'multi'),
        'from': opts['from'],
        'to': opts['to'],
        'logSql': opts['logSql']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiPaginationResultOrderSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/orders/summaries', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getOrdersSummaryNew operation.
     * @callback module:api/OrdersApi~getOrdersSummaryNewCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultOrderSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchQuery 
     * @param {Array.<Number>} opts.physicalRestaurantId 
     * @param {Array.<module:model/String>} opts.state 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Boolean} opts.orderByRequestedForTime 
     * @param {Array.<module:model/String>} opts.channels 
     * @param {Array.<Number>} opts.orderIds 
     * @param {Date} opts.from 
     * @param {Date} opts.to 
     * @param {Boolean} opts.logSql 
     * @param {module:api/OrdersApi~getOrdersSummaryNewCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultOrderSummary}
     */
  }, {
    key: "getOrdersSummaryNew",
    value: function getOrdersSummaryNew(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getOrdersSummaryNew");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'searchQuery': opts['searchQuery'],
        'physicalRestaurantId': this.apiClient.buildCollectionParam(opts['physicalRestaurantId'], 'multi'),
        'state': this.apiClient.buildCollectionParam(opts['state'], 'multi'),
        'page': opts['page'],
        'limit': opts['limit'],
        'orderByRequestedForTime': opts['orderByRequestedForTime'],
        'channels': this.apiClient.buildCollectionParam(opts['channels'], 'multi'),
        'orderIds': this.apiClient.buildCollectionParam(opts['orderIds'], 'multi'),
        'from': opts['from'],
        'to': opts['to'],
        'logSql': opts['logSql']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiPaginationResultOrderSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/orders/summariesNew', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getReadyToProcess operation.
     * @callback module:api/OrdersApi~getReadyToProcessCallback
     * @param {String} error Error message, if any.
     * @param {module:model/OrderList} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.storeId 
     * @param {module:api/OrdersApi~getReadyToProcessCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/OrderList}
     */
  }, {
    key: "getReadyToProcess",
    value: function getReadyToProcess(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getReadyToProcess");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message'];
      var returnType = _OrderList["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/orders/ready_to_process', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the refundOrder operation.
     * @callback module:api/OrdersApi~refundOrderCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} id 
     * @param {module:model/Refund} refundObject 
     * @param {module:api/OrdersApi~refundOrderCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "refundOrder",
    value: function refundOrder(id, refundObject, callback) {
      var postBody = refundObject;
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling refundOrder");
      }
      // verify the required parameter 'refundObject' is set
      if (refundObject === undefined || refundObject === null) {
        throw new Error("Missing the required parameter 'refundObject' when calling refundOrder");
      }
      var pathParams = {
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/orders/{id}/refund', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the rejectOrder operation.
     * @callback module:api/OrdersApi~rejectOrderCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} id 
     * @param {module:model/Reject} rejectObject 
     * @param {module:api/OrdersApi~rejectOrderCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "rejectOrder",
    value: function rejectOrder(id, rejectObject, callback) {
      var postBody = rejectObject;
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling rejectOrder");
      }
      // verify the required parameter 'rejectObject' is set
      if (rejectObject === undefined || rejectObject === null) {
        throw new Error("Missing the required parameter 'rejectObject' when calling rejectOrder");
      }
      var pathParams = {
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/orders/{id}/reject', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the searchFulfillmentStatuses operation.
     * @callback module:api/OrdersApi~searchFulfillmentStatusesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultOrderFulfillmentStatus} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} orderIds 
     * @param {module:api/OrdersApi~searchFulfillmentStatusesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultOrderFulfillmentStatus}
     */
  }, {
    key: "searchFulfillmentStatuses",
    value: function searchFulfillmentStatuses(appId, orderIds, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling searchFulfillmentStatuses");
      }
      // verify the required parameter 'orderIds' is set
      if (orderIds === undefined || orderIds === null) {
        throw new Error("Missing the required parameter 'orderIds' when calling searchFulfillmentStatuses");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'orderIds': orderIds
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultOrderFulfillmentStatus["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/orders/fulfillmentstatuses', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateDeliveryInformation operation.
     * @callback module:api/OrdersApi~updateDeliveryInformationCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} orderId 
     * @param {module:model/OrderDeliveryInformationBase} deliveryInformation 
     * @param {module:api/OrdersApi~updateDeliveryInformationCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateDeliveryInformation",
    value: function updateDeliveryInformation(orderId, deliveryInformation, callback) {
      var postBody = deliveryInformation;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling updateDeliveryInformation");
      }
      // verify the required parameter 'deliveryInformation' is set
      if (deliveryInformation === undefined || deliveryInformation === null) {
        throw new Error("Missing the required parameter 'deliveryInformation' when calling updateDeliveryInformation");
      }
      var pathParams = {
        'orderId': orderId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/orders/{orderId}/deliveryinfo', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateFulfillmentState operation.
     * @callback module:api/OrdersApi~updateFulfillmentStateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} orderId 
     * @param {module:model/OrderFulfillmentStatusUpdate} fulfillmentStatusRequest 
     * @param {module:api/OrdersApi~updateFulfillmentStateCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateFulfillmentState",
    value: function updateFulfillmentState(orderId, fulfillmentStatusRequest, callback) {
      var postBody = fulfillmentStatusRequest;
      // verify the required parameter 'orderId' is set
      if (orderId === undefined || orderId === null) {
        throw new Error("Missing the required parameter 'orderId' when calling updateFulfillmentState");
      }
      // verify the required parameter 'fulfillmentStatusRequest' is set
      if (fulfillmentStatusRequest === undefined || fulfillmentStatusRequest === null) {
        throw new Error("Missing the required parameter 'fulfillmentStatusRequest' when calling updateFulfillmentState");
      }
      var pathParams = {
        'orderId': orderId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/orders/{orderId}/fulfillment/state', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();