"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultPayoutReport3RefundedOrder = _interopRequireDefault(require("../model/RestApiPaginationResultPayoutReport3RefundedOrder"));
var _RestApiResultFileCreationResult = _interopRequireDefault(require("../model/RestApiResultFileCreationResult"));
var _RestApiResultPayoutReport3Details = _interopRequireDefault(require("../model/RestApiResultPayoutReport3Details"));
var _RestApiResultPayoutReport3Overview = _interopRequireDefault(require("../model/RestApiResultPayoutReport3Overview"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* PayoutReports service.
* @module api/PayoutReportsApi
* @version 1.0.0
*/
var PayoutReportsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new PayoutReportsApi. 
  * @alias module:api/PayoutReportsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function PayoutReportsApi(apiClient) {
    _classCallCheck(this, PayoutReportsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getPayoutReport3Details operation.
   * @callback module:api/PayoutReportsApi~getPayoutReport3DetailsCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultPayoutReport3Details} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} bankAccountId 
   * @param {Number} payoutId 
   * @param {Object} opts Optional parameters
   * @param {Array.<Number>} opts.storeIds 
   * @param {module:api/PayoutReportsApi~getPayoutReport3DetailsCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultPayoutReport3Details}
   */
  return _createClass(PayoutReportsApi, [{
    key: "getPayoutReport3Details",
    value: function getPayoutReport3Details(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayoutReport3Details");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling getPayoutReport3Details");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling getPayoutReport3Details");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'storeIds': this.apiClient.buildCollectionParam(opts['storeIds'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultPayoutReport3Details["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/details', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayoutReport3Overview operation.
     * @callback module:api/PayoutReportsApi~getPayoutReport3OverviewCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultPayoutReport3Overview} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {module:api/PayoutReportsApi~getPayoutReport3OverviewCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultPayoutReport3Overview}
     */
  }, {
    key: "getPayoutReport3Overview",
    value: function getPayoutReport3Overview(appId, bankAccountId, payoutId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayoutReport3Overview");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling getPayoutReport3Overview");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling getPayoutReport3Overview");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultPayoutReport3Overview["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/overview', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayoutReport3RefundedOrders operation.
     * @callback module:api/PayoutReportsApi~getPayoutReport3RefundedOrdersCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultPayoutReport3RefundedOrder} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.storeIds 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/PayoutReportsApi~getPayoutReport3RefundedOrdersCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultPayoutReport3RefundedOrder}
     */
  }, {
    key: "getPayoutReport3RefundedOrders",
    value: function getPayoutReport3RefundedOrders(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayoutReport3RefundedOrders");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling getPayoutReport3RefundedOrders");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling getPayoutReport3RefundedOrders");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'storeIds': this.apiClient.buildCollectionParam(opts['storeIds'], 'multi'),
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiPaginationResultPayoutReport3RefundedOrder["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/refundedOrders', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the payoutReport3ExportPayoutChargebacks operation.
     * @callback module:api/PayoutReportsApi~payoutReport3ExportPayoutChargebacksCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultFileCreationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.stores 
     * @param {module:api/PayoutReportsApi~payoutReport3ExportPayoutChargebacksCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultFileCreationResult}
     */
  }, {
    key: "payoutReport3ExportPayoutChargebacks",
    value: function payoutReport3ExportPayoutChargebacks(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling payoutReport3ExportPayoutChargebacks");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling payoutReport3ExportPayoutChargebacks");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling payoutReport3ExportPayoutChargebacks");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'stores': this.apiClient.buildCollectionParam(opts['stores'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultFileCreationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/export/chargebacks', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the payoutReport3ExportPayoutOrders operation.
     * @callback module:api/PayoutReportsApi~payoutReport3ExportPayoutOrdersCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultFileCreationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.stores 
     * @param {module:api/PayoutReportsApi~payoutReport3ExportPayoutOrdersCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultFileCreationResult}
     */
  }, {
    key: "payoutReport3ExportPayoutOrders",
    value: function payoutReport3ExportPayoutOrders(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling payoutReport3ExportPayoutOrders");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling payoutReport3ExportPayoutOrders");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling payoutReport3ExportPayoutOrders");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'stores': this.apiClient.buildCollectionParam(opts['stores'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultFileCreationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/export/orders', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the payoutReport3ExportPayoutPosSales operation.
     * @callback module:api/PayoutReportsApi~payoutReport3ExportPayoutPosSalesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultFileCreationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.stores 
     * @param {module:api/PayoutReportsApi~payoutReport3ExportPayoutPosSalesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultFileCreationResult}
     */
  }, {
    key: "payoutReport3ExportPayoutPosSales",
    value: function payoutReport3ExportPayoutPosSales(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling payoutReport3ExportPayoutPosSales");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling payoutReport3ExportPayoutPosSales");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling payoutReport3ExportPayoutPosSales");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'stores': this.apiClient.buildCollectionParam(opts['stores'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultFileCreationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/export/possales', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the payoutReport3ExportPayoutRefundedOrders operation.
     * @callback module:api/PayoutReportsApi~payoutReport3ExportPayoutRefundedOrdersCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultFileCreationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.stores 
     * @param {module:api/PayoutReportsApi~payoutReport3ExportPayoutRefundedOrdersCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultFileCreationResult}
     */
  }, {
    key: "payoutReport3ExportPayoutRefundedOrders",
    value: function payoutReport3ExportPayoutRefundedOrders(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling payoutReport3ExportPayoutRefundedOrders");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling payoutReport3ExportPayoutRefundedOrders");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling payoutReport3ExportPayoutRefundedOrders");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'stores': this.apiClient.buildCollectionParam(opts['stores'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultFileCreationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/reporting/reports/payouts3/{bankAccountId}/{payoutId}/export/refundedOrders', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();