"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _PayoutDetail = _interopRequireDefault(require("../model/PayoutDetail"));
var _RestApiArrayResultPayoutSummary = _interopRequireDefault(require("../model/RestApiArrayResultPayoutSummary"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultPayout = _interopRequireDefault(require("../model/RestApiPaginationResultPayout"));
var _RestApiPaginationResultPayoutChargeback = _interopRequireDefault(require("../model/RestApiPaginationResultPayoutChargeback"));
var _RestApiPaginationResultPayoutOrder = _interopRequireDefault(require("../model/RestApiPaginationResultPayoutOrder"));
var _RestApiPaginationResultPayoutOtherCharge = _interopRequireDefault(require("../model/RestApiPaginationResultPayoutOtherCharge"));
var _RestApiPaginationResultPayoutRefund = _interopRequireDefault(require("../model/RestApiPaginationResultPayoutRefund"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Payouts service.
* @module api/PayoutsApi
* @version 1.0.0
*/
var PayoutsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new PayoutsApi. 
  * @alias module:api/PayoutsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function PayoutsApi(apiClient) {
    _classCallCheck(this, PayoutsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getPayout operation.
   * @callback module:api/PayoutsApi~getPayoutCallback
   * @param {String} error Error message, if any.
   * @param {module:model/PayoutDetail} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} bankAccountId 
   * @param {Number} payoutId 
   * @param {module:api/PayoutsApi~getPayoutCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/PayoutDetail}
   */
  return _createClass(PayoutsApi, [{
    key: "getPayout",
    value: function getPayout(appId, bankAccountId, payoutId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayout");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling getPayout");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling getPayout");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'PayoutId', 'BankAccountId', 'AccountName', 'PayoutStatus', 'CreatedDate', 'PeriodStartTime', 'PeriodEndTime', 'DestinationBank', 'DestinationAccount', 'PayoutType', 'Currency', 'PayoutStores', 'Amount', 'CutoffDate'];
      var returnType = _PayoutDetail["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayoutChargebacks operation.
     * @callback module:api/PayoutsApi~getPayoutChargebacksCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultPayoutChargeback} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Array.<Number>} opts.storeIds 
     * @param {module:api/PayoutsApi~getPayoutChargebacksCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultPayoutChargeback}
     */
  }, {
    key: "getPayoutChargebacks",
    value: function getPayoutChargebacks(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayoutChargebacks");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling getPayoutChargebacks");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling getPayoutChargebacks");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'page': opts['page'],
        'limit': opts['limit'],
        'storeIds': this.apiClient.buildCollectionParam(opts['storeIds'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultPayoutChargeback["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/chargebacks', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayoutOrders operation.
     * @callback module:api/PayoutsApi~getPayoutOrdersCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultPayoutOrder} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Array.<Number>} opts.storeIds 
     * @param {module:api/PayoutsApi~getPayoutOrdersCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultPayoutOrder}
     */
  }, {
    key: "getPayoutOrders",
    value: function getPayoutOrders(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayoutOrders");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling getPayoutOrders");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling getPayoutOrders");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'page': opts['page'],
        'limit': opts['limit'],
        'storeIds': this.apiClient.buildCollectionParam(opts['storeIds'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultPayoutOrder["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/orders', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayoutOtherCharges operation.
     * @callback module:api/PayoutsApi~getPayoutOtherChargesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultPayoutOtherCharge} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Array.<Number>} opts.storeIds 
     * @param {module:api/PayoutsApi~getPayoutOtherChargesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultPayoutOtherCharge}
     */
  }, {
    key: "getPayoutOtherCharges",
    value: function getPayoutOtherCharges(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayoutOtherCharges");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling getPayoutOtherCharges");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling getPayoutOtherCharges");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'page': opts['page'],
        'limit': opts['limit'],
        'storeIds': this.apiClient.buildCollectionParam(opts['storeIds'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultPayoutOtherCharge["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/othercharges', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayoutRefunds operation.
     * @callback module:api/PayoutsApi~getPayoutRefundsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultPayoutRefund} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {Number} payoutId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Array.<Number>} opts.storeIds 
     * @param {module:api/PayoutsApi~getPayoutRefundsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultPayoutRefund}
     */
  }, {
    key: "getPayoutRefunds",
    value: function getPayoutRefunds(appId, bankAccountId, payoutId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayoutRefunds");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling getPayoutRefunds");
      }
      // verify the required parameter 'payoutId' is set
      if (payoutId === undefined || payoutId === null) {
        throw new Error("Missing the required parameter 'payoutId' when calling getPayoutRefunds");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId,
        'payoutId': payoutId
      };
      var queryParams = {
        'page': opts['page'],
        'limit': opts['limit'],
        'storeIds': this.apiClient.buildCollectionParam(opts['storeIds'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultPayoutRefund["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/bankaccounts/{bankAccountId}/payouts/{payoutId}/refunds', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayoutSummaries operation.
     * @callback module:api/PayoutsApi~getPayoutSummariesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultPayoutSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Date} opts.startDate 
     * @param {Date} opts.endDate 
     * @param {Array.<Number>} opts.payoutRequestIds_bankAccountIds List of bank account ids to search for
     * @param {Array.<module:model/String>} opts.payoutRequestIds_states List of {Flipdish.PublicModels.V1.Payouts.PayoutStatus} so search for
     * @param {module:api/PayoutsApi~getPayoutSummariesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultPayoutSummary}
     */
  }, {
    key: "getPayoutSummaries",
    value: function getPayoutSummaries(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayoutSummaries");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'startDate': opts['startDate'],
        'endDate': opts['endDate'],
        'payoutRequestIds.bankAccountIds': this.apiClient.buildCollectionParam(opts['payoutRequestIds_bankAccountIds'], 'multi'),
        'payoutRequestIds.states': this.apiClient.buildCollectionParam(opts['payoutRequestIds_states'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultPayoutSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/payouts/summaries', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayouts operation.
     * @callback module:api/PayoutsApi~getPayoutsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultPayout} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Date} opts.startDate 
     * @param {Date} opts.endDate 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Array.<Number>} opts.payoutRequestIds_bankAccountIds List of bank account ids to search for
     * @param {Array.<module:model/String>} opts.payoutRequestIds_states List of {Flipdish.PublicModels.V1.Payouts.PayoutStatus} so search for
     * @param {module:api/PayoutsApi~getPayoutsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultPayout}
     */
  }, {
    key: "getPayouts",
    value: function getPayouts(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayouts");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'startDate': opts['startDate'],
        'endDate': opts['endDate'],
        'page': opts['page'],
        'limit': opts['limit'],
        'payoutRequestIds.bankAccountIds': this.apiClient.buildCollectionParam(opts['payoutRequestIds_bankAccountIds'], 'multi'),
        'payoutRequestIds.states': this.apiClient.buildCollectionParam(opts['payoutRequestIds_states'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultPayout["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/payouts', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();