"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _PushNotificationRequest = _interopRequireDefault(require("../model/PushNotificationRequest"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultPushNotificationResponse = _interopRequireDefault(require("../model/RestApiPaginationResultPushNotificationResponse"));
var _RestApiResultPushNotificationResponse = _interopRequireDefault(require("../model/RestApiResultPushNotificationResponse"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* PushNotifications service.
* @module api/PushNotificationsApi
* @version 1.0.0
*/
var PushNotificationsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new PushNotificationsApi. 
  * @alias module:api/PushNotificationsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function PushNotificationsApi(apiClient) {
    _classCallCheck(this, PushNotificationsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the deletePushNotification operation.
   * @callback module:api/PushNotificationsApi~deletePushNotificationCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} scheduledPushNotificationId 
   * @param {module:api/PushNotificationsApi~deletePushNotificationCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(PushNotificationsApi, [{
    key: "deletePushNotification",
    value: function deletePushNotification(appId, scheduledPushNotificationId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deletePushNotification");
      }
      // verify the required parameter 'scheduledPushNotificationId' is set
      if (scheduledPushNotificationId === undefined || scheduledPushNotificationId === null) {
        throw new Error("Missing the required parameter 'scheduledPushNotificationId' when calling deletePushNotification");
      }
      var pathParams = {
        'appId': appId,
        'scheduledPushNotificationId': scheduledPushNotificationId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/pushnotifications/{scheduledPushNotificationId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPushNotifications operation.
     * @callback module:api/PushNotificationsApi~getPushNotificationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultPushNotificationResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/PushNotificationsApi~getPushNotificationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultPushNotificationResponse}
     */
  }, {
    key: "getPushNotifications",
    value: function getPushNotifications(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPushNotifications");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiPaginationResultPushNotificationResponse["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/pushnotifications', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the schedulePushNotification operation.
     * @callback module:api/PushNotificationsApi~schedulePushNotificationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultPushNotificationResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/PushNotificationRequest} notification 
     * @param {module:api/PushNotificationsApi~schedulePushNotificationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultPushNotificationResponse}
     */
  }, {
    key: "schedulePushNotification",
    value: function schedulePushNotification(appId, notification, callback) {
      var postBody = notification;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling schedulePushNotification");
      }
      // verify the required parameter 'notification' is set
      if (notification === undefined || notification === null) {
        throw new Error("Missing the required parameter 'notification' when calling schedulePushNotification");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultPushNotificationResponse["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/pushnotifications', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updatePushNotification operation.
     * @callback module:api/PushNotificationsApi~updatePushNotificationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultPushNotificationResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} scheduledPushNotificationId 
     * @param {module:model/PushNotificationRequest} notification 
     * @param {module:api/PushNotificationsApi~updatePushNotificationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultPushNotificationResponse}
     */
  }, {
    key: "updatePushNotification",
    value: function updatePushNotification(appId, scheduledPushNotificationId, notification, callback) {
      var postBody = notification;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updatePushNotification");
      }
      // verify the required parameter 'scheduledPushNotificationId' is set
      if (scheduledPushNotificationId === undefined || scheduledPushNotificationId === null) {
        throw new Error("Missing the required parameter 'scheduledPushNotificationId' when calling updatePushNotification");
      }
      // verify the required parameter 'notification' is set
      if (notification === undefined || notification === null) {
        throw new Error("Missing the required parameter 'notification' when calling updatePushNotification");
      }
      var pathParams = {
        'appId': appId,
        'scheduledPushNotificationId': scheduledPushNotificationId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiResultPushNotificationResponse["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/pushnotifications/{scheduledPushNotificationId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();