"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreatePayGreenConfigurationRequest = _interopRequireDefault(require("../model/CreatePayGreenConfigurationRequest"));
var _RestApiArrayResultRestaurantVoucherEligibleStore = _interopRequireDefault(require("../model/RestApiArrayResultRestaurantVoucherEligibleStore"));
var _RestApiArrayResultRestaurantVoucherPayGreenConfiguration = _interopRequireDefault(require("../model/RestApiArrayResultRestaurantVoucherPayGreenConfiguration"));
var _RestApiArrayResultRestaurantVoucherPayGreenConfigurationSummary = _interopRequireDefault(require("../model/RestApiArrayResultRestaurantVoucherPayGreenConfigurationSummary"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultRestaurantVoucherPayGreenConfiguration = _interopRequireDefault(require("../model/RestApiResultRestaurantVoucherPayGreenConfiguration"));
var _RestApiResultRestaurantVoucherPayGreenStoreConfiguration = _interopRequireDefault(require("../model/RestApiResultRestaurantVoucherPayGreenStoreConfiguration"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _UpdatePayGreenConfigurationRequest = _interopRequireDefault(require("../model/UpdatePayGreenConfigurationRequest"));
var _UpdateStorePayGreenConfigurationRequest = _interopRequireDefault(require("../model/UpdateStorePayGreenConfigurationRequest"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* RestaurantVouchersPayGreen service.
* @module api/RestaurantVouchersPayGreenApi
* @version 1.0.0
*/
var RestaurantVouchersPayGreenApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new RestaurantVouchersPayGreenApi. 
  * @alias module:api/RestaurantVouchersPayGreenApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function RestaurantVouchersPayGreenApi(apiClient) {
    _classCallCheck(this, RestaurantVouchersPayGreenApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createPayGreenConfiguration operation.
   * @callback module:api/RestaurantVouchersPayGreenApi~createPayGreenConfigurationCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultRestaurantVoucherPayGreenConfiguration} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/CreatePayGreenConfigurationRequest} request 
   * @param {module:api/RestaurantVouchersPayGreenApi~createPayGreenConfigurationCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultRestaurantVoucherPayGreenConfiguration}
   */
  return _createClass(RestaurantVouchersPayGreenApi, [{
    key: "createPayGreenConfiguration",
    value: function createPayGreenConfiguration(appId, request, callback) {
      var postBody = request;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createPayGreenConfiguration");
      }
      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling createPayGreenConfiguration");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultRestaurantVoucherPayGreenConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deletePayGreenConfiguration operation.
     * @callback module:api/RestaurantVouchersPayGreenApi~deletePayGreenConfigurationCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} paygreenConfigurationId 
     * @param {module:api/RestaurantVouchersPayGreenApi~deletePayGreenConfigurationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "deletePayGreenConfiguration",
    value: function deletePayGreenConfiguration(appId, paygreenConfigurationId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deletePayGreenConfiguration");
      }
      // verify the required parameter 'paygreenConfigurationId' is set
      if (paygreenConfigurationId === undefined || paygreenConfigurationId === null) {
        throw new Error("Missing the required parameter 'paygreenConfigurationId' when calling deletePayGreenConfiguration");
      }
      var pathParams = {
        'appId': appId,
        'paygreenConfigurationId': paygreenConfigurationId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen/{paygreenConfigurationId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getElegibleStores operation.
     * @callback module:api/RestaurantVouchersPayGreenApi~getElegibleStoresCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRestaurantVoucherEligibleStore} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/RestaurantVouchersPayGreenApi~getElegibleStoresCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRestaurantVoucherEligibleStore}
     */
  }, {
    key: "getElegibleStores",
    value: function getElegibleStores(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getElegibleStores");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultRestaurantVoucherEligibleStore["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen/stores', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPayGreenConfigurations operation.
     * @callback module:api/RestaurantVouchersPayGreenApi~getPayGreenConfigurationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRestaurantVoucherPayGreenConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/RestaurantVouchersPayGreenApi~getPayGreenConfigurationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRestaurantVoucherPayGreenConfiguration}
     */
  }, {
    key: "getPayGreenConfigurations",
    value: function getPayGreenConfigurations(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getPayGreenConfigurations");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultRestaurantVoucherPayGreenConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreAvailablePayGreenConfigurations operation.
     * @callback module:api/RestaurantVouchersPayGreenApi~getStoreAvailablePayGreenConfigurationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRestaurantVoucherPayGreenConfigurationSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:api/RestaurantVouchersPayGreenApi~getStoreAvailablePayGreenConfigurationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRestaurantVoucherPayGreenConfigurationSummary}
     */
  }, {
    key: "getStoreAvailablePayGreenConfigurations",
    value: function getStoreAvailablePayGreenConfigurations(appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStoreAvailablePayGreenConfigurations");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreAvailablePayGreenConfigurations");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultRestaurantVoucherPayGreenConfigurationSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen/stores/{storeId}/available-configurations', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStorePayGreenConfiguration operation.
     * @callback module:api/RestaurantVouchersPayGreenApi~getStorePayGreenConfigurationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultRestaurantVoucherPayGreenStoreConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:api/RestaurantVouchersPayGreenApi~getStorePayGreenConfigurationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultRestaurantVoucherPayGreenStoreConfiguration}
     */
  }, {
    key: "getStorePayGreenConfiguration",
    value: function getStorePayGreenConfiguration(appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStorePayGreenConfiguration");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStorePayGreenConfiguration");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultRestaurantVoucherPayGreenStoreConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen/stores/{storeId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the listPayGreenConfigurations operation.
     * @callback module:api/RestaurantVouchersPayGreenApi~listPayGreenConfigurationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultRestaurantVoucherPayGreenConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} paygreenConfigurationId 
     * @param {module:api/RestaurantVouchersPayGreenApi~listPayGreenConfigurationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultRestaurantVoucherPayGreenConfiguration}
     */
  }, {
    key: "listPayGreenConfigurations",
    value: function listPayGreenConfigurations(appId, paygreenConfigurationId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling listPayGreenConfigurations");
      }
      // verify the required parameter 'paygreenConfigurationId' is set
      if (paygreenConfigurationId === undefined || paygreenConfigurationId === null) {
        throw new Error("Missing the required parameter 'paygreenConfigurationId' when calling listPayGreenConfigurations");
      }
      var pathParams = {
        'appId': appId,
        'paygreenConfigurationId': paygreenConfigurationId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultRestaurantVoucherPayGreenConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen/{paygreenConfigurationId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updatePayGreenConfiguration operation.
     * @callback module:api/RestaurantVouchersPayGreenApi~updatePayGreenConfigurationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultRestaurantVoucherPayGreenConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} paygreenConfigurationId 
     * @param {module:model/UpdatePayGreenConfigurationRequest} request 
     * @param {module:api/RestaurantVouchersPayGreenApi~updatePayGreenConfigurationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultRestaurantVoucherPayGreenConfiguration}
     */
  }, {
    key: "updatePayGreenConfiguration",
    value: function updatePayGreenConfiguration(appId, paygreenConfigurationId, request, callback) {
      var postBody = request;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updatePayGreenConfiguration");
      }
      // verify the required parameter 'paygreenConfigurationId' is set
      if (paygreenConfigurationId === undefined || paygreenConfigurationId === null) {
        throw new Error("Missing the required parameter 'paygreenConfigurationId' when calling updatePayGreenConfiguration");
      }
      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling updatePayGreenConfiguration");
      }
      var pathParams = {
        'appId': appId,
        'paygreenConfigurationId': paygreenConfigurationId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultRestaurantVoucherPayGreenConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen/{paygreenConfigurationId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateStorePayGreenConfiguration operation.
     * @callback module:api/RestaurantVouchersPayGreenApi~updateStorePayGreenConfigurationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultRestaurantVoucherPayGreenStoreConfiguration} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} storeId 
     * @param {module:model/UpdateStorePayGreenConfigurationRequest} request 
     * @param {module:api/RestaurantVouchersPayGreenApi~updateStorePayGreenConfigurationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultRestaurantVoucherPayGreenStoreConfiguration}
     */
  }, {
    key: "updateStorePayGreenConfiguration",
    value: function updateStorePayGreenConfiguration(appId, storeId, request, callback) {
      var postBody = request;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateStorePayGreenConfiguration");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateStorePayGreenConfiguration");
      }
      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling updateStorePayGreenConfiguration");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultRestaurantVoucherPayGreenStoreConfiguration["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/restaurant-vouchers/paygreen/stores/{storeId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();