"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultRestaurant = _interopRequireDefault(require("../model/RestApiPaginationResultRestaurant"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Search service.
* @module api/SearchApi
* @version 1.0.0
*/
var SearchApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new SearchApi. 
  * @alias module:api/SearchApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function SearchApi(apiClient) {
    _classCallCheck(this, SearchApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the searchRestaurants operation.
   * @callback module:api/SearchApi~searchRestaurantsCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiPaginationResultRestaurant} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} query 
   * @param {String} countryId 
   * @param {Object} opts Optional parameters
   * @param {module:model/String} opts.includeArchivedStores 
   * @param {module:model/String} opts.searchType 
   * @param {module:model/String} opts.publishedStatus 
   * @param {Number} opts.page 
   * @param {Number} opts.limit 
   * @param {module:api/SearchApi~searchRestaurantsCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiPaginationResultRestaurant}
   */
  return _createClass(SearchApi, [{
    key: "searchRestaurants",
    value: function searchRestaurants(query, countryId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'query' is set
      if (query === undefined || query === null) {
        throw new Error("Missing the required parameter 'query' when calling searchRestaurants");
      }
      // verify the required parameter 'countryId' is set
      if (countryId === undefined || countryId === null) {
        throw new Error("Missing the required parameter 'countryId' when calling searchRestaurants");
      }
      var pathParams = {};
      var queryParams = {
        'query': query,
        'countryId': countryId,
        'includeArchivedStores': opts['includeArchivedStores'],
        'searchType': opts['searchType'],
        'publishedStatus': opts['publishedStatus'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultRestaurant["default"];
      return this.apiClient.callApi('/api/v1.0/search/restaurants', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();