"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiArrayResultSmsProviderCredential = _interopRequireDefault(require("../model/RestApiArrayResultSmsProviderCredential"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultSmsProviderCredential = _interopRequireDefault(require("../model/RestApiResultSmsProviderCredential"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _SmsProviderCredential = _interopRequireDefault(require("../model/SmsProviderCredential"));
var _SmsProviderCredentialUpdateRequest = _interopRequireDefault(require("../model/SmsProviderCredentialUpdateRequest"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* SmsProviderCredentials service.
* @module api/SmsProviderCredentialsApi
* @version 1.0.0
*/
var SmsProviderCredentialsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new SmsProviderCredentialsApi. 
  * @alias module:api/SmsProviderCredentialsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function SmsProviderCredentialsApi(apiClient) {
    _classCallCheck(this, SmsProviderCredentialsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getBrandSmsProviderCredentialByServiceType operation.
   * @callback module:api/SmsProviderCredentialsApi~getBrandSmsProviderCredentialByServiceTypeCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultSmsProviderCredential} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} orgId 
   * @param {String} brandId 
   * @param {module:model/String} serviceType 
   * @param {Object} opts Optional parameters
   * @param {Boolean} opts.withFallback 
   * @param {module:api/SmsProviderCredentialsApi~getBrandSmsProviderCredentialByServiceTypeCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultSmsProviderCredential}
   */
  return _createClass(SmsProviderCredentialsApi, [{
    key: "getBrandSmsProviderCredentialByServiceType",
    value: function getBrandSmsProviderCredentialByServiceType(orgId, brandId, serviceType, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'orgId' is set
      if (orgId === undefined || orgId === null) {
        throw new Error("Missing the required parameter 'orgId' when calling getBrandSmsProviderCredentialByServiceType");
      }
      // verify the required parameter 'brandId' is set
      if (brandId === undefined || brandId === null) {
        throw new Error("Missing the required parameter 'brandId' when calling getBrandSmsProviderCredentialByServiceType");
      }
      // verify the required parameter 'serviceType' is set
      if (serviceType === undefined || serviceType === null) {
        throw new Error("Missing the required parameter 'serviceType' when calling getBrandSmsProviderCredentialByServiceType");
      }
      var pathParams = {
        'orgId': orgId,
        'brandId': brandId,
        'serviceType': serviceType
      };
      var queryParams = {
        'withFallback': opts['withFallback']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultSmsProviderCredential["default"];
      return this.apiClient.callApi('/api/v1.0/sms-providers/orgs/{orgId}/brands/{brandId}/provider-credentials/{serviceType}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getBrandSmsProviderCredentials operation.
     * @callback module:api/SmsProviderCredentialsApi~getBrandSmsProviderCredentialsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultSmsProviderCredential} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} orgId 
     * @param {String} brandId 
     * @param {module:api/SmsProviderCredentialsApi~getBrandSmsProviderCredentialsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultSmsProviderCredential}
     */
  }, {
    key: "getBrandSmsProviderCredentials",
    value: function getBrandSmsProviderCredentials(orgId, brandId, callback) {
      var postBody = null;
      // verify the required parameter 'orgId' is set
      if (orgId === undefined || orgId === null) {
        throw new Error("Missing the required parameter 'orgId' when calling getBrandSmsProviderCredentials");
      }
      // verify the required parameter 'brandId' is set
      if (brandId === undefined || brandId === null) {
        throw new Error("Missing the required parameter 'brandId' when calling getBrandSmsProviderCredentials");
      }
      var pathParams = {
        'orgId': orgId,
        'brandId': brandId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultSmsProviderCredential["default"];
      return this.apiClient.callApi('/api/v1.0/sms-providers/orgs/{orgId}/brands/{brandId}/provider-credentials', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the smsProviderCredentialDelete operation.
     * @callback module:api/SmsProviderCredentialsApi~smsProviderCredentialDeleteCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultSmsProviderCredential} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} orgId 
     * @param {String} brandId 
     * @param {module:model/String} serviceType 
     * @param {module:api/SmsProviderCredentialsApi~smsProviderCredentialDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultSmsProviderCredential}
     */
  }, {
    key: "smsProviderCredentialDelete",
    value: function smsProviderCredentialDelete(orgId, brandId, serviceType, callback) {
      var postBody = null;
      // verify the required parameter 'orgId' is set
      if (orgId === undefined || orgId === null) {
        throw new Error("Missing the required parameter 'orgId' when calling smsProviderCredentialDelete");
      }
      // verify the required parameter 'brandId' is set
      if (brandId === undefined || brandId === null) {
        throw new Error("Missing the required parameter 'brandId' when calling smsProviderCredentialDelete");
      }
      // verify the required parameter 'serviceType' is set
      if (serviceType === undefined || serviceType === null) {
        throw new Error("Missing the required parameter 'serviceType' when calling smsProviderCredentialDelete");
      }
      var pathParams = {
        'orgId': orgId,
        'brandId': brandId,
        'serviceType': serviceType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultSmsProviderCredential["default"];
      return this.apiClient.callApi('/api/v1.0/sms-providers/orgs/{orgId}/brands/{brandId}/provider-credentials/{serviceType}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the smsProviderCredentialUpdate operation.
     * @callback module:api/SmsProviderCredentialsApi~smsProviderCredentialUpdateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultSmsProviderCredential} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} orgId 
     * @param {String} brandId 
     * @param {module:model/String} serviceType 
     * @param {module:model/SmsProviderCredentialUpdateRequest} credential 
     * @param {module:api/SmsProviderCredentialsApi~smsProviderCredentialUpdateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultSmsProviderCredential}
     */
  }, {
    key: "smsProviderCredentialUpdate",
    value: function smsProviderCredentialUpdate(orgId, brandId, serviceType, credential, callback) {
      var postBody = credential;
      // verify the required parameter 'orgId' is set
      if (orgId === undefined || orgId === null) {
        throw new Error("Missing the required parameter 'orgId' when calling smsProviderCredentialUpdate");
      }
      // verify the required parameter 'brandId' is set
      if (brandId === undefined || brandId === null) {
        throw new Error("Missing the required parameter 'brandId' when calling smsProviderCredentialUpdate");
      }
      // verify the required parameter 'serviceType' is set
      if (serviceType === undefined || serviceType === null) {
        throw new Error("Missing the required parameter 'serviceType' when calling smsProviderCredentialUpdate");
      }
      // verify the required parameter 'credential' is set
      if (credential === undefined || credential === null) {
        throw new Error("Missing the required parameter 'credential' when calling smsProviderCredentialUpdate");
      }
      var pathParams = {
        'orgId': orgId,
        'brandId': brandId,
        'serviceType': serviceType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultSmsProviderCredential["default"];
      return this.apiClient.callApi('/api/v1.0/sms-providers/orgs/{orgId}/brands/{brandId}/provider-credentials/{serviceType}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the smsProviderCredentialsBulkUpsert operation.
     * @callback module:api/SmsProviderCredentialsApi~smsProviderCredentialsBulkUpsertCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultSmsProviderCredential} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Array.<module:model/SmsProviderCredential>} credentials 
     * @param {module:api/SmsProviderCredentialsApi~smsProviderCredentialsBulkUpsertCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultSmsProviderCredential}
     */
  }, {
    key: "smsProviderCredentialsBulkUpsert",
    value: function smsProviderCredentialsBulkUpsert(credentials, callback) {
      var postBody = credentials;
      // verify the required parameter 'credentials' is set
      if (credentials === undefined || credentials === null) {
        throw new Error("Missing the required parameter 'credentials' when calling smsProviderCredentialsBulkUpsert");
      }
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultSmsProviderCredential["default"];
      return this.apiClient.callApi('/api/v1.0/sms-providers/bulk-upsert', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();