"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CustomerMessages = _interopRequireDefault(require("../model/CustomerMessages"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultStoreGroup = _interopRequireDefault(require("../model/RestApiPaginationResultStoreGroup"));
var _RestApiPaginationResultStoreGroupExtended = _interopRequireDefault(require("../model/RestApiPaginationResultStoreGroupExtended"));
var _RestApiResultStoreGroup = _interopRequireDefault(require("../model/RestApiResultStoreGroup"));
var _RestApiResultStoreGroupBase = _interopRequireDefault(require("../model/RestApiResultStoreGroupBase"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _StoreGroupBase = _interopRequireDefault(require("../model/StoreGroupBase"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* StoreGroups service.
* @module api/StoreGroupsApi
* @version 1.0.0
*/
var StoreGroupsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new StoreGroupsApi. 
  * @alias module:api/StoreGroupsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function StoreGroupsApi(apiClient) {
    _classCallCheck(this, StoreGroupsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the assignStoresToStoreGroup operation.
   * @callback module:api/StoreGroupsApi~assignStoresToStoreGroupCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} storeGroupId 
   * @param {Array.<Number>} storeIds 
   * @param {module:api/StoreGroupsApi~assignStoresToStoreGroupCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(StoreGroupsApi, [{
    key: "assignStoresToStoreGroup",
    value: function assignStoresToStoreGroup(appId, storeGroupId, storeIds, callback) {
      var postBody = storeIds;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling assignStoresToStoreGroup");
      }
      // verify the required parameter 'storeGroupId' is set
      if (storeGroupId === undefined || storeGroupId === null) {
        throw new Error("Missing the required parameter 'storeGroupId' when calling assignStoresToStoreGroup");
      }
      // verify the required parameter 'storeIds' is set
      if (storeIds === undefined || storeIds === null) {
        throw new Error("Missing the required parameter 'storeIds' when calling assignStoresToStoreGroup");
      }
      var pathParams = {
        'appId': appId,
        'storeGroupId': storeGroupId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/storegroups/{storeGroupId}/assignStores', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createStoreGroup operation.
     * @callback module:api/StoreGroupsApi~createStoreGroupCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStoreGroup} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appNameId 
     * @param {module:model/StoreGroupBase} storeGroup 
     * @param {module:api/StoreGroupsApi~createStoreGroupCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStoreGroup}
     */
  }, {
    key: "createStoreGroup",
    value: function createStoreGroup(appNameId, storeGroup, callback) {
      var postBody = storeGroup;
      // verify the required parameter 'appNameId' is set
      if (appNameId === undefined || appNameId === null) {
        throw new Error("Missing the required parameter 'appNameId' when calling createStoreGroup");
      }
      // verify the required parameter 'storeGroup' is set
      if (storeGroup === undefined || storeGroup === null) {
        throw new Error("Missing the required parameter 'storeGroup' when calling createStoreGroup");
      }
      var pathParams = {
        'appNameId': appNameId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStoreGroup["default"];
      return this.apiClient.callApi('/api/v1.0/{appNameId}/storegroups', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreGroup operation.
     * @callback module:api/StoreGroupsApi~getStoreGroupCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStoreGroup} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeGroupId 
     * @param {module:api/StoreGroupsApi~getStoreGroupCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStoreGroup}
     */
  }, {
    key: "getStoreGroup",
    value: function getStoreGroup(storeGroupId, callback) {
      var postBody = null;
      // verify the required parameter 'storeGroupId' is set
      if (storeGroupId === undefined || storeGroupId === null) {
        throw new Error("Missing the required parameter 'storeGroupId' when calling getStoreGroup");
      }
      var pathParams = {
        'storeGroupId': storeGroupId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStoreGroup["default"];
      return this.apiClient.callApi('/api/v1.0/storegroups/{storeGroupId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreGroups operation.
     * @callback module:api/StoreGroupsApi~getStoreGroupsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultStoreGroup} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appNameId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchQuery 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/StoreGroupsApi~getStoreGroupsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultStoreGroup}
     */
  }, {
    key: "getStoreGroups",
    value: function getStoreGroups(appNameId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appNameId' is set
      if (appNameId === undefined || appNameId === null) {
        throw new Error("Missing the required parameter 'appNameId' when calling getStoreGroups");
      }
      var pathParams = {
        'appNameId': appNameId
      };
      var queryParams = {
        'searchQuery': opts['searchQuery'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultStoreGroup["default"];
      return this.apiClient.callApi('/api/v1.0/{appNameId}/storegroups', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreGroupsExtended operation.
     * @callback module:api/StoreGroupsApi~getStoreGroupsExtendedCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultStoreGroupExtended} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appNameId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchQuery 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Number} opts.groupingRadius 
     * @param {module:api/StoreGroupsApi~getStoreGroupsExtendedCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultStoreGroupExtended}
     */
  }, {
    key: "getStoreGroupsExtended",
    value: function getStoreGroupsExtended(appNameId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appNameId' is set
      if (appNameId === undefined || appNameId === null) {
        throw new Error("Missing the required parameter 'appNameId' when calling getStoreGroupsExtended");
      }
      var pathParams = {
        'appNameId': appNameId
      };
      var queryParams = {
        'searchQuery': opts['searchQuery'],
        'page': opts['page'],
        'limit': opts['limit'],
        'groupingRadius': opts['groupingRadius']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultStoreGroupExtended["default"];
      return this.apiClient.callApi('/api/v1.0/{appNameId}/storegroups/extended', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the removeStoreGroup operation.
     * @callback module:api/StoreGroupsApi~removeStoreGroupCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeGroupId 
     * @param {module:api/StoreGroupsApi~removeStoreGroupCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "removeStoreGroup",
    value: function removeStoreGroup(storeGroupId, callback) {
      var postBody = null;
      // verify the required parameter 'storeGroupId' is set
      if (storeGroupId === undefined || storeGroupId === null) {
        throw new Error("Missing the required parameter 'storeGroupId' when calling removeStoreGroup");
      }
      var pathParams = {
        'storeGroupId': storeGroupId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/storegroups/{storeGroupId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setCustomerMessages operation.
     * @callback module:api/StoreGroupsApi~setCustomerMessagesCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeGroupId 
     * @param {module:model/CustomerMessages} customerMessages 
     * @param {module:api/StoreGroupsApi~setCustomerMessagesCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "setCustomerMessages",
    value: function setCustomerMessages(storeGroupId, customerMessages, callback) {
      var postBody = customerMessages;
      // verify the required parameter 'storeGroupId' is set
      if (storeGroupId === undefined || storeGroupId === null) {
        throw new Error("Missing the required parameter 'storeGroupId' when calling setCustomerMessages");
      }
      // verify the required parameter 'customerMessages' is set
      if (customerMessages === undefined || customerMessages === null) {
        throw new Error("Missing the required parameter 'customerMessages' when calling setCustomerMessages");
      }
      var pathParams = {
        'storeGroupId': storeGroupId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/storegroups/{storeGroupId}/CustomerMessages', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateStoreGroup operation.
     * @callback module:api/StoreGroupsApi~updateStoreGroupCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStoreGroupBase} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeGroupId 
     * @param {module:model/StoreGroupBase} storeGroup 
     * @param {module:api/StoreGroupsApi~updateStoreGroupCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStoreGroupBase}
     */
  }, {
    key: "updateStoreGroup",
    value: function updateStoreGroup(storeGroupId, storeGroup, callback) {
      var postBody = storeGroup;
      // verify the required parameter 'storeGroupId' is set
      if (storeGroupId === undefined || storeGroupId === null) {
        throw new Error("Missing the required parameter 'storeGroupId' when calling updateStoreGroup");
      }
      // verify the required parameter 'storeGroup' is set
      if (storeGroup === undefined || storeGroup === null) {
        throw new Error("Missing the required parameter 'storeGroup' when calling updateStoreGroup");
      }
      var pathParams = {
        'storeGroupId': storeGroupId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStoreGroupBase["default"];
      return this.apiClient.callApi('/api/v1.0/storegroups/{storeGroupId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();