"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultStoreOrderCapacityConfig = _interopRequireDefault(require("../model/RestApiResultStoreOrderCapacityConfig"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _StoreOrderCapacityConfigEditModel = _interopRequireDefault(require("../model/StoreOrderCapacityConfigEditModel"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* StoreOrderCapacity service.
* @module api/StoreOrderCapacityApi
* @version 1.0.0
*/
var StoreOrderCapacityApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new StoreOrderCapacityApi. 
  * @alias module:api/StoreOrderCapacityApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function StoreOrderCapacityApi(apiClient) {
    _classCallCheck(this, StoreOrderCapacityApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getStoreOrderCapacity operation.
   * @callback module:api/StoreOrderCapacityApi~getStoreOrderCapacityCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultStoreOrderCapacityConfig} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {Number} storeId 
   * @param {module:model/String} deliveryType 
   * @param {module:api/StoreOrderCapacityApi~getStoreOrderCapacityCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultStoreOrderCapacityConfig}
   */
  return _createClass(StoreOrderCapacityApi, [{
    key: "getStoreOrderCapacity",
    value: function getStoreOrderCapacity(appId, storeId, deliveryType, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStoreOrderCapacity");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreOrderCapacity");
      }
      // verify the required parameter 'deliveryType' is set
      if (deliveryType === undefined || deliveryType === null) {
        throw new Error("Missing the required parameter 'deliveryType' when calling getStoreOrderCapacity");
      }
      var pathParams = {
        'appId': appId,
        'storeId': storeId,
        'deliveryType': deliveryType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStoreOrderCapacityConfig["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/storeordercapacity/{storeId}/{deliveryType}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateStoreOrderCapacityConfig operation.
     * @callback module:api/StoreOrderCapacityApi~updateStoreOrderCapacityConfigCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} deliveryType 
     * @param {String} appId 
     * @param {module:model/StoreOrderCapacityConfigEditModel} newOrderCapacityConfig 
     * @param {module:api/StoreOrderCapacityApi~updateStoreOrderCapacityConfigCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateStoreOrderCapacityConfig",
    value: function updateStoreOrderCapacityConfig(storeId, deliveryType, appId, newOrderCapacityConfig, callback) {
      var postBody = newOrderCapacityConfig;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateStoreOrderCapacityConfig");
      }
      // verify the required parameter 'deliveryType' is set
      if (deliveryType === undefined || deliveryType === null) {
        throw new Error("Missing the required parameter 'deliveryType' when calling updateStoreOrderCapacityConfig");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateStoreOrderCapacityConfig");
      }
      // verify the required parameter 'newOrderCapacityConfig' is set
      if (newOrderCapacityConfig === undefined || newOrderCapacityConfig === null) {
        throw new Error("Missing the required parameter 'newOrderCapacityConfig' when calling updateStoreOrderCapacityConfig");
      }
      var pathParams = {
        'storeId': storeId,
        'appId': appId
      };
      var queryParams = {
        'deliveryType': deliveryType
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/storeordercapacity/{storeId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();