"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _BankAccountCreate = _interopRequireDefault(require("../model/BankAccountCreate"));
var _BankAccountDetailsUpdateRequest = _interopRequireDefault(require("../model/BankAccountDetailsUpdateRequest"));
var _RestApiArrayResultStripeCustomConnectedAccount = _interopRequireDefault(require("../model/RestApiArrayResultStripeCustomConnectedAccount"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultBankAccountDetail = _interopRequireDefault(require("../model/RestApiResultBankAccountDetail"));
var _RestApiResultModelBase = _interopRequireDefault(require("../model/RestApiResultModelBase"));
var _RestApiResultStripeConnectedAccount = _interopRequireDefault(require("../model/RestApiResultStripeConnectedAccount"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _StripeAccountLinkRequest = _interopRequireDefault(require("../model/StripeAccountLinkRequest"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* StripeCustomConnect service.
* @module api/StripeCustomConnectApi
* @version 1.0.0
*/
var StripeCustomConnectApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new StripeCustomConnectApi. 
  * @alias module:api/StripeCustomConnectApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function StripeCustomConnectApi(apiClient) {
    _classCallCheck(this, StripeCustomConnectApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createBankAccountAndConnectedAccount operation.
   * @callback module:api/StripeCustomConnectApi~createBankAccountAndConnectedAccountCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultBankAccountDetail} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/BankAccountCreate} account 
   * @param {module:api/StripeCustomConnectApi~createBankAccountAndConnectedAccountCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultBankAccountDetail}
   */
  return _createClass(StripeCustomConnectApi, [{
    key: "createBankAccountAndConnectedAccount",
    value: function createBankAccountAndConnectedAccount(appId, account, callback) {
      var postBody = account;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createBankAccountAndConnectedAccount");
      }
      // verify the required parameter 'account' is set
      if (account === undefined || account === null) {
        throw new Error("Missing the required parameter 'account' when calling createBankAccountAndConnectedAccount");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultBankAccountDetail["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/bank-account', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createStripeConnectedAccount operation.
     * @callback module:api/StripeCustomConnectApi~createStripeConnectedAccountCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStripeConnectedAccount} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {module:api/StripeCustomConnectApi~createStripeConnectedAccountCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStripeConnectedAccount}
     */
  }, {
    key: "createStripeConnectedAccount",
    value: function createStripeConnectedAccount(appId, bankAccountId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createStripeConnectedAccount");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling createStripeConnectedAccount");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStripeConnectedAccount["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/{bankAccountId}/create-update-account', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createStripeConnectedAccountLink operation.
     * @callback module:api/StripeCustomConnectApi~createStripeConnectedAccountLinkCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStripeConnectedAccount} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} stripeConnectedAccountId 
     * @param {module:model/StripeAccountLinkRequest} stripeAccountLinkRequest 
     * @param {module:api/StripeCustomConnectApi~createStripeConnectedAccountLinkCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStripeConnectedAccount}
     */
  }, {
    key: "createStripeConnectedAccountLink",
    value: function createStripeConnectedAccountLink(appId, stripeConnectedAccountId, stripeAccountLinkRequest, callback) {
      var postBody = stripeAccountLinkRequest;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createStripeConnectedAccountLink");
      }
      // verify the required parameter 'stripeConnectedAccountId' is set
      if (stripeConnectedAccountId === undefined || stripeConnectedAccountId === null) {
        throw new Error("Missing the required parameter 'stripeConnectedAccountId' when calling createStripeConnectedAccountLink");
      }
      // verify the required parameter 'stripeAccountLinkRequest' is set
      if (stripeAccountLinkRequest === undefined || stripeAccountLinkRequest === null) {
        throw new Error("Missing the required parameter 'stripeAccountLinkRequest' when calling createStripeConnectedAccountLink");
      }
      var pathParams = {
        'appId': appId,
        'stripeConnectedAccountId': stripeConnectedAccountId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStripeConnectedAccount["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/{stripeConnectedAccountId}/create-account-link', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getCustomConnect operation.
     * @callback module:api/StripeCustomConnectApi~getCustomConnectCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultStripeCustomConnectedAccount} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {String} appId 
     * @param {module:api/StripeCustomConnectApi~getCustomConnectCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultStripeCustomConnectedAccount}
     */
  }, {
    key: "getCustomConnect",
    value: function getCustomConnect(storeId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getCustomConnect");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getCustomConnect");
      }
      var pathParams = {
        'storeId': storeId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultStripeCustomConnectedAccount["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/{storeId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getVerificationStatus operation.
     * @callback module:api/StripeCustomConnectApi~getVerificationStatusCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStripeConnectedAccount} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} stripeConnectedAccountId 
     * @param {module:api/StripeCustomConnectApi~getVerificationStatusCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStripeConnectedAccount}
     */
  }, {
    key: "getVerificationStatus",
    value: function getVerificationStatus(appId, stripeConnectedAccountId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getVerificationStatus");
      }
      // verify the required parameter 'stripeConnectedAccountId' is set
      if (stripeConnectedAccountId === undefined || stripeConnectedAccountId === null) {
        throw new Error("Missing the required parameter 'stripeConnectedAccountId' when calling getVerificationStatus");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'stripeConnectedAccountId': stripeConnectedAccountId
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStripeConnectedAccount["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/verification-status', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setBankAccountBusinessType operation.
     * @callback module:api/StripeCustomConnectApi~setBankAccountBusinessTypeCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultBankAccountDetail} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {String} businessType 
     * @param {module:api/StripeCustomConnectApi~setBankAccountBusinessTypeCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultBankAccountDetail}
     */
  }, {
    key: "setBankAccountBusinessType",
    value: function setBankAccountBusinessType(appId, bankAccountId, businessType, callback) {
      var postBody = businessType;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setBankAccountBusinessType");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling setBankAccountBusinessType");
      }
      // verify the required parameter 'businessType' is set
      if (businessType === undefined || businessType === null) {
        throw new Error("Missing the required parameter 'businessType' when calling setBankAccountBusinessType");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultBankAccountDetail["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/bank-account/{bankAccountId}/businesstype', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the stripeCustomConnectRefresh operation.
     * @callback module:api/StripeCustomConnectApi~stripeCustomConnectRefreshCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} linkRequestId 
     * @param {String} appId 
     * @param {module:api/StripeCustomConnectApi~stripeCustomConnectRefreshCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "stripeCustomConnectRefresh",
    value: function stripeCustomConnectRefresh(linkRequestId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'linkRequestId' is set
      if (linkRequestId === undefined || linkRequestId === null) {
        throw new Error("Missing the required parameter 'linkRequestId' when calling stripeCustomConnectRefresh");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling stripeCustomConnectRefresh");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'linkRequestId': linkRequestId
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/refresh-link', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateBankAccountDetails operation.
     * @callback module:api/StripeCustomConnectApi~updateBankAccountDetailsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStripeConnectedAccount} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} bankAccountId 
     * @param {module:model/BankAccountDetailsUpdateRequest} updateRequest 
     * @param {module:api/StripeCustomConnectApi~updateBankAccountDetailsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStripeConnectedAccount}
     */
  }, {
    key: "updateBankAccountDetails",
    value: function updateBankAccountDetails(appId, bankAccountId, updateRequest, callback) {
      var postBody = updateRequest;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateBankAccountDetails");
      }
      // verify the required parameter 'bankAccountId' is set
      if (bankAccountId === undefined || bankAccountId === null) {
        throw new Error("Missing the required parameter 'bankAccountId' when calling updateBankAccountDetails");
      }
      // verify the required parameter 'updateRequest' is set
      if (updateRequest === undefined || updateRequest === null) {
        throw new Error("Missing the required parameter 'updateRequest' when calling updateBankAccountDetails");
      }
      var pathParams = {
        'appId': appId,
        'bankAccountId': bankAccountId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStripeConnectedAccount["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/{bankAccountId}/update-bank-account-details', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updatePayoutSchedule operation.
     * @callback module:api/StripeCustomConnectApi~updatePayoutScheduleCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultModelBase} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} stripeConnectedAccountId 
     * @param {String} interval 
     * @param {module:api/StripeCustomConnectApi~updatePayoutScheduleCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultModelBase}
     */
  }, {
    key: "updatePayoutSchedule",
    value: function updatePayoutSchedule(appId, stripeConnectedAccountId, interval, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updatePayoutSchedule");
      }
      // verify the required parameter 'stripeConnectedAccountId' is set
      if (stripeConnectedAccountId === undefined || stripeConnectedAccountId === null) {
        throw new Error("Missing the required parameter 'stripeConnectedAccountId' when calling updatePayoutSchedule");
      }
      // verify the required parameter 'interval' is set
      if (interval === undefined || interval === null) {
        throw new Error("Missing the required parameter 'interval' when calling updatePayoutSchedule");
      }
      var pathParams = {
        'appId': appId,
        'stripeConnectedAccountId': stripeConnectedAccountId,
        'interval': interval
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultModelBase["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/customconnect/update-payout-schedule/{stripeConnectedAccountId}/{interval}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();