"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiArrayResultSubscriptionSummary = _interopRequireDefault(require("../model/RestApiArrayResultSubscriptionSummary"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultHasPaymentMethodResponse = _interopRequireDefault(require("../model/RestApiResultHasPaymentMethodResponse"));
var _RestApiResultSubscription = _interopRequireDefault(require("../model/RestApiResultSubscription"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Subscriptions service.
* @module api/SubscriptionsApi
* @version 1.0.0
*/
var SubscriptionsApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new SubscriptionsApi. 
  * @alias module:api/SubscriptionsApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function SubscriptionsApi(apiClient) {
    _classCallCheck(this, SubscriptionsApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the getSubscriptionById operation.
   * @callback module:api/SubscriptionsApi~getSubscriptionByIdCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultSubscription} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {String} subscriptionId 
   * @param {module:api/SubscriptionsApi~getSubscriptionByIdCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultSubscription}
   */
  return _createClass(SubscriptionsApi, [{
    key: "getSubscriptionById",
    value: function getSubscriptionById(appId, subscriptionId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getSubscriptionById");
      }
      // verify the required parameter 'subscriptionId' is set
      if (subscriptionId === undefined || subscriptionId === null) {
        throw new Error("Missing the required parameter 'subscriptionId' when calling getSubscriptionById");
      }
      var pathParams = {
        'appId': appId,
        'subscriptionId': subscriptionId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultSubscription["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/subscriptions/{subscriptionId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getSubscriptionsForApp operation.
     * @callback module:api/SubscriptionsApi~getSubscriptionsForAppCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultSubscriptionSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Boolean} opts.excludeNotOwnedSubscriptions 
     * @param {Array.<Number>} opts.storeId 
     * @param {Boolean} opts.excludeCancelledSubscriptions 
     * @param {module:api/SubscriptionsApi~getSubscriptionsForAppCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultSubscriptionSummary}
     */
  }, {
    key: "getSubscriptionsForApp",
    value: function getSubscriptionsForApp(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getSubscriptionsForApp");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'excludeNotOwnedSubscriptions': opts['excludeNotOwnedSubscriptions'],
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi'),
        'excludeCancelledSubscriptions': opts['excludeCancelledSubscriptions']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultSubscriptionSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/subscriptions', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the hasCustomerGotPaymentMethodOnFile operation.
     * @callback module:api/SubscriptionsApi~hasCustomerGotPaymentMethodOnFileCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultHasPaymentMethodResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.email 
     * @param {module:api/SubscriptionsApi~hasCustomerGotPaymentMethodOnFileCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultHasPaymentMethodResponse}
     */
  }, {
    key: "hasCustomerGotPaymentMethodOnFile",
    value: function hasCustomerGotPaymentMethodOnFile(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling hasCustomerGotPaymentMethodOnFile");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'email': opts['email']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultHasPaymentMethodResponse["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/subscriptions/hasPaymentMethod', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();