"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateTeammate = _interopRequireDefault(require("../model/CreateTeammate"));
var _RestApiArrayResultPendingInvitation = _interopRequireDefault(require("../model/RestApiArrayResultPendingInvitation"));
var _RestApiArrayResultRedeemInvitationResult = _interopRequireDefault(require("../model/RestApiArrayResultRedeemInvitationResult"));
var _RestApiArrayResultTeammate = _interopRequireDefault(require("../model/RestApiArrayResultTeammate"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultAcceptInvitationResult = _interopRequireDefault(require("../model/RestApiResultAcceptInvitationResult"));
var _RestApiResultRedeemInvitationResult = _interopRequireDefault(require("../model/RestApiResultRedeemInvitationResult"));
var _RestApiResultTeammate = _interopRequireDefault(require("../model/RestApiResultTeammate"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _TeammateBase = _interopRequireDefault(require("../model/TeammateBase"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Teammates service.
* @module api/TeammatesApi
* @version 1.0.0
*/
var TeammatesApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new TeammatesApi. 
  * @alias module:api/TeammatesApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function TeammatesApi(apiClient) {
    _classCallCheck(this, TeammatesApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createTeammate operation.
   * @callback module:api/TeammatesApi~createTeammateCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultTeammate} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/CreateTeammate} teammate 
   * @param {module:api/TeammatesApi~createTeammateCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultTeammate}
   */
  return _createClass(TeammatesApi, [{
    key: "createTeammate",
    value: function createTeammate(appId, teammate, callback) {
      var postBody = teammate;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createTeammate");
      }
      // verify the required parameter 'teammate' is set
      if (teammate === undefined || teammate === null) {
        throw new Error("Missing the required parameter 'teammate' when calling createTeammate");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultTeammate["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/teammates', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteTeammate operation.
     * @callback module:api/TeammatesApi~deleteTeammateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} id 
     * @param {module:api/TeammatesApi~deleteTeammateCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteTeammate",
    value: function deleteTeammate(appId, id, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteTeammate");
      }
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling deleteTeammate");
      }
      var pathParams = {
        'appId': appId,
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/teammates/{id}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getTeammateByAppIdAndTeammateId operation.
     * @callback module:api/TeammatesApi~getTeammateByAppIdAndTeammateIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultTeammate} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} id 
     * @param {module:api/TeammatesApi~getTeammateByAppIdAndTeammateIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultTeammate}
     */
  }, {
    key: "getTeammateByAppIdAndTeammateId",
    value: function getTeammateByAppIdAndTeammateId(appId, id, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getTeammateByAppIdAndTeammateId");
      }
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling getTeammateByAppIdAndTeammateId");
      }
      var pathParams = {
        'appId': appId,
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultTeammate["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/teammates/{id}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getTeammatesByAppId operation.
     * @callback module:api/TeammatesApi~getTeammatesByAppIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultTeammate} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/TeammatesApi~getTeammatesByAppIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultTeammate}
     */
  }, {
    key: "getTeammatesByAppId",
    value: function getTeammatesByAppId(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getTeammatesByAppId");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultTeammate["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/teammates', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the grantaccess operation.
     * @callback module:api/TeammatesApi~grantaccessCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/CreateTeammate} teammate 
     * @param {module:api/TeammatesApi~grantaccessCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "grantaccess",
    value: function grantaccess(appId, teammate, callback) {
      var postBody = teammate;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling grantaccess");
      }
      // verify the required parameter 'teammate' is set
      if (teammate === undefined || teammate === null) {
        throw new Error("Missing the required parameter 'teammate' when calling grantaccess");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/{appId}/teammates/grantaccess', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the redeemInvitation operation.
     * @callback module:api/TeammatesApi~redeemInvitationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultRedeemInvitationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} otc 
     * @param {String} appId 
     * @param {module:api/TeammatesApi~redeemInvitationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultRedeemInvitationResult}
     */
  }, {
    key: "redeemInvitation",
    value: function redeemInvitation(otc, appId, callback) {
      var postBody = null;
      // verify the required parameter 'otc' is set
      if (otc === undefined || otc === null) {
        throw new Error("Missing the required parameter 'otc' when calling redeemInvitation");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling redeemInvitation");
      }
      var pathParams = {
        'otc': otc,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultRedeemInvitationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/teammates/redeem/{otc}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the teammatesAcceptInvitation operation.
     * @callback module:api/TeammatesApi~teammatesAcceptInvitationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAcceptInvitationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} otc 
     * @param {String} appId 
     * @param {module:api/TeammatesApi~teammatesAcceptInvitationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAcceptInvitationResult}
     */
  }, {
    key: "teammatesAcceptInvitation",
    value: function teammatesAcceptInvitation(otc, appId, callback) {
      var postBody = null;
      // verify the required parameter 'otc' is set
      if (otc === undefined || otc === null) {
        throw new Error("Missing the required parameter 'otc' when calling teammatesAcceptInvitation");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling teammatesAcceptInvitation");
      }
      var pathParams = {
        'otc': otc,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultAcceptInvitationResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/teammates/accept/{otc}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the teammatesAcceptInvitations operation.
     * @callback module:api/TeammatesApi~teammatesAcceptInvitationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRedeemInvitationResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/TeammatesApi~teammatesAcceptInvitationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRedeemInvitationResult}
     */
  }, {
    key: "teammatesAcceptInvitations",
    value: function teammatesAcceptInvitations(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultRedeemInvitationResult["default"];
      return this.apiClient.callApi('/api/v1.0/teammates/acceptInvitations', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the teammatesPendingInvitations operation.
     * @callback module:api/TeammatesApi~teammatesPendingInvitationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultPendingInvitation} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/TeammatesApi~teammatesPendingInvitationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultPendingInvitation}
     */
  }, {
    key: "teammatesPendingInvitations",
    value: function teammatesPendingInvitations(callback) {
      var postBody = null;
      var pathParams = {};
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultPendingInvitation["default"];
      return this.apiClient.callApi('/api/v1.0/teammates/pending-invitations', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateTeammate operation.
     * @callback module:api/TeammatesApi~updateTeammateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultTeammate} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} id 
     * @param {module:model/TeammateBase} teammate 
     * @param {module:api/TeammatesApi~updateTeammateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultTeammate}
     */
  }, {
    key: "updateTeammate",
    value: function updateTeammate(appId, id, teammate, callback) {
      var postBody = teammate;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateTeammate");
      }
      // verify the required parameter 'id' is set
      if (id === undefined || id === null) {
        throw new Error("Missing the required parameter 'id' when calling updateTeammate");
      }
      // verify the required parameter 'teammate' is set
      if (teammate === undefined || teammate === null) {
        throw new Error("Missing the required parameter 'teammate' when calling updateTeammate");
      }
      var pathParams = {
        'appId': appId,
        'id': id
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultTeammate["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/teammates/{id}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();