"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateVoucher = _interopRequireDefault(require("../model/CreateVoucher"));
var _RestApiArrayResultVoucherDataPoint = _interopRequireDefault(require("../model/RestApiArrayResultVoucherDataPoint"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultVoucherSummary = _interopRequireDefault(require("../model/RestApiPaginationResultVoucherSummary"));
var _RestApiResultVoucher = _interopRequireDefault(require("../model/RestApiResultVoucher"));
var _RestApiResultVoucherWithStats = _interopRequireDefault(require("../model/RestApiResultVoucherWithStats"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _SetVoucherValidityPeriodsSimplifiedRequest = _interopRequireDefault(require("../model/SetVoucherValidityPeriodsSimplifiedRequest"));
var _UpdateVoucher = _interopRequireDefault(require("../model/UpdateVoucher"));
var _UpdateVoucherUsage = _interopRequireDefault(require("../model/UpdateVoucherUsage"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Vouchers service.
* @module api/VouchersApi
* @version 1.0.0
*/
var VouchersApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new VouchersApi. 
  * @alias module:api/VouchersApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function VouchersApi(apiClient) {
    _classCallCheck(this, VouchersApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createVoucher operation.
   * @callback module:api/VouchersApi~createVoucherCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultVoucherWithStats} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/CreateVoucher} voucher 
   * @param {module:api/VouchersApi~createVoucherCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultVoucherWithStats}
   */
  return _createClass(VouchersApi, [{
    key: "createVoucher",
    value: function createVoucher(appId, voucher, callback) {
      var postBody = voucher;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createVoucher");
      }
      // verify the required parameter 'voucher' is set
      if (voucher === undefined || voucher === null) {
        throw new Error("Missing the required parameter 'voucher' when calling createVoucher");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultVoucherWithStats["default"];
      return this.apiClient.callApi('/api/v1.0/vouchers/{appId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getVoucherByCode operation.
     * @callback module:api/VouchersApi~getVoucherByCodeCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultVoucher} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {String} code 
     * @param {module:api/VouchersApi~getVoucherByCodeCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultVoucher}
     */
  }, {
    key: "getVoucherByCode",
    value: function getVoucherByCode(appId, code, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getVoucherByCode");
      }
      // verify the required parameter 'code' is set
      if (code === undefined || code === null) {
        throw new Error("Missing the required parameter 'code' when calling getVoucherByCode");
      }
      var pathParams = {
        'appId': appId,
        'code': code
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultVoucher["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/vouchers/code/{code}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getVoucherById operation.
     * @callback module:api/VouchersApi~getVoucherByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultVoucherWithStats} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} voucherId 
     * @param {module:api/VouchersApi~getVoucherByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultVoucherWithStats}
     */
  }, {
    key: "getVoucherById",
    value: function getVoucherById(voucherId, callback) {
      var postBody = null;
      // verify the required parameter 'voucherId' is set
      if (voucherId === undefined || voucherId === null) {
        throw new Error("Missing the required parameter 'voucherId' when calling getVoucherById");
      }
      var pathParams = {
        'voucherId': voucherId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultVoucherWithStats["default"];
      return this.apiClient.callApi('/api/v1.0/vouchers/{voucherId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getVoucherStatsById operation.
     * @callback module:api/VouchersApi~getVoucherStatsByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultVoucherDataPoint} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} voucherId 
     * @param {module:model/String} aggregateDataBy 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.dataPointLimit 
     * @param {module:api/VouchersApi~getVoucherStatsByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultVoucherDataPoint}
     */
  }, {
    key: "getVoucherStatsById",
    value: function getVoucherStatsById(voucherId, aggregateDataBy, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'voucherId' is set
      if (voucherId === undefined || voucherId === null) {
        throw new Error("Missing the required parameter 'voucherId' when calling getVoucherStatsById");
      }
      // verify the required parameter 'aggregateDataBy' is set
      if (aggregateDataBy === undefined || aggregateDataBy === null) {
        throw new Error("Missing the required parameter 'aggregateDataBy' when calling getVoucherStatsById");
      }
      var pathParams = {
        'voucherId': voucherId
      };
      var queryParams = {
        'aggregateDataBy': aggregateDataBy,
        'dataPointLimit': opts['dataPointLimit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultVoucherDataPoint["default"];
      return this.apiClient.callApi('/api/v1.0/vouchers/stats/{voucherId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getVoucherValidityPeriods operation.
     * @callback module:api/VouchersApi~getVoucherValidityPeriodsCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} voucherId 
     * @param {module:api/VouchersApi~getVoucherValidityPeriodsCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "getVoucherValidityPeriods",
    value: function getVoucherValidityPeriods(appId, voucherId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getVoucherValidityPeriods");
      }
      // verify the required parameter 'voucherId' is set
      if (voucherId === undefined || voucherId === null) {
        throw new Error("Missing the required parameter 'voucherId' when calling getVoucherValidityPeriods");
      }
      var pathParams = {
        'appId': appId,
        'voucherId': voucherId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['Data', 'application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/vouchers/{voucherId}/validity-periods', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getVouchers operation.
     * @callback module:api/VouchersApi~getVouchersCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultVoucherSummary} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.pageIndex 
     * @param {Number} opts.pageSize 
     * @param {Array.<String>} opts.searchCodes 
     * @param {Array.<module:model/String>} opts.statusSearch 
     * @param {Array.<module:model/String>} opts.typeSearch 
     * @param {Array.<module:model/String>} opts.subTypeSearch 
     * @param {Array.<Number>} opts.storeIds 
     * @param {Array.<module:model/String>} opts.channelRestrictions 
     * @param {module:api/VouchersApi~getVouchersCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultVoucherSummary}
     */
  }, {
    key: "getVouchers",
    value: function getVouchers(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getVouchers");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'pageIndex': opts['pageIndex'],
        'pageSize': opts['pageSize'],
        'searchCodes': this.apiClient.buildCollectionParam(opts['searchCodes'], 'multi'),
        'statusSearch': this.apiClient.buildCollectionParam(opts['statusSearch'], 'multi'),
        'typeSearch': this.apiClient.buildCollectionParam(opts['typeSearch'], 'multi'),
        'subTypeSearch': this.apiClient.buildCollectionParam(opts['subTypeSearch'], 'multi'),
        'storeIds': this.apiClient.buildCollectionParam(opts['storeIds'], 'multi'),
        'channelRestrictions': this.apiClient.buildCollectionParam(opts['channelRestrictions'], 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiPaginationResultVoucherSummary["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/vouchers/summaries', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setVoucherValidityPeriodsSimplified operation.
     * @callback module:api/VouchersApi~setVoucherValidityPeriodsSimplifiedCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} voucherId 
     * @param {module:model/SetVoucherValidityPeriodsSimplifiedRequest} request 
     * @param {module:api/VouchersApi~setVoucherValidityPeriodsSimplifiedCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "setVoucherValidityPeriodsSimplified",
    value: function setVoucherValidityPeriodsSimplified(appId, voucherId, request, callback) {
      var postBody = request;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setVoucherValidityPeriodsSimplified");
      }
      // verify the required parameter 'voucherId' is set
      if (voucherId === undefined || voucherId === null) {
        throw new Error("Missing the required parameter 'voucherId' when calling setVoucherValidityPeriodsSimplified");
      }
      // verify the required parameter 'request' is set
      if (request === undefined || request === null) {
        throw new Error("Missing the required parameter 'request' when calling setVoucherValidityPeriodsSimplified");
      }
      var pathParams = {
        'appId': appId,
        'voucherId': voucherId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Data', 'application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/vouchers/{voucherId}/validity-periods-simplified', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateVoucher operation.
     * @callback module:api/VouchersApi~updateVoucherCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultVoucherWithStats} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} voucherId 
     * @param {module:model/UpdateVoucher} voucher 
     * @param {Object} opts Optional parameters
     * @param {Array.<Number>} opts.storeId 
     * @param {Number} opts.percentValue 
     * @param {Number} opts.lumpValue 
     * @param {Number} opts.maxDiscountAmount 
     * @param {module:api/VouchersApi~updateVoucherCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultVoucherWithStats}
     */
  }, {
    key: "updateVoucher",
    value: function updateVoucher(voucherId, voucher, opts, callback) {
      opts = opts || {};
      var postBody = voucher;
      // verify the required parameter 'voucherId' is set
      if (voucherId === undefined || voucherId === null) {
        throw new Error("Missing the required parameter 'voucherId' when calling updateVoucher");
      }
      // verify the required parameter 'voucher' is set
      if (voucher === undefined || voucher === null) {
        throw new Error("Missing the required parameter 'voucher' when calling updateVoucher");
      }
      var pathParams = {
        'voucherId': voucherId
      };
      var queryParams = {
        'storeId': this.apiClient.buildCollectionParam(opts['storeId'], 'multi'),
        'percentValue': opts['percentValue'],
        'lumpValue': opts['lumpValue'],
        'maxDiscountAmount': opts['maxDiscountAmount']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultVoucherWithStats["default"];
      return this.apiClient.callApi('/api/v1.0/vouchers/{voucherId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateVoucherUsage operation.
     * @callback module:api/VouchersApi~updateVoucherUsageCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} voucherId 
     * @param {module:model/UpdateVoucherUsage} voucherUsage 
     * @param {module:api/VouchersApi~updateVoucherUsageCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateVoucherUsage",
    value: function updateVoucherUsage(appId, voucherId, voucherUsage, callback) {
      var postBody = voucherUsage;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateVoucherUsage");
      }
      // verify the required parameter 'voucherId' is set
      if (voucherId === undefined || voucherId === null) {
        throw new Error("Missing the required parameter 'voucherId' when calling updateVoucherUsage");
      }
      // verify the required parameter 'voucherUsage' is set
      if (voucherUsage === undefined || voucherUsage === null) {
        throw new Error("Missing the required parameter 'voucherUsage' when calling updateVoucherUsage");
      }
      var pathParams = {
        'appId': appId,
        'voucherId': voucherId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Data', 'application/json', 'text/json', 'application/xml', 'text/xml', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/vouchers/{voucherId}/usage', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();