"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiIntegerResult = _interopRequireDefault(require("../model/RestApiIntegerResult"));
var _RestApiPaginationResultWebhookLog = _interopRequireDefault(require("../model/RestApiPaginationResultWebhookLog"));
var _RestApiPaginationResultWebhookSubscription = _interopRequireDefault(require("../model/RestApiPaginationResultWebhookSubscription"));
var _RestApiStringArrayResult = _interopRequireDefault(require("../model/RestApiStringArrayResult"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _WebhookEventSample = _interopRequireDefault(require("../model/WebhookEventSample"));
var _WebhookSubscription = _interopRequireDefault(require("../model/WebhookSubscription"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Webhooks service.
* @module api/WebhooksApi
* @version 1.0.0
*/
var WebhooksApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new WebhooksApi. 
  * @alias module:api/WebhooksApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function WebhooksApi(apiClient) {
    _classCallCheck(this, WebhooksApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the createWebhookSubscription operation.
   * @callback module:api/WebhooksApi~createWebhookSubscriptionCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiIntegerResult} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} oauthAppId 
   * @param {String} appId 
   * @param {module:model/WebhookSubscription} webhookSubscription 
   * @param {module:api/WebhooksApi~createWebhookSubscriptionCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiIntegerResult}
   */
  return _createClass(WebhooksApi, [{
    key: "createWebhookSubscription",
    value: function createWebhookSubscription(oauthAppId, appId, webhookSubscription, callback) {
      var postBody = webhookSubscription;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling createWebhookSubscription");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createWebhookSubscription");
      }
      // verify the required parameter 'webhookSubscription' is set
      if (webhookSubscription === undefined || webhookSubscription === null) {
        throw new Error("Missing the required parameter 'webhookSubscription' when calling createWebhookSubscription");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiIntegerResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createWebhookSubscriptionEventNames operation.
     * @callback module:api/WebhooksApi~createWebhookSubscriptionEventNamesCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {Number} webhookSubscriptionId 
     * @param {String} eventName 
     * @param {String} appId 
     * @param {module:api/WebhooksApi~createWebhookSubscriptionEventNamesCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "createWebhookSubscriptionEventNames",
    value: function createWebhookSubscriptionEventNames(oauthAppId, webhookSubscriptionId, eventName, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling createWebhookSubscriptionEventNames");
      }
      // verify the required parameter 'webhookSubscriptionId' is set
      if (webhookSubscriptionId === undefined || webhookSubscriptionId === null) {
        throw new Error("Missing the required parameter 'webhookSubscriptionId' when calling createWebhookSubscriptionEventNames");
      }
      // verify the required parameter 'eventName' is set
      if (eventName === undefined || eventName === null) {
        throw new Error("Missing the required parameter 'eventName' when calling createWebhookSubscriptionEventNames");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling createWebhookSubscriptionEventNames");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'webhookSubscriptionId': webhookSubscriptionId,
        'eventName': eventName,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/events/{eventName}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteWebhookSubscription operation.
     * @callback module:api/WebhooksApi~deleteWebhookSubscriptionCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {Number} webhookSubscriptionId 
     * @param {String} appId 
     * @param {module:api/WebhooksApi~deleteWebhookSubscriptionCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteWebhookSubscription",
    value: function deleteWebhookSubscription(oauthAppId, webhookSubscriptionId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling deleteWebhookSubscription");
      }
      // verify the required parameter 'webhookSubscriptionId' is set
      if (webhookSubscriptionId === undefined || webhookSubscriptionId === null) {
        throw new Error("Missing the required parameter 'webhookSubscriptionId' when calling deleteWebhookSubscription");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteWebhookSubscription");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'webhookSubscriptionId': webhookSubscriptionId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteWebhookSubscriptionEventName operation.
     * @callback module:api/WebhooksApi~deleteWebhookSubscriptionEventNameCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {Number} webhookSubscriptionId 
     * @param {String} eventName 
     * @param {String} appId 
     * @param {module:api/WebhooksApi~deleteWebhookSubscriptionEventNameCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteWebhookSubscriptionEventName",
    value: function deleteWebhookSubscriptionEventName(oauthAppId, webhookSubscriptionId, eventName, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling deleteWebhookSubscriptionEventName");
      }
      // verify the required parameter 'webhookSubscriptionId' is set
      if (webhookSubscriptionId === undefined || webhookSubscriptionId === null) {
        throw new Error("Missing the required parameter 'webhookSubscriptionId' when calling deleteWebhookSubscriptionEventName");
      }
      // verify the required parameter 'eventName' is set
      if (eventName === undefined || eventName === null) {
        throw new Error("Missing the required parameter 'eventName' when calling deleteWebhookSubscriptionEventName");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteWebhookSubscriptionEventName");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'webhookSubscriptionId': webhookSubscriptionId,
        'eventName': eventName,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/events/{eventName}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getWebhookEventNames operation.
     * @callback module:api/WebhooksApi~getWebhookEventNamesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringArrayResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/WebhooksApi~getWebhookEventNamesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringArrayResult}
     */
  }, {
    key: "getWebhookEventNames",
    value: function getWebhookEventNames(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getWebhookEventNames");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiStringArrayResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/events', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getWebhookEventNamesBySubscriptionId operation.
     * @callback module:api/WebhooksApi~getWebhookEventNamesBySubscriptionIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiStringArrayResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {Number} webhookSubscriptionId 
     * @param {String} appId 
     * @param {module:api/WebhooksApi~getWebhookEventNamesBySubscriptionIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiStringArrayResult}
     */
  }, {
    key: "getWebhookEventNamesBySubscriptionId",
    value: function getWebhookEventNamesBySubscriptionId(oauthAppId, webhookSubscriptionId, appId, callback) {
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getWebhookEventNamesBySubscriptionId");
      }
      // verify the required parameter 'webhookSubscriptionId' is set
      if (webhookSubscriptionId === undefined || webhookSubscriptionId === null) {
        throw new Error("Missing the required parameter 'webhookSubscriptionId' when calling getWebhookEventNamesBySubscriptionId");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getWebhookEventNamesBySubscriptionId");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'webhookSubscriptionId': webhookSubscriptionId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiStringArrayResult["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/events', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getWebhookEventSample operation.
     * @callback module:api/WebhooksApi~getWebhookEventSampleCallback
     * @param {String} error Error message, if any.
     * @param {module:model/WebhookEventSample} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} eventName 
     * @param {String} appId 
     * @param {String} oauthAppId 
     * @param {String} webhookSubscriptionId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.version 
     * @param {module:api/WebhooksApi~getWebhookEventSampleCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/WebhookEventSample}
     */
  }, {
    key: "getWebhookEventSample",
    value: function getWebhookEventSample(eventName, appId, oauthAppId, webhookSubscriptionId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'eventName' is set
      if (eventName === undefined || eventName === null) {
        throw new Error("Missing the required parameter 'eventName' when calling getWebhookEventSample");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getWebhookEventSample");
      }
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getWebhookEventSample");
      }
      // verify the required parameter 'webhookSubscriptionId' is set
      if (webhookSubscriptionId === undefined || webhookSubscriptionId === null) {
        throw new Error("Missing the required parameter 'webhookSubscriptionId' when calling getWebhookEventSample");
      }
      var pathParams = {
        'eventName': eventName,
        'appId': appId,
        'oauthAppId': oauthAppId,
        'webhookSubscriptionId': webhookSubscriptionId
      };
      var queryParams = {
        'version': opts['version']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Type', 'CreateTime', 'Body'];
      var returnType = _WebhookEventSample["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/events/{eventName}/test', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getWebhookLogs operation.
     * @callback module:api/WebhooksApi~getWebhookLogsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultWebhookLog} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {Number} webhookSubscriptionId 
     * @param {Date} start 
     * @param {Date} end 
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/WebhooksApi~getWebhookLogsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultWebhookLog}
     */
  }, {
    key: "getWebhookLogs",
    value: function getWebhookLogs(oauthAppId, webhookSubscriptionId, start, end, appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getWebhookLogs");
      }
      // verify the required parameter 'webhookSubscriptionId' is set
      if (webhookSubscriptionId === undefined || webhookSubscriptionId === null) {
        throw new Error("Missing the required parameter 'webhookSubscriptionId' when calling getWebhookLogs");
      }
      // verify the required parameter 'start' is set
      if (start === undefined || start === null) {
        throw new Error("Missing the required parameter 'start' when calling getWebhookLogs");
      }
      // verify the required parameter 'end' is set
      if (end === undefined || end === null) {
        throw new Error("Missing the required parameter 'end' when calling getWebhookLogs");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getWebhookLogs");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'webhookSubscriptionId': webhookSubscriptionId,
        'appId': appId
      };
      var queryParams = {
        'start': start,
        'end': end,
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiPaginationResultWebhookLog["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}/logs', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getWebhookSubscriptions operation.
     * @callback module:api/WebhooksApi~getWebhookSubscriptionsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultWebhookSubscription} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/WebhooksApi~getWebhookSubscriptionsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultWebhookSubscription}
     */
  }, {
    key: "getWebhookSubscriptions",
    value: function getWebhookSubscriptions(oauthAppId, appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling getWebhookSubscriptions");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getWebhookSubscriptions");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'appId': appId
      };
      var queryParams = {
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message'];
      var returnType = _RestApiPaginationResultWebhookSubscription["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateWebhookSubscription operation.
     * @callback module:api/WebhooksApi~updateWebhookSubscriptionCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} oauthAppId 
     * @param {Number} webhookSubscriptionId 
     * @param {String} appId 
     * @param {module:model/WebhookSubscription} webhookSubscription 
     * @param {module:api/WebhooksApi~updateWebhookSubscriptionCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "updateWebhookSubscription",
    value: function updateWebhookSubscription(oauthAppId, webhookSubscriptionId, appId, webhookSubscription, callback) {
      var postBody = webhookSubscription;
      // verify the required parameter 'oauthAppId' is set
      if (oauthAppId === undefined || oauthAppId === null) {
        throw new Error("Missing the required parameter 'oauthAppId' when calling updateWebhookSubscription");
      }
      // verify the required parameter 'webhookSubscriptionId' is set
      if (webhookSubscriptionId === undefined || webhookSubscriptionId === null) {
        throw new Error("Missing the required parameter 'webhookSubscriptionId' when calling updateWebhookSubscription");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling updateWebhookSubscription");
      }
      // verify the required parameter 'webhookSubscription' is set
      if (webhookSubscription === undefined || webhookSubscription === null) {
        throw new Error("Missing the required parameter 'webhookSubscription' when calling updateWebhookSubscription");
      }
      var pathParams = {
        'oauthAppId': oauthAppId,
        'webhookSubscriptionId': webhookSubscriptionId,
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Message'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/webhooks/{oauthAppId}/subscriptions/{webhookSubscriptionId}', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();