"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _IndexPageBase = _interopRequireDefault(require("../model/IndexPageBase"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiResultIndexPage = _interopRequireDefault(require("../model/RestApiResultIndexPage"));
var _RestApiResultIndexPageBase = _interopRequireDefault(require("../model/RestApiResultIndexPageBase"));
var _RestApiResultWebsiteImage = _interopRequireDefault(require("../model/RestApiResultWebsiteImage"));
var _RestApiResultWebsiteTestimonial = _interopRequireDefault(require("../model/RestApiResultWebsiteTestimonial"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _WebsiteTestimonialBase = _interopRequireDefault(require("../model/WebsiteTestimonialBase"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Website service.
* @module api/WebsiteApi
* @version 1.0.0
*/
var WebsiteApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new WebsiteApi. 
  * @alias module:api/WebsiteApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function WebsiteApi(apiClient) {
    _classCallCheck(this, WebsiteApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the addTestimonial operation.
   * @callback module:api/WebsiteApi~addTestimonialCallback
   * @param {String} error Error message, if any.
   * @param {module:model/RestApiResultWebsiteTestimonial} data The data returned by the service call.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {String} appId 
   * @param {module:model/WebsiteTestimonialBase} testimonial 
   * @param {module:api/WebsiteApi~addTestimonialCallback} callback The callback function, accepting three arguments: error, data, response
   * data is of type: {@link module:model/RestApiResultWebsiteTestimonial}
   */
  return _createClass(WebsiteApi, [{
    key: "addTestimonial",
    value: function addTestimonial(appId, testimonial, callback) {
      var postBody = testimonial;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling addTestimonial");
      }
      // verify the required parameter 'testimonial' is set
      if (testimonial === undefined || testimonial === null) {
        throw new Error("Missing the required parameter 'testimonial' when calling addTestimonial");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultWebsiteTestimonial["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/website/testimonial', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteTestimonial operation.
     * @callback module:api/WebsiteApi~deleteTestimonialCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} testimonialId 
     * @param {module:api/WebsiteApi~deleteTestimonialCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteTestimonial",
    value: function deleteTestimonial(appId, testimonialId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteTestimonial");
      }
      // verify the required parameter 'testimonialId' is set
      if (testimonialId === undefined || testimonialId === null) {
        throw new Error("Missing the required parameter 'testimonialId' when calling deleteTestimonial");
      }
      var pathParams = {
        'appId': appId,
        'testimonialId': testimonialId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/website/testimonial/{testimonialId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteWebsiteImage operation.
     * @callback module:api/WebsiteApi~deleteWebsiteImageCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} imageId 
     * @param {module:api/WebsiteApi~deleteWebsiteImageCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "deleteWebsiteImage",
    value: function deleteWebsiteImage(appId, imageId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling deleteWebsiteImage");
      }
      // verify the required parameter 'imageId' is set
      if (imageId === undefined || imageId === null) {
        throw new Error("Missing the required parameter 'imageId' when calling deleteWebsiteImage");
      }
      var pathParams = {
        'appId': appId,
        'imageId': imageId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/website/image/{imageId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the editTestimonial operation.
     * @callback module:api/WebsiteApi~editTestimonialCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultWebsiteTestimonial} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Number} testimonialId 
     * @param {module:model/WebsiteTestimonialBase} testimonial 
     * @param {module:api/WebsiteApi~editTestimonialCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultWebsiteTestimonial}
     */
  }, {
    key: "editTestimonial",
    value: function editTestimonial(appId, testimonialId, testimonial, callback) {
      var postBody = testimonial;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling editTestimonial");
      }
      // verify the required parameter 'testimonialId' is set
      if (testimonialId === undefined || testimonialId === null) {
        throw new Error("Missing the required parameter 'testimonialId' when calling editTestimonial");
      }
      // verify the required parameter 'testimonial' is set
      if (testimonial === undefined || testimonial === null) {
        throw new Error("Missing the required parameter 'testimonial' when calling editTestimonial");
      }
      var pathParams = {
        'appId': appId,
        'testimonialId': testimonialId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultWebsiteTestimonial["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/website/testimonial/{testimonialId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getIndexConfiguration operation.
     * @callback module:api/WebsiteApi~getIndexConfigurationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultIndexPage} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/WebsiteApi~getIndexConfigurationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultIndexPage}
     */
  }, {
    key: "getIndexConfiguration",
    value: function getIndexConfiguration(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getIndexConfiguration");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultIndexPage["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/website/index', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setIndexConfiguration operation.
     * @callback module:api/WebsiteApi~setIndexConfigurationCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultIndexPageBase} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/IndexPageBase} indexPage 
     * @param {module:api/WebsiteApi~setIndexConfigurationCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultIndexPageBase}
     */
  }, {
    key: "setIndexConfiguration",
    value: function setIndexConfiguration(appId, indexPage, callback) {
      var postBody = indexPage;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling setIndexConfiguration");
      }
      // verify the required parameter 'indexPage' is set
      if (indexPage === undefined || indexPage === null) {
        throw new Error("Missing the required parameter 'indexPage' when calling setIndexConfiguration");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultIndexPageBase["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/website/index', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the uploadWebsiteImage operation.
     * @callback module:api/WebsiteApi~uploadWebsiteImageCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultWebsiteImage} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:model/String} imageLocation 
     * @param {File} Image App Logo
     * @param {module:api/WebsiteApi~uploadWebsiteImageCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultWebsiteImage}
     */
  }, {
    key: "uploadWebsiteImage",
    value: function uploadWebsiteImage(appId, imageLocation, Image, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling uploadWebsiteImage");
      }
      // verify the required parameter 'imageLocation' is set
      if (imageLocation === undefined || imageLocation === null) {
        throw new Error("Missing the required parameter 'imageLocation' when calling uploadWebsiteImage");
      }
      // verify the required parameter 'Image' is set
      if (Image === undefined || Image === null) {
        throw new Error("Missing the required parameter 'Image' when calling uploadWebsiteImage");
      }
      var pathParams = {
        'appId': appId,
        'imageLocation': imageLocation
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {
        'Image': Image
      };
      var authNames = ['oauth2'];
      var contentTypes = ['multipart/form-data'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultWebsiteImage["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/website/image/{imageLocation}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the websiteCheckNow operation.
     * @callback module:api/WebsiteApi~websiteCheckNowCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {module:api/WebsiteApi~websiteCheckNowCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "websiteCheckNow",
    value: function websiteCheckNow(appId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling websiteCheckNow");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/{appId}/website/dnscheck', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();