"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _AccountFieldKeyValuePair = _interopRequireDefault(require("./AccountFieldKeyValuePair"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The BankAccountDetailsUpdateRequest model module.
 * @module model/BankAccountDetailsUpdateRequest
 * @version 1.0.0
 */
var BankAccountDetailsUpdateRequest = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>BankAccountDetailsUpdateRequest</code>.
   * Represents a request to update bank account information details
   * @alias module:model/BankAccountDetailsUpdateRequest
   */
  function BankAccountDetailsUpdateRequest() {
    _classCallCheck(this, BankAccountDetailsUpdateRequest);
    BankAccountDetailsUpdateRequest.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(BankAccountDetailsUpdateRequest, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>BankAccountDetailsUpdateRequest</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/BankAccountDetailsUpdateRequest} obj Optional instance to populate.
     * @return {module:model/BankAccountDetailsUpdateRequest} The populated <code>BankAccountDetailsUpdateRequest</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new BankAccountDetailsUpdateRequest();
        if (data.hasOwnProperty('BankAddress')) {
          obj['BankAddress'] = _ApiClient["default"].convertToType(data['BankAddress'], 'String');
        }
        if (data.hasOwnProperty('AccountHolderAddress')) {
          obj['AccountHolderAddress'] = _ApiClient["default"].convertToType(data['AccountHolderAddress'], 'String');
        }
        if (data.hasOwnProperty('VatNumber')) {
          obj['VatNumber'] = _ApiClient["default"].convertToType(data['VatNumber'], 'String');
        }
        if (data.hasOwnProperty('StoreIds')) {
          obj['StoreIds'] = _ApiClient["default"].convertToType(data['StoreIds'], ['Number']);
        }
        if (data.hasOwnProperty('BankName')) {
          obj['BankName'] = _ApiClient["default"].convertToType(data['BankName'], 'String');
        }
        if (data.hasOwnProperty('AccountName')) {
          obj['AccountName'] = _ApiClient["default"].convertToType(data['AccountName'], 'String');
        }
        if (data.hasOwnProperty('Iban')) {
          obj['Iban'] = _ApiClient["default"].convertToType(data['Iban'], 'String');
        }
        if (data.hasOwnProperty('Swift')) {
          obj['Swift'] = _ApiClient["default"].convertToType(data['Swift'], 'String');
        }
        if (data.hasOwnProperty('NationalClearingCode')) {
          obj['NationalClearingCode'] = _ApiClient["default"].convertToType(data['NationalClearingCode'], 'String');
        }
        if (data.hasOwnProperty('PopulatedAccountFields')) {
          obj['PopulatedAccountFields'] = _ApiClient["default"].convertToType(data['PopulatedAccountFields'], [_AccountFieldKeyValuePair["default"]]);
        }
        if (data.hasOwnProperty('RejectionReason')) {
          obj['RejectionReason'] = _ApiClient["default"].convertToType(data['RejectionReason'], 'String');
        }
        if (data.hasOwnProperty('BusinessType')) {
          obj['BusinessType'] = _ApiClient["default"].convertToType(data['BusinessType'], 'String');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Address of the bank account
 * @member {String} BankAddress
 */
BankAccountDetailsUpdateRequest.prototype['BankAddress'] = undefined;

/**
 * Address of the payee
 * @member {String} AccountHolderAddress
 */
BankAccountDetailsUpdateRequest.prototype['AccountHolderAddress'] = undefined;

/**
 * Account Holders Vat Number
 * @member {String} VatNumber
 */
BankAccountDetailsUpdateRequest.prototype['VatNumber'] = undefined;

/**
 * List of stores to attach to Account
 * @member {Array.<Number>} StoreIds
 */
BankAccountDetailsUpdateRequest.prototype['StoreIds'] = undefined;

/**
 * Name of Bank
 * @member {String} BankName
 */
BankAccountDetailsUpdateRequest.prototype['BankName'] = undefined;

/**
 * Name of this account
 * @member {String} AccountName
 */
BankAccountDetailsUpdateRequest.prototype['AccountName'] = undefined;

/**
 * IBAN of this account
 * @member {String} Iban
 */
BankAccountDetailsUpdateRequest.prototype['Iban'] = undefined;

/**
 * SWIFT of this bank account
 * @member {String} Swift
 */
BankAccountDetailsUpdateRequest.prototype['Swift'] = undefined;

/**
 * National Clearing Code (BSB in Australia, Routing Number in USA/Canada, NCC in NZ)
 * @member {String} NationalClearingCode
 */
BankAccountDetailsUpdateRequest.prototype['NationalClearingCode'] = undefined;

/**
 * A list of one or more populated account fields (field key-value pairs).  If this list contains at least one item, the Iban, Swift and NationalClearingCode fields will be ignored.
 * @member {Array.<module:model/AccountFieldKeyValuePair>} PopulatedAccountFields
 */
BankAccountDetailsUpdateRequest.prototype['PopulatedAccountFields'] = undefined;

/**
 * Reason for Rejection
 * @member {String} RejectionReason
 */
BankAccountDetailsUpdateRequest.prototype['RejectionReason'] = undefined;

/**
 * Business Type
 * @member {module:model/BankAccountDetailsUpdateRequest.BusinessTypeEnum} BusinessType
 */
BankAccountDetailsUpdateRequest.prototype['BusinessType'] = undefined;

/**
 * Allowed values for the <code>BusinessType</code> property.
 * @enum {String}
 * @readonly
 */
BankAccountDetailsUpdateRequest['BusinessTypeEnum'] = {
  /**
   * value: "Individual"
   * @const
   */
  "Individual": "Individual",
  /**
   * value: "Company"
   * @const
   */
  "Company": "Company",
  /**
   * value: "NonProfit"
   * @const
   */
  "NonProfit": "NonProfit",
  /**
   * value: "GovernmentEntity"
   * @const
   */
  "GovernmentEntity": "GovernmentEntity"
};
var _default = exports["default"] = BankAccountDetailsUpdateRequest;