"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _AccountFieldKeyValuePair = _interopRequireDefault(require("./AccountFieldKeyValuePair"));
var _StripeConnectedAccountInfo = _interopRequireDefault(require("./StripeConnectedAccountInfo"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The BankAccountSummary model module.
 * @module model/BankAccountSummary
 * @version 1.0.0
 */
var BankAccountSummary = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>BankAccountSummary</code>.
   * 
   * @alias module:model/BankAccountSummary
   */
  function BankAccountSummary() {
    _classCallCheck(this, BankAccountSummary);
    BankAccountSummary.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(BankAccountSummary, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>BankAccountSummary</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/BankAccountSummary} obj Optional instance to populate.
     * @return {module:model/BankAccountSummary} The populated <code>BankAccountSummary</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new BankAccountSummary();
        if (data.hasOwnProperty('Id')) {
          obj['Id'] = _ApiClient["default"].convertToType(data['Id'], 'Number');
        }
        if (data.hasOwnProperty('StoreNames')) {
          obj['StoreNames'] = _ApiClient["default"].convertToType(data['StoreNames'], ['String']);
        }
        if (data.hasOwnProperty('StoreIds')) {
          obj['StoreIds'] = _ApiClient["default"].convertToType(data['StoreIds'], ['Number']);
        }
        if (data.hasOwnProperty('AccountState')) {
          obj['AccountState'] = _ApiClient["default"].convertToType(data['AccountState'], 'String');
        }
        if (data.hasOwnProperty('CurrencyCode')) {
          obj['CurrencyCode'] = _ApiClient["default"].convertToType(data['CurrencyCode'], 'String');
        }
        if (data.hasOwnProperty('StripeConnectedAccountInfo')) {
          obj['StripeConnectedAccountInfo'] = _StripeConnectedAccountInfo["default"].constructFromObject(data['StripeConnectedAccountInfo']);
        }
        if (data.hasOwnProperty('AccountName')) {
          obj['AccountName'] = _ApiClient["default"].convertToType(data['AccountName'], 'String');
        }
        if (data.hasOwnProperty('Iban')) {
          obj['Iban'] = _ApiClient["default"].convertToType(data['Iban'], 'String');
        }
        if (data.hasOwnProperty('Swift')) {
          obj['Swift'] = _ApiClient["default"].convertToType(data['Swift'], 'String');
        }
        if (data.hasOwnProperty('NationalClearingCode')) {
          obj['NationalClearingCode'] = _ApiClient["default"].convertToType(data['NationalClearingCode'], 'String');
        }
        if (data.hasOwnProperty('PopulatedAccountFields')) {
          obj['PopulatedAccountFields'] = _ApiClient["default"].convertToType(data['PopulatedAccountFields'], [_AccountFieldKeyValuePair["default"]]);
        }
        if (data.hasOwnProperty('RejectionReason')) {
          obj['RejectionReason'] = _ApiClient["default"].convertToType(data['RejectionReason'], 'String');
        }
        if (data.hasOwnProperty('BusinessType')) {
          obj['BusinessType'] = _ApiClient["default"].convertToType(data['BusinessType'], 'String');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Id of this account
 * @member {Number} Id
 */
BankAccountSummary.prototype['Id'] = undefined;

/**
 * Store Names that are attached to this account
 * @member {Array.<String>} StoreNames
 */
BankAccountSummary.prototype['StoreNames'] = undefined;

/**
 * Store Ids that are attached to this account
 * @member {Array.<Number>} StoreIds
 */
BankAccountSummary.prototype['StoreIds'] = undefined;

/**
 * Status of Account
 * @member {module:model/BankAccountSummary.AccountStateEnum} AccountState
 */
BankAccountSummary.prototype['AccountState'] = undefined;

/**
 * Currency of Account
 * @member {String} CurrencyCode
 */
BankAccountSummary.prototype['CurrencyCode'] = undefined;

/**
 * @member {module:model/StripeConnectedAccountInfo} StripeConnectedAccountInfo
 */
BankAccountSummary.prototype['StripeConnectedAccountInfo'] = undefined;

/**
 * Name of this account
 * @member {String} AccountName
 */
BankAccountSummary.prototype['AccountName'] = undefined;

/**
 * IBAN of this account
 * @member {String} Iban
 */
BankAccountSummary.prototype['Iban'] = undefined;

/**
 * SWIFT of this bank account
 * @member {String} Swift
 */
BankAccountSummary.prototype['Swift'] = undefined;

/**
 * National Clearing Code (BSB in Australia, Routing Number in USA/Canada, NCC in NZ)
 * @member {String} NationalClearingCode
 */
BankAccountSummary.prototype['NationalClearingCode'] = undefined;

/**
 * A list of one or more populated account fields (field key-value pairs).  If this list contains at least one item, the Iban, Swift and NationalClearingCode fields will be ignored.
 * @member {Array.<module:model/AccountFieldKeyValuePair>} PopulatedAccountFields
 */
BankAccountSummary.prototype['PopulatedAccountFields'] = undefined;

/**
 * Reason for Rejection
 * @member {String} RejectionReason
 */
BankAccountSummary.prototype['RejectionReason'] = undefined;

/**
 * Business Type
 * @member {module:model/BankAccountSummary.BusinessTypeEnum} BusinessType
 */
BankAccountSummary.prototype['BusinessType'] = undefined;

/**
 * Allowed values for the <code>AccountState</code> property.
 * @enum {String}
 * @readonly
 */
BankAccountSummary['AccountStateEnum'] = {
  /**
   * value: "Unverified"
   * @const
   */
  "Unverified": "Unverified",
  /**
   * value: "AwatingVerification"
   * @const
   */
  "AwatingVerification": "AwatingVerification",
  /**
   * value: "Verified"
   * @const
   */
  "Verified": "Verified",
  /**
   * value: "Grandfathered"
   * @const
   */
  "Grandfathered": "Grandfathered"
};

/**
 * Allowed values for the <code>BusinessType</code> property.
 * @enum {String}
 * @readonly
 */
BankAccountSummary['BusinessTypeEnum'] = {
  /**
   * value: "Individual"
   * @const
   */
  "Individual": "Individual",
  /**
   * value: "Company"
   * @const
   */
  "Company": "Company",
  /**
   * value: "NonProfit"
   * @const
   */
  "NonProfit": "NonProfit",
  /**
   * value: "GovernmentEntity"
   * @const
   */
  "GovernmentEntity": "GovernmentEntity"
};
var _default = exports["default"] = BankAccountSummary;