"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CatalogGroupReference = _interopRequireDefault(require("./CatalogGroupReference"));
var _Metafield = _interopRequireDefault(require("./Metafield"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The CatalogItem model module.
 * @module model/CatalogItem
 * @version 1.0.0
 */
var CatalogItem = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>CatalogItem</code>.
   * CatalogItem
   * @alias module:model/CatalogItem
   * @param ItemType {module:model/CatalogItem.ItemTypeEnum} Type of item (Product, Modifier, etc)
   * @param Sku {String} Stock Keeping Unit (SKU)
   * @param Name {String} Item name
   * @param Price {Number} Item price
   */
  function CatalogItem(ItemType, Sku, Name, Price) {
    _classCallCheck(this, CatalogItem);
    CatalogItem.initialize(this, ItemType, Sku, Name, Price);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(CatalogItem, null, [{
    key: "initialize",
    value: function initialize(obj, ItemType, Sku, Name, Price) {
      obj['ItemType'] = ItemType;
      obj['Sku'] = Sku;
      obj['Name'] = Name;
      obj['Price'] = Price;
    }

    /**
     * Constructs a <code>CatalogItem</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CatalogItem} obj Optional instance to populate.
     * @return {module:model/CatalogItem} The populated <code>CatalogItem</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new CatalogItem();
        if (data.hasOwnProperty('CatalogItemId')) {
          obj['CatalogItemId'] = _ApiClient["default"].convertToType(data['CatalogItemId'], 'String');
        }
        if (data.hasOwnProperty('IsArchived')) {
          obj['IsArchived'] = _ApiClient["default"].convertToType(data['IsArchived'], 'Boolean');
        }
        if (data.hasOwnProperty('Groups')) {
          obj['Groups'] = _ApiClient["default"].convertToType(data['Groups'], [_CatalogGroupReference["default"]]);
        }
        if (data.hasOwnProperty('Metafields')) {
          obj['Metafields'] = _ApiClient["default"].convertToType(data['Metafields'], [_Metafield["default"]]);
        }
        if (data.hasOwnProperty('ItemType')) {
          obj['ItemType'] = _ApiClient["default"].convertToType(data['ItemType'], 'String');
        }
        if (data.hasOwnProperty('Sku')) {
          obj['Sku'] = _ApiClient["default"].convertToType(data['Sku'], 'String');
        }
        if (data.hasOwnProperty('Name')) {
          obj['Name'] = _ApiClient["default"].convertToType(data['Name'], 'String');
        }
        if (data.hasOwnProperty('Description')) {
          obj['Description'] = _ApiClient["default"].convertToType(data['Description'], 'String');
        }
        if (data.hasOwnProperty('Price')) {
          obj['Price'] = _ApiClient["default"].convertToType(data['Price'], 'Number');
        }
        if (data.hasOwnProperty('ImageFileName')) {
          obj['ImageFileName'] = _ApiClient["default"].convertToType(data['ImageFileName'], 'String');
        }
        if (data.hasOwnProperty('Alcohol')) {
          obj['Alcohol'] = _ApiClient["default"].convertToType(data['Alcohol'], 'Boolean');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Unique catalog Item id
 * @member {String} CatalogItemId
 */
CatalogItem.prototype['CatalogItemId'] = undefined;

/**
 * Returns true if the item is archived
 * @member {Boolean} IsArchived
 */
CatalogItem.prototype['IsArchived'] = undefined;

/**
 * Collection of groups associated with this item
 * @member {Array.<module:model/CatalogGroupReference>} Groups
 */
CatalogItem.prototype['Groups'] = undefined;

/**
 * Collection of metafields
 * @member {Array.<module:model/Metafield>} Metafields
 */
CatalogItem.prototype['Metafields'] = undefined;

/**
 * Type of item (Product, Modifier, etc)
 * @member {module:model/CatalogItem.ItemTypeEnum} ItemType
 */
CatalogItem.prototype['ItemType'] = undefined;

/**
 * Stock Keeping Unit (SKU)
 * @member {String} Sku
 */
CatalogItem.prototype['Sku'] = undefined;

/**
 * Item name
 * @member {String} Name
 */
CatalogItem.prototype['Name'] = undefined;

/**
 * Item description
 * @member {String} Description
 */
CatalogItem.prototype['Description'] = undefined;

/**
 * Item price
 * @member {Number} Price
 */
CatalogItem.prototype['Price'] = undefined;

/**
 * Image File Name
 * @member {String} ImageFileName
 */
CatalogItem.prototype['ImageFileName'] = undefined;

/**
 * item contains alcohol
 * @member {Boolean} Alcohol
 */
CatalogItem.prototype['Alcohol'] = undefined;

/**
 * Allowed values for the <code>ItemType</code> property.
 * @enum {String}
 * @readonly
 */
CatalogItem['ItemTypeEnum'] = {
  /**
   * value: "Product"
   * @const
   */
  "Product": "Product",
  /**
   * value: "Modifier"
   * @const
   */
  "Modifier": "Modifier"
};
var _default = exports["default"] = CatalogItem;