"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateFullMenuSection = _interopRequireDefault(require("./CreateFullMenuSection"));
var _CreateMenuTaxRate = _interopRequireDefault(require("./CreateMenuTaxRate"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The CreateFullMenu model module.
 * @module model/CreateFullMenu
 * @version 1.0.0
 */
var CreateFullMenu = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>CreateFullMenu</code>.
   * Create menu object
   * @alias module:model/CreateFullMenu
   */
  function CreateFullMenu() {
    _classCallCheck(this, CreateFullMenu);
    CreateFullMenu.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(CreateFullMenu, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>CreateFullMenu</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateFullMenu} obj Optional instance to populate.
     * @return {module:model/CreateFullMenu} The populated <code>CreateFullMenu</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new CreateFullMenu();
        if (data.hasOwnProperty('Name')) {
          obj['Name'] = _ApiClient["default"].convertToType(data['Name'], 'String');
        }
        if (data.hasOwnProperty('ImageUrl')) {
          obj['ImageUrl'] = _ApiClient["default"].convertToType(data['ImageUrl'], 'String');
        }
        if (data.hasOwnProperty('MenuSections')) {
          obj['MenuSections'] = _ApiClient["default"].convertToType(data['MenuSections'], [_CreateFullMenuSection["default"]]);
        }
        if (data.hasOwnProperty('TaxRates')) {
          obj['TaxRates'] = _ApiClient["default"].convertToType(data['TaxRates'], [_CreateMenuTaxRate["default"]]);
        }
        if (data.hasOwnProperty('DisplaySectionLinks')) {
          obj['DisplaySectionLinks'] = _ApiClient["default"].convertToType(data['DisplaySectionLinks'], 'Boolean');
        }
        if (data.hasOwnProperty('MenuSectionBehaviour')) {
          obj['MenuSectionBehaviour'] = _ApiClient["default"].convertToType(data['MenuSectionBehaviour'], 'String');
        }
        if (data.hasOwnProperty('TaxType')) {
          obj['TaxType'] = _ApiClient["default"].convertToType(data['TaxType'], 'String');
        }
        if (data.hasOwnProperty('IsIntegrated')) {
          obj['IsIntegrated'] = _ApiClient["default"].convertToType(data['IsIntegrated'], 'Boolean');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Name of Menu, only shown in portal
 * @member {String} Name
 */
CreateFullMenu.prototype['Name'] = undefined;

/**
 * Image url
 * @member {String} ImageUrl
 */
CreateFullMenu.prototype['ImageUrl'] = undefined;

/**
 * Menu sections (starters, main etc)
 * @member {Array.<module:model/CreateFullMenuSection>} MenuSections
 */
CreateFullMenu.prototype['MenuSections'] = undefined;

/**
 * Menu tax rates
 * @member {Array.<module:model/CreateMenuTaxRate>} TaxRates
 */
CreateFullMenu.prototype['TaxRates'] = undefined;

/**
 * Display menu section link on UI
 * @member {Boolean} DisplaySectionLinks
 */
CreateFullMenu.prototype['DisplaySectionLinks'] = undefined;

/**
 * Menu section behaviour
 * @member {module:model/CreateFullMenu.MenuSectionBehaviourEnum} MenuSectionBehaviour
 */
CreateFullMenu.prototype['MenuSectionBehaviour'] = undefined;

/**
 * Tax type
 * @member {module:model/CreateFullMenu.TaxTypeEnum} TaxType
 */
CreateFullMenu.prototype['TaxType'] = undefined;

/**
 * Flag to indicate if the menu is integrated (contains metadata)
 * @member {Boolean} IsIntegrated
 */
CreateFullMenu.prototype['IsIntegrated'] = undefined;

/**
 * Allowed values for the <code>MenuSectionBehaviour</code> property.
 * @enum {String}
 * @readonly
 */
CreateFullMenu['MenuSectionBehaviourEnum'] = {
  /**
   * value: "ExpandSingle"
   * @const
   */
  "ExpandSingle": "ExpandSingle",
  /**
   * value: "ExpandMultiple"
   * @const
   */
  "ExpandMultiple": "ExpandMultiple"
};

/**
 * Allowed values for the <code>TaxType</code> property.
 * @enum {String}
 * @readonly
 */
CreateFullMenu['TaxTypeEnum'] = {
  /**
   * value: "IncludedInBasePrice"
   * @const
   */
  "IncludedInBasePrice": "IncludedInBasePrice",
  /**
   * value: "ExcludedFromBasePrice"
   * @const
   */
  "ExcludedFromBasePrice": "ExcludedFromBasePrice"
};
var _default = exports["default"] = CreateFullMenu;