"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreateProductReference = _interopRequireDefault(require("./CreateProductReference"));
var _Metafield = _interopRequireDefault(require("./Metafield"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The CreateGroup model module.
 * @module model/CreateGroup
 * @version 1.0.0
 */
var CreateGroup = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>CreateGroup</code>.
   * Create a Catalog Group
   * @alias module:model/CreateGroup
   * @param GroupType {module:model/CreateGroup.GroupTypeEnum} Type of group (ModifierGroup, etc)
   * @param Sku {String} Stock Keeping Unit (SKU)
   * @param Name {String} Group name
   */
  function CreateGroup(GroupType, Sku, Name) {
    _classCallCheck(this, CreateGroup);
    CreateGroup.initialize(this, GroupType, Sku, Name);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(CreateGroup, null, [{
    key: "initialize",
    value: function initialize(obj, GroupType, Sku, Name) {
      obj['GroupType'] = GroupType;
      obj['Sku'] = Sku;
      obj['Name'] = Name;
    }

    /**
     * Constructs a <code>CreateGroup</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateGroup} obj Optional instance to populate.
     * @return {module:model/CreateGroup} The populated <code>CreateGroup</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new CreateGroup();
        if (data.hasOwnProperty('MinSelectCount')) {
          obj['MinSelectCount'] = _ApiClient["default"].convertToType(data['MinSelectCount'], 'Number');
        }
        if (data.hasOwnProperty('MaxSelectCount')) {
          obj['MaxSelectCount'] = _ApiClient["default"].convertToType(data['MaxSelectCount'], 'Number');
        }
        if (data.hasOwnProperty('Products')) {
          obj['Products'] = _ApiClient["default"].convertToType(data['Products'], [_CreateProductReference["default"]]);
        }
        if (data.hasOwnProperty('Metafields')) {
          obj['Metafields'] = _ApiClient["default"].convertToType(data['Metafields'], [_Metafield["default"]]);
        }
        if (data.hasOwnProperty('GroupType')) {
          obj['GroupType'] = _ApiClient["default"].convertToType(data['GroupType'], 'String');
        }
        if (data.hasOwnProperty('Sku')) {
          obj['Sku'] = _ApiClient["default"].convertToType(data['Sku'], 'String');
        }
        if (data.hasOwnProperty('Name')) {
          obj['Name'] = _ApiClient["default"].convertToType(data['Name'], 'String');
        }
        if (data.hasOwnProperty('AutogenerateDisplayText')) {
          obj['AutogenerateDisplayText'] = _ApiClient["default"].convertToType(data['AutogenerateDisplayText'], 'Boolean');
        }
        if (data.hasOwnProperty('ImageFileName')) {
          obj['ImageFileName'] = _ApiClient["default"].convertToType(data['ImageFileName'], 'String');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Minimum number of items that the user has to select
 * @member {Number} MinSelectCount
 */
CreateGroup.prototype['MinSelectCount'] = undefined;

/**
 * Maximum number of items that the user has to select
 * @member {Number} MaxSelectCount
 */
CreateGroup.prototype['MaxSelectCount'] = undefined;

/**
 * Collection of items associated with this group
 * @member {Array.<module:model/CreateProductReference>} Products
 */
CreateGroup.prototype['Products'] = undefined;

/**
 * Collection of metafields
 * @member {Array.<module:model/Metafield>} Metafields
 */
CreateGroup.prototype['Metafields'] = undefined;

/**
 * Type of group (ModifierGroup, etc)
 * @member {module:model/CreateGroup.GroupTypeEnum} GroupType
 */
CreateGroup.prototype['GroupType'] = undefined;

/**
 * Stock Keeping Unit (SKU)
 * @member {String} Sku
 */
CreateGroup.prototype['Sku'] = undefined;

/**
 * Group name
 * @member {String} Name
 */
CreateGroup.prototype['Name'] = undefined;

/**
 * Autogenerate display text in ordering applications
 * @member {Boolean} AutogenerateDisplayText
 */
CreateGroup.prototype['AutogenerateDisplayText'] = undefined;

/**
 * Image File Name
 * @member {String} ImageFileName
 */
CreateGroup.prototype['ImageFileName'] = undefined;

/**
 * Allowed values for the <code>GroupType</code> property.
 * @enum {String}
 * @readonly
 */
CreateGroup['GroupTypeEnum'] = {
  /**
   * value: "ModifierGroup"
   * @const
   */
  "ModifierGroup": "ModifierGroup"
};
var _default = exports["default"] = CreateGroup;