"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _Metafield = _interopRequireDefault(require("./Metafield"));
var _ProductReference = _interopRequireDefault(require("./ProductReference"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The Group model module.
 * @module model/Group
 * @version 1.0.0
 */
var Group = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>Group</code>.
   * CatalogGroup
   * @alias module:model/Group
   * @param GroupType {module:model/Group.GroupTypeEnum} Type of group (ModifierGroup, etc)
   * @param Sku {String} Stock Keeping Unit (SKU)
   * @param Name {String} Group name
   */
  function Group(GroupType, Sku, Name) {
    _classCallCheck(this, Group);
    Group.initialize(this, GroupType, Sku, Name);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(Group, null, [{
    key: "initialize",
    value: function initialize(obj, GroupType, Sku, Name) {
      obj['GroupType'] = GroupType;
      obj['Sku'] = Sku;
      obj['Name'] = Name;
    }

    /**
     * Constructs a <code>Group</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Group} obj Optional instance to populate.
     * @return {module:model/Group} The populated <code>Group</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new Group();
        if (data.hasOwnProperty('CatalogGroupId')) {
          obj['CatalogGroupId'] = _ApiClient["default"].convertToType(data['CatalogGroupId'], 'String');
        }
        if (data.hasOwnProperty('CatalogItemId')) {
          obj['CatalogItemId'] = _ApiClient["default"].convertToType(data['CatalogItemId'], 'String');
        }
        if (data.hasOwnProperty('IsArchived')) {
          obj['IsArchived'] = _ApiClient["default"].convertToType(data['IsArchived'], 'Boolean');
        }
        if (data.hasOwnProperty('MinSelectCount')) {
          obj['MinSelectCount'] = _ApiClient["default"].convertToType(data['MinSelectCount'], 'Number');
        }
        if (data.hasOwnProperty('MaxSelectCount')) {
          obj['MaxSelectCount'] = _ApiClient["default"].convertToType(data['MaxSelectCount'], 'Number');
        }
        if (data.hasOwnProperty('Products')) {
          obj['Products'] = _ApiClient["default"].convertToType(data['Products'], [_ProductReference["default"]]);
        }
        if (data.hasOwnProperty('Metafields')) {
          obj['Metafields'] = _ApiClient["default"].convertToType(data['Metafields'], [_Metafield["default"]]);
        }
        if (data.hasOwnProperty('GroupType')) {
          obj['GroupType'] = _ApiClient["default"].convertToType(data['GroupType'], 'String');
        }
        if (data.hasOwnProperty('Sku')) {
          obj['Sku'] = _ApiClient["default"].convertToType(data['Sku'], 'String');
        }
        if (data.hasOwnProperty('Name')) {
          obj['Name'] = _ApiClient["default"].convertToType(data['Name'], 'String');
        }
        if (data.hasOwnProperty('AutogenerateDisplayText')) {
          obj['AutogenerateDisplayText'] = _ApiClient["default"].convertToType(data['AutogenerateDisplayText'], 'Boolean');
        }
        if (data.hasOwnProperty('ImageFileName')) {
          obj['ImageFileName'] = _ApiClient["default"].convertToType(data['ImageFileName'], 'String');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Unique catalog group id
 * @member {String} CatalogGroupId
 */
Group.prototype['CatalogGroupId'] = undefined;

/**
 * Unique catalog item id
 * @member {String} CatalogItemId
 */
Group.prototype['CatalogItemId'] = undefined;

/**
 * Returns true if the group is archived
 * @member {Boolean} IsArchived
 */
Group.prototype['IsArchived'] = undefined;

/**
 * Minimum number of items that the user has to select
 * @member {Number} MinSelectCount
 */
Group.prototype['MinSelectCount'] = undefined;

/**
 * Maximum number of items that the user has to select
 * @member {Number} MaxSelectCount
 */
Group.prototype['MaxSelectCount'] = undefined;

/**
 * Collection of items associated with this product
 * @member {Array.<module:model/ProductReference>} Products
 */
Group.prototype['Products'] = undefined;

/**
 * Collection of metafields
 * @member {Array.<module:model/Metafield>} Metafields
 */
Group.prototype['Metafields'] = undefined;

/**
 * Type of group (ModifierGroup, etc)
 * @member {module:model/Group.GroupTypeEnum} GroupType
 */
Group.prototype['GroupType'] = undefined;

/**
 * Stock Keeping Unit (SKU)
 * @member {String} Sku
 */
Group.prototype['Sku'] = undefined;

/**
 * Group name
 * @member {String} Name
 */
Group.prototype['Name'] = undefined;

/**
 * Autogenerate display text in ordering applications
 * @member {Boolean} AutogenerateDisplayText
 */
Group.prototype['AutogenerateDisplayText'] = undefined;

/**
 * Image File Name
 * @member {String} ImageFileName
 */
Group.prototype['ImageFileName'] = undefined;

/**
 * Allowed values for the <code>GroupType</code> property.
 * @enum {String}
 * @readonly
 */
Group['GroupTypeEnum'] = {
  /**
   * value: "ModifierGroup"
   * @const
   */
  "ModifierGroup": "ModifierGroup"
};
var _default = exports["default"] = Group;