"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _DeviceSettings = _interopRequireDefault(require("./DeviceSettings"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The HydraConfig model module.
 * @module model/HydraConfig
 * @version 1.0.0
 */
var HydraConfig = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>HydraConfig</code>.
   * Hydra configuration
   * @alias module:model/HydraConfig
   * @param MinimumVersion {String} Minimum version
   * @param PaymentOptions {Array.<module:model/HydraConfig.PaymentOptionsEnum>} Payment options
   * @param DeviceSettings {module:model/DeviceSettings} 
   */
  function HydraConfig(MinimumVersion, PaymentOptions, DeviceSettings) {
    _classCallCheck(this, HydraConfig);
    HydraConfig.initialize(this, MinimumVersion, PaymentOptions, DeviceSettings);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(HydraConfig, null, [{
    key: "initialize",
    value: function initialize(obj, MinimumVersion, PaymentOptions, DeviceSettings) {
      obj['MinimumVersion'] = MinimumVersion;
      obj['PaymentOptions'] = PaymentOptions;
      obj['DeviceSettings'] = DeviceSettings;
    }

    /**
     * Constructs a <code>HydraConfig</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/HydraConfig} obj Optional instance to populate.
     * @return {module:model/HydraConfig} The populated <code>HydraConfig</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new HydraConfig();
        if (data.hasOwnProperty('MinimumVersion')) {
          obj['MinimumVersion'] = _ApiClient["default"].convertToType(data['MinimumVersion'], 'String');
        }
        if (data.hasOwnProperty('PaymentOptions')) {
          obj['PaymentOptions'] = _ApiClient["default"].convertToType(data['PaymentOptions'], ['String']);
        }
        if (data.hasOwnProperty('DeviceSettings')) {
          obj['DeviceSettings'] = _DeviceSettings["default"].constructFromObject(data['DeviceSettings']);
        }
        if (data.hasOwnProperty('Version')) {
          obj['Version'] = _ApiClient["default"].convertToType(data['Version'], 'String');
        }
        if (data.hasOwnProperty('BuildNumber')) {
          obj['BuildNumber'] = _ApiClient["default"].convertToType(data['BuildNumber'], 'String');
        }
        if (data.hasOwnProperty('GitSha')) {
          obj['GitSha'] = _ApiClient["default"].convertToType(data['GitSha'], 'String');
        }
        if (data.hasOwnProperty('GitBranch')) {
          obj['GitBranch'] = _ApiClient["default"].convertToType(data['GitBranch'], 'String');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Minimum version
 * @member {String} MinimumVersion
 */
HydraConfig.prototype['MinimumVersion'] = undefined;

/**
 * Payment options
 * @member {Array.<module:model/HydraConfig.PaymentOptionsEnum>} PaymentOptions
 */
HydraConfig.prototype['PaymentOptions'] = undefined;

/**
 * @member {module:model/DeviceSettings} DeviceSettings
 */
HydraConfig.prototype['DeviceSettings'] = undefined;

/**
 * Version of the device
 * @member {String} Version
 */
HydraConfig.prototype['Version'] = undefined;

/**
 * Build number of the device
 * @member {String} BuildNumber
 */
HydraConfig.prototype['BuildNumber'] = undefined;

/**
 * SHA of the commit
 * @member {String} GitSha
 */
HydraConfig.prototype['GitSha'] = undefined;

/**
 * Build branch
 * @member {String} GitBranch
 */
HydraConfig.prototype['GitBranch'] = undefined;

/**
 * Allowed values for the <code>PaymentOptions</code> property.
 * @enum {String}
 * @readonly
 */
HydraConfig['PaymentOptionsEnum'] = {
  /**
   * value: "Online"
   * @const
   */
  "Online": "Online",
  /**
   * value: "Emv"
   * @const
   */
  "Emv": "Emv",
  /**
   * value: "Counter"
   * @const
   */
  "Counter": "Counter"
};
var _default = exports["default"] = HydraConfig;