"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The HydraStatus model module.
 * @module model/HydraStatus
 * @version 1.0.0
 */
var HydraStatus = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>HydraStatus</code>.
   * Hydra status
   * @alias module:model/HydraStatus
   * @param AppId {String} 
   * @param IsRegistered {Boolean} The device has been already registered
   */
  function HydraStatus(AppId, IsRegistered) {
    _classCallCheck(this, HydraStatus);
    HydraStatus.initialize(this, AppId, IsRegistered);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(HydraStatus, null, [{
    key: "initialize",
    value: function initialize(obj, AppId, IsRegistered) {
      obj['AppId'] = AppId;
      obj['IsRegistered'] = IsRegistered;
    }

    /**
     * Constructs a <code>HydraStatus</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/HydraStatus} obj Optional instance to populate.
     * @return {module:model/HydraStatus} The populated <code>HydraStatus</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new HydraStatus();
        if (data.hasOwnProperty('AppId')) {
          obj['AppId'] = _ApiClient["default"].convertToType(data['AppId'], 'String');
        }
        if (data.hasOwnProperty('StoreIds')) {
          obj['StoreIds'] = _ApiClient["default"].convertToType(data['StoreIds'], ['Number']);
        }
        if (data.hasOwnProperty('IsRegistered')) {
          obj['IsRegistered'] = _ApiClient["default"].convertToType(data['IsRegistered'], 'Boolean');
        }
        if (data.hasOwnProperty('PinCode')) {
          obj['PinCode'] = _ApiClient["default"].convertToType(data['PinCode'], 'Number');
        }
        if (data.hasOwnProperty('Images')) {
          obj['Images'] = _ApiClient["default"].convertToType(data['Images'], ['String']);
        }
        if (data.hasOwnProperty('UserType')) {
          obj['UserType'] = _ApiClient["default"].convertToType(data['UserType'], 'String');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * 
 * @member {String} AppId
 */
HydraStatus.prototype['AppId'] = undefined;

/**
 * Store to assign the hydra
 * @member {Array.<Number>} StoreIds
 */
HydraStatus.prototype['StoreIds'] = undefined;

/**
 * The device has been already registered
 * @member {Boolean} IsRegistered
 */
HydraStatus.prototype['IsRegistered'] = undefined;

/**
 * 6 digit PIN code (not starting with zero).
 * @member {Number} PinCode
 */
HydraStatus.prototype['PinCode'] = undefined;

/**
 * Hydra images (covers)
 * @member {Array.<String>} Images
 */
HydraStatus.prototype['Images'] = undefined;

/**
 * Hydra User Type
 * @member {module:model/HydraStatus.UserTypeEnum} UserType
 */
HydraStatus.prototype['UserType'] = undefined;

/**
 * Allowed values for the <code>UserType</code> property.
 * @enum {String}
 * @readonly
 */
HydraStatus['UserTypeEnum'] = {
  /**
   * value: "Kiosk"
   * @const
   */
  "Kiosk": "Kiosk",
  /**
   * value: "Terminal"
   * @const
   */
  "Terminal": "Terminal",
  /**
   * value: "LegacyPrinter"
   * @const
   */
  "LegacyPrinter": "LegacyPrinter"
};
var _default = exports["default"] = HydraStatus;