"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The OAuthApp model module.
 * @module model/OAuthApp
 * @version 1.0.0
 */
var OAuthApp = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>OAuthApp</code>.
   * Oauth client (also knowns as &#39;app&#39;)
   * @alias module:model/OAuthApp
   */
  function OAuthApp() {
    _classCallCheck(this, OAuthApp);
    OAuthApp.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(OAuthApp, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>OAuthApp</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/OAuthApp} obj Optional instance to populate.
     * @return {module:model/OAuthApp} The populated <code>OAuthApp</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new OAuthApp();
        if (data.hasOwnProperty('OauthAppId')) {
          obj['OauthAppId'] = _ApiClient["default"].convertToType(data['OauthAppId'], 'String');
        }
        if (data.hasOwnProperty('OauthAppName')) {
          obj['OauthAppName'] = _ApiClient["default"].convertToType(data['OauthAppName'], 'String');
        }
        if (data.hasOwnProperty('OwnerUserId')) {
          obj['OwnerUserId'] = _ApiClient["default"].convertToType(data['OwnerUserId'], 'Number');
        }
        if (data.hasOwnProperty('LogoUri')) {
          obj['LogoUri'] = _ApiClient["default"].convertToType(data['LogoUri'], 'String');
        }
        if (data.hasOwnProperty('Flow')) {
          obj['Flow'] = _ApiClient["default"].convertToType(data['Flow'], 'String');
        }
        if (data.hasOwnProperty('RefreshTokenUsage')) {
          obj['RefreshTokenUsage'] = _ApiClient["default"].convertToType(data['RefreshTokenUsage'], 'String');
        }
        if (data.hasOwnProperty('AccessTokenLifetime')) {
          obj['AccessTokenLifetime'] = _ApiClient["default"].convertToType(data['AccessTokenLifetime'], 'Number');
        }
        if (data.hasOwnProperty('AbsoluteRefreshTokenLifetime')) {
          obj['AbsoluteRefreshTokenLifetime'] = _ApiClient["default"].convertToType(data['AbsoluteRefreshTokenLifetime'], 'Number');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * OAuth App Identifier
 * @member {String} OauthAppId
 */
OAuthApp.prototype['OauthAppId'] = undefined;

/**
 * OAuth App Name
 * @member {String} OauthAppName
 */
OAuthApp.prototype['OauthAppName'] = undefined;

/**
 * OAuth App owner user identifier
 * @member {Number} OwnerUserId
 */
OAuthApp.prototype['OwnerUserId'] = undefined;

/**
 * OAuth App logo uri
 * @member {String} LogoUri
 */
OAuthApp.prototype['LogoUri'] = undefined;

/**
 * Supported OpenID Connect flows
 * @member {module:model/OAuthApp.FlowEnum} Flow
 */
OAuthApp.prototype['Flow'] = undefined;

/**
 * ReUse: the refresh token handle will stay the same when refreshing tokens   OneTime: the refresh token handle will be updated when refreshing tokens
 * @member {module:model/OAuthApp.RefreshTokenUsageEnum} RefreshTokenUsage
 */
OAuthApp.prototype['RefreshTokenUsage'] = undefined;

/**
 * Timem it takes for the IdentityToken to expire in seconds
 * @member {Number} AccessTokenLifetime
 */
OAuthApp.prototype['AccessTokenLifetime'] = undefined;

/**
 * Maximum lifetime of a refresh token in seconds
 * @member {Number} AbsoluteRefreshTokenLifetime
 */
OAuthApp.prototype['AbsoluteRefreshTokenLifetime'] = undefined;

/**
 * Allowed values for the <code>Flow</code> property.
 * @enum {String}
 * @readonly
 */
OAuthApp['FlowEnum'] = {
  /**
   * value: "AuthorizationCode"
   * @const
   */
  "AuthorizationCode": "AuthorizationCode",
  /**
   * value: "Implicit"
   * @const
   */
  "Implicit": "Implicit",
  /**
   * value: "Hybrid"
   * @const
   */
  "Hybrid": "Hybrid",
  /**
   * value: "ClientCredentials"
   * @const
   */
  "ClientCredentials": "ClientCredentials"
};

/**
 * Allowed values for the <code>RefreshTokenUsage</code> property.
 * @enum {String}
 * @readonly
 */
OAuthApp['RefreshTokenUsageEnum'] = {
  /**
   * value: "ReUse"
   * @const
   */
  "ReUse": "ReUse",
  /**
   * value: "OneTimeOnly"
   * @const
   */
  "OneTimeOnly": "OneTimeOnly"
};
var _default = exports["default"] = OAuthApp;