"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _BalanceDetails = _interopRequireDefault(require("./BalanceDetails"));
var _ChargebackDetails = _interopRequireDefault(require("./ChargebackDetails"));
var _FlipdishFeesDetails = _interopRequireDefault(require("./FlipdishFeesDetails"));
var _OtherChargesDetails = _interopRequireDefault(require("./OtherChargesDetails"));
var _PosRevenueDetails = _interopRequireDefault(require("./PosRevenueDetails"));
var _RevenueAdjustmentsDetails = _interopRequireDefault(require("./RevenueAdjustmentsDetails"));
var _RevenueDetail = _interopRequireDefault(require("./RevenueDetail"));
var _ThirdPartyFeesDetails = _interopRequireDefault(require("./ThirdPartyFeesDetails"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The PayoutStore model module.
 * @module model/PayoutStore
 * @version 1.0.0
 */
var PayoutStore = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>PayoutStore</code>.
   * Payout details for a single store
   * @alias module:model/PayoutStore
   */
  function PayoutStore() {
    _classCallCheck(this, PayoutStore);
    PayoutStore.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(PayoutStore, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>PayoutStore</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/PayoutStore} obj Optional instance to populate.
     * @return {module:model/PayoutStore} The populated <code>PayoutStore</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new PayoutStore();
        if (data.hasOwnProperty('StoreId')) {
          obj['StoreId'] = _ApiClient["default"].convertToType(data['StoreId'], 'Number');
        }
        if (data.hasOwnProperty('StoreName')) {
          obj['StoreName'] = _ApiClient["default"].convertToType(data['StoreName'], 'String');
        }
        if (data.hasOwnProperty('Amount')) {
          obj['Amount'] = _ApiClient["default"].convertToType(data['Amount'], 'Number');
        }
        if (data.hasOwnProperty('OnlineRevenue')) {
          obj['OnlineRevenue'] = _RevenueDetail["default"].constructFromObject(data['OnlineRevenue']);
        }
        if (data.hasOwnProperty('Revenue')) {
          obj['Revenue'] = _RevenueDetail["default"].constructFromObject(data['Revenue']);
        }
        if (data.hasOwnProperty('RevenueAdjustments')) {
          obj['RevenueAdjustments'] = _RevenueAdjustmentsDetails["default"].constructFromObject(data['RevenueAdjustments']);
        }
        if (data.hasOwnProperty('FlipdishFees')) {
          obj['FlipdishFees'] = _FlipdishFeesDetails["default"].constructFromObject(data['FlipdishFees']);
        }
        if (data.hasOwnProperty('Chargebacks')) {
          obj['Chargebacks'] = _ChargebackDetails["default"].constructFromObject(data['Chargebacks']);
        }
        if (data.hasOwnProperty('OtherCharges')) {
          obj['OtherCharges'] = _OtherChargesDetails["default"].constructFromObject(data['OtherCharges']);
        }
        if (data.hasOwnProperty('Balance')) {
          obj['Balance'] = _BalanceDetails["default"].constructFromObject(data['Balance']);
        }
        if (data.hasOwnProperty('PosRevenue')) {
          obj['PosRevenue'] = _PosRevenueDetails["default"].constructFromObject(data['PosRevenue']);
        }
        if (data.hasOwnProperty('ThirdPartyFees')) {
          obj['ThirdPartyFees'] = _ThirdPartyFeesDetails["default"].constructFromObject(data['ThirdPartyFees']);
        }
      }
      return obj;
    }
  }]);
}();
/**
 * The id of the Store.
 * @member {Number} StoreId
 */
PayoutStore.prototype['StoreId'] = undefined;

/**
 * Name of the store
 * @member {String} StoreName
 */
PayoutStore.prototype['StoreName'] = undefined;

/**
 * Amount of the payout for this Store
 * @member {Number} Amount
 */
PayoutStore.prototype['Amount'] = undefined;

/**
 * @member {module:model/RevenueDetail} OnlineRevenue
 */
PayoutStore.prototype['OnlineRevenue'] = undefined;

/**
 * @member {module:model/RevenueDetail} Revenue
 */
PayoutStore.prototype['Revenue'] = undefined;

/**
 * @member {module:model/RevenueAdjustmentsDetails} RevenueAdjustments
 */
PayoutStore.prototype['RevenueAdjustments'] = undefined;

/**
 * @member {module:model/FlipdishFeesDetails} FlipdishFees
 */
PayoutStore.prototype['FlipdishFees'] = undefined;

/**
 * @member {module:model/ChargebackDetails} Chargebacks
 */
PayoutStore.prototype['Chargebacks'] = undefined;

/**
 * @member {module:model/OtherChargesDetails} OtherCharges
 */
PayoutStore.prototype['OtherCharges'] = undefined;

/**
 * @member {module:model/BalanceDetails} Balance
 */
PayoutStore.prototype['Balance'] = undefined;

/**
 * @member {module:model/PosRevenueDetails} PosRevenue
 */
PayoutStore.prototype['PosRevenue'] = undefined;

/**
 * @member {module:model/ThirdPartyFeesDetails} ThirdPartyFees
 */
PayoutStore.prototype['ThirdPartyFees'] = undefined;
var _default = exports["default"] = PayoutStore;