"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _GroupReference = _interopRequireDefault(require("./GroupReference"));
var _Metafield = _interopRequireDefault(require("./Metafield"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The Product model module.
 * @module model/Product
 * @version 1.0.0
 */
var Product = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>Product</code>.
   * Product
   * @alias module:model/Product
   * @param ProductType {module:model/Product.ProductTypeEnum} Type of item (Product, Modifier, etc)
   * @param Sku {String} Stock Keeping Unit (SKU)
   * @param Name {String} Product name
   * @param Price {Number} Product price
   */
  function Product(ProductType, Sku, Name, Price) {
    _classCallCheck(this, Product);
    Product.initialize(this, ProductType, Sku, Name, Price);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(Product, null, [{
    key: "initialize",
    value: function initialize(obj, ProductType, Sku, Name, Price) {
      obj['ProductType'] = ProductType;
      obj['Sku'] = Sku;
      obj['Name'] = Name;
      obj['Price'] = Price;
    }

    /**
     * Constructs a <code>Product</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Product} obj Optional instance to populate.
     * @return {module:model/Product} The populated <code>Product</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new Product();
        if (data.hasOwnProperty('CatalogItemId')) {
          obj['CatalogItemId'] = _ApiClient["default"].convertToType(data['CatalogItemId'], 'String');
        }
        if (data.hasOwnProperty('IsArchived')) {
          obj['IsArchived'] = _ApiClient["default"].convertToType(data['IsArchived'], 'Boolean');
        }
        if (data.hasOwnProperty('Groups')) {
          obj['Groups'] = _ApiClient["default"].convertToType(data['Groups'], [_GroupReference["default"]]);
        }
        if (data.hasOwnProperty('Metafields')) {
          obj['Metafields'] = _ApiClient["default"].convertToType(data['Metafields'], [_Metafield["default"]]);
        }
        if (data.hasOwnProperty('ProductType')) {
          obj['ProductType'] = _ApiClient["default"].convertToType(data['ProductType'], 'String');
        }
        if (data.hasOwnProperty('Sku')) {
          obj['Sku'] = _ApiClient["default"].convertToType(data['Sku'], 'String');
        }
        if (data.hasOwnProperty('Name')) {
          obj['Name'] = _ApiClient["default"].convertToType(data['Name'], 'String');
        }
        if (data.hasOwnProperty('Description')) {
          obj['Description'] = _ApiClient["default"].convertToType(data['Description'], 'String');
        }
        if (data.hasOwnProperty('Price')) {
          obj['Price'] = _ApiClient["default"].convertToType(data['Price'], 'Number');
        }
        if (data.hasOwnProperty('ImageFileName')) {
          obj['ImageFileName'] = _ApiClient["default"].convertToType(data['ImageFileName'], 'String');
        }
        if (data.hasOwnProperty('Alcohol')) {
          obj['Alcohol'] = _ApiClient["default"].convertToType(data['Alcohol'], 'Boolean');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Unique catalog Item id
 * @member {String} CatalogItemId
 */
Product.prototype['CatalogItemId'] = undefined;

/**
 * Returns true if the item is archived
 * @member {Boolean} IsArchived
 */
Product.prototype['IsArchived'] = undefined;

/**
 * Collection of groups associated with this item
 * @member {Array.<module:model/GroupReference>} Groups
 */
Product.prototype['Groups'] = undefined;

/**
 * Collection of metafields
 * @member {Array.<module:model/Metafield>} Metafields
 */
Product.prototype['Metafields'] = undefined;

/**
 * Type of item (Product, Modifier, etc)
 * @member {module:model/Product.ProductTypeEnum} ProductType
 */
Product.prototype['ProductType'] = undefined;

/**
 * Stock Keeping Unit (SKU)
 * @member {String} Sku
 */
Product.prototype['Sku'] = undefined;

/**
 * Product name
 * @member {String} Name
 */
Product.prototype['Name'] = undefined;

/**
 * Product description
 * @member {String} Description
 */
Product.prototype['Description'] = undefined;

/**
 * Product price
 * @member {Number} Price
 */
Product.prototype['Price'] = undefined;

/**
 * Image File Name
 * @member {String} ImageFileName
 */
Product.prototype['ImageFileName'] = undefined;

/**
 * Product contains alcohol
 * @member {Boolean} Alcohol
 */
Product.prototype['Alcohol'] = undefined;

/**
 * Allowed values for the <code>ProductType</code> property.
 * @enum {String}
 * @readonly
 */
Product['ProductTypeEnum'] = {
  /**
   * value: "Product"
   * @const
   */
  "Product": "Product",
  /**
   * value: "Modifier"
   * @const
   */
  "Modifier": "Modifier"
};
var _default = exports["default"] = Product;