"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _Product = _interopRequireDefault(require("./Product"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The ProductReference model module.
 * @module model/ProductReference
 * @version 1.0.0
 */
var ProductReference = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>ProductReference</code>.
   * Catalog Item associated
   * @alias module:model/ProductReference
   * @param CatalogItemId {String} Identifier of the CatalogItemId to use as SubProduct
   * @param ProductType {module:model/ProductReference.ProductTypeEnum} Type of the SupProduct
   */
  function ProductReference(CatalogItemId, ProductType) {
    _classCallCheck(this, ProductReference);
    ProductReference.initialize(this, CatalogItemId, ProductType);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(ProductReference, null, [{
    key: "initialize",
    value: function initialize(obj, CatalogItemId, ProductType) {
      obj['CatalogItemId'] = CatalogItemId;
      obj['ProductType'] = ProductType;
    }

    /**
     * Constructs a <code>ProductReference</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ProductReference} obj Optional instance to populate.
     * @return {module:model/ProductReference} The populated <code>ProductReference</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new ProductReference();
        if (data.hasOwnProperty('Item')) {
          obj['Item'] = _Product["default"].constructFromObject(data['Item']);
        }
        if (data.hasOwnProperty('Product')) {
          obj['Product'] = _Product["default"].constructFromObject(data['Product']);
        }
        if (data.hasOwnProperty('CatalogItemId')) {
          obj['CatalogItemId'] = _ApiClient["default"].convertToType(data['CatalogItemId'], 'String');
        }
        if (data.hasOwnProperty('ProductType')) {
          obj['ProductType'] = _ApiClient["default"].convertToType(data['ProductType'], 'String');
        }
        if (data.hasOwnProperty('PreselectedQuantity')) {
          obj['PreselectedQuantity'] = _ApiClient["default"].convertToType(data['PreselectedQuantity'], 'Number');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * @member {module:model/Product} Item
 */
ProductReference.prototype['Item'] = undefined;

/**
 * @member {module:model/Product} Product
 */
ProductReference.prototype['Product'] = undefined;

/**
 * Identifier of the CatalogItemId to use as SubProduct
 * @member {String} CatalogItemId
 */
ProductReference.prototype['CatalogItemId'] = undefined;

/**
 * Type of the SupProduct
 * @member {module:model/ProductReference.ProductTypeEnum} ProductType
 */
ProductReference.prototype['ProductType'] = undefined;

/**
 * Quantity of the modifier that will be set when the parent product is placed in the basket
 * @member {Number} PreselectedQuantity
 */
ProductReference.prototype['PreselectedQuantity'] = undefined;

/**
 * Allowed values for the <code>ProductType</code> property.
 * @enum {String}
 * @readonly
 */
ProductReference['ProductTypeEnum'] = {
  /**
   * value: "Product"
   * @const
   */
  "Product": "Product",
  /**
   * value: "Modifier"
   * @const
   */
  "Modifier": "Modifier"
};
var _default = exports["default"] = ProductReference;