"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _WhiteLabelConfig = _interopRequireDefault(require("./WhiteLabelConfig"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The Restaurant model module.
 * @module model/Restaurant
 * @version 1.0.0
 */
var Restaurant = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>Restaurant</code>.
   * Restaurant search result
   * @alias module:model/Restaurant
   */
  function Restaurant() {
    _classCallCheck(this, Restaurant);
    Restaurant.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(Restaurant, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>Restaurant</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Restaurant} obj Optional instance to populate.
     * @return {module:model/Restaurant} The populated <code>Restaurant</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new Restaurant();
        if (data.hasOwnProperty('WhiteLabelConfigs')) {
          obj['WhiteLabelConfigs'] = _ApiClient["default"].convertToType(data['WhiteLabelConfigs'], [_WhiteLabelConfig["default"]]);
        }
        if (data.hasOwnProperty('VirtualRestaurantId')) {
          obj['VirtualRestaurantId'] = _ApiClient["default"].convertToType(data['VirtualRestaurantId'], 'Number');
        }
        if (data.hasOwnProperty('VirtualRestaurantName')) {
          obj['VirtualRestaurantName'] = _ApiClient["default"].convertToType(data['VirtualRestaurantName'], 'String');
        }
        if (data.hasOwnProperty('VirtualRestaurantUrl')) {
          obj['VirtualRestaurantUrl'] = _ApiClient["default"].convertToType(data['VirtualRestaurantUrl'], 'String');
        }
        if (data.hasOwnProperty('PhysicalRestaurantId')) {
          obj['PhysicalRestaurantId'] = _ApiClient["default"].convertToType(data['PhysicalRestaurantId'], 'Number');
        }
        if (data.hasOwnProperty('PhysicalRestaurantName')) {
          obj['PhysicalRestaurantName'] = _ApiClient["default"].convertToType(data['PhysicalRestaurantName'], 'String');
        }
        if (data.hasOwnProperty('PhysicalRestaurantAddress')) {
          obj['PhysicalRestaurantAddress'] = _ApiClient["default"].convertToType(data['PhysicalRestaurantAddress'], 'String');
        }
        if (data.hasOwnProperty('MenuId')) {
          obj['MenuId'] = _ApiClient["default"].convertToType(data['MenuId'], 'Number');
        }
        if (data.hasOwnProperty('IsArchived')) {
          obj['IsArchived'] = _ApiClient["default"].convertToType(data['IsArchived'], 'Boolean');
        }
        if (data.hasOwnProperty('IsPublished')) {
          obj['IsPublished'] = _ApiClient["default"].convertToType(data['IsPublished'], 'Boolean');
        }
        if (data.hasOwnProperty('FlipdishStripeCustomConnectedAccounts')) {
          obj['FlipdishStripeCustomConnectedAccounts'] = _ApiClient["default"].convertToType(data['FlipdishStripeCustomConnectedAccounts'], ['Number']);
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Collection of white label configurations
 * @member {Array.<module:model/WhiteLabelConfig>} WhiteLabelConfigs
 */
Restaurant.prototype['WhiteLabelConfigs'] = undefined;

/**
 * Virtual restaurant identifier
 * @member {Number} VirtualRestaurantId
 */
Restaurant.prototype['VirtualRestaurantId'] = undefined;

/**
 * Virtual restaurant name
 * @member {String} VirtualRestaurantName
 */
Restaurant.prototype['VirtualRestaurantName'] = undefined;

/**
 * Virtual restaurant URL
 * @member {String} VirtualRestaurantUrl
 */
Restaurant.prototype['VirtualRestaurantUrl'] = undefined;

/**
 * Physical restaurant identifier
 * @member {Number} PhysicalRestaurantId
 */
Restaurant.prototype['PhysicalRestaurantId'] = undefined;

/**
 * Physical restaurant name
 * @member {String} PhysicalRestaurantName
 */
Restaurant.prototype['PhysicalRestaurantName'] = undefined;

/**
 * Physical restaurant address
 * @member {String} PhysicalRestaurantAddress
 */
Restaurant.prototype['PhysicalRestaurantAddress'] = undefined;

/**
 * Menu identifier
 * @member {Number} MenuId
 */
Restaurant.prototype['MenuId'] = undefined;

/**
 * Indicates if the restaurant is archived
 * @member {Boolean} IsArchived
 */
Restaurant.prototype['IsArchived'] = undefined;

/**
 * Indicates if the restaurant is published
 * @member {Boolean} IsPublished
 */
Restaurant.prototype['IsPublished'] = undefined;

/**
 * List of Flipdish Stripe custom connected account identifiers
 * @member {Array.<Number>} FlipdishStripeCustomConnectedAccounts
 */
Restaurant.prototype['FlipdishStripeCustomConnectedAccounts'] = undefined;
var _default = exports["default"] = Restaurant;