"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _StoreOrderCapacityPeriod = _interopRequireDefault(require("./StoreOrderCapacityPeriod"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The StoreOrderCapacityConfig model module.
 * @module model/StoreOrderCapacityConfig
 * @version 1.0.0
 */
var StoreOrderCapacityConfig = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>StoreOrderCapacityConfig</code>.
   * Represents one store&#39;s order capacity configuration
   * @alias module:model/StoreOrderCapacityConfig
   */
  function StoreOrderCapacityConfig() {
    _classCallCheck(this, StoreOrderCapacityConfig);
    StoreOrderCapacityConfig.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(StoreOrderCapacityConfig, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>StoreOrderCapacityConfig</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/StoreOrderCapacityConfig} obj Optional instance to populate.
     * @return {module:model/StoreOrderCapacityConfig} The populated <code>StoreOrderCapacityConfig</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new StoreOrderCapacityConfig();
        if (data.hasOwnProperty('StoreId')) {
          obj['StoreId'] = _ApiClient["default"].convertToType(data['StoreId'], 'Number');
        }
        if (data.hasOwnProperty('DeliveryType')) {
          obj['DeliveryType'] = _ApiClient["default"].convertToType(data['DeliveryType'], 'String');
        }
        if (data.hasOwnProperty('StoreIntervalInMinutes')) {
          obj['StoreIntervalInMinutes'] = _ApiClient["default"].convertToType(data['StoreIntervalInMinutes'], 'Number');
        }
        if (data.hasOwnProperty('OrderCapacityPeriods')) {
          obj['OrderCapacityPeriods'] = _ApiClient["default"].convertToType(data['OrderCapacityPeriods'], [_StoreOrderCapacityPeriod["default"]]);
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Store identifier
 * @member {Number} StoreId
 */
StoreOrderCapacityConfig.prototype['StoreId'] = undefined;

/**
 * Signifies whether the order capacity configuration is for Delivery / Pickup
 * @member {module:model/StoreOrderCapacityConfig.DeliveryTypeEnum} DeliveryType
 */
StoreOrderCapacityConfig.prototype['DeliveryType'] = undefined;

/**
 * Store Interval - time between orders, e.g. 10 minutes between each order time available to customer
 * @member {Number} StoreIntervalInMinutes
 */
StoreOrderCapacityConfig.prototype['StoreIntervalInMinutes'] = undefined;

/**
 * Order capacity periods
 * @member {Array.<module:model/StoreOrderCapacityPeriod>} OrderCapacityPeriods
 */
StoreOrderCapacityConfig.prototype['OrderCapacityPeriods'] = undefined;

/**
 * Allowed values for the <code>DeliveryType</code> property.
 * @enum {String}
 * @readonly
 */
StoreOrderCapacityConfig['DeliveryTypeEnum'] = {
  /**
   * value: "Delivery"
   * @const
   */
  "Delivery": "Delivery",
  /**
   * value: "Pickup"
   * @const
   */
  "Pickup": "Pickup"
};
var _default = exports["default"] = StoreOrderCapacityConfig;