"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The StoreOrderCapacityPeriod model module.
 * @module model/StoreOrderCapacityPeriod
 * @version 1.0.0
 */
var StoreOrderCapacityPeriod = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>StoreOrderCapacityPeriod</code>.
   * Represents a single order capacity period
   * @alias module:model/StoreOrderCapacityPeriod
   */
  function StoreOrderCapacityPeriod() {
    _classCallCheck(this, StoreOrderCapacityPeriod);
    StoreOrderCapacityPeriod.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(StoreOrderCapacityPeriod, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>StoreOrderCapacityPeriod</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/StoreOrderCapacityPeriod} obj Optional instance to populate.
     * @return {module:model/StoreOrderCapacityPeriod} The populated <code>StoreOrderCapacityPeriod</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new StoreOrderCapacityPeriod();
        if (data.hasOwnProperty('MaxOrderNumberPerStoreInterval')) {
          obj['MaxOrderNumberPerStoreInterval'] = _ApiClient["default"].convertToType(data['MaxOrderNumberPerStoreInterval'], 'Number');
        }
        if (data.hasOwnProperty('DayOfTheWeek')) {
          obj['DayOfTheWeek'] = _ApiClient["default"].convertToType(data['DayOfTheWeek'], 'String');
        }
        if (data.hasOwnProperty('PeriodStartHour')) {
          obj['PeriodStartHour'] = _ApiClient["default"].convertToType(data['PeriodStartHour'], 'Number');
        }
        if (data.hasOwnProperty('PeriodStartMinutes')) {
          obj['PeriodStartMinutes'] = _ApiClient["default"].convertToType(data['PeriodStartMinutes'], 'Number');
        }
        if (data.hasOwnProperty('PeriodEndHour')) {
          obj['PeriodEndHour'] = _ApiClient["default"].convertToType(data['PeriodEndHour'], 'Number');
        }
        if (data.hasOwnProperty('PeriodEndMinutes')) {
          obj['PeriodEndMinutes'] = _ApiClient["default"].convertToType(data['PeriodEndMinutes'], 'Number');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * The maximum number of orders per each store order interval in this order capacity period.  E.g. for a period from 9:00 till 11:00, if the store's interval is 10 minutes, and MaxOrderNumberPerStoreInterval is set to 5,  it means that within each 10-minute interval between 9:00 and 11:00 (i.e. 9:00-9:10, 9:10-9:20, .. , 10:50-11:00) it will be possible to  request at most 5 orders.
 * @member {Number} MaxOrderNumberPerStoreInterval
 */
StoreOrderCapacityPeriod.prototype['MaxOrderNumberPerStoreInterval'] = undefined;

/**
 * Day of the week the period pertains to
 * @member {module:model/StoreOrderCapacityPeriod.DayOfTheWeekEnum} DayOfTheWeek
 */
StoreOrderCapacityPeriod.prototype['DayOfTheWeek'] = undefined;

/**
 * The hour the period starts at
 * @member {Number} PeriodStartHour
 */
StoreOrderCapacityPeriod.prototype['PeriodStartHour'] = undefined;

/**
 * The minutes after the hour the period starts at
 * @member {Number} PeriodStartMinutes
 */
StoreOrderCapacityPeriod.prototype['PeriodStartMinutes'] = undefined;

/**
 * The hour the period ends at
 * @member {Number} PeriodEndHour
 */
StoreOrderCapacityPeriod.prototype['PeriodEndHour'] = undefined;

/**
 * The minutes after the hour the period ends at
 * @member {Number} PeriodEndMinutes
 */
StoreOrderCapacityPeriod.prototype['PeriodEndMinutes'] = undefined;

/**
 * Allowed values for the <code>DayOfTheWeek</code> property.
 * @enum {String}
 * @readonly
 */
StoreOrderCapacityPeriod['DayOfTheWeekEnum'] = {
  /**
   * value: "Sunday"
   * @const
   */
  "Sunday": "Sunday",
  /**
   * value: "Monday"
   * @const
   */
  "Monday": "Monday",
  /**
   * value: "Tuesday"
   * @const
   */
  "Tuesday": "Tuesday",
  /**
   * value: "Wednesday"
   * @const
   */
  "Wednesday": "Wednesday",
  /**
   * value: "Thursday"
   * @const
   */
  "Thursday": "Thursday",
  /**
   * value: "Friday"
   * @const
   */
  "Friday": "Friday",
  /**
   * value: "Saturday"
   * @const
   */
  "Saturday": "Saturday"
};
var _default = exports["default"] = StoreOrderCapacityPeriod;