"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _StuartSettingsTransportPrices = _interopRequireDefault(require("./StuartSettingsTransportPrices"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The StuartSettings model module.
 * @module model/StuartSettings
 * @version 1.0.0
 */
var StuartSettings = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>StuartSettings</code>.
   * Stuart settings
   * @alias module:model/StuartSettings
   */
  function StuartSettings() {
    _classCallCheck(this, StuartSettings);
    StuartSettings.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(StuartSettings, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>StuartSettings</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/StuartSettings} obj Optional instance to populate.
     * @return {module:model/StuartSettings} The populated <code>StuartSettings</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new StuartSettings();
        if (data.hasOwnProperty('ClientId')) {
          obj['ClientId'] = _ApiClient["default"].convertToType(data['ClientId'], 'String');
        }
        if (data.hasOwnProperty('ClientSecret')) {
          obj['ClientSecret'] = _ApiClient["default"].convertToType(data['ClientSecret'], 'String');
        }
        if (data.hasOwnProperty('Enabled')) {
          obj['Enabled'] = _ApiClient["default"].convertToType(data['Enabled'], 'Boolean');
        }
        if (data.hasOwnProperty('WebhookUrlBasicAuthentication')) {
          obj['WebhookUrlBasicAuthentication'] = _ApiClient["default"].convertToType(data['WebhookUrlBasicAuthentication'], 'String');
        }
        if (data.hasOwnProperty('OverrideWebhookUrl')) {
          obj['OverrideWebhookUrl'] = _ApiClient["default"].convertToType(data['OverrideWebhookUrl'], 'Boolean');
        }
        if (data.hasOwnProperty('MinutesToPickupBeforeThanDeliveryTime')) {
          obj['MinutesToPickupBeforeThanDeliveryTime'] = _ApiClient["default"].convertToType(data['MinutesToPickupBeforeThanDeliveryTime'], 'Number');
        }
        if (data.hasOwnProperty('PackageType')) {
          obj['PackageType'] = _ApiClient["default"].convertToType(data['PackageType'], 'String');
        }
        if (data.hasOwnProperty('TransportType')) {
          obj['TransportType'] = _ApiClient["default"].convertToType(data['TransportType'], 'String');
        }
        if (data.hasOwnProperty('CancelOrderIfStuartCancelDelivery')) {
          obj['CancelOrderIfStuartCancelDelivery'] = _ApiClient["default"].convertToType(data['CancelOrderIfStuartCancelDelivery'], 'Boolean');
        }
        if (data.hasOwnProperty('TransportPrices')) {
          obj['TransportPrices'] = _StuartSettingsTransportPrices["default"].constructFromObject(data['TransportPrices']);
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Client Id
 * @member {String} ClientId
 */
StuartSettings.prototype['ClientId'] = undefined;

/**
 * Client Secret
 * @member {String} ClientSecret
 */
StuartSettings.prototype['ClientSecret'] = undefined;

/**
 * Enabled
 * @member {Boolean} Enabled
 */
StuartSettings.prototype['Enabled'] = undefined;

/**
 * Webhook url to settle in the Stuart portal
 * @member {String} WebhookUrlBasicAuthentication
 */
StuartSettings.prototype['WebhookUrlBasicAuthentication'] = undefined;

/**
 * Override Flipdish Webhook Url
 * @member {Boolean} OverrideWebhookUrl
 */
StuartSettings.prototype['OverrideWebhookUrl'] = undefined;

/**
 * MinutesToPickupBeforeThanDeliveryTime
 * @member {Number} MinutesToPickupBeforeThanDeliveryTime
 */
StuartSettings.prototype['MinutesToPickupBeforeThanDeliveryTime'] = undefined;

/**
 * Package type
 * @member {module:model/StuartSettings.PackageTypeEnum} PackageType
 */
StuartSettings.prototype['PackageType'] = undefined;

/**
 * Transport type
 * @member {module:model/StuartSettings.TransportTypeEnum} TransportType
 */
StuartSettings.prototype['TransportType'] = undefined;

/**
 * Determines if Flipdish order should be cancel when Stuart cancels delivery
 * @member {Boolean} CancelOrderIfStuartCancelDelivery
 */
StuartSettings.prototype['CancelOrderIfStuartCancelDelivery'] = undefined;

/**
 * @member {module:model/StuartSettingsTransportPrices} TransportPrices
 */
StuartSettings.prototype['TransportPrices'] = undefined;

/**
 * Allowed values for the <code>PackageType</code> property.
 * @enum {String}
 * @readonly
 */
StuartSettings['PackageTypeEnum'] = {
  /**
   * value: "Xsmall"
   * @const
   */
  "Xsmall": "Xsmall",
  /**
   * value: "Small"
   * @const
   */
  "Small": "Small",
  /**
   * value: "Medium"
   * @const
   */
  "Medium": "Medium",
  /**
   * value: "Large"
   * @const
   */
  "Large": "Large",
  /**
   * value: "Xlarge"
   * @const
   */
  "Xlarge": "Xlarge"
};

/**
 * Allowed values for the <code>TransportType</code> property.
 * @enum {String}
 * @readonly
 */
StuartSettings['TransportTypeEnum'] = {
  /**
   * value: "Bike"
   * @const
   */
  "Bike": "Bike",
  /**
   * value: "Cargobike"
   * @const
   */
  "Cargobike": "Cargobike",
  /**
   * value: "Cargobikexl"
   * @const
   */
  "Cargobikexl": "Cargobikexl",
  /**
   * value: "Motorbike"
   * @const
   */
  "Motorbike": "Motorbike",
  /**
   * value: "Motorbikexl"
   * @const
   */
  "Motorbikexl": "Motorbikexl",
  /**
   * value: "Car"
   * @const
   */
  "Car": "Car",
  /**
   * value: "Van"
   * @const
   */
  "Van": "Van"
};
var _default = exports["default"] = StuartSettings;